/**
 * Planck.js v0.4.0-alpha.1
 * @license The MIT license
 * @copyright Copyright (c) 2021 Erin Catto, Ali Shakiba
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
!function(t,i){"object"==typeof exports&&"undefined"!=typeof module?i(exports):"function"==typeof define&&define.amd?define(["exports"],i):i((t="undefined"!=typeof globalThis?globalThis:t||self).planck={})}(this,(function(t){"use strict";function i(t){return(i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function e(t,i){null==t&&(t={});var e=Object.assign({},t);for(var s in i)i.hasOwnProperty(s)&&void 0===t[s]&&(e[s]=i[s]);if("function"==typeof Object.getOwnPropertySymbols)for(var o=Object.getOwnPropertySymbols(i),n=0;n<o.length;n++){var r=o[n];i.propertyIsEnumerable(r)&&void 0===t[s]&&(e[r]=i[r])}return e}var s=function(){},o=Math,n=Object.create(o);function r(t,e){if(!(this instanceof r))return new r(t,e);void 0===t?(this.x=0,this.y=0):"object"===i(t)?(this.x=t.x,this.y=t.y):(this.x=t,this.y=e)}n.EPSILON=1e-9,n.isFinite=function(t){return"number"==typeof t&&isFinite(t)&&!isNaN(t)},n.assert=function(t){},n.invSqrt=function(t){return 1/o.sqrt(t)},n.nextPowerOfTwo=function(t){return t|=t>>1,t|=t>>2,t|=t>>4,t|=t>>8,(t|=t>>16)+1},n.isPowerOfTwo=function(t){return t>0&&0==(t&t-1)},n.mod=function(t,i,e){return void 0===i?(e=1,i=0):void 0===e&&(e=i,i=0),e>i?(t=(t-i)%(e-i))+(t<0?e:i):(t=(t-e)%(i-e))+(t<=0?i:e)},n.clamp=function(t,i,e){return t<i?i:t>e?e:t},n.random=function(t,i){return void 0===t?(i=1,t=0):void 0===i&&(i=t,t=0),t==i?t:o.random()*(i-t)+t},r.prototype._serialize=function(){return{x:this.x,y:this.y}},r._deserialize=function(t){var i=Object.create(r.prototype);return i.x=t.x,i.y=t.y,i},r.zero=function(){var t=Object.create(r.prototype);return t.x=0,t.y=0,t},r.neo=function(t,i){var e=Object.create(r.prototype);return e.x=t,e.y=i,e},r.clone=function(t){return r.neo(t.x,t.y)},r.prototype.toString=function(){return JSON.stringify(this)},r.isValid=function(t){return t&&n.isFinite(t.x)&&n.isFinite(t.y)},r.assert=function(t){},r.prototype.clone=function(){return r.clone(this)},r.prototype.setZero=function(){return this.x=0,this.y=0,this},r.prototype.set=function(t,e){return"object"===i(t)?(this.x=t.x,this.y=t.y):(this.x=t,this.y=e),this},r.prototype.wSet=function(t,i,e,s){return void 0!==e||void 0!==s?this.setCombine(t,i,e,s):this.setMul(t,i)},r.prototype.setCombine=function(t,i,e,s){var o=t*i.x+e*s.x,n=t*i.y+e*s.y;return this.x=o,this.y=n,this},r.prototype.setMul=function(t,i){var e=t*i.x,s=t*i.y;return this.x=e,this.y=s,this},r.prototype.add=function(t){return this.x+=t.x,this.y+=t.y,this},r.prototype.wAdd=function(t,i,e,s){return void 0!==e||void 0!==s?this.addCombine(t,i,e,s):this.addMul(t,i)},r.prototype.addCombine=function(t,i,e,s){var o=t*i.x+e*s.x,n=t*i.y+e*s.y;return this.x+=o,this.y+=n,this},r.prototype.addMul=function(t,i){var e=t*i.x,s=t*i.y;return this.x+=e,this.y+=s,this},r.prototype.wSub=function(t,i,e,s){return void 0!==e||void 0!==s?this.subCombine(t,i,e,s):this.subMul(t,i)},r.prototype.subCombine=function(t,i,e,s){var o=t*i.x+e*s.x,n=t*i.y+e*s.y;return this.x-=o,this.y-=n,this},r.prototype.subMul=function(t,i){var e=t*i.x,s=t*i.y;return this.x-=e,this.y-=s,this},r.prototype.sub=function(t){return this.x-=t.x,this.y-=t.y,this},r.prototype.mul=function(t){return this.x*=t,this.y*=t,this},r.prototype.length=function(){return r.lengthOf(this)},r.prototype.lengthSquared=function(){return r.lengthSquared(this)},r.prototype.normalize=function(){var t=this.length();if(t<n.EPSILON)return 0;var i=1/t;return this.x*=i,this.y*=i,t},r.lengthOf=function(t){return n.sqrt(t.x*t.x+t.y*t.y)},r.lengthSquared=function(t){return t.x*t.x+t.y*t.y},r.distance=function(t,i){var e=t.x-i.x,s=t.y-i.y;return n.sqrt(e*e+s*s)},r.distanceSquared=function(t,i){var e=t.x-i.x,s=t.y-i.y;return e*e+s*s},r.areEqual=function(t,e){return t==e||"object"===i(e)&&null!==e&&t.x===e.x&&t.y===e.y},r.skew=function(t){return r.neo(-t.y,t.x)},r.dot=function(t,i){return t.x*i.x+t.y*i.y},r.cross=function(t,i){return"number"==typeof i?r.neo(i*t.y,-i*t.x):"number"==typeof t?r.neo(-t*i.y,t*i.x):t.x*i.y-t.y*i.x},r.addCross=function(t,i,e){return"number"==typeof e?r.neo(e*i.y+t.x,-e*i.x+t.y):"number"==typeof i?r.neo(-i*e.y+t.x,i*e.x+t.y):void 0},r.add=function(t,i){return r.neo(t.x+i.x,t.y+i.y)},r.wAdd=function(t,i,e,s){return void 0!==e||void 0!==s?r.combine(t,i,e,s):r.mul(t,i)},r.combine=function(t,i,e,s){return r.zero().setCombine(t,i,e,s)},r.sub=function(t,i){return r.neo(t.x-i.x,t.y-i.y)},r.mul=function(t,e){return"object"===i(t)?r.neo(t.x*e,t.y*e):"object"===i(e)?r.neo(t*e.x,t*e.y):void 0},r.prototype.neg=function(){return this.x=-this.x,this.y=-this.y,this},r.neg=function(t){return r.neo(-t.x,-t.y)},r.abs=function(t){return r.neo(n.abs(t.x),n.abs(t.y))},r.mid=function(t,i){return r.neo(.5*(t.x+i.x),.5*(t.y+i.y))},r.upper=function(t,i){return r.neo(n.max(t.x,i.x),n.max(t.y,i.y))},r.lower=function(t,i){return r.neo(n.min(t.x,i.x),n.min(t.y,i.y))},r.prototype.clamp=function(t){var i=this.x*this.x+this.y*this.y;if(i>t*t){var e=n.invSqrt(i);this.x*=e*t,this.y*=e*t}return this},r.clamp=function(t,i){return(t=r.neo(t.x,t.y)).clamp(i),t},r.scaleFn=function(t,i){return function(e){return r.neo(e.x*t,e.y*i)}},r.translateFn=function(t,i){return function(e){return r.neo(e.x+t,e.y+i)}};var h={};function a(t,e){if(!(this instanceof a))return new a(t,e);this.lowerBound=r.zero(),this.upperBound=r.zero(),"object"===i(t)&&this.lowerBound.set(t),"object"===i(e)?this.upperBound.set(e):"object"===i(t)&&this.upperBound.set(t)}function m(t){var i=[],e=t.max||1/0,s=t.create,o=t.allocate,n=t.release,r=t.discard,h=0,a=0,m=0,_=0;this.max=function(t){return"number"==typeof t?(e=t,this):e},this.size=function(){return i.length},this.allocate=function(){var t;return i.length>0?t=i.shift():(h++,t="function"==typeof s?s():{}),a++,"function"==typeof o&&o(t),t},this.release=function(t){i.length<e?(m++,"function"==typeof n&&n(t),i.push(t)):(_++,"function"==typeof r&&(t=r(t)))},this.toString=function(){return" +"+h+" >"+a+" <"+m+" -"+_+" ="+i.length+"/"+e}}function _(t){this.id=t,this.aabb=new a,this.userData=null,this.parent=null,this.child1=null,this.child2=null,this.height=-1,this.toString=function(){return this.id+": "+this.userData}}function c(){this.m_root=null,this.m_nodes={},this.m_lastProxyId=0,this.m_pool=new m({create:function(){return new _}})}h.maxManifoldPoints=2,h.maxPolygonVertices=12,h.aabbExtension=.1,h.aabbMultiplier=2,h.linearSlop=.005,h.linearSlopSquared=h.linearSlop*h.linearSlop,h.angularSlop=2/180*Math.PI,h.polygonRadius=2*h.linearSlop,h.maxSubSteps=8,h.maxTOIContacts=32,h.maxTOIIterations=20,h.maxDistnceIterations=20,h.velocityThreshold=1,h.maxLinearCorrection=.2,h.maxAngularCorrection=8/180*Math.PI,h.maxTranslation=2,h.maxTranslationSquared=h.maxTranslation*h.maxTranslation,h.maxRotation=.5*Math.PI,h.maxRotationSquared=h.maxRotation*h.maxRotation,h.baumgarte=.2,h.toiBaugarte=.75,h.timeToSleep=.5,h.linearSleepTolerance=.01,h.linearSleepToleranceSqr=Math.pow(h.linearSleepTolerance,2),h.angularSleepTolerance=2/180*Math.PI,h.angularSleepToleranceSqr=Math.pow(h.angularSleepTolerance,2),a.prototype.isValid=function(){return a.isValid(this)},a.isValid=function(t){var i=r.sub(t.upperBound,t.lowerBound);return i.x>=0&&i.y>=0&&r.isValid(t.lowerBound)&&r.isValid(t.upperBound)},a.assert=function(t){},a.prototype.getCenter=function(){return r.neo(.5*(this.lowerBound.x+this.upperBound.x),.5*(this.lowerBound.y+this.upperBound.y))},a.prototype.getExtents=function(){return r.neo(.5*(this.upperBound.x-this.lowerBound.x),.5*(this.upperBound.y-this.lowerBound.y))},a.prototype.getPerimeter=function(){return 2*(this.upperBound.x-this.lowerBound.x+this.upperBound.y-this.lowerBound.y)},a.prototype.combine=function(t,i){i=i||this;var e=t.lowerBound,s=t.upperBound,o=i.lowerBound,r=i.upperBound,h=n.min(e.x,o.x),a=n.min(e.y,o.y),m=n.max(r.x,s.x),_=n.max(r.y,s.y);this.lowerBound.set(h,a),this.upperBound.set(m,_)},a.prototype.combinePoints=function(t,i){this.lowerBound.set(n.min(t.x,i.x),n.min(t.y,i.y)),this.upperBound.set(n.max(t.x,i.x),n.max(t.y,i.y))},a.prototype.set=function(t){this.lowerBound.set(t.lowerBound.x,t.lowerBound.y),this.upperBound.set(t.upperBound.x,t.upperBound.y)},a.prototype.contains=function(t){var i=!0;return i=(i=(i=(i=i&&this.lowerBound.x<=t.lowerBound.x)&&this.lowerBound.y<=t.lowerBound.y)&&t.upperBound.x<=this.upperBound.x)&&t.upperBound.y<=this.upperBound.y},a.prototype.extend=function(t){return a.extend(this,t),this},a.extend=function(t,i){t.lowerBound.x-=i,t.lowerBound.y-=i,t.upperBound.x+=i,t.upperBound.y+=i},a.testOverlap=function(t,i){var e=i.lowerBound.x-t.upperBound.x,s=t.lowerBound.x-i.upperBound.x,o=i.lowerBound.y-t.upperBound.y,n=t.lowerBound.y-i.upperBound.y;return!(e>0||o>0||s>0||n>0)},a.areEqual=function(t,i){return r.areEqual(t.lowerBound,i.lowerBound)&&r.areEqual(t.upperBound,i.upperBound)},a.diff=function(t,i){var e=n.max(0,n.min(t.upperBound.x,i.upperBound.x)-n.max(i.lowerBound.x,t.lowerBound.x)),s=n.max(0,n.min(t.upperBound.y,i.upperBound.y)-n.max(i.lowerBound.y,t.lowerBound.y));return(t.upperBound.x-t.lowerBound.x)*(t.upperBound.y-t.lowerBound.y)+(i.upperBound.x-i.lowerBound.x)*(i.upperBound.y-i.lowerBound.y)-e*s},a.prototype.rayCast=function(t,i){for(var e=-1/0,s=1/0,o=i.p1,h=r.sub(i.p2,i.p1),a=r.abs(h),m=r.zero(),_="x";null!==_;_="x"===_?"y":null)if(a.x<n.EPSILON){if(o[_]<this.lowerBound[_]||this.upperBound[_]<o[_])return!1}else{var c=1/h[_],l=(this.lowerBound[_]-o[_])*c,u=(this.upperBound[_]-o[_])*c,p=-1;if(l>u){var y=l;l=u,u=y,p=1}if(l>e&&(m.setZero(),m[_]=p,e=l),e>(s=n.min(s,u)))return!1}return!(e<0||i.maxFraction<e)&&(t.fraction=e,t.normal=m,!0)},a.prototype.toString=function(){return JSON.stringify(this)},_.prototype.isLeaf=function(){return null==this.child1},c.prototype.getUserData=function(t){return this.m_nodes[t].userData},c.prototype.getFatAABB=function(t){return this.m_nodes[t].aabb},c.prototype.allocateNode=function(){var t=this.m_pool.allocate();return t.id=++this.m_lastProxyId,t.userData=null,t.parent=null,t.child1=null,t.child2=null,t.height=-1,this.m_nodes[t.id]=t,t},c.prototype.freeNode=function(t){this.m_pool.release(t),t.height=-1,delete this.m_nodes[t.id]},c.prototype.createProxy=function(t,i){var e=this.allocateNode();return e.aabb.set(t),a.extend(e.aabb,h.aabbExtension),e.userData=i,e.height=0,this.insertLeaf(e),e.id},c.prototype.destroyProxy=function(t){var i=this.m_nodes[t];this.removeLeaf(i),this.freeNode(i)},c.prototype.moveProxy=function(t,i,e){var s=this.m_nodes[t];return!s.aabb.contains(i)&&(this.removeLeaf(s),s.aabb.set(i),i=s.aabb,a.extend(i,h.aabbExtension),e.x<0?i.lowerBound.x+=e.x*h.aabbMultiplier:i.upperBound.x+=e.x*h.aabbMultiplier,e.y<0?i.lowerBound.y+=e.y*h.aabbMultiplier:i.upperBound.y+=e.y*h.aabbMultiplier,this.insertLeaf(s),!0)},c.prototype.insertLeaf=function(t){if(null==this.m_root)return this.m_root=t,void(this.m_root.parent=null);for(var i=t.aabb,e=this.m_root;0==e.isLeaf();){var s=e.child1,o=e.child2,r=e.aabb.getPerimeter(),h=new a;h.combine(e.aabb,i);var m,_,c=h.getPerimeter(),l=2*c,u=2*(c-r);if(s.isLeaf()){(y=new a).combine(i,s.aabb),m=y.getPerimeter()+u}else{(y=new a).combine(i,s.aabb);var p=s.aabb.getPerimeter();m=y.getPerimeter()-p+u}if(o.isLeaf()){(y=new a).combine(i,o.aabb),_=y.getPerimeter()+u}else{var y;(y=new a).combine(i,o.aabb);p=o.aabb.getPerimeter();_=y.getPerimeter()-p+u}if(l<m&&l<_)break;e=m<_?s:o}var d=e,f=d.parent,v=this.allocateNode();for(v.parent=f,v.userData=null,v.aabb.combine(i,d.aabb),v.height=d.height+1,null!=f?(f.child1==d?f.child1=v:f.child2=v,v.child1=d,v.child2=t,d.parent=v,t.parent=v):(v.child1=d,v.child2=t,d.parent=v,t.parent=v,this.m_root=v),e=t.parent;null!=e;){s=(e=this.balance(e)).child1,o=e.child2;e.height=1+n.max(s.height,o.height),e.aabb.combine(s.aabb,o.aabb),e=e.parent}},c.prototype.removeLeaf=function(t){if(t!=this.m_root){var i,e=t.parent,s=e.parent;if(i=e.child1==t?e.child2:e.child1,null!=s){s.child1==e?s.child1=i:s.child2=i,i.parent=s,this.freeNode(e);for(var o=s;null!=o;){var r=(o=this.balance(o)).child1,h=o.child2;o.aabb.combine(r.aabb,h.aabb),o.height=1+n.max(r.height,h.height),o=o.parent}}else this.m_root=i,i.parent=null,this.freeNode(e)}else this.m_root=null},c.prototype.balance=function(t){var i=t;if(i.isLeaf()||i.height<2)return t;var e=i.child1,s=i.child2,o=s.height-e.height;if(o>1){var r=s.child1,h=s.child2;return s.child1=i,s.parent=i.parent,i.parent=s,null!=s.parent?s.parent.child1==t?s.parent.child1=s:s.parent.child2=s:this.m_root=s,r.height>h.height?(s.child2=r,i.child2=h,h.parent=i,i.aabb.combine(e.aabb,h.aabb),s.aabb.combine(i.aabb,r.aabb),i.height=1+n.max(e.height,h.height),s.height=1+n.max(i.height,r.height)):(s.child2=h,i.child2=r,r.parent=i,i.aabb.combine(e.aabb,r.aabb),s.aabb.combine(i.aabb,h.aabb),i.height=1+n.max(e.height,r.height),s.height=1+n.max(i.height,h.height)),s}if(o<-1){var a=e.child1,m=e.child2;return e.child1=i,e.parent=i.parent,i.parent=e,null!=e.parent?e.parent.child1==i?e.parent.child1=e:e.parent.child2=e:this.m_root=e,a.height>m.height?(e.child2=a,i.child1=m,m.parent=i,i.aabb.combine(s.aabb,m.aabb),e.aabb.combine(i.aabb,a.aabb),i.height=1+n.max(s.height,m.height),e.height=1+n.max(i.height,a.height)):(e.child2=m,i.child1=a,a.parent=i,i.aabb.combine(s.aabb,a.aabb),e.aabb.combine(i.aabb,m.aabb),i.height=1+n.max(s.height,a.height),e.height=1+n.max(i.height,m.height)),e}return i},c.prototype.getHeight=function(){return null==this.m_root?0:this.m_root.height},c.prototype.getAreaRatio=function(){if(null==this.m_root)return 0;for(var t,i=this.m_root.aabb.getPerimeter(),e=0,s=p.allocate().preorder(this.m_root);t=s.next();)t.height<0||(e+=t.aabb.getPerimeter());return p.release(s),e/i},c.prototype.computeHeight=function(t){var i;if((i=void 0!==t?this.m_nodes[t]:this.m_root).isLeaf())return 0;var e=this.computeHeight(i.child1.id),s=this.computeHeight(i.child2.id);return 1+n.max(e,s)},c.prototype.validateStructure=function(t){if(null!=t){this.m_root;var i=t.child1,e=t.child2;t.isLeaf()||(this.validateStructure(i),this.validateStructure(e))}},c.prototype.validateMetrics=function(t){if(null!=t){var i=t.child1,e=t.child2;if(!t.isLeaf()){var s=i.height,o=e.height;n.max(s,o),(new a).combine(i.aabb,e.aabb),this.validateMetrics(i),this.validateMetrics(e)}}},c.prototype.validate=function(){this.validateStructure(this.m_root),this.validateMetrics(this.m_root)},c.prototype.getMaxBalance=function(){for(var t,i=0,e=p.allocate().preorder(this.m_root);t=e.next();)if(!(t.height<=1)){var s=n.abs(t.child2.height-t.child1.height);i=n.max(i,s)}return p.release(e),i},c.prototype.rebuildBottomUp=function(){for(var t,i=[],e=0,s=p.allocate().preorder(this.m_root);t=s.next();)t.height<0||(t.isLeaf()?(t.parent=null,i[e]=t,++e):this.freeNode(t));for(p.release(s);e>1;){for(var o=1/0,r=-1,h=-1,m=0;m<e;++m)for(var _=i[m].aabb,c=m+1;c<e;++c){var l=i[c].aabb,u=new a;u.combine(_,l);var y=u.getPerimeter();y<o&&(r=m,h=c,o=y)}var d=i[r],f=i[h],v=this.allocateNode();v.child1=d,v.child2=f,v.height=1+n.max(d.height,f.height),v.aabb.combine(d.aabb,f.aabb),v.parent=null,d.parent=v,f.parent=v,i[h]=i[e-1],i[r]=v,--e}this.m_root=i[0],this.validate()},c.prototype.shiftOrigin=function(t){for(var i,e=p.allocate().preorder(this.m_root);i=e.next();){var s=i.aabb;s.lowerBound.x-=t.x,s.lowerBound.y-=t.y,s.upperBound.x-=t.x,s.upperBound.y-=t.y}p.release(e)},c.prototype.query=function(t,i){var e=u.allocate();for(e.push(this.m_root);e.length>0;){var s=e.pop();if(null!=s)if(a.testOverlap(s.aabb,t))if(s.isLeaf()){if(0==i(s.id))return}else e.push(s.child1),e.push(s.child2)}u.release(e)},c.prototype.rayCast=function(t,i){var e=t.p1,s=t.p2,o=r.sub(s,e);o.normalize();var h=r.cross(1,o),m=r.abs(h),_=t.maxFraction,c=new a,p=r.combine(1-_,e,_,s);c.combinePoints(e,p);var y=u.allocate(),d=l.allocate();for(y.push(this.m_root);y.length>0;){var f=y.pop();if(null!=f&&0!=a.testOverlap(f.aabb,c)){var v=f.aabb.getCenter(),x=f.aabb.getExtents();if(!(n.abs(r.dot(h,r.sub(e,v)))-r.dot(m,x)>0))if(f.isLeaf()){d.p1=r.clone(t.p1),d.p2=r.clone(t.p2),d.maxFraction=_;var g=i(d,f.id);if(0==g)return;g>0&&(_=g,p=r.combine(1-_,e,_,s),c.combinePoints(e,p))}else y.push(f.child1),y.push(f.child2)}}u.release(y),l.release(d)};var l=new m({create:function(){return{}},release:function(t){}}),u=new m({create:function(){return[]},release:function(t){t.length=0}}),p=new m({create:function(){return new y},release:function(t){t.close()}});function y(){var t=[],i=[];return{preorder:function(e){return t.length=0,t.push(e),i.length=0,i.push(0),this},next:function(){for(;t.length>0;){var e=t.length-1,s=t[e];if(0===i[e])return i[e]=1,s;if(1===i[e]&&(i[e]=2,s.child1))return t.push(s.child1),i.push(1),s.child1;if(2===i[e]&&(i[e]=3,s.child2))return t.push(s.child2),i.push(1),s.child2;t.pop(),i.pop()}},close:function(){t.length=0}}}function d(){this.m_tree=new c,this.m_proxyCount=0,this.m_moveBuffer=[],this.queryCallback=this.queryCallback.bind(this)}function f(t){if(!(this instanceof f))return new f(t);"number"==typeof t?this.setAngle(t):"object"===i(t)?this.set(t):this.setIdentity()}function v(t,i){if(!(this instanceof v))return new v(t,i);this.p=r.zero(),this.q=f.identity(),void 0!==t&&this.p.set(t),void 0!==i&&this.q.set(i)}function x(t,i){this.localCenter=r.zero(),this.c=r.zero(),this.a=0,this.alpha0=0,this.c0=r.zero(),this.a0=0}function g(){this.v=r.zero(),this.w=0}function b(){this.c=r.zero(),this.a=0}function A(){this.m_type,this.m_radius}d.prototype.getUserData=function(t){return this.m_tree.getUserData(t)},d.prototype.testOverlap=function(t,i){var e=this.m_tree.getFatAABB(t),s=this.m_tree.getFatAABB(i);return a.testOverlap(e,s)},d.prototype.getFatAABB=function(t){return this.m_tree.getFatAABB(t)},d.prototype.getProxyCount=function(){return this.m_proxyCount},d.prototype.getTreeHeight=function(){return this.m_tree.getHeight()},d.prototype.getTreeBalance=function(){return this.m_tree.getMaxBalance()},d.prototype.getTreeQuality=function(){return this.m_tree.getAreaRatio()},d.prototype.query=function(t,i){this.m_tree.query(t,i)},d.prototype.rayCast=function(t,i){this.m_tree.rayCast(t,i)},d.prototype.shiftOrigin=function(t){this.m_tree.shiftOrigin(t)},d.prototype.createProxy=function(t,i){var e=this.m_tree.createProxy(t,i);return this.m_proxyCount++,this.bufferMove(e),e},d.prototype.destroyProxy=function(t){this.unbufferMove(t),this.m_proxyCount--,this.m_tree.destroyProxy(t)},d.prototype.moveProxy=function(t,i,e){this.m_tree.moveProxy(t,i,e)&&this.bufferMove(t)},d.prototype.touchProxy=function(t){this.bufferMove(t)},d.prototype.bufferMove=function(t){this.m_moveBuffer.push(t)},d.prototype.unbufferMove=function(t){for(var i=0;i<this.m_moveBuffer.length;++i)this.m_moveBuffer[i]==t&&(this.m_moveBuffer[i]=null)},d.prototype.updatePairs=function(t){for(this.m_callback=t;this.m_moveBuffer.length>0;)if(this.m_queryProxyId=this.m_moveBuffer.pop(),null!==this.m_queryProxyId){var i=this.m_tree.getFatAABB(this.m_queryProxyId);this.m_tree.query(i,this.queryCallback)}},d.prototype.queryCallback=function(t){if(t==this.m_queryProxyId)return!0;var i=n.min(t,this.m_queryProxyId),e=n.max(t,this.m_queryProxyId),s=this.m_tree.getUserData(i),o=this.m_tree.getUserData(e);return this.m_callback(s,o),!0},f.neo=function(t){var i=Object.create(f.prototype);return i.setAngle(t),i},f.clone=function(t){var i=Object.create(f.prototype);return i.s=t.s,i.c=t.c,i},f.identity=function(){var t=Object.create(f.prototype);return t.s=0,t.c=1,t},f.isValid=function(t){return t&&n.isFinite(t.s)&&n.isFinite(t.c)},f.assert=function(t){},f.prototype.setIdentity=function(){this.s=0,this.c=1},f.prototype.set=function(t){"object"===i(t)?(this.s=t.s,this.c=t.c):(this.s=n.sin(t),this.c=n.cos(t))},f.prototype.setAngle=function(t){this.s=n.sin(t),this.c=n.cos(t)},f.prototype.getAngle=function(){return n.atan2(this.s,this.c)},f.prototype.getXAxis=function(){return r.neo(this.c,this.s)},f.prototype.getYAxis=function(){return r.neo(-this.s,this.c)},f.mul=function(t,i){if("c"in i&&"s"in i){var e=f.identity();return e.s=t.s*i.c+t.c*i.s,e.c=t.c*i.c-t.s*i.s,e}if("x"in i&&"y"in i)return r.neo(t.c*i.x-t.s*i.y,t.s*i.x+t.c*i.y)},f.mulRot=function(t,i){var e=f.identity();return e.s=t.s*i.c+t.c*i.s,e.c=t.c*i.c-t.s*i.s,e},f.mulVec2=function(t,i){return r.neo(t.c*i.x-t.s*i.y,t.s*i.x+t.c*i.y)},f.mulSub=function(t,i,e){var s=t.c*(i.x-e.x)-t.s*(i.y-e.y),o=t.s*(i.x-e.x)+t.c*(i.y-e.y);return r.neo(s,o)},f.mulT=function(t,i){if("c"in i&&"s"in i){var e=f.identity();return e.s=t.c*i.s-t.s*i.c,e.c=t.c*i.c+t.s*i.s,e}if("x"in i&&"y"in i)return r.neo(t.c*i.x+t.s*i.y,-t.s*i.x+t.c*i.y)},f.mulTRot=function(t,i){var e=f.identity();return e.s=t.c*i.s-t.s*i.c,e.c=t.c*i.c+t.s*i.s,e},f.mulTVec2=function(t,i){return r.neo(t.c*i.x+t.s*i.y,-t.s*i.x+t.c*i.y)},v.clone=function(t){var i=Object.create(v.prototype);return i.p=r.clone(t.p),i.q=f.clone(t.q),i},v.neo=function(t,i){var e=Object.create(v.prototype);return e.p=r.clone(t),e.q=f.clone(i),e},v.identity=function(){var t=Object.create(v.prototype);return t.p=r.zero(),t.q=f.identity(),t},v.prototype.setIdentity=function(){this.p.setZero(),this.q.setIdentity()},v.prototype.set=function(t,i){void 0===i?(this.p.set(t.p),this.q.set(t.q)):(this.p.set(t),this.q.set(i))},v.isValid=function(t){return t&&r.isValid(t.p)&&f.isValid(t.q)},v.assert=function(t){},v.mul=function(t,i){if(Array.isArray(i)){for(var e=[],s=0;s<i.length;s++)e[s]=v.mul(t,i[s]);return e}if("x"in i&&"y"in i){var o=t.q.c*i.x-t.q.s*i.y+t.p.x,n=t.q.s*i.x+t.q.c*i.y+t.p.y;return r.neo(o,n)}if("p"in i&&"q"in i){var h=v.identity();return h.q=f.mulRot(t.q,i.q),h.p=r.add(f.mulVec2(t.q,i.p),t.p),h}},v.mulAll=function(t,i){for(var e=[],s=0;s<i.length;s++)e[s]=v.mul(t,i[s]);return e},v.mulFn=function(t){return function(i){return v.mul(t,i)}},v.mulVec2=function(t,i){var e=t.q.c*i.x-t.q.s*i.y+t.p.x,s=t.q.s*i.x+t.q.c*i.y+t.p.y;return r.neo(e,s)},v.mulXf=function(t,i){var e=v.identity();return e.q=f.mulRot(t.q,i.q),e.p=r.add(f.mulVec2(t.q,i.p),t.p),e},v.mulT=function(t,i){if("x"in i&&"y"in i){var e=i.x-t.p.x,s=i.y-t.p.y,o=t.q.c*e+t.q.s*s,n=-t.q.s*e+t.q.c*s;return r.neo(o,n)}if("p"in i&&"q"in i){var h=v.identity();return h.q.set(f.mulTRot(t.q,i.q)),h.p.set(f.mulTVec2(t.q,r.sub(i.p,t.p))),h}},v.mulTVec2=function(t,i){var e=i.x-t.p.x,s=i.y-t.p.y,o=t.q.c*e+t.q.s*s,n=-t.q.s*e+t.q.c*s;return r.neo(o,n)},v.mulTXf=function(t,i){var e=v.identity();return e.q.set(f.mulTRot(t.q,i.q)),e.p.set(f.mulTVec2(t.q,r.sub(i.p,t.p))),e},x.prototype.setTransform=function(t){var i=v.mulVec2(t,this.localCenter);this.c.set(i),this.c0.set(i),this.a=t.q.getAngle(),this.a0=t.q.getAngle()},x.prototype.setLocalCenter=function(t,i){this.localCenter.set(t);var e=v.mulVec2(i,this.localCenter);this.c.set(e),this.c0.set(e)},x.prototype.getTransform=function(t,i){i=void 0===i?0:i,t.q.setAngle((1-i)*this.a0+i*this.a),t.p.setCombine(1-i,this.c0,i,this.c),t.p.sub(f.mulVec2(t.q,this.localCenter))},x.prototype.advance=function(t){var i=(t-this.alpha0)/(1-this.alpha0);this.c0.setCombine(i,this.c,1-i,this.c0),this.a0=i*this.a+(1-i)*this.a0,this.alpha0=t},x.prototype.forward=function(){this.a0=this.a,this.c0.set(this.c)},x.prototype.normalize=function(){var t=n.mod(this.a0,-n.PI,+n.PI);this.a-=this.a0-t,this.a0=t},x.prototype.clone=function(){var t=new x;return t.localCenter.set(this.localCenter),t.alpha0=this.alpha0,t.a0=this.a0,t.a=this.a,t.c0.set(this.c0),t.c.set(this.c),t},x.prototype.set=function(t){this.localCenter.set(t.localCenter),this.alpha0=t.alpha0,this.a0=t.a0,this.a=t.a,this.c0.set(t.c0),this.c.set(t.c)},b.prototype.getTransform=function(t,i){return t.q.set(this.a),t.p.set(r.sub(this.c,f.mulVec2(t.q,i))),t},A.prototype._reset=function(){},A.prototype._serialize=function(){return{}},A.TYPES={},A._deserialize=function(t,i,e){var s=A.TYPES[t.type];return s&&e(s,t)},A.isValid=function(t){return!!t},A.prototype.getRadius=function(){return this.m_radius},A.prototype.getType=function(){return this.m_type},A.prototype._clone=function(){},A.prototype.getChildCount=function(){},A.prototype.testPoint=function(t,i){},A.prototype.rayCast=function(t,i,e,s){},A.prototype.computeAABB=function(t,i,e){},A.prototype.computeMass=function(t,i){},A.prototype.computeDistanceProxy=function(t){};var B={userData:null,friction:.2,restitution:0,density:0,isSensor:!1,filterGroupIndex:0,filterCategoryBits:1,filterMaskBits:65535};function w(t,i){this.aabb=new a,this.fixture=t,this.childIndex=i,this.proxyId}function C(t,i,s){i.shape?(s=i,i=i.shape):"number"==typeof s&&(s={density:s}),s=e(s,B),this.m_body=t,this.m_friction=s.friction,this.m_restitution=s.restitution,this.m_density=s.density,this.m_isSensor=s.isSensor,this.m_filterGroupIndex=s.filterGroupIndex,this.m_filterCategoryBits=s.filterCategoryBits,this.m_filterMaskBits=s.filterMaskBits,this.m_shape=i,this.m_next=null,this.m_proxies=[],this.m_proxyCount=0;for(var o=this.m_shape.getChildCount(),n=0;n<o;++n)this.m_proxies[n]=new w(this,n);this.m_userData=s.userData}C.prototype._reset=function(){var t=this.getBody(),i=t.m_world.m_broadPhase;this.destroyProxies(i),this.m_shape._reset&&this.m_shape._reset();for(var e=this.m_shape.getChildCount(),s=0;s<e;++s)this.m_proxies[s]=new w(this,s);this.createProxies(i,t.m_xf),t.resetMassData()},C.prototype._serialize=function(){return{friction:this.m_friction,restitution:this.m_restitution,density:this.m_density,isSensor:this.m_isSensor,filterGroupIndex:this.m_filterGroupIndex,filterCategoryBits:this.m_filterCategoryBits,filterMaskBits:this.m_filterMaskBits,shape:this.m_shape}},C._deserialize=function(t,i,e){var s=e(A,t.shape);return s&&new C(i,s,t)},C.prototype.getType=function(){return this.m_shape.getType()},C.prototype.getShape=function(){return this.m_shape},C.prototype.isSensor=function(){return this.m_isSensor},C.prototype.setSensor=function(t){t!=this.m_isSensor&&(this.m_body.setAwake(!0),this.m_isSensor=t)},C.prototype.getUserData=function(){return this.m_userData},C.prototype.setUserData=function(t){this.m_userData=t},C.prototype.getBody=function(){return this.m_body},C.prototype.getNext=function(){return this.m_next},C.prototype.getDensity=function(){return this.m_density},C.prototype.setDensity=function(t){this.m_density=t},C.prototype.getFriction=function(){return this.m_friction},C.prototype.setFriction=function(t){this.m_friction=t},C.prototype.getRestitution=function(){return this.m_restitution},C.prototype.setRestitution=function(t){this.m_restitution=t},C.prototype.testPoint=function(t){return this.m_shape.testPoint(this.m_body.getTransform(),t)},C.prototype.rayCast=function(t,i,e){return this.m_shape.rayCast(t,i,this.m_body.getTransform(),e)},C.prototype.getMassData=function(t){this.m_shape.computeMass(t,this.m_density)},C.prototype.getAABB=function(t){return this.m_proxies[t].aabb},C.prototype.createProxies=function(t,i){this.m_proxyCount=this.m_shape.getChildCount();for(var e=0;e<this.m_proxyCount;++e){var s=this.m_proxies[e];this.m_shape.computeAABB(s.aabb,i,e),s.proxyId=t.createProxy(s.aabb,s)}},C.prototype.destroyProxies=function(t){for(var i=0;i<this.m_proxyCount;++i){var e=this.m_proxies[i];t.destroyProxy(e.proxyId),e.proxyId=null}this.m_proxyCount=0},C.prototype.synchronize=function(t,i,e){for(var s=0;s<this.m_proxyCount;++s){var o=this.m_proxies[s],n=new a,h=new a;this.m_shape.computeAABB(n,i,o.childIndex),this.m_shape.computeAABB(h,e,o.childIndex),o.aabb.combine(n,h);var m=r.sub(e.p,i.p);t.moveProxy(o.proxyId,o.aabb,m)}},C.prototype.setFilterData=function(t){this.m_filterGroupIndex=t.groupIndex,this.m_filterCategoryBits=t.categoryBits,this.m_filterMaskBits=t.maskBits,this.refilter()},C.prototype.getFilterGroupIndex=function(){return this.m_filterGroupIndex},C.prototype.setFilterGroupIndex=function(t){return this.m_filterGroupIndex=t},C.prototype.getFilterCategoryBits=function(){return this.m_filterCategoryBits},C.prototype.setFilterCategoryBits=function(t){this.m_filterCategoryBits=t},C.prototype.getFilterMaskBits=function(){return this.m_filterMaskBits},C.prototype.setFilterMaskBits=function(t){this.m_filterMaskBits=t},C.prototype.refilter=function(){if(null!=this.m_body){for(var t=this.m_body.getContactList();t;){var i=t.contact,e=i.getFixtureA(),s=i.getFixtureB();e!=this&&s!=this||i.flagForFiltering(),t=t.next}var o=this.m_body.getWorld();if(null!=o)for(var n=o.m_broadPhase,r=0;r<this.m_proxyCount;++r)n.touchProxy(this.m_proxies[r].proxyId)}},C.prototype.shouldCollide=function(t){if(t.m_filterGroupIndex===this.m_filterGroupIndex&&0!==t.m_filterGroupIndex)return t.m_filterGroupIndex>0;var i=0!=(t.m_filterMaskBits&this.m_filterCategoryBits),e=0!=(t.m_filterCategoryBits&this.m_filterMaskBits);return i&&e};var M=z.STATIC="static",I=z.KINEMATIC="kinematic",S=z.DYNAMIC="dynamic",P={type:M,position:r.zero(),angle:0,linearVelocity:r.zero(),angularVelocity:0,linearDamping:0,angularDamping:0,fixedRotation:!1,bullet:!1,gravityScale:1,allowSleep:!0,awake:!0,active:!0,userData:null};function z(t,i){i=e(i,P),this.m_world=t,this.m_awakeFlag=i.awake,this.m_autoSleepFlag=i.allowSleep,this.m_bulletFlag=i.bullet,this.m_fixedRotationFlag=i.fixedRotation,this.m_activeFlag=i.active,this.m_islandFlag=!1,this.m_toiFlag=!1,this.m_userData=i.userData,this.m_type=i.type,this.m_type==S?(this.m_mass=1,this.m_invMass=1):(this.m_mass=0,this.m_invMass=0),this.m_I=0,this.m_invI=0,this.m_xf=v.identity(),this.m_xf.p=r.clone(i.position),this.m_xf.q.setAngle(i.angle),this.m_sweep=new x,this.m_sweep.setTransform(this.m_xf),this.c_velocity=new g,this.c_position=new b,this.m_force=r.zero(),this.m_torque=0,this.m_linearVelocity=r.clone(i.linearVelocity),this.m_angularVelocity=i.angularVelocity,this.m_linearDamping=i.linearDamping,this.m_angularDamping=i.angularDamping,this.m_gravityScale=i.gravityScale,this.m_sleepTime=0,this.m_jointList=null,this.m_contactList=null,this.m_fixtureList=null,this.m_prev=null,this.m_next=null,this.m_destroyed=!1}function T(){this.mass=0,this.center=r.zero(),this.I=0}function V(t,e,s,o){"object"===i(t)&&null!==t?(this.ex=r.clone(t),this.ey=r.clone(e)):"number"==typeof t?(this.ex=r.neo(t,s),this.ey=r.neo(e,o)):(this.ex=r.zero(),this.ey=r.zero())}function k(){this.type,this.localNormal=r.zero(),this.localPoint=r.zero(),this.points=[new L,new L],this.pointCount=0}function L(){this.localPoint=r.zero(),this.normalImpulse=0,this.tangentImpulse=0,this.id=new q}function q(){this.cf=new F}function F(){this.indexA,this.indexB,this.typeA,this.typeB}function j(){this.normal,this.points=[],this.separations=[]}z.prototype._serialize=function(){for(var t=[],i=this.m_fixtureList;i;i=i.m_next)t.push(i);return{type:this.m_type,bullet:this.m_bulletFlag,position:this.m_xf.p,angle:this.m_xf.q.getAngle(),linearVelocity:this.m_linearVelocity,angularVelocity:this.m_angularVelocity,fixtures:t}},z._deserialize=function(t,i,e){var s=new z(i,t);if(t.fixtures)for(var o=t.fixtures.length-1;o>=0;o--){var n=e(C,t.fixtures[o],s);s._addFixture(n)}return s},z.prototype.isWorldLocked=function(){return!(!this.m_world||!this.m_world.isLocked())},z.prototype.getWorld=function(){return this.m_world},z.prototype.getNext=function(){return this.m_next},z.prototype.setUserData=function(t){this.m_userData=t},z.prototype.getUserData=function(){return this.m_userData},z.prototype.getFixtureList=function(){return this.m_fixtureList},z.prototype.getJointList=function(){return this.m_jointList},z.prototype.getContactList=function(){return this.m_contactList},z.prototype.isStatic=function(){return this.m_type==M},z.prototype.isDynamic=function(){return this.m_type==S},z.prototype.isKinematic=function(){return this.m_type==I},z.prototype.setStatic=function(){return this.setType(M),this},z.prototype.setDynamic=function(){return this.setType(S),this},z.prototype.setKinematic=function(){return this.setType(I),this},z.prototype.getType=function(){return this.m_type},z.prototype.setType=function(t){if(1!=this.isWorldLocked()&&this.m_type!=t){this.m_type=t,this.resetMassData(),this.m_type==M&&(this.m_linearVelocity.setZero(),this.m_angularVelocity=0,this.m_sweep.forward(),this.synchronizeFixtures()),this.setAwake(!0),this.m_force.setZero(),this.m_torque=0;for(var i=this.m_contactList;i;){var e=i;i=i.next,this.m_world.destroyContact(e.contact)}this.m_contactList=null;for(var s=this.m_world.m_broadPhase,o=this.m_fixtureList;o;o=o.m_next)for(var n=o.m_proxyCount,r=0;r<n;++r)s.touchProxy(o.m_proxies[r].proxyId)}},z.prototype.isBullet=function(){return this.m_bulletFlag},z.prototype.setBullet=function(t){this.m_bulletFlag=!!t},z.prototype.isSleepingAllowed=function(){return this.m_autoSleepFlag},z.prototype.setSleepingAllowed=function(t){this.m_autoSleepFlag=!!t,0==this.m_autoSleepFlag&&this.setAwake(!0)},z.prototype.isAwake=function(){return this.m_awakeFlag},z.prototype.setAwake=function(t){t?0==this.m_awakeFlag&&(this.m_awakeFlag=!0,this.m_sleepTime=0):(this.m_awakeFlag=!1,this.m_sleepTime=0,this.m_linearVelocity.setZero(),this.m_angularVelocity=0,this.m_force.setZero(),this.m_torque=0)},z.prototype.isActive=function(){return this.m_activeFlag},z.prototype.setActive=function(t){if(t!=this.m_activeFlag)if(this.m_activeFlag=!!t,this.m_activeFlag)for(var i=this.m_world.m_broadPhase,e=this.m_fixtureList;e;e=e.m_next)e.createProxies(i,this.m_xf);else{for(i=this.m_world.m_broadPhase,e=this.m_fixtureList;e;e=e.m_next)e.destroyProxies(i);for(var s=this.m_contactList;s;){var o=s;s=s.next,this.m_world.destroyContact(o.contact)}this.m_contactList=null}},z.prototype.isFixedRotation=function(){return this.m_fixedRotationFlag},z.prototype.setFixedRotation=function(t){this.m_fixedRotationFlag!=t&&(this.m_fixedRotationFlag=!!t,this.m_angularVelocity=0,this.resetMassData())},z.prototype.getTransform=function(){return this.m_xf},z.prototype.setTransform=function(t,i){if(1!=this.isWorldLocked()){this.m_xf.set(t,i),this.m_sweep.setTransform(this.m_xf);for(var e=this.m_world.m_broadPhase,s=this.m_fixtureList;s;s=s.m_next)s.synchronize(e,this.m_xf,this.m_xf)}},z.prototype.synchronizeTransform=function(){this.m_sweep.getTransform(this.m_xf,1)},z.prototype.synchronizeFixtures=function(){var t=v.identity();this.m_sweep.getTransform(t,0);for(var i=this.m_world.m_broadPhase,e=this.m_fixtureList;e;e=e.m_next)e.synchronize(i,t,this.m_xf)},z.prototype.advance=function(t){this.m_sweep.advance(t),this.m_sweep.c.set(this.m_sweep.c0),this.m_sweep.a=this.m_sweep.a0,this.m_sweep.getTransform(this.m_xf,1)},z.prototype.getPosition=function(){return this.m_xf.p},z.prototype.setPosition=function(t){this.setTransform(t,this.m_sweep.a)},z.prototype.getAngle=function(){return this.m_sweep.a},z.prototype.setAngle=function(t){this.setTransform(this.m_xf.p,t)},z.prototype.getWorldCenter=function(){return this.m_sweep.c},z.prototype.getLocalCenter=function(){return this.m_sweep.localCenter},z.prototype.getLinearVelocity=function(){return this.m_linearVelocity},z.prototype.getLinearVelocityFromWorldPoint=function(t){var i=r.sub(t,this.m_sweep.c);return r.add(this.m_linearVelocity,r.cross(this.m_angularVelocity,i))},z.prototype.getLinearVelocityFromLocalPoint=function(t){return this.getLinearVelocityFromWorldPoint(this.getWorldPoint(t))},z.prototype.setLinearVelocity=function(t){this.m_type!=M&&(r.dot(t,t)>0&&this.setAwake(!0),this.m_linearVelocity.set(t))},z.prototype.getAngularVelocity=function(){return this.m_angularVelocity},z.prototype.setAngularVelocity=function(t){this.m_type!=M&&(t*t>0&&this.setAwake(!0),this.m_angularVelocity=t)},z.prototype.getLinearDamping=function(){return this.m_linearDamping},z.prototype.setLinearDamping=function(t){this.m_linearDamping=t},z.prototype.getAngularDamping=function(){return this.m_angularDamping},z.prototype.setAngularDamping=function(t){this.m_angularDamping=t},z.prototype.getGravityScale=function(){return this.m_gravityScale},z.prototype.setGravityScale=function(t){this.m_gravityScale=t},z.prototype.getMass=function(){return this.m_mass},z.prototype.getInertia=function(){return this.m_I+this.m_mass*r.dot(this.m_sweep.localCenter,this.m_sweep.localCenter)},z.prototype.getMassData=function(t){t.mass=this.m_mass,t.I=this.getInertia(),t.center.set(this.m_sweep.localCenter)},z.prototype.resetMassData=function(){if(this.m_mass=0,this.m_invMass=0,this.m_I=0,this.m_invI=0,this.m_sweep.localCenter.setZero(),this.isStatic()||this.isKinematic())return this.m_sweep.c0.set(this.m_xf.p),this.m_sweep.c.set(this.m_xf.p),void(this.m_sweep.a0=this.m_sweep.a);for(var t=r.zero(),i=this.m_fixtureList;i;i=i.m_next)if(0!=i.m_density){var e=new T;i.getMassData(e),this.m_mass+=e.mass,t.addMul(e.mass,e.center),this.m_I+=e.I}this.m_mass>0?(this.m_invMass=1/this.m_mass,t.mul(this.m_invMass)):(this.m_mass=1,this.m_invMass=1),this.m_I>0&&0==this.m_fixedRotationFlag?(this.m_I-=this.m_mass*r.dot(t,t),this.m_invI=1/this.m_I):(this.m_I=0,this.m_invI=0);var s=r.clone(this.m_sweep.c);this.m_sweep.setLocalCenter(t,this.m_xf),this.m_linearVelocity.add(r.cross(this.m_angularVelocity,r.sub(this.m_sweep.c,s)))},z.prototype.setMassData=function(t){if(1!=this.isWorldLocked()&&this.m_type==S){this.m_invMass=0,this.m_I=0,this.m_invI=0,this.m_mass=t.mass,this.m_mass<=0&&(this.m_mass=1),this.m_invMass=1/this.m_mass,t.I>0&&0==this.m_fixedRotationFlag&&(this.m_I=t.I-this.m_mass*r.dot(t.center,t.center),this.m_invI=1/this.m_I);var i=r.clone(this.m_sweep.c);this.m_sweep.setLocalCenter(t.center,this.m_xf),this.m_linearVelocity.add(r.cross(this.m_angularVelocity,r.sub(this.m_sweep.c,i)))}},z.prototype.applyForce=function(t,i,e){this.m_type==S&&(e&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_force.add(t),this.m_torque+=r.cross(r.sub(i,this.m_sweep.c),t)))},z.prototype.applyForceToCenter=function(t,i){this.m_type==S&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&this.m_force.add(t))},z.prototype.applyTorque=function(t,i){this.m_type==S&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_torque+=t))},z.prototype.applyLinearImpulse=function(t,i,e){this.m_type==S&&(e&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_linearVelocity.addMul(this.m_invMass,t),this.m_angularVelocity+=this.m_invI*r.cross(r.sub(i,this.m_sweep.c),t)))},z.prototype.applyAngularImpulse=function(t,i){this.m_type==S&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_angularVelocity+=this.m_invI*t))},z.prototype.shouldCollide=function(t){if(this.m_type!=S&&t.m_type!=S)return!1;for(var i=this.m_jointList;i;i=i.next)if(i.other==t&&0==i.joint.m_collideConnected)return!1;return!0},z.prototype._addFixture=function(t){if(1==this.isWorldLocked())return null;if(this.m_activeFlag){var i=this.m_world.m_broadPhase;t.createProxies(i,this.m_xf)}return t.m_next=this.m_fixtureList,this.m_fixtureList=t,t.m_density>0&&this.resetMassData(),this.m_world.m_newFixture=!0,t},z.prototype.createFixture=function(t,i){if(1==this.isWorldLocked())return null;var e=new C(this,t,i);return this._addFixture(e),e},z.prototype.destroyFixture=function(t){if(1!=this.isWorldLocked()){if(this.m_fixtureList===t)this.m_fixtureList=t.m_next;else for(var i=this.m_fixtureList;null!=i;){if(i.m_next===t){i.m_next=t.m_next;break}i=i.m_next}for(var e=this.m_contactList;e;){var s=e.contact;e=e.next;var o=s.getFixtureA(),n=s.getFixtureB();t!=o&&t!=n||this.m_world.destroyContact(s)}if(this.m_activeFlag){var r=this.m_world.m_broadPhase;t.destroyProxies(r)}t.m_body=null,t.m_next=null,this.m_world.publish("remove-fixture",t),this.resetMassData()}},z.prototype.getWorldPoint=function(t){return v.mulVec2(this.m_xf,t)},z.prototype.getWorldVector=function(t){return f.mulVec2(this.m_xf.q,t)},z.prototype.getLocalPoint=function(t){return v.mulTVec2(this.m_xf,t)},z.prototype.getLocalVector=function(t){return f.mulTVec2(this.m_xf.q,t)},V.prototype.toString=function(){return JSON.stringify(this)},V.isValid=function(t){return t&&r.isValid(t.ex)&&r.isValid(t.ey)},V.assert=function(t){},V.prototype.set=function(t,e,s,o){"number"==typeof t&&"number"==typeof e&&"number"==typeof s&&"number"==typeof o?(this.ex.set(t,s),this.ey.set(e,o)):"object"===i(t)&&"object"===i(e)?(this.ex.set(t),this.ey.set(e)):"object"===i(t)&&(this.ex.set(t.ex),this.ey.set(t.ey))},V.prototype.setIdentity=function(){this.ex.x=1,this.ey.x=0,this.ex.y=0,this.ey.y=1},V.prototype.setZero=function(){this.ex.x=0,this.ey.x=0,this.ex.y=0,this.ey.y=0},V.prototype.getInverse=function(){var t=this.ex.x,i=this.ey.x,e=this.ex.y,s=this.ey.y,o=t*s-i*e;0!=o&&(o=1/o);var n=new V;return n.ex.x=o*s,n.ey.x=-o*i,n.ex.y=-o*e,n.ey.y=o*t,n},V.prototype.solve=function(t){var i=this.ex.x,e=this.ey.x,s=this.ex.y,o=this.ey.y,n=i*o-e*s;0!=n&&(n=1/n);var h=r.zero();return h.x=n*(o*t.x-e*t.y),h.y=n*(i*t.y-s*t.x),h},V.mul=function(t,i){if(i&&"x"in i&&"y"in i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)}if(i&&"ex"in i&&"ey"in i)return new V(t.ex.x*i.ex.x+t.ey.x*i.ex.y,t.ex.x*i.ey.x+t.ey.x*i.ey.y,t.ex.y*i.ex.x+t.ey.y*i.ex.y,t.ex.y*i.ey.x+t.ey.y*i.ey.y)},V.mulVec2=function(t,i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)},V.mulMat22=function(t,i){return new V(t.ex.x*i.ex.x+t.ey.x*i.ex.y,t.ex.x*i.ey.x+t.ey.x*i.ey.y,t.ex.y*i.ex.x+t.ey.y*i.ex.y,t.ex.y*i.ey.x+t.ey.y*i.ey.y)},V.mulT=function(t,i){return i&&"x"in i&&"y"in i?r.neo(r.dot(i,t.ex),r.dot(i,t.ey)):i&&"ex"in i&&"ey"in i?new V(r.neo(r.dot(t.ex,i.ex),r.dot(t.ey,i.ex)),r.neo(r.dot(t.ex,i.ey),r.dot(t.ey,i.ey))):void 0},V.mulTVec2=function(t,i){return r.neo(r.dot(i,t.ex),r.dot(i,t.ey))},V.mulTMat22=function(t,i){return new V(r.neo(r.dot(t.ex,i.ex),r.dot(t.ey,i.ex)),r.neo(r.dot(t.ex,i.ey),r.dot(t.ey,i.ey)))},V.abs=function(t){return new V(r.abs(t.ex),r.abs(t.ey))},V.add=function(t,i){return new V(r.add(t.ex,i.ex),r.add(t.ey,i.ey))},k.clipSegmentToLine=function(t,i,e,s,o){var n=0,h=r.dot(e,i[0].v)-s,a=r.dot(e,i[1].v)-s;h<=0&&t[n++].set(i[0]);a<=0&&t[n++].set(i[1]);if(h*a<0){var m=h/(h-a);t[n].v.setCombine(1-m,i[0].v,m,i[1].v),t[n].id.cf.indexA=o,t[n].id.cf.indexB=i[0].id.cf.indexB,t[n].id.cf.typeA=k.e_vertex,t[n].id.cf.typeB=k.e_face,++n}return n},k.ClipVertex=Y,k.getPointStates=function(t,i,e,s){for(var o=0;o<e.pointCount;++o){var n=e.points[o].id;t[o]=E.removeState;for(var r=0;r<s.pointCount;++r)if(s.points[r].id.key==n.key){t[o]=E.persistState;break}}for(o=0;o<s.pointCount;++o){n=s.points[o].id;i[o]=E.addState;for(r=0;r<e.pointCount;++r)if(e.points[r].id.key==n.key){i[o]=E.persistState;break}}},k.PointState=E,k.e_circles=0,k.e_faceA=1,k.e_faceB=2,k.e_vertex=0,k.e_face=1,Object.defineProperty(q.prototype,"key",{get:function(){return this.cf.indexA+4*this.cf.indexB+16*this.cf.typeA+64*this.cf.typeB},enumerable:!0,configurable:!0}),q.prototype.set=function(t){this.cf.set(t.cf)},F.prototype.set=function(t){this.indexA=t.indexA,this.indexB=t.indexB,this.typeA=t.typeA,this.typeB=t.typeB},k.prototype.getWorldManifold=function(t,i,e,s,o){if(0!=this.pointCount){var h=(t=t||new j).normal,a=t.points,m=t.separations;switch(this.type){case k.e_circles:h=r.neo(1,0);var _=v.mulVec2(i,this.localPoint),c=v.mulVec2(s,this.points[0].localPoint),l=r.sub(c,_);r.lengthSquared(l)>n.EPSILON*n.EPSILON&&(h.set(l),h.normalize());var u=_.clone().addMul(e,h),p=c.clone().addMul(-o,h);a[0]=r.mid(u,p),m[0]=r.dot(r.sub(p,u),h),a.length=1,m.length=1;break;case k.e_faceA:h=f.mulVec2(i.q,this.localNormal);for(var y=v.mulVec2(i,this.localPoint),d=0;d<this.pointCount;++d){var x=v.mulVec2(s,this.points[d].localPoint);u=r.clone(x).addMul(e-r.dot(r.sub(x,y),h),h),p=r.clone(x).subMul(o,h);a[d]=r.mid(u,p),m[d]=r.dot(r.sub(p,u),h)}a.length=this.pointCount,m.length=this.pointCount;break;case k.e_faceB:h=f.mulVec2(s.q,this.localNormal);for(y=v.mulVec2(s,this.localPoint),d=0;d<this.pointCount;++d){x=v.mulVec2(i,this.points[d].localPoint),p=r.combine(1,x,o-r.dot(r.sub(x,y),h),h),u=r.combine(1,x,-e,h);a[d]=r.mid(u,p),m[d]=r.dot(r.sub(u,p),h)}a.length=this.pointCount,m.length=this.pointCount,h.mul(-1)}return t.normal=h,t.points=a,t.separations=m,t}};var E={nullState:0,addState:1,persistState:2,removeState:3};function Y(){this.v=r.zero(),this.id=new q}Y.prototype.set=function(t){this.v.set(t.v),this.id.set(t.id)};var D={toString:function(t){t="string"==typeof t?t:"\n";var e="";for(var s in this)"function"!=typeof this[s]&&"object"!==i(this[s])&&(e+=s+": "+this[s]+t);return e}};function R(t,e,s){if(!(this instanceof R))return new R(t,e,s);void 0===t?(this.x=0,this.y=0,this.z=0):"object"===i(t)?(this.x=t.x,this.y=t.y,this.z=t.z):(this.x=t,this.y=e,this.z=s)}function O(t,e,s){"object"===i(t)&&null!==t?(this.ex=R.clone(t),this.ey=R.clone(e),this.ez=R.clone(s)):(this.ex=R(),this.ey=R(),this.ez=R())}function J(){this.proxyA=new H,this.proxyB=new H,this.transformA=null,this.transformB=null,this.useRadii=!1}function X(){this.pointA=r.zero(),this.pointB=r.zero(),this.distance,this.iterations}function N(){this.metric=0,this.indexA=[],this.indexB=[],this.count=0}function W(t,i,e){++D.gjkCalls;var s=e.proxyA,o=e.proxyB,a=e.transformA,m=e.transformB,_=new K;_.readCache(i,s,a,o,m);for(var c=_.m_v,l=h.maxDistnceIterations,u=[],p=[],y=0,d=0;d<l;){y=_.m_count;for(var x=0;x<y;++x)u[x]=c[x].indexA,p[x]=c[x].indexB;if(_.solve(),3==_.m_count)break;(M=_.getClosestPoint()).lengthSquared();var g=_.getSearchDirection();if(g.lengthSquared()<n.EPSILON*n.EPSILON)break;var b=c[_.m_count];b.indexA=s.getSupport(f.mulTVec2(a.q,r.neg(g))),b.wA=v.mulVec2(a,s.getVertex(b.indexA)),b.indexB=o.getSupport(f.mulTVec2(m.q,g)),b.wB=v.mulVec2(m,o.getVertex(b.indexB)),b.w=r.sub(b.wB,b.wA),++d,++D.gjkIters;var A=!1;for(x=0;x<y;++x)if(b.indexA==u[x]&&b.indexB==p[x]){A=!0;break}if(A)break;++_.m_count}if(D.gjkMaxIters=n.max(D.gjkMaxIters,d),_.getWitnessPoints(t.pointA,t.pointB),t.distance=r.distance(t.pointA,t.pointB),t.iterations=d,_.writeCache(i),e.useRadii){var B=s.m_radius,w=o.m_radius;if(t.distance>B+w&&t.distance>n.EPSILON){t.distance-=B+w;var C=r.sub(t.pointB,t.pointA);C.normalize(),t.pointA.addMul(B,C),t.pointB.subMul(w,C)}else{var M=r.mid(t.pointA,t.pointB);t.pointA.set(M),t.pointB.set(M),t.distance=0}}}function H(){this.m_buffer=[],this.m_vertices=[],this.m_count=0,this.m_radius=0}function Z(){this.indexA,this.indexB,this.wA=r.zero(),this.wB=r.zero(),this.w=r.zero(),this.a}function K(){this.m_v1=new Z,this.m_v2=new Z,this.m_v3=new Z,this.m_v=[this.m_v1,this.m_v2,this.m_v3],this.m_count}function G(t){this.contact=t,this.prev,this.next,this.other}function U(t,i,e,s,o){this.m_nodeA=new G(this),this.m_nodeB=new G(this),this.m_fixtureA=t,this.m_fixtureB=e,this.m_indexA=i,this.m_indexB=s,this.m_evaluateFcn=o,this.m_manifold=new k,this.m_prev=null,this.m_next=null,this.m_toi=1,this.m_toiCount=0,this.m_toiFlag=!1,this.m_friction=Q(this.m_fixtureA.m_friction,this.m_fixtureB.m_friction),this.m_restitution=tt(this.m_fixtureA.m_restitution,this.m_fixtureB.m_restitution),this.m_tangentSpeed=0,this.m_enabledFlag=!0,this.m_islandFlag=!1,this.m_touchingFlag=!1,this.m_filterFlag=!1,this.m_bulletHitFlag=!1,this.v_points=[],this.v_normal=r.zero(),this.v_normalMass=new V,this.v_K=new V,this.v_pointCount,this.v_tangentSpeed,this.v_friction,this.v_restitution,this.v_invMassA,this.v_invMassB,this.v_invIA,this.v_invIB,this.p_localPoints=[],this.p_localNormal=r.zero(),this.p_localPoint=r.zero(),this.p_localCenterA=r.zero(),this.p_localCenterB=r.zero(),this.p_type,this.p_radiusA,this.p_radiusB,this.p_pointCount,this.p_invMassA,this.p_invMassB,this.p_invIA,this.p_invIB}function $(){this.rA=r.zero(),this.rB=r.zero(),this.normalImpulse=0,this.tangentImpulse=0,this.normalMass=0,this.tangentMass=0,this.velocityBias=0}function Q(t,i){return n.sqrt(t*i)}function tt(t,i){return t>i?t:i}R.prototype._serialize=function(){return{x:this.x,y:this.y,z:this.z}},R._deserialize=function(t){var i=Object.create(R.prototype);return i.x=t.x,i.y=t.y,i.z=t.z,i},R.neo=function(t,i,e){var s=Object.create(R.prototype);return s.x=t,s.y=i,s.z=e,s},R.clone=function(t){return R.neo(t.x,t.y,t.z)},R.prototype.toString=function(){return JSON.stringify(this)},R.isValid=function(t){return t&&n.isFinite(t.x)&&n.isFinite(t.y)&&n.isFinite(t.z)},R.assert=function(t){},R.prototype.setZero=function(){return this.x=0,this.y=0,this.z=0,this},R.prototype.set=function(t,i,e){return this.x=t,this.y=i,this.z=e,this},R.prototype.add=function(t){return this.x+=t.x,this.y+=t.y,this.z+=t.z,this},R.prototype.sub=function(t){return this.x-=t.x,this.y-=t.y,this.z-=t.z,this},R.prototype.mul=function(t){return this.x*=t,this.y*=t,this.z*=t,this},R.areEqual=function(t,e){return t==e||"object"===i(t)&&null!==t&&"object"===i(e)&&null!==e&&t.x===e.x&&t.y===e.y&&t.z===e.z},R.dot=function(t,i){return t.x*i.x+t.y*i.y+t.z*i.z},R.cross=function(t,i){return new R(t.y*i.z-t.z*i.y,t.z*i.x-t.x*i.z,t.x*i.y-t.y*i.x)},R.add=function(t,i){return new R(t.x+i.x,t.y+i.y,t.z+i.z)},R.sub=function(t,i){return new R(t.x-i.x,t.y-i.y,t.z-i.z)},R.mul=function(t,i){return new R(i*t.x,i*t.y,i*t.z)},R.prototype.neg=function(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this},R.neg=function(t){return new R(-t.x,-t.y,-t.z)},O.prototype.toString=function(){return JSON.stringify(this)},O.isValid=function(t){return t&&R.isValid(t.ex)&&R.isValid(t.ey)&&R.isValid(t.ez)},O.assert=function(t){},O.prototype.setZero=function(){return this.ex.setZero(),this.ey.setZero(),this.ez.setZero(),this},O.prototype.solve33=function(t){var i=R.dot(this.ex,R.cross(this.ey,this.ez));0!=i&&(i=1/i);var e=new R;return e.x=i*R.dot(t,R.cross(this.ey,this.ez)),e.y=i*R.dot(this.ex,R.cross(t,this.ez)),e.z=i*R.dot(this.ex,R.cross(this.ey,t)),e},O.prototype.solve22=function(t){var i=this.ex.x,e=this.ey.x,s=this.ex.y,o=this.ey.y,n=i*o-e*s;0!=n&&(n=1/n);var h=r.zero();return h.x=n*(o*t.x-e*t.y),h.y=n*(i*t.y-s*t.x),h},O.prototype.getInverse22=function(t){var i=this.ex.x,e=this.ey.x,s=this.ex.y,o=this.ey.y,n=i*o-e*s;0!=n&&(n=1/n),t.ex.x=n*o,t.ey.x=-n*e,t.ex.z=0,t.ex.y=-n*s,t.ey.y=n*i,t.ey.z=0,t.ez.x=0,t.ez.y=0,t.ez.z=0},O.prototype.getSymInverse33=function(t){var i=R.dot(this.ex,R.cross(this.ey,this.ez));0!=i&&(i=1/i);var e=this.ex.x,s=this.ey.x,o=this.ez.x,n=this.ey.y,r=this.ez.y,h=this.ez.z;t.ex.x=i*(n*h-r*r),t.ex.y=i*(o*r-s*h),t.ex.z=i*(s*r-o*n),t.ey.x=t.ex.y,t.ey.y=i*(e*h-o*o),t.ey.z=i*(o*s-e*r),t.ez.x=t.ex.z,t.ez.y=t.ey.z,t.ez.z=i*(e*n-s*s)},O.mul=function(t,i){if(i&&"z"in i&&"y"in i&&"x"in i)return new R(e=t.ex.x*i.x+t.ey.x*i.y+t.ez.x*i.z,s=t.ex.y*i.x+t.ey.y*i.y+t.ez.y*i.z,t.ex.z*i.x+t.ey.z*i.y+t.ez.z*i.z);if(i&&"y"in i&&"x"in i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)}},O.mulVec3=function(t,i){return new R(t.ex.x*i.x+t.ey.x*i.y+t.ez.x*i.z,t.ex.y*i.x+t.ey.y*i.y+t.ez.y*i.z,t.ex.z*i.x+t.ey.z*i.y+t.ez.z*i.z)},O.mulVec2=function(t,i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)},O.add=function(t,i){return new O(R.add(t.ex,i.ex),R.add(t.ey,i.ey),R.add(t.ez,i.ez))},W.Input=J,W.Output=X,W.Proxy=H,W.Cache=N,D.gjkCalls=0,D.gjkIters=0,D.gjkMaxIters=0,H.prototype.getVertexCount=function(){return this.m_count},H.prototype.getVertex=function(t){return this.m_vertices[t]},H.prototype.getSupport=function(t){for(var i=0,e=r.dot(this.m_vertices[0],t),s=0;s<this.m_count;++s){var o=r.dot(this.m_vertices[s],t);o>e&&(i=s,e=o)}return i},H.prototype.getSupportVertex=function(t){return this.m_vertices[this.getSupport(t)]},H.prototype.set=function(t,i){t.computeDistanceProxy(this,i)},Z.prototype.set=function(t){this.indexA=t.indexA,this.indexB=t.indexB,this.wA=r.clone(t.wA),this.wB=r.clone(t.wB),this.w=r.clone(t.w),this.a=t.a},K.prototype.print=function(){return 3==this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y,this.m_v2.a,this.m_v2.wA.x,this.m_v2.wA.y,this.m_v2.wB.x,this.m_v2.wB.y,this.m_v3.a,this.m_v3.wA.x,this.m_v3.wA.y,this.m_v3.wB.x,this.m_v3.wB.y].toString():2==this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y,this.m_v2.a,this.m_v2.wA.x,this.m_v2.wA.y,this.m_v2.wB.x,this.m_v2.wB.y].toString():1==this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y].toString():"+"+this.m_count},K.prototype.readCache=function(t,i,e,s,o){this.m_count=t.count;for(var h=0;h<this.m_count;++h){(l=this.m_v[h]).indexA=t.indexA[h],l.indexB=t.indexB[h];var a=i.getVertex(l.indexA),m=s.getVertex(l.indexB);l.wA=v.mulVec2(e,a),l.wB=v.mulVec2(o,m),l.w=r.sub(l.wB,l.wA),l.a=0}if(this.m_count>1){var _=t.metric,c=this.getMetric();(c<.5*_||2*_<c||c<n.EPSILON)&&(this.m_count=0)}if(0==this.m_count){var l;(l=this.m_v[0]).indexA=0,l.indexB=0;a=i.getVertex(0),m=s.getVertex(0);l.wA=v.mulVec2(e,a),l.wB=v.mulVec2(o,m),l.w=r.sub(l.wB,l.wA),l.a=1,this.m_count=1}},K.prototype.writeCache=function(t){t.metric=this.getMetric(),t.count=this.m_count;for(var i=0;i<this.m_count;++i)t.indexA[i]=this.m_v[i].indexA,t.indexB[i]=this.m_v[i].indexB},K.prototype.getSearchDirection=function(){switch(this.m_count){case 1:return r.neg(this.m_v1.w);case 2:var t=r.sub(this.m_v2.w,this.m_v1.w);return r.cross(t,r.neg(this.m_v1.w))>0?r.cross(1,t):r.cross(t,1);default:return r.zero()}},K.prototype.getClosestPoint=function(){switch(this.m_count){case 0:return r.zero();case 1:return r.clone(this.m_v1.w);case 2:return r.combine(this.m_v1.a,this.m_v1.w,this.m_v2.a,this.m_v2.w);case 3:default:return r.zero()}},K.prototype.getWitnessPoints=function(t,i){switch(this.m_count){case 0:break;case 1:t.set(this.m_v1.wA),i.set(this.m_v1.wB);break;case 2:t.setCombine(this.m_v1.a,this.m_v1.wA,this.m_v2.a,this.m_v2.wA),i.setCombine(this.m_v1.a,this.m_v1.wB,this.m_v2.a,this.m_v2.wB);break;case 3:t.setCombine(this.m_v1.a,this.m_v1.wA,this.m_v2.a,this.m_v2.wA),t.addMul(this.m_v3.a,this.m_v3.wA),i.set(t)}},K.prototype.getMetric=function(){switch(this.m_count){case 0:case 1:return 0;case 2:return r.distance(this.m_v1.w,this.m_v2.w);case 3:return r.cross(r.sub(this.m_v2.w,this.m_v1.w),r.sub(this.m_v3.w,this.m_v1.w));default:return 0}},K.prototype.solve=function(){switch(this.m_count){case 1:break;case 2:this.solve2();break;case 3:this.solve3()}},K.prototype.solve2=function(){var t=this.m_v1.w,i=this.m_v2.w,e=r.sub(i,t),s=-r.dot(t,e);if(s<=0)return this.m_v1.a=1,void(this.m_count=1);var o=r.dot(i,e);if(o<=0)return this.m_v2.a=1,this.m_count=1,void this.m_v1.set(this.m_v2);var n=1/(o+s);this.m_v1.a=o*n,this.m_v2.a=s*n,this.m_count=2},K.prototype.solve3=function(){var t=this.m_v1.w,i=this.m_v2.w,e=this.m_v3.w,s=r.sub(i,t),o=r.dot(t,s),n=r.dot(i,s),h=-o,a=r.sub(e,t),m=r.dot(t,a),_=r.dot(e,a),c=-m,l=r.sub(e,i),u=r.dot(i,l),p=r.dot(e,l),y=-u,d=r.cross(s,a),f=d*r.cross(i,e),v=d*r.cross(e,t),x=d*r.cross(t,i);if(h<=0&&c<=0)return this.m_v1.a=1,void(this.m_count=1);if(n>0&&h>0&&x<=0){var g=1/(n+h);return this.m_v1.a=n*g,this.m_v2.a=h*g,void(this.m_count=2)}if(_>0&&c>0&&v<=0){var b=1/(_+c);return this.m_v1.a=_*b,this.m_v3.a=c*b,this.m_count=2,void this.m_v2.set(this.m_v3)}if(n<=0&&y<=0)return this.m_v2.a=1,this.m_count=1,void this.m_v1.set(this.m_v2);if(_<=0&&p<=0)return this.m_v3.a=1,this.m_count=1,void this.m_v1.set(this.m_v3);if(p>0&&y>0&&f<=0){var A=1/(p+y);return this.m_v2.a=p*A,this.m_v3.a=y*A,this.m_count=2,void this.m_v1.set(this.m_v3)}var B=1/(f+v+x);this.m_v1.a=f*B,this.m_v2.a=v*B,this.m_v3.a=x*B,this.m_count=3},W.testOverlap=function(t,i,e,s,o,r){var h=new J;h.proxyA.set(t,i),h.proxyB.set(e,s),h.transformA=o,h.transformB=r,h.useRadii=!0;var a=new N,m=new X;return W(m,a,h),m.distance<10*n.EPSILON},U.prototype.initConstraint=function(t){var i=this.m_fixtureA,e=this.m_fixtureB,s=i.getShape(),o=e.getShape(),n=i.getBody(),h=e.getBody(),a=this.getManifold(),m=a.pointCount;this.v_invMassA=n.m_invMass,this.v_invMassB=h.m_invMass,this.v_invIA=n.m_invI,this.v_invIB=h.m_invI,this.v_friction=this.m_friction,this.v_restitution=this.m_restitution,this.v_tangentSpeed=this.m_tangentSpeed,this.v_pointCount=m,this.v_K.setZero(),this.v_normalMass.setZero(),this.p_invMassA=n.m_invMass,this.p_invMassB=h.m_invMass,this.p_invIA=n.m_invI,this.p_invIB=h.m_invI,this.p_localCenterA=r.clone(n.m_sweep.localCenter),this.p_localCenterB=r.clone(h.m_sweep.localCenter),this.p_radiusA=s.m_radius,this.p_radiusB=o.m_radius,this.p_type=a.type,this.p_localNormal=r.clone(a.localNormal),this.p_localPoint=r.clone(a.localPoint),this.p_pointCount=m;for(var _=0;_<m;++_){var c=a.points[_],l=this.v_points[_]=new $;t.warmStarting?(l.normalImpulse=t.dtRatio*c.normalImpulse,l.tangentImpulse=t.dtRatio*c.tangentImpulse):(l.normalImpulse=0,l.tangentImpulse=0),l.rA.setZero(),l.rB.setZero(),l.normalMass=0,l.tangentMass=0,l.velocityBias=0,this.p_localPoints[_]=r.clone(c.localPoint)}},U.prototype.getManifold=function(){return this.m_manifold},U.prototype.getWorldManifold=function(t){var i=this.m_fixtureA.getBody(),e=this.m_fixtureB.getBody(),s=this.m_fixtureA.getShape(),o=this.m_fixtureB.getShape();return this.m_manifold.getWorldManifold(t,i.getTransform(),s.m_radius,e.getTransform(),o.m_radius)},U.prototype.setEnabled=function(t){this.m_enabledFlag=!!t},U.prototype.isEnabled=function(){return this.m_enabledFlag},U.prototype.isTouching=function(){return this.m_touchingFlag},U.prototype.getNext=function(){return this.m_next},U.prototype.getFixtureA=function(){return this.m_fixtureA},U.prototype.getFixtureB=function(){return this.m_fixtureB},U.prototype.getChildIndexA=function(){return this.m_indexA},U.prototype.getChildIndexB=function(){return this.m_indexB},U.prototype.flagForFiltering=function(){this.m_filterFlag=!0},U.prototype.setFriction=function(t){this.m_friction=t},U.prototype.getFriction=function(){return this.m_friction},U.prototype.resetFriction=function(){this.m_friction=Q(this.m_fixtureA.m_friction,this.m_fixtureB.m_friction)},U.prototype.setRestitution=function(t){this.m_restitution=t},U.prototype.getRestitution=function(){return this.m_restitution},U.prototype.resetRestitution=function(){this.m_restitution=tt(this.m_fixtureA.m_restitution,this.m_fixtureB.m_restitution)},U.prototype.setTangentSpeed=function(t){this.m_tangentSpeed=t},U.prototype.getTangentSpeed=function(){return this.m_tangentSpeed},U.prototype.evaluate=function(t,i,e){this.m_evaluateFcn(t,i,this.m_fixtureA,this.m_indexA,e,this.m_fixtureB,this.m_indexB)},U.prototype.update=function(t){this.m_enabledFlag=!0;var i=!1,e=this.m_touchingFlag,s=this.m_fixtureA.isSensor(),o=this.m_fixtureB.isSensor(),n=s||o,r=this.m_fixtureA.getBody(),h=this.m_fixtureB.getBody(),a=r.getTransform(),m=h.getTransform();if(n){var _=this.m_fixtureA.getShape(),c=this.m_fixtureB.getShape();i=W.testOverlap(_,this.m_indexA,c,this.m_indexB,a,m),this.m_manifold.pointCount=0}else{var l=this.m_manifold;this.m_manifold=new k,this.evaluate(this.m_manifold,a,m),i=this.m_manifold.pointCount>0;for(var u=0;u<this.m_manifold.pointCount;++u){var p=this.m_manifold.points[u];p.normalImpulse=0,p.tangentImpulse=0;for(var y=0;y<l.pointCount;++y){var d=l.points[y];if(d.id.key==p.id.key){p.normalImpulse=d.normalImpulse,p.tangentImpulse=d.tangentImpulse;break}}}i!=e&&(r.setAwake(!0),h.setAwake(!0))}this.m_touchingFlag=i,0==e&&1==i&&t&&t.beginContact(this),1==e&&0==i&&t&&t.endContact(this),0==n&&i&&t&&t.preSolve(this,l)},U.prototype.solvePositionConstraint=function(t){return this._solvePositionConstraint(t,!1)},U.prototype.solvePositionConstraintTOI=function(t,i,e){return this._solvePositionConstraint(t,!0,i,e)},U.prototype._solvePositionConstraint=function(t,i,e,s){var o=this.m_fixtureA,a=this.m_fixtureB,m=o.getBody(),_=a.getBody();m.c_velocity,_.c_velocity;var c=m.c_position,l=_.c_position,u=r.clone(this.p_localCenterA),p=r.clone(this.p_localCenterB),y=0,d=0;i&&m!=e&&m!=s||(y=this.p_invMassA,d=this.p_invIA);var x=0,g=0;i&&_!=e&&_!=s||(x=this.p_invMassB,g=this.p_invIB);for(var b=r.clone(c.c),A=c.a,B=r.clone(l.c),w=l.a,C=0,M=0;M<this.p_pointCount;++M){var I,S,P,z=v.identity(),T=v.identity();switch(z.q.set(A),T.q.set(w),z.p=r.sub(b,f.mulVec2(z.q,u)),T.p=r.sub(B,f.mulVec2(T.q,p)),this.p_type){case k.e_circles:var V=v.mulVec2(z,this.p_localPoint),L=v.mulVec2(T,this.p_localPoints[0]);(I=r.sub(L,V)).normalize(),S=r.combine(.5,V,.5,L),P=r.dot(r.sub(L,V),I)-this.p_radiusA-this.p_radiusB;break;case k.e_faceA:I=f.mulVec2(z.q,this.p_localNormal);var q=v.mulVec2(z,this.p_localPoint),F=v.mulVec2(T,this.p_localPoints[M]);P=r.dot(r.sub(F,q),I)-this.p_radiusA-this.p_radiusB,S=F;break;case k.e_faceB:I=f.mulVec2(T.q,this.p_localNormal);q=v.mulVec2(T,this.p_localPoint),F=v.mulVec2(z,this.p_localPoints[M]);P=r.dot(r.sub(F,q),I)-this.p_radiusA-this.p_radiusB,S=F,I.mul(-1)}var j=r.sub(S,b),E=r.sub(S,B);C=n.min(C,P);var Y=i?h.toiBaugarte:h.baumgarte,D=h.linearSlop,R=h.maxLinearCorrection,O=n.clamp(Y*(P+D),-R,0),J=r.cross(j,I),X=r.cross(E,I),N=y+x+d*J*J+g*X*X,W=N>0?-O/N:0,H=r.mul(W,I);b.subMul(y,H),A-=d*r.cross(j,H),B.addMul(x,H),w+=g*r.cross(E,H)}return c.c.set(b),c.a=A,l.c.set(B),l.a=w,C},U.prototype.initVelocityConstraint=function(t){var i=this.m_fixtureA,e=this.m_fixtureB,s=i.getBody(),o=e.getBody(),n=s.c_velocity,a=o.c_velocity,m=s.c_position,_=o.c_position,c=this.p_radiusA,l=this.p_radiusB,u=this.getManifold(),p=this.v_invMassA,y=this.v_invMassB,d=this.v_invIA,x=this.v_invIB,g=r.clone(this.p_localCenterA),b=r.clone(this.p_localCenterB),A=r.clone(m.c),B=m.a,w=r.clone(n.v),C=n.w,M=r.clone(_.c),I=_.a,S=r.clone(a.v),P=a.w,z=v.identity(),T=v.identity();z.q.set(B),T.q.set(I),z.p.setCombine(1,A,-1,f.mulVec2(z.q,g)),T.p.setCombine(1,M,-1,f.mulVec2(T.q,b));var V=u.getWorldManifold(null,z,c,T,l);this.v_normal.set(V.normal);for(var k=0;k<this.v_pointCount;++k){var L=this.v_points[k];L.rA.set(r.sub(V.points[k],A)),L.rB.set(r.sub(V.points[k],M));var q=r.cross(L.rA,this.v_normal),F=r.cross(L.rB,this.v_normal),j=p+y+d*q*q+x*F*F;L.normalMass=j>0?1/j:0;var E=r.cross(this.v_normal,1),Y=r.cross(L.rA,E),D=r.cross(L.rB,E),R=p+y+d*Y*Y+x*D*D;L.tangentMass=R>0?1/R:0,L.velocityBias=0;var O=r.dot(this.v_normal,S)+r.dot(this.v_normal,r.cross(P,L.rB))-r.dot(this.v_normal,w)-r.dot(this.v_normal,r.cross(C,L.rA));O<-h.velocityThreshold&&(L.velocityBias=-this.v_restitution*O)}if(2==this.v_pointCount&&t.blockSolve){var J=this.v_points[0],X=this.v_points[1],N=r.cross(J.rA,this.v_normal),W=r.cross(J.rB,this.v_normal),H=r.cross(X.rA,this.v_normal),Z=r.cross(X.rB,this.v_normal),K=p+y+d*N*N+x*W*W,G=p+y+d*H*H+x*Z*Z,U=p+y+d*N*H+x*W*Z;K*K<1e3*(K*G-U*U)?(this.v_K.ex.set(K,U),this.v_K.ey.set(U,G),this.v_normalMass.set(this.v_K.getInverse())):this.v_pointCount=1}m.c.set(A),m.a=B,n.v.set(w),n.w=C,_.c.set(M),_.a=I,a.v.set(S),a.w=P},U.prototype.warmStartConstraint=function(t){var i=this.m_fixtureA,e=this.m_fixtureB,s=i.getBody(),o=e.getBody(),n=s.c_velocity,h=o.c_velocity;s.c_position,o.c_position;for(var a=this.v_invMassA,m=this.v_invIA,_=this.v_invMassB,c=this.v_invIB,l=r.clone(n.v),u=n.w,p=r.clone(h.v),y=h.w,d=this.v_normal,f=r.cross(d,1),v=0;v<this.v_pointCount;++v){var x=this.v_points[v],g=r.combine(x.normalImpulse,d,x.tangentImpulse,f);u-=m*r.cross(x.rA,g),l.subMul(a,g),y+=c*r.cross(x.rB,g),p.addMul(_,g)}n.v.set(l),n.w=u,h.v.set(p),h.w=y},U.prototype.storeConstraintImpulses=function(t){for(var i=this.m_manifold,e=0;e<this.v_pointCount;++e)i.points[e].normalImpulse=this.v_points[e].normalImpulse,i.points[e].tangentImpulse=this.v_points[e].tangentImpulse},U.prototype.solveVelocityConstraint=function(t){var i=this.m_fixtureA.m_body,e=this.m_fixtureB.m_body,s=i.c_velocity;i.c_position;var o=e.c_velocity;e.c_position;for(var h=this.v_invMassA,a=this.v_invIA,m=this.v_invMassB,_=this.v_invIB,c=r.clone(s.v),l=s.w,u=r.clone(o.v),p=o.w,y=this.v_normal,d=r.cross(y,1),f=this.v_friction,v=0;v<this.v_pointCount;++v){var x=this.v_points[v];(C=r.zero()).addCombine(1,u,1,r.cross(p,x.rB)),C.subCombine(1,c,1,r.cross(l,x.rA));var g=r.dot(C,d)-this.v_tangentSpeed,b=x.tangentMass*-g,A=f*x.normalImpulse;b=(M=n.clamp(x.tangentImpulse+b,-A,A))-x.tangentImpulse,x.tangentImpulse=M;var B=r.mul(b,d);c.subMul(h,B),l-=a*r.cross(x.rA,B),u.addMul(m,B),p+=_*r.cross(x.rB,B)}if(1==this.v_pointCount||0==t.blockSolve)for(var w=0;w<this.v_pointCount;++w){var C;x=this.v_points[w];(C=r.zero()).addCombine(1,u,1,r.cross(p,x.rB)),C.subCombine(1,c,1,r.cross(l,x.rA));var M,I=r.dot(C,y);b=-x.normalMass*(I-x.velocityBias);b=(M=n.max(x.normalImpulse+b,0))-x.normalImpulse,x.normalImpulse=M;B=r.mul(b,y);c.subMul(h,B),l-=a*r.cross(x.rA,B),u.addMul(m,B),p+=_*r.cross(x.rB,B)}else{var S=this.v_points[0],P=this.v_points[1],z=r.neo(S.normalImpulse,P.normalImpulse),T=r.zero().add(u).add(r.cross(p,S.rB)).sub(c).sub(r.cross(l,S.rA)),k=r.zero().add(u).add(r.cross(p,P.rB)).sub(c).sub(r.cross(l,P.rA)),L=r.dot(T,y),q=r.dot(k,y),F=r.neo(L-S.velocityBias,q-P.velocityBias);for(F.sub(V.mulVec2(this.v_K,z));;){var j=V.mulVec2(this.v_normalMass,F).neg();if(j.x>=0&&j.y>=0){var E=r.sub(j,z),Y=r.mul(E.x,y),D=r.mul(E.y,y);c.subCombine(h,Y,h,D),l-=a*(r.cross(S.rA,Y)+r.cross(P.rA,D)),u.addCombine(m,Y,m,D),p+=_*(r.cross(S.rB,Y)+r.cross(P.rB,D)),S.normalImpulse=j.x,P.normalImpulse=j.y;break}if(j.x=-S.normalMass*F.x,j.y=0,L=0,q=this.v_K.ex.y*j.x+F.y,j.x>=0&&q>=0){E=r.sub(j,z),Y=r.mul(E.x,y),D=r.mul(E.y,y);c.subCombine(h,Y,h,D),l-=a*(r.cross(S.rA,Y)+r.cross(P.rA,D)),u.addCombine(m,Y,m,D),p+=_*(r.cross(S.rB,Y)+r.cross(P.rB,D)),S.normalImpulse=j.x,P.normalImpulse=j.y;break}if(j.x=0,j.y=-P.normalMass*F.y,L=this.v_K.ey.x*j.y+F.x,q=0,j.y>=0&&L>=0){E=r.sub(j,z),Y=r.mul(E.x,y),D=r.mul(E.y,y);c.subCombine(h,Y,h,D),l-=a*(r.cross(S.rA,Y)+r.cross(P.rA,D)),u.addCombine(m,Y,m,D),p+=_*(r.cross(S.rB,Y)+r.cross(P.rB,D)),S.normalImpulse=j.x,P.normalImpulse=j.y;break}if(j.x=0,j.y=0,L=F.x,q=F.y,L>=0&&q>=0){E=r.sub(j,z),Y=r.mul(E.x,y),D=r.mul(E.y,y);c.subCombine(h,Y,h,D),l-=a*(r.cross(S.rA,Y)+r.cross(P.rA,D)),u.addCombine(m,Y,m,D),p+=_*(r.cross(S.rB,Y)+r.cross(P.rB,D)),S.normalImpulse=j.x,P.normalImpulse=j.y;break}break}}s.v.set(c),s.w=l,o.v.set(u),o.w=p};var it=[];function et(){this.other=null,this.joint=null,this.prev=null,this.next=null}function st(t,i,e){i=t.bodyA||i,e=t.bodyB||e,this.m_type="unknown-joint",this.m_bodyA=i,this.m_bodyB=e,this.m_index=0,this.m_collideConnected=!!t.collideConnected,this.m_prev=null,this.m_next=null,this.m_edgeA=new et,this.m_edgeB=new et,this.m_islandFlag=!1,this.m_userData=t.userData}U.addType=function(t,i,e){it[t]=it[t]||{},it[t][i]=e},U.create=function(t,i,e,s){var o,n,r=t.getType(),h=e.getType();if(n=it[r]&&it[r][h])o=new U(t,i,e,s,n);else{if(!(n=it[h]&&it[h][r]))return null;o=new U(e,s,t,i,n)}t=o.getFixtureA(),e=o.getFixtureB(),i=o.getChildIndexA(),s=o.getChildIndexB();var a=t.getBody(),m=e.getBody();return o.m_nodeA.contact=o,o.m_nodeA.other=m,o.m_nodeA.prev=null,o.m_nodeA.next=a.m_contactList,null!=a.m_contactList&&(a.m_contactList.prev=o.m_nodeA),a.m_contactList=o.m_nodeA,o.m_nodeB.contact=o,o.m_nodeB.other=a,o.m_nodeB.prev=null,o.m_nodeB.next=m.m_contactList,null!=m.m_contactList&&(m.m_contactList.prev=o.m_nodeB),m.m_contactList=o.m_nodeB,0==t.isSensor()&&0==e.isSensor()&&(a.setAwake(!0),m.setAwake(!0)),o},U.destroy=function(t,i){var e=t.m_fixtureA,s=t.m_fixtureB,o=e.getBody(),n=s.getBody();t.isTouching()&&i.endContact(t),t.m_nodeA.prev&&(t.m_nodeA.prev.next=t.m_nodeA.next),t.m_nodeA.next&&(t.m_nodeA.next.prev=t.m_nodeA.prev),t.m_nodeA==o.m_contactList&&(o.m_contactList=t.m_nodeA.next),t.m_nodeB.prev&&(t.m_nodeB.prev.next=t.m_nodeB.next),t.m_nodeB.next&&(t.m_nodeB.next.prev=t.m_nodeB.prev),t.m_nodeB==n.m_contactList&&(n.m_contactList=t.m_nodeB.next),t.m_manifold.pointCount>0&&0==e.isSensor()&&0==s.isSensor()&&(o.setAwake(!0),n.setAwake(!0));var r=e.getType(),h=s.getType(),a=it[r][h].destroyFcn;"function"==typeof a&&a(t)},st.TYPES={},st._deserialize=function(t,i,e){var s=st.TYPES[t.type];return s&&e(s,t)},st.prototype.isActive=function(){return this.m_bodyA.isActive()&&this.m_bodyB.isActive()},st.prototype.getType=function(){return this.m_type},st.prototype.getBodyA=function(){return this.m_bodyA},st.prototype.getBodyB=function(){return this.m_bodyB},st.prototype.getNext=function(){return this.m_next},st.prototype.getUserData=function(){return this.m_userData},st.prototype.setUserData=function(t){this.m_userData=t},st.prototype.getCollideConnected=function(){return this.m_collideConnected},st.prototype.getAnchorA=function(){},st.prototype.getAnchorB=function(){},st.prototype.getReactionForce=function(t){},st.prototype.getReactionTorque=function(t){},st.prototype.shiftOrigin=function(t){},st.prototype.initVelocityConstraints=function(t){},st.prototype.solveVelocityConstraints=function(t){},st.prototype.solvePositionConstraints=function(t){};var ot=function(){return Date.now()},nt=function(t){return Date.now()-t};ct.Input=function(){this.proxyA=new at,this.proxyB=new at,this.sweepA=new x,this.sweepB=new x,this.tMax},ct.Output=_t;var rt=W.Input,ht=W.Output,at=W.Proxy,mt=W.Cache;function _t(){this.state,this.t}function ct(t,i){var e=ot();++D.toiCalls,t.state=_t.e_unknown,t.t=i.tMax;var s=i.proxyA,o=i.proxyB,r=i.sweepA,a=i.sweepB;r.normalize(),a.normalize();var m=i.tMax,_=s.m_radius+o.m_radius,c=n.max(h.linearSlop,_-3*h.linearSlop),l=.25*h.linearSlop,u=0,p=h.maxTOIIterations,y=0,d=new mt,f=new rt;for(f.proxyA=i.proxyA,f.proxyB=i.proxyB,f.useRadii=!1;;){var x=v.identity(),g=v.identity();r.getTransform(x,u),a.getTransform(g,u),f.transformA=x,f.transformB=g;var b=new ht;if(W(b,d,f),b.distance<=0){t.state=_t.e_overlapped,t.t=0;break}if(b.distance<c+l){t.state=_t.e_touching,t.t=u;break}var A=new lt;A.initialize(d,s,r,o,a,u);for(var B=!1,w=m,C=0;;){var M=A.findMinSeparation(w);if(A.indexA,A.indexB,M>c+l){t.state=_t.e_separated,t.t=m,B=!0;break}if(M>c-l){u=w;break}var I=A.evaluate(u);if(A.indexA,A.indexB,I<c-l){t.state=_t.e_failed,t.t=u,B=!0;break}if(I<=c+l){t.state=_t.e_touching,t.t=u,B=!0;break}for(var S=0,P=u,z=w;;){var T;T=1&S?P+(c-I)*(z-P)/(M-I):.5*(P+z),++S,++D.toiRootIters;var V=A.evaluate(T);if(A.indexA,A.indexB,n.abs(V-c)<l){w=T;break}if(V>c?(P=T,I=V):(z=T,M=V),50==S)break}if(D.toiMaxRootIters=n.max(D.toiMaxRootIters,S),++C==h.maxPolygonVertices)break}if(++y,++D.toiIters,B)break;if(y==p){t.state=_t.e_failed,t.t=u;break}}D.toiMaxIters=n.max(D.toiMaxIters,y);var k=nt(e);D.toiMaxTime=n.max(D.toiMaxTime,k),D.toiTime+=k}_t.e_unknown=0,_t.e_failed=1,_t.e_overlapped=2,_t.e_touching=3,_t.e_separated=4,D.toiTime=0,D.toiMaxTime=0,D.toiCalls=0,D.toiIters=0,D.toiMaxIters=0,D.toiRootIters=0,D.toiMaxRootIters=0;function lt(){this.m_proxyA=new at,this.m_proxyB=new at,this.m_sweepA,this.m_sweepB,this.indexA,this.indexB,this.m_type,this.m_localPoint=r.zero(),this.m_axis=r.zero()}lt.prototype.initialize=function(t,i,e,s,o,n){this.m_proxyA=i,this.m_proxyB=s;var h=t.count;this.m_sweepA=e,this.m_sweepB=o;var a=v.identity(),m=v.identity();if(this.m_sweepA.getTransform(a,n),this.m_sweepB.getTransform(m,n),1==h){this.m_type=1;var _=this.m_proxyA.getVertex(t.indexA[0]),c=this.m_proxyB.getVertex(t.indexB[0]),l=v.mulVec2(a,_),u=v.mulVec2(m,c);return this.m_axis.setCombine(1,u,-1,l),b=this.m_axis.normalize()}if(t.indexA[0]==t.indexA[1]){this.m_type=3;var p=s.getVertex(t.indexB[0]),y=s.getVertex(t.indexB[1]);this.m_axis=r.cross(r.sub(y,p),1),this.m_axis.normalize();var d=f.mulVec2(m.q,this.m_axis);this.m_localPoint=r.mid(p,y);u=v.mulVec2(m,this.m_localPoint),_=i.getVertex(t.indexA[0]),l=v.mulVec2(a,_);return(b=r.dot(l,d)-r.dot(u,d))<0&&(this.m_axis=r.neg(this.m_axis),b=-b),b}this.m_type=2;var x=this.m_proxyA.getVertex(t.indexA[0]),g=this.m_proxyA.getVertex(t.indexA[1]);this.m_axis=r.cross(r.sub(g,x),1),this.m_axis.normalize();d=f.mulVec2(a.q,this.m_axis);this.m_localPoint=r.mid(x,g);var b;l=v.mulVec2(a,this.m_localPoint),c=this.m_proxyB.getVertex(t.indexB[0]),u=v.mulVec2(m,c);return(b=r.dot(u,d)-r.dot(l,d))<0&&(this.m_axis=r.neg(this.m_axis),b=-b),b},lt.prototype.compute=function(t,i){var e=v.identity(),s=v.identity();switch(this.m_sweepA.getTransform(e,i),this.m_sweepB.getTransform(s,i),this.m_type){case 1:if(t){var o=f.mulTVec2(e.q,this.m_axis),n=f.mulTVec2(s.q,r.neg(this.m_axis));this.indexA=this.m_proxyA.getSupport(o),this.indexB=this.m_proxyB.getSupport(n)}var h=this.m_proxyA.getVertex(this.indexA),a=this.m_proxyB.getVertex(this.indexB),m=v.mulVec2(e,h),_=v.mulVec2(s,a);return r.dot(_,this.m_axis)-r.dot(m,this.m_axis);case 2:var c=f.mulVec2(e.q,this.m_axis);m=v.mulVec2(e,this.m_localPoint);if(t){n=f.mulTVec2(s.q,r.neg(c));this.indexA=-1,this.indexB=this.m_proxyB.getSupport(n)}a=this.m_proxyB.getVertex(this.indexB),_=v.mulVec2(s,a);return r.dot(_,c)-r.dot(m,c);case 3:c=f.mulVec2(s.q,this.m_axis),_=v.mulVec2(s,this.m_localPoint);if(t){o=f.mulTVec2(e.q,r.neg(c));this.indexB=-1,this.indexA=this.m_proxyA.getSupport(o)}h=this.m_proxyA.getVertex(this.indexA),m=v.mulVec2(e,h);return r.dot(m,c)-r.dot(_,c);default:return t&&(this.indexA=-1,this.indexB=-1),0}},lt.prototype.findMinSeparation=function(t){return this.compute(!0,t)},lt.prototype.evaluate=function(t){return this.compute(!1,t)},dt.TimeStep=yt;var ut=ct.Input,pt=ct.Output;function yt(t){this.dt=0,this.inv_dt=0,this.velocityIterations=0,this.positionIterations=0,this.warmStarting=!1,this.blockSolve=!0,this.inv_dt0=0,this.dtRatio=1}function dt(t){this.m_world=t,this.m_stack=[],this.m_bodies=[],this.m_contacts=[],this.m_joints=[]}yt.prototype.reset=function(t){this.dt>0&&(this.inv_dt0=this.inv_dt),this.dt=t,this.inv_dt=0==t?0:1/t,this.dtRatio=t*this.inv_dt0},dt.prototype.clear=function(){this.m_stack.length=0,this.m_bodies.length=0,this.m_contacts.length=0,this.m_joints.length=0},dt.prototype.addBody=function(t){this.m_bodies.push(t)},dt.prototype.addContact=function(t){this.m_contacts.push(t)},dt.prototype.addJoint=function(t){this.m_joints.push(t)},dt.prototype.solveWorld=function(t){for(var i=this.m_world,e=i.m_bodyList;e;e=e.m_next)e.m_islandFlag=!1;for(var s=i.m_contactList;s;s=s.m_next)s.m_islandFlag=!1;for(var o=i.m_jointList;o;o=o.m_next)o.m_islandFlag=!1;for(var n=this.m_stack,r=i.m_bodyList;r;r=r.m_next)if(!r.m_islandFlag&&0!=r.isAwake()&&0!=r.isActive()&&!r.isStatic()){for(this.clear(),n.push(r),r.m_islandFlag=!0;n.length>0;){e=n.pop();if(this.addBody(e),e.setAwake(!0),!e.isStatic()){for(var h=e.m_contactList;h;h=h.next){var a=h.contact;if(!a.m_islandFlag&&(0!=a.isEnabled()&&0!=a.isTouching())){var m=a.m_fixtureA.m_isSensor,_=a.m_fixtureB.m_isSensor;if(!m&&!_)this.addContact(a),a.m_islandFlag=!0,(l=h.other).m_islandFlag||(n.push(l),l.m_islandFlag=!0)}}for(var c=e.m_jointList;c;c=c.next){var l;if(1!=c.joint.m_islandFlag)0!=(l=c.other).isActive()&&(this.addJoint(c.joint),c.joint.m_islandFlag=!0,l.m_islandFlag||(n.push(l),l.m_islandFlag=!0))}}}this.solveIsland(t);for(var u=0;u<this.m_bodies.length;++u){(e=this.m_bodies[u]).isStatic()&&(e.m_islandFlag=!1)}}},dt.prototype.solveIsland=function(t){for(var i=this.m_world,e=i.m_gravity,s=i.m_allowSleep,o=t.dt,a=0;a<this.m_bodies.length;++a){var m=this.m_bodies[a],_=r.clone(m.m_sweep.c),c=m.m_sweep.a,l=r.clone(m.m_linearVelocity),u=m.m_angularVelocity;m.m_sweep.c0.set(m.m_sweep.c),m.m_sweep.a0=m.m_sweep.a,m.isDynamic()&&(l.addMul(o*m.m_gravityScale,e),l.addMul(o*m.m_invMass,m.m_force),u+=o*m.m_invI*m.m_torque,l.mul(1/(1+o*m.m_linearDamping)),u*=1/(1+o*m.m_angularDamping)),m.c_position.c=_,m.c_position.a=c,m.c_velocity.v=l,m.c_velocity.w=u}for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].initConstraint(t)}for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].initVelocityConstraint(t)}if(t.warmStarting)for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].warmStartConstraint(t)}for(a=0;a<this.m_joints.length;++a){this.m_joints[a].initVelocityConstraints(t)}for(a=0;a<t.velocityIterations;++a){for(var p=0;p<this.m_joints.length;++p){this.m_joints[p].solveVelocityConstraints(t)}for(p=0;p<this.m_contacts.length;++p){this.m_contacts[p].solveVelocityConstraint(t)}}for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].storeConstraintImpulses(t)}for(a=0;a<this.m_bodies.length;++a){m=this.m_bodies[a],_=r.clone(m.c_position.c),c=m.c_position.a,l=r.clone(m.c_velocity.v),u=m.c_velocity.w;var y=r.mul(o,l);if(r.lengthSquared(y)>h.maxTranslationSquared){var d=h.maxTranslation/y.length();l.mul(d)}var f=o*u;if(f*f>h.maxRotationSquared)u*=d=h.maxRotation/n.abs(f);_.addMul(o,l),c+=o*u,m.c_position.c.set(_),m.c_position.a=c,m.c_velocity.v.set(l),m.c_velocity.w=u}var v=!1;for(a=0;a<t.positionIterations;++a){var x=0;for(p=0;p<this.m_contacts.length;++p){var g=this.m_contacts[p].solvePositionConstraint(t);x=n.min(x,g)}var b=x>=-3*h.linearSlop,A=!0;for(p=0;p<this.m_joints.length;++p){var B=this.m_joints[p].solvePositionConstraints(t);A=A&&B}if(b&&A){v=!0;break}}for(a=0;a<this.m_bodies.length;++a){(m=this.m_bodies[a]).m_sweep.c.set(m.c_position.c),m.m_sweep.a=m.c_position.a,m.m_linearVelocity.set(m.c_velocity.v),m.m_angularVelocity=m.c_velocity.w,m.synchronizeTransform()}if(this.postSolveIsland(),s){var w=1/0,C=h.linearSleepToleranceSqr,M=h.angularSleepToleranceSqr;for(a=0;a<this.m_bodies.length;++a){(m=this.m_bodies[a]).isStatic()||(0==m.m_autoSleepFlag||m.m_angularVelocity*m.m_angularVelocity>M||r.lengthSquared(m.m_linearVelocity)>C?(m.m_sleepTime=0,w=0):(m.m_sleepTime+=o,w=n.min(w,m.m_sleepTime)))}if(w>=h.timeToSleep&&v)for(a=0;a<this.m_bodies.length;++a){(m=this.m_bodies[a]).setAwake(!1)}}},dt.prototype.printBodies=function(t){for(var i=0;i<this.m_bodies.length;++i){var e=this.m_bodies[i];s(t,e.c_position.a,e.c_position.c.x,e.c_position.c.y,e.c_velocity.w,e.c_velocity.v.x,e.c_velocity.v.y)}};var ft=new yt;function vt(){this.normalImpulses=[],this.tangentImpulses=[]}dt.prototype.solveWorldTOI=function(t){var i=this.m_world;if(i.m_stepComplete){for(var e=i.m_bodyList;e;e=e.m_next)e.m_islandFlag=!1,e.m_sweep.alpha0=0;for(var s=i.m_contactList;s;s=s.m_next)s.m_toiFlag=!1,s.m_islandFlag=!1,s.m_toiCount=0,s.m_toi=1}for(;;){for(var o=null,r=1,s=i.m_contactList;s;s=s.m_next)if(0!=s.isEnabled()&&!(s.m_toiCount>h.maxSubSteps)){var a=1;if(s.m_toiFlag)a=s.m_toi;else{var m=s.getFixtureA(),_=s.getFixtureB();if(m.isSensor()||_.isSensor())continue;var c=m.getBody(),l=_.getBody(),u=c.isAwake()&&!c.isStatic(),p=l.isAwake()&&!l.isStatic();if(0==u&&0==p)continue;var y=c.isBullet()||!c.isDynamic(),d=l.isBullet()||!l.isDynamic();if(0==y&&0==d)continue;var f=c.m_sweep.alpha0;c.m_sweep.alpha0<l.m_sweep.alpha0?(f=l.m_sweep.alpha0,c.m_sweep.advance(f)):l.m_sweep.alpha0<c.m_sweep.alpha0&&(f=c.m_sweep.alpha0,l.m_sweep.advance(f));var v=s.getChildIndexA(),x=s.getChildIndexB();c.m_sweep,l.m_sweep;var g=new ut;g.proxyA.set(m.getShape(),v),g.proxyB.set(_.getShape(),x),g.sweepA.set(c.m_sweep),g.sweepB.set(l.m_sweep),g.tMax=1;var b=new pt;ct(b,g);var A=b.t;a=b.state==pt.e_touching?n.min(f+(1-f)*A,1):1,s.m_toi=a,s.m_toiFlag=!0}a<r&&(o=s,r=a)}if(null==o||1-10*n.EPSILON<r){i.m_stepComplete=!0;break}m=o.getFixtureA(),_=o.getFixtureB(),c=m.getBody(),l=_.getBody();var B=c.m_sweep.clone(),w=l.m_sweep.clone();if(c.advance(r),l.advance(r),o.update(i),o.m_toiFlag=!1,++o.m_toiCount,0!=o.isEnabled()&&0!=o.isTouching()){c.setAwake(!0),l.setAwake(!0),this.clear(),this.addBody(c),this.addBody(l),this.addContact(o),c.m_islandFlag=!0,l.m_islandFlag=!0,o.m_islandFlag=!0;for(var C=[c,l],M=0;M<C.length;++M){if((k=C[M]).isDynamic())for(var I=k.m_contactList;I;I=I.next){var S=I.contact;if(!S.m_islandFlag){var P=I.other;if(!P.isDynamic()||k.isBullet()||P.isBullet()){var z=S.m_fixtureA.m_isSensor,T=S.m_fixtureB.m_isSensor;if(!z&&!T){var V=P.m_sweep.clone();0==P.m_islandFlag&&P.advance(r),S.update(i),0!=S.isEnabled()&&0!=S.isTouching()?(S.m_islandFlag=!0,this.addContact(S),P.m_islandFlag||(P.m_islandFlag=!0,P.isStatic()||P.setAwake(!0),this.addBody(P))):(P.m_sweep.set(V),P.synchronizeTransform())}}}}}ft.reset((1-r)*t.dt),ft.dtRatio=1,ft.positionIterations=20,ft.velocityIterations=t.velocityIterations,ft.warmStarting=!1,this.solveIslandTOI(ft,c,l);for(M=0;M<this.m_bodies.length;++M){var k;if((k=this.m_bodies[M]).m_islandFlag=!1,k.isDynamic()){k.synchronizeFixtures();for(I=k.m_contactList;I;I=I.next)I.contact.m_toiFlag=!1,I.contact.m_islandFlag=!1}}if(i.findNewContacts(),i.m_subStepping){i.m_stepComplete=!1;break}}else o.setEnabled(!1),c.m_sweep.set(B),l.m_sweep.set(w),c.synchronizeTransform(),l.synchronizeTransform()}},dt.prototype.solveIslandTOI=function(t,i,e){this.m_world;for(var s=0;s<this.m_bodies.length;++s){(c=this.m_bodies[s]).c_position.c.set(c.m_sweep.c),c.c_position.a=c.m_sweep.a,c.c_velocity.v.set(c.m_linearVelocity),c.c_velocity.w=c.m_angularVelocity}for(s=0;s<this.m_contacts.length;++s){this.m_contacts[s].initConstraint(t)}for(s=0;s<t.positionIterations;++s){for(var o=0,a=0;a<this.m_contacts.length;++a){var m=this.m_contacts[a].solvePositionConstraintTOI(t,i,e);o=n.min(o,m)}if(o>=-1.5*h.linearSlop)break}i.m_sweep.c0.set(i.c_position.c),i.m_sweep.a0=i.c_position.a,e.m_sweep.c0.set(e.c_position.c),e.m_sweep.a0=e.c_position.a;for(s=0;s<this.m_contacts.length;++s){this.m_contacts[s].initVelocityConstraint(t)}for(s=0;s<t.velocityIterations;++s)for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].solveVelocityConstraint(t)}var _=t.dt;for(s=0;s<this.m_bodies.length;++s){var c=this.m_bodies[s],l=r.clone(c.c_position.c),u=c.c_position.a,p=r.clone(c.c_velocity.v),y=c.c_velocity.w,d=r.mul(_,p);if(r.dot(d,d)>h.maxTranslationSquared){var f=h.maxTranslation/d.length();p.mul(f)}var v=_*y;if(v*v>h.maxRotationSquared)y*=f=h.maxRotation/n.abs(v);l.addMul(_,p),u+=_*y,c.c_position.c=l,c.c_position.a=u,c.c_velocity.v=p,c.c_velocity.w=y,c.m_sweep.c=l,c.m_sweep.a=u,c.m_linearVelocity=p,c.m_angularVelocity=y,c.synchronizeTransform()}this.postSolveIsland()},dt.prototype.postSolveIsland=function(){for(var t=new vt,i=0;i<this.m_contacts.length;++i){for(var e=this.m_contacts[i],s=0;s<e.v_points.length;++s)t.normalImpulses.push(e.v_points[s].normalImpulse),t.tangentImpulses.push(e.v_points[s].tangentImpulse);this.m_world.postSolve(e,t)}};var xt={gravity:r.zero(),allowSleep:!0,warmStarting:!0,continuousPhysics:!0,subStepping:!1,blockSolve:!0,velocityIterations:8,positionIterations:3};function gt(t){if(!(this instanceof gt))return new gt(t);t&&r.isValid(t)&&(t={gravity:t}),t=e(t,xt),this.m_solver=new dt(this),this.m_broadPhase=new d,this.m_contactList=null,this.m_contactCount=0,this.m_bodyList=null,this.m_bodyCount=0,this.m_jointList=null,this.m_jointCount=0,this.m_stepComplete=!0,this.m_allowSleep=t.allowSleep,this.m_gravity=r.clone(t.gravity),this.m_clearForces=!0,this.m_newFixture=!1,this.m_locked=!1,this.m_warmStarting=t.warmStarting,this.m_continuousPhysics=t.continuousPhysics,this.m_subStepping=t.subStepping,this.m_blockSolve=t.blockSolve,this.m_velocityIterations=t.velocityIterations,this.m_positionIterations=t.positionIterations,this.m_t=0,this.addPair=this.createContact.bind(this)}gt.prototype._serialize=function(){for(var t=[],i=[],e=this.getBodyList();e;e=e.getNext())t.push(e);for(var s=this.getJointList();s;s=s.getNext())"function"==typeof s._serialize&&i.push(s);return{gravity:this.m_gravity,bodies:t,joints:i}},gt._deserialize=function(t,i,e){if(!t)return new gt;var s=new gt(t.gravity);if(t.bodies)for(var o=t.bodies.length-1;o>=0;o-=1)s._addBody(e(z,t.bodies[o],s));if(t.joints)for(o=t.joints.length-1;o>=0;o--)s.createJoint(e(st,t.joints[o],s));return s},gt.prototype.getBodyList=function(){return this.m_bodyList},gt.prototype.getJointList=function(){return this.m_jointList},gt.prototype.getContactList=function(){return this.m_contactList},gt.prototype.getBodyCount=function(){return this.m_bodyCount},gt.prototype.getJointCount=function(){return this.m_jointCount},gt.prototype.getContactCount=function(){return this.m_contactCount},gt.prototype.setGravity=function(t){this.m_gravity=t},gt.prototype.getGravity=function(){return this.m_gravity},gt.prototype.isLocked=function(){return this.m_locked},gt.prototype.setAllowSleeping=function(t){if(t!=this.m_allowSleep&&(this.m_allowSleep=t,0==this.m_allowSleep))for(var i=this.m_bodyList;i;i=i.m_next)i.setAwake(!0)},gt.prototype.getAllowSleeping=function(){return this.m_allowSleep},gt.prototype.setWarmStarting=function(t){this.m_warmStarting=t},gt.prototype.getWarmStarting=function(){return this.m_warmStarting},gt.prototype.setContinuousPhysics=function(t){this.m_continuousPhysics=t},gt.prototype.getContinuousPhysics=function(){return this.m_continuousPhysics},gt.prototype.setSubStepping=function(t){this.m_subStepping=t},gt.prototype.getSubStepping=function(){return this.m_subStepping},gt.prototype.setAutoClearForces=function(t){this.m_clearForces=t},gt.prototype.getAutoClearForces=function(){return this.m_clearForces},gt.prototype.clearForces=function(){for(var t=this.m_bodyList;t;t=t.getNext())t.m_force.setZero(),t.m_torque=0},gt.prototype.queryAABB=function(t,i){var e=this.m_broadPhase;this.m_broadPhase.query(t,(function(t){var s=e.getUserData(t);return i(s.fixture)}))},gt.prototype.rayCast=function(t,i,e){var s=this.m_broadPhase;this.m_broadPhase.rayCast({maxFraction:1,p1:t,p2:i},(function(t,i){var o=s.getUserData(i),n=o.fixture,h=o.childIndex,a={};if(n.rayCast(a,t,h)){var m=a.fraction,_=r.add(r.mul(1-m,t.p1),r.mul(m,t.p2));return e(n,_,a.normal,m)}return t.maxFraction}))},gt.prototype.getProxyCount=function(){return this.m_broadPhase.getProxyCount()},gt.prototype.getTreeHeight=function(){return this.m_broadPhase.getTreeHeight()},gt.prototype.getTreeBalance=function(){return this.m_broadPhase.getTreeBalance()},gt.prototype.getTreeQuality=function(){return this.m_broadPhase.getTreeQuality()},gt.prototype.shiftOrigin=function(t){if(!this.m_locked){for(var i=this.m_bodyList;i;i=i.m_next)i.m_xf.p.sub(t),i.m_sweep.c0.sub(t),i.m_sweep.c.sub(t);for(var e=this.m_jointList;e;e=e.m_next)e.shiftOrigin(t);this.m_broadPhase.shiftOrigin(t)}},gt.prototype._addBody=function(t){this.isLocked()||(t.m_prev=null,t.m_next=this.m_bodyList,this.m_bodyList&&(this.m_bodyList.m_prev=t),this.m_bodyList=t,++this.m_bodyCount)},gt.prototype.createBody=function(t,i){if(this.isLocked())return null;t&&r.isValid(t)&&(t={position:t,angle:i});var e=new z(this,t);return this._addBody(e),e},gt.prototype.createDynamicBody=function(t,i){return t?r.isValid(t)&&(t={position:t,angle:i}):t={},t.type="dynamic",this.createBody(t)},gt.prototype.createKinematicBody=function(t,i){return t?r.isValid(t)&&(t={position:t,angle:i}):t={},t.type="kinematic",this.createBody(t)},gt.prototype.destroyBody=function(t){if(!this.isLocked()){if(t.m_destroyed)return!1;for(var i=t.m_jointList;i;){var e=i;i=i.next,this.publish("remove-joint",e.joint),this.destroyJoint(e.joint),t.m_jointList=i}t.m_jointList=null;for(var s=t.m_contactList;s;){var o=s;s=s.next,this.destroyContact(o.contact),t.m_contactList=s}t.m_contactList=null;for(var n=t.m_fixtureList;n;){var r=n;n=n.m_next,this.publish("remove-fixture",r),r.destroyProxies(this.m_broadPhase),t.m_fixtureList=n}return t.m_fixtureList=null,t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_bodyList&&(this.m_bodyList=t.m_next),t.m_destroyed=!0,--this.m_bodyCount,this.publish("remove-body",t),!0}},gt.prototype.createJoint=function(t){if(this.isLocked())return null;if(t.m_prev=null,t.m_next=this.m_jointList,this.m_jointList&&(this.m_jointList.m_prev=t),this.m_jointList=t,++this.m_jointCount,t.m_edgeA.joint=t,t.m_edgeA.other=t.m_bodyB,t.m_edgeA.prev=null,t.m_edgeA.next=t.m_bodyA.m_jointList,t.m_bodyA.m_jointList&&(t.m_bodyA.m_jointList.prev=t.m_edgeA),t.m_bodyA.m_jointList=t.m_edgeA,t.m_edgeB.joint=t,t.m_edgeB.other=t.m_bodyA,t.m_edgeB.prev=null,t.m_edgeB.next=t.m_bodyB.m_jointList,t.m_bodyB.m_jointList&&(t.m_bodyB.m_jointList.prev=t.m_edgeB),t.m_bodyB.m_jointList=t.m_edgeB,0==t.m_collideConnected)for(var i=t.m_bodyB.getContactList();i;i=i.next)i.other==t.m_bodyA&&i.contact.flagForFiltering();return t},gt.prototype.destroyJoint=function(t){if(!this.isLocked()){t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_jointList&&(this.m_jointList=t.m_next);var i=t.m_bodyA,e=t.m_bodyB;if(i.setAwake(!0),e.setAwake(!0),t.m_edgeA.prev&&(t.m_edgeA.prev.next=t.m_edgeA.next),t.m_edgeA.next&&(t.m_edgeA.next.prev=t.m_edgeA.prev),t.m_edgeA==i.m_jointList&&(i.m_jointList=t.m_edgeA.next),t.m_edgeA.prev=null,t.m_edgeA.next=null,t.m_edgeB.prev&&(t.m_edgeB.prev.next=t.m_edgeB.next),t.m_edgeB.next&&(t.m_edgeB.next.prev=t.m_edgeB.prev),t.m_edgeB==e.m_jointList&&(e.m_jointList=t.m_edgeB.next),t.m_edgeB.prev=null,t.m_edgeB.next=null,--this.m_jointCount,0==t.m_collideConnected)for(var s=e.getContactList();s;)s.other==i&&s.contact.flagForFiltering(),s=s.next;this.publish("remove-joint",t)}};var bt=new dt.TimeStep;gt.prototype.step=function(t,i,e){if(this.publish("pre-step",t),(0|i)!==i&&(i=0),i=i||this.m_velocityIterations,e=e||this.m_positionIterations,this.m_newFixture&&(this.findNewContacts(),this.m_newFixture=!1),this.m_locked=!0,bt.reset(t),bt.velocityIterations=i,bt.positionIterations=e,bt.warmStarting=this.m_warmStarting,bt.blockSolve=this.m_blockSolve,this.updateContacts(),this.m_stepComplete&&t>0){this.m_solver.solveWorld(bt);for(var s=this.m_bodyList;s;s=s.getNext())0!=s.m_islandFlag&&(s.isStatic()||s.synchronizeFixtures());this.findNewContacts()}this.m_continuousPhysics&&t>0&&this.m_solver.solveWorldTOI(bt),this.m_clearForces&&this.clearForces(),this.m_locked=!1,this.publish("post-step",t)},gt.prototype.findNewContacts=function(){this.m_broadPhase.updatePairs(this.addPair)},gt.prototype.createContact=function(t,i){var e=t.fixture,s=i.fixture,o=t.childIndex,n=i.childIndex,r=e.getBody(),h=s.getBody();if(r!=h){for(var a=h.getContactList();a;){if(a.other==r){var m=a.contact.getFixtureA(),_=a.contact.getFixtureB(),c=a.contact.getChildIndexA(),l=a.contact.getChildIndexB();if(m==e&&_==s&&c==o&&l==n)return;if(m==s&&_==e&&c==n&&l==o)return}a=a.next}if(0!=h.shouldCollide(r)&&0!=s.shouldCollide(e)){var u=U.create(e,o,s,n);null!=u&&(u.m_prev=null,null!=this.m_contactList&&(u.m_next=this.m_contactList,this.m_contactList.m_prev=u),this.m_contactList=u,++this.m_contactCount)}}},gt.prototype.updateContacts=function(){for(var t,i=this.m_contactList;t=i;){i=t.getNext();var e=t.getFixtureA(),s=t.getFixtureB(),o=t.getChildIndexA(),n=t.getChildIndexB(),r=e.getBody(),h=s.getBody();if(t.m_filterFlag){if(0==h.shouldCollide(r)){this.destroyContact(t);continue}if(0==s.shouldCollide(e)){this.destroyContact(t);continue}t.m_filterFlag=!1}var a=r.isAwake()&&!r.isStatic(),m=h.isAwake()&&!h.isStatic();if(0!=a||0!=m){var _=e.m_proxies[o].proxyId,c=s.m_proxies[n].proxyId;0!=this.m_broadPhase.testOverlap(_,c)?t.update(this):this.destroyContact(t)}}},gt.prototype.destroyContact=function(t){U.destroy(t,this),t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_contactList&&(this.m_contactList=t.m_next),--this.m_contactCount},gt.prototype._listeners=null,gt.prototype.on=function(t,i){return"string"!=typeof t||"function"!=typeof i||(this._listeners||(this._listeners={}),this._listeners[t]||(this._listeners[t]=[]),this._listeners[t].push(i)),this},gt.prototype.off=function(t,i){if("string"!=typeof t||"function"!=typeof i)return this;var e=this._listeners&&this._listeners[t];if(!e||!e.length)return this;var s=e.indexOf(i);return s>=0&&e.splice(s,1),this},gt.prototype.publish=function(t,i,e,s){var o=this._listeners&&this._listeners[t];if(!o||!o.length)return 0;for(var n=0;n<o.length;n++)o[n].call(this,i,e,s);return o.length},gt.prototype.beginContact=function(t){this.publish("begin-contact",t)},gt.prototype.endContact=function(t){this.publish("end-contact",t)},gt.prototype.preSolve=function(t,i){this.publish("pre-solve",t,i)},gt.prototype.postSolve=function(t,i){this.publish("post-solve",t,i)};var At=0;function Bt(t){var e=(t=t||{}).rootClass||gt,s=t.preSerialize||function(t){return t},o=t.postSerialize||function(t,i){return t},n=t.preDeserialize||function(t){return t},h=t.postDeserialize||function(t,i){return t},a={World:gt,Body:z,Joint:st,Fixture:C,Shape:A},m=Object.assign({Vec2:r,Vec3:R},a);this.toJson=function(t){var e=[],n=[t],r={};function h(t,i){if(t.__sid=t.__sid||++At,!r[t.__sid]){n.push(t);var s={refIndex:e.length+n.length,refType:i};r[t.__sid]=s}return r[t.__sid]}function m(t,e){if("object"!==i(t)||null===t)return t;if("function"==typeof t._serialize){if(t!==e)for(var n in a)if(t instanceof a[n])return h(t,n);t=function(t){var i=(t=s(t))._serialize();return o(i,t)}(t)}if(Array.isArray(t)){for(var r=[],_=0;_<t.length;_++)r[_]=m(t[_]);t=r}else{r={};for(var _ in t)t.hasOwnProperty(_)&&(r[_]=m(t[_]));t=r}return t}for(;n.length;){var _=n.shift(),c=m(_,_);e.push(c)}return e},this.fromJson=function(t){var i={};function s(t,i,e){i=n(i);var s=t._deserialize(i,e,o);return s=h(s,i)}function o(e,o,n){if(!o.refIndex)return e&&e._deserialize&&s(e,o,n);e=m[o.refType]||e;var r=o.refIndex;if(!i[r]){var h=s(e,t[r],n);i[r]=h}return i[r]}return e._deserialize(t[0],null,o)}}var wt=new Bt;function Ct(t,e){if(!(this instanceof Ct))return new Ct(t,e);Ct._super.call(this),this.m_type=Ct.TYPE,this.m_p=r.zero(),this.m_radius=1,"object"===i(t)&&r.isValid(t)?(this.m_p.set(t),"number"==typeof e&&(this.m_radius=e)):"number"==typeof t&&(this.m_radius=t)}function Mt(t,i){if(!(this instanceof Mt))return new Mt(t,i);Mt._super.call(this),this.m_type=Mt.TYPE,this.m_radius=h.polygonRadius,this.m_vertex1=t?r.clone(t):r.zero(),this.m_vertex2=i?r.clone(i):r.zero(),this.m_vertex0=r.zero(),this.m_vertex3=r.zero(),this.m_hasVertex0=!1,this.m_hasVertex3=!1}function It(t){if(!(this instanceof It))return new It(t);It._super.call(this),this.m_type=It.TYPE,this.m_radius=h.polygonRadius,this.m_centroid=r.zero(),this.m_vertices=[],this.m_normals=[],this.m_count=0,t&&t.length&&this._set(t)}function St(t,i){if(!(this instanceof St))return new St(t,i);St._super.call(this),this.m_type=St.TYPE,this.m_radius=h.polygonRadius,this.m_vertices=[],this.m_count=0,this.m_prevVertex=null,this.m_nextVertex=null,this.m_hasPrevVertex=!1,this.m_hasNextVertex=!1,this.m_isLoop=i,t&&t.length&&(i?this._createLoop(t):this._createChain(t))}function Pt(t,i,e,s){if(!(this instanceof Pt))return new Pt(t,i,e,s);Pt._super.call(this),this._setAsBox(t,i,e,s)}function zt(t,i,e,s,o){t.pointCount=0;var n=v.mulVec2(e,i.m_p),h=v.mulVec2(o,s.m_p),a=r.distanceSquared(h,n),m=i.m_radius+s.m_radius;a>m*m||(t.type=k.e_circles,t.localPoint.set(i.m_p),t.localNormal.setZero(),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=k.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=k.e_vertex)}function Tt(t,i,e,s,o){t.pointCount=0;var n=v.mulTVec2(e,v.mulVec2(o,s.m_p)),h=i.m_vertex1,a=i.m_vertex2,m=r.sub(a,h),_=r.dot(m,r.sub(a,n)),c=r.dot(m,r.sub(n,h)),l=i.m_radius+s.m_radius;if(c<=0){var u=r.clone(h),p=r.sub(n,u);if(r.dot(p,p)>l*l)return;if(i.m_hasVertex0){var y=i.m_vertex0,d=h,f=r.sub(d,y);if(r.dot(f,r.sub(d,n))>0)return}return t.type=k.e_circles,t.localNormal.setZero(),t.localPoint.set(u),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=k.e_vertex,t.points[0].id.cf.indexB=0,void(t.points[0].id.cf.typeB=k.e_vertex)}if(_<=0){u=r.clone(a),p=r.sub(n,u);if(r.dot(p,p)>l*l)return;if(i.m_hasVertex3){var x=i.m_vertex3,g=a,b=r.sub(x,g);if(r.dot(b,r.sub(n,g))>0)return}return t.type=k.e_circles,t.localNormal.setZero(),t.localPoint.set(u),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=1,t.points[0].id.cf.typeA=k.e_vertex,t.points[0].id.cf.indexB=0,void(t.points[0].id.cf.typeB=k.e_vertex)}var A=r.dot(m,m);u=r.combine(_/A,h,c/A,a),p=r.sub(n,u);if(!(r.dot(p,p)>l*l)){var B=r.neo(-m.y,m.x);r.dot(B,r.sub(n,h))<0&&B.set(-B.x,-B.y),B.normalize(),t.type=k.e_faceA,t.localNormal=B,t.localPoint.set(h),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=k.e_face,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=k.e_vertex}}function Vt(t,i,e,s){for(var o=t.m_count,n=e.m_count,h=t.m_normals,a=t.m_vertices,m=e.m_vertices,_=v.mulTXf(s,i),c=0,l=-1/0,u=0;u<o;++u){for(var p=f.mulVec2(_.q,h[u]),y=v.mulVec2(_,a[u]),d=1/0,x=0;x<n;++x){var g=r.dot(p,m[x])-r.dot(p,y);g<d&&(d=g)}d>l&&(l=d,c=u)}Vt._maxSeparation=l,Vt._bestIndex=c}function kt(t,i,e,s,o){t.pointCount=0;var n=i.m_radius+s.m_radius;Vt(i,e,s,o);var a=Vt._bestIndex,m=Vt._maxSeparation;if(!(m>n)){Vt(s,o,i,e);var _=Vt._bestIndex,c=Vt._maxSeparation;if(!(c>n)){var l,u,p,y,d,x;c>m+.1*h.linearSlop?(l=s,u=i,p=o,y=e,d=_,t.type=k.e_faceB,x=1):(l=i,u=s,p=e,y=o,d=a,t.type=k.e_faceA,x=0);var g=[new k.ClipVertex,new k.ClipVertex];!function(t,i,e,s,o,n){for(var h=i.m_normals,a=o.m_count,m=o.m_vertices,_=o.m_normals,c=f.mulT(n.q,f.mulVec2(e.q,h[s])),l=0,u=1/0,p=0;p<a;++p){var y=r.dot(c,_[p]);y<u&&(u=y,l=p)}var d=l,x=d+1<a?d+1:0;t[0].v=v.mulVec2(n,m[d]),t[0].id.cf.indexA=s,t[0].id.cf.indexB=d,t[0].id.cf.typeA=k.e_face,t[0].id.cf.typeB=k.e_vertex,t[1].v=v.mulVec2(n,m[x]),t[1].id.cf.indexA=s,t[1].id.cf.indexB=x,t[1].id.cf.typeA=k.e_face,t[1].id.cf.typeB=k.e_vertex}(g,l,p,d,u,y);var b=l.m_count,A=l.m_vertices,B=d,w=d+1<b?d+1:0,C=A[B],M=A[w],I=r.sub(M,C);I.normalize();var S=r.cross(I,1),P=r.combine(.5,C,.5,M),z=f.mulVec2(p.q,I),T=r.cross(z,1);C=v.mulVec2(p,C),M=v.mulVec2(p,M);var V=r.dot(T,C),L=-r.dot(z,C)+n,q=r.dot(z,M)+n,F=[new k.ClipVertex,new k.ClipVertex],j=[new k.ClipVertex,new k.ClipVertex];if(!(k.clipSegmentToLine(F,g,r.neg(z),L,B)<2||k.clipSegmentToLine(j,F,z,q,w)<2)){t.localNormal=S,t.localPoint=P;for(var E=0,Y=0;Y<j.length;++Y){if(r.dot(T,j[Y].v)-V<=n){var D=t.points[E];if(D.localPoint.set(v.mulTVec2(y,j[Y].v)),D.id=j[Y].id,x){var R=D.id.cf,O=R.indexA,J=R.indexB,X=R.typeA,N=R.typeB;R.indexA=J,R.indexB=O,R.typeA=N,R.typeB=X}++E}}t.pointCount=E}}}}function Lt(t,i,e,s,o){t.pointCount=0;for(var h=v.mulVec2(o,s.m_p),a=v.mulTVec2(e,h),m=0,_=-1/0,c=i.m_radius+s.m_radius,l=i.m_count,u=i.m_vertices,p=i.m_normals,y=0;y<l;++y){var d=r.dot(p[y],r.sub(a,u[y]));if(d>c)return;d>_&&(_=d,m=y)}var f=m,x=f+1<l?f+1:0,g=u[f],b=u[x];if(_<n.EPSILON)return t.pointCount=1,t.type=k.e_faceA,t.localNormal.set(p[m]),t.localPoint.setCombine(.5,g,.5,b),t.points[0].localPoint=s.m_p,t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=k.e_vertex,t.points[0].id.cf.indexB=0,void(t.points[0].id.cf.typeB=k.e_vertex);var A=r.dot(r.sub(a,g),r.sub(b,g)),B=r.dot(r.sub(a,b),r.sub(g,b));if(A<=0){if(r.distanceSquared(a,g)>c*c)return;t.pointCount=1,t.type=k.e_faceA,t.localNormal.setCombine(1,a,-1,g),t.localNormal.normalize(),t.localPoint=g,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=k.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=k.e_vertex}else if(B<=0){if(r.distanceSquared(a,b)>c*c)return;t.pointCount=1,t.type=k.e_faceA,t.localNormal.setCombine(1,a,-1,b),t.localNormal.normalize(),t.localPoint.set(b),t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=k.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=k.e_vertex}else{var w=r.mid(g,b);if((_=r.dot(a,p[f])-r.dot(w,p[f]))>c)return;t.pointCount=1,t.type=k.e_faceA,t.localNormal.set(p[f]),t.localPoint.set(w),t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=k.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=k.e_vertex}}Bt.toJson=wt.toJson,Bt.fromJson=wt.fromJson,Ct._super=A,Ct.prototype=Object.create(Ct._super.prototype),Ct.TYPE="circle",A.TYPES[Ct.TYPE]=Ct,Ct.prototype._serialize=function(){return{type:this.m_type,p:this.m_p,radius:this.m_radius}},Ct._deserialize=function(t){return new Ct(t.p,t.radius)},Ct.prototype.getRadius=function(){return this.m_radius},Ct.prototype.getCenter=function(){return this.m_p},Ct.prototype.getVertex=function(t){return this.m_p},Ct.prototype.getVertexCount=function(t){return 1},Ct.prototype._clone=function(){var t=new Ct;return t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_p=this.m_p.clone(),t},Ct.prototype.getChildCount=function(){return 1},Ct.prototype.testPoint=function(t,i){var e=r.add(t.p,f.mulVec2(t.q,this.m_p)),s=r.sub(i,e);return r.dot(s,s)<=this.m_radius*this.m_radius},Ct.prototype.rayCast=function(t,i,e,s){var o=r.add(e.p,f.mulVec2(e.q,this.m_p)),h=r.sub(i.p1,o),a=r.dot(h,h)-this.m_radius*this.m_radius,m=r.sub(i.p2,i.p1),_=r.dot(h,m),c=r.dot(m,m),l=_*_-c*a;if(l<0||c<n.EPSILON)return!1;var u=-(_+n.sqrt(l));return 0<=u&&u<=i.maxFraction*c&&(u/=c,t.fraction=u,t.normal=r.add(h,r.mul(u,m)),t.normal.normalize(),!0)},Ct.prototype.computeAABB=function(t,i,e){var s=r.add(i.p,f.mulVec2(i.q,this.m_p));t.lowerBound.set(s.x-this.m_radius,s.y-this.m_radius),t.upperBound.set(s.x+this.m_radius,s.y+this.m_radius)},Ct.prototype.computeMass=function(t,i){t.mass=i*n.PI*this.m_radius*this.m_radius,t.center=this.m_p,t.I=t.mass*(.5*this.m_radius*this.m_radius+r.dot(this.m_p,this.m_p))},Ct.prototype.computeDistanceProxy=function(t){t.m_vertices.push(this.m_p),t.m_count=1,t.m_radius=this.m_radius},Mt._super=A,Mt.prototype=Object.create(Mt._super.prototype),Mt.TYPE="edge",A.TYPES[Mt.TYPE]=Mt,Mt.prototype._serialize=function(){return{type:this.m_type,vertex1:this.m_vertex1,vertex2:this.m_vertex2,vertex0:this.m_vertex0,vertex3:this.m_vertex3,hasVertex0:this.m_hasVertex0,hasVertex3:this.m_hasVertex3}},Mt._deserialize=function(t){var i=new Mt(t.vertex1,t.vertex2);return i.hasVertex0&&i.setPrev(t.vertex0),i.hasVertex3&&i.setNext(t.vertex3),i},Mt.prototype.setNext=function(t){return t?(this.m_vertex3.set(t),this.m_hasVertex3=!0):(this.m_vertex3.setZero(),this.m_hasVertex3=!1),this},Mt.prototype.setPrev=function(t){return t?(this.m_vertex0.set(t),this.m_hasVertex0=!0):(this.m_vertex0.setZero(),this.m_hasVertex0=!1),this},Mt.prototype._set=function(t,i){return this.m_vertex1.set(t),this.m_vertex2.set(i),this.m_hasVertex0=!1,this.m_hasVertex3=!1,this},Mt.prototype._clone=function(){var t=new Mt;return t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_vertex1.set(this.m_vertex1),t.m_vertex2.set(this.m_vertex2),t.m_vertex0.set(this.m_vertex0),t.m_vertex3.set(this.m_vertex3),t.m_hasVertex0=this.m_hasVertex0,t.m_hasVertex3=this.m_hasVertex3,t},Mt.prototype.getChildCount=function(){return 1},Mt.prototype.testPoint=function(t,i){return!1},Mt.prototype.rayCast=function(t,i,e,s){var o=f.mulTVec2(e.q,r.sub(i.p1,e.p)),n=f.mulTVec2(e.q,r.sub(i.p2,e.p)),h=r.sub(n,o),a=this.m_vertex1,m=this.m_vertex2,_=r.sub(m,a),c=r.neo(_.y,-_.x);c.normalize();var l=r.dot(c,r.sub(a,o)),u=r.dot(c,h);if(0==u)return!1;var p=l/u;if(p<0||i.maxFraction<p)return!1;var y=r.add(o,r.mul(p,h)),d=r.sub(m,a),v=r.dot(d,d);if(0==v)return!1;var x=r.dot(r.sub(y,a),d)/v;return!(x<0||1<x)&&(t.fraction=p,t.normal=l>0?f.mulVec2(e.q,c).neg():f.mulVec2(e.q,c),!0)},Mt.prototype.computeAABB=function(t,i,e){var s=v.mulVec2(i,this.m_vertex1),o=v.mulVec2(i,this.m_vertex2);t.combinePoints(s,o),t.extend(this.m_radius)},Mt.prototype.computeMass=function(t,i){t.mass=0,t.center.setCombine(.5,this.m_vertex1,.5,this.m_vertex2),t.I=0},Mt.prototype.computeDistanceProxy=function(t){t.m_vertices.push(this.m_vertex1),t.m_vertices.push(this.m_vertex2),t.m_count=2,t.m_radius=this.m_radius},It._super=A,It.prototype=Object.create(It._super.prototype),It.TYPE="polygon",A.TYPES[It.TYPE]=It,It.prototype._serialize=function(){return{type:this.m_type,vertices:this.m_vertices}},It._deserialize=function(t,i,e){var s=[];if(t.vertices)for(var o=0;o<t.vertices.length;o++)s.push(e(r,t.vertices[o]));return new It(s)},It.prototype.getVertex=function(t){return this.m_vertices[t]},It.prototype._clone=function(){var t=new It;t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_count=this.m_count,t.m_centroid.set(this.m_centroid);for(var i=0;i<this.m_count;i++)t.m_vertices.push(this.m_vertices[i].clone());for(i=0;i<this.m_normals.length;i++)t.m_normals.push(this.m_normals[i].clone());return t},It.prototype.getChildCount=function(){return 1},It.prototype._reset=function(){this._set(this.m_vertices)},It.prototype._set=function(t){if(t.length<3)this._setAsBox(1,1);else{for(var i=n.min(t.length,h.maxPolygonVertices),e=[],s=0;s<i;++s){for(var o=t[s],a=!0,m=0;m<e.length;++m)if(r.distanceSquared(o,e[m])<.25*h.linearSlopSquared){a=!1;break}a&&e.push(o)}if((i=e.length)<3)this._setAsBox(1,1);else{var _=0,c=e[0].x;for(s=1;s<i;++s){var l=e[s].x;(l>c||l===c&&e[s].y<e[_].y)&&(_=s,c=l)}for(var u=[],p=0,y=_;;){u[p]=y;var d=0;for(m=1;m<i;++m)if(d!==y){var f=r.sub(e[d],e[u[p]]),v=(o=r.sub(e[m],e[u[p]]),r.cross(f,o));v<0&&(d=m),0===v&&o.lengthSquared()>f.lengthSquared()&&(d=m)}else d=m;if(++p,y=d,d===_)break}if(p<3)this._setAsBox(1,1);else{this.m_count=p,this.m_vertices=[];for(s=0;s<p;++s)this.m_vertices[s]=e[u[s]];for(s=0;s<p;++s){var x=s,g=s+1<p?s+1:0,b=r.sub(this.m_vertices[g],this.m_vertices[x]);this.m_normals[s]=r.cross(b,1),this.m_normals[s].normalize()}this.m_centroid=function(t,i){for(var e=r.zero(),s=0,o=r.zero(),n=1/3,h=0;h<i;++h){var a=o,m=t[h],_=h+1<i?t[h+1]:t[0],c=r.sub(m,a),l=r.sub(_,a),u=.5*r.cross(c,l);s+=u,e.addMul(u*n,a),e.addMul(u*n,m),e.addMul(u*n,_)}return e.mul(1/s),e}(this.m_vertices,p)}}}},It.prototype._setAsBox=function(t,i,e,s){if(this.m_vertices[0]=r.neo(t,-i),this.m_vertices[1]=r.neo(t,i),this.m_vertices[2]=r.neo(-t,i),this.m_vertices[3]=r.neo(-t,-i),this.m_normals[0]=r.neo(1,0),this.m_normals[1]=r.neo(0,1),this.m_normals[2]=r.neo(-1,0),this.m_normals[3]=r.neo(0,-1),this.m_count=4,r.isValid(e)){s=s||0,this.m_centroid.set(e);var o=v.identity();o.p.set(e),o.q.set(s);for(var n=0;n<this.m_count;++n)this.m_vertices[n]=v.mulVec2(o,this.m_vertices[n]),this.m_normals[n]=f.mulVec2(o.q,this.m_normals[n])}},It.prototype.testPoint=function(t,i){for(var e=f.mulTVec2(t.q,r.sub(i,t.p)),s=0;s<this.m_count;++s){if(r.dot(this.m_normals[s],r.sub(e,this.m_vertices[s]))>0)return!1}return!0},It.prototype.rayCast=function(t,i,e,s){for(var o=f.mulTVec2(e.q,r.sub(i.p1,e.p)),n=f.mulTVec2(e.q,r.sub(i.p2,e.p)),h=r.sub(n,o),a=0,m=i.maxFraction,_=-1,c=0;c<this.m_count;++c){var l=r.dot(this.m_normals[c],r.sub(this.m_vertices[c],o)),u=r.dot(this.m_normals[c],h);if(0==u){if(l<0)return!1}else u<0&&l<a*u?(a=l/u,_=c):u>0&&l<m*u&&(m=l/u);if(m<a)return!1}return _>=0&&(t.fraction=a,t.normal=f.mulVec2(e.q,this.m_normals[_]),!0)},It.prototype.computeAABB=function(t,i,e){for(var s=1/0,o=1/0,r=-1/0,h=-1/0,a=0;a<this.m_count;++a){var m=v.mulVec2(i,this.m_vertices[a]);s=n.min(s,m.x),r=n.max(r,m.x),o=n.min(o,m.y),h=n.max(h,m.y)}t.lowerBound.set(s,o),t.upperBound.set(r,h),t.extend(this.m_radius)},It.prototype.computeMass=function(t,i){for(var e=r.zero(),s=0,o=0,n=r.zero(),h=0;h<this.m_count;++h)n.add(this.m_vertices[h]);n.mul(1/this.m_count);var a=1/3;for(h=0;h<this.m_count;++h){var m=r.sub(this.m_vertices[h],n),_=h+1<this.m_count?r.sub(this.m_vertices[h+1],n):r.sub(this.m_vertices[0],n),c=r.cross(m,_),l=.5*c;s+=l,e.addCombine(l*a,m,l*a,_);var u=m.x,p=m.y,y=_.x,d=_.y;o+=.25*a*c*(u*u+y*u+y*y+(p*p+d*p+d*d))}t.mass=i*s,e.mul(1/s),t.center.setCombine(1,e,1,n),t.I=i*o,t.I+=t.mass*(r.dot(t.center,t.center)-r.dot(e,e))},It.prototype.validate=function(){for(var t=0;t<this.m_count;++t)for(var i=t,e=t<this.m_count-1?i+1:0,s=this.m_vertices[i],o=r.sub(this.m_vertices[e],s),n=0;n<this.m_count;++n)if(n!=i&&n!=e){var h=r.sub(this.m_vertices[n],s);if(r.cross(o,h)<0)return!1}return!0},It.prototype.computeDistanceProxy=function(t){t.m_vertices=this.m_vertices,t.m_count=this.m_count,t.m_radius=this.m_radius},St._super=A,St.prototype=Object.create(St._super.prototype),St.TYPE="chain",A.TYPES[St.TYPE]=St,St.prototype._serialize=function(){var t={type:this.m_type,vertices:this.m_vertices,isLoop:this.m_isLoop,hasPrevVertex:this.m_hasPrevVertex,hasNextVertex:this.m_hasNextVertex};return this.m_prevVertex&&(t.prevVertex=this.m_prevVertex),this.m_nextVertex&&(t.nextVertex=this.m_nextVertex),t},St._deserialize=function(t,i,e){var s=[];if(t.vertices)for(var o=0;o<t.vertices.length;o++)s.push(e(r,t.vertices[o]));var n=new St(s,t.isLoop);return t.prevVertex&&n.setPrevVertex(t.prevVertex),t.nextVertex&&n.setNextVertex(t.nextVertex),n},St.prototype._createLoop=function(t){for(var i=1;i<t.length;++i)t[i-1],t[i];this.m_vertices=[],this.m_count=t.length+1;for(i=0;i<t.length;++i)this.m_vertices[i]=r.clone(t[i]);return this.m_vertices[t.length]=r.clone(t[0]),this.m_prevVertex=this.m_vertices[this.m_count-2],this.m_nextVertex=this.m_vertices[1],this.m_hasPrevVertex=!0,this.m_hasNextVertex=!0,this},St.prototype._createChain=function(t){for(var i=1;i<t.length;++i)t[i-1],t[i];this.m_count=t.length;for(i=0;i<t.length;++i)this.m_vertices[i]=r.clone(t[i]);return this.m_hasPrevVertex=!1,this.m_hasNextVertex=!1,this.m_prevVertex=null,this.m_nextVertex=null,this},St.prototype._reset=function(){this.m_isLoop?this._createLoop(this.m_vertices):this._createChain(this.m_vertices)},St.prototype.setPrevVertex=function(t){this.m_prevVertex=t,this.m_hasPrevVertex=!0},St.prototype.setNextVertex=function(t){this.m_nextVertex=t,this.m_hasNextVertex=!0},St.prototype._clone=function(){var t=new St;return t.createChain(this.m_vertices),t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_prevVertex=this.m_prevVertex,t.m_nextVertex=this.m_nextVertex,t.m_hasPrevVertex=this.m_hasPrevVertex,t.m_hasNextVertex=this.m_hasNextVertex,t},St.prototype.getChildCount=function(){return this.m_count-1},St.prototype.getChildEdge=function(t,i){t.m_type=Mt.TYPE,t.m_radius=this.m_radius,t.m_vertex1=this.m_vertices[i],t.m_vertex2=this.m_vertices[i+1],i>0?(t.m_vertex0=this.m_vertices[i-1],t.m_hasVertex0=!0):(t.m_vertex0=this.m_prevVertex,t.m_hasVertex0=this.m_hasPrevVertex),i<this.m_count-2?(t.m_vertex3=this.m_vertices[i+2],t.m_hasVertex3=!0):(t.m_vertex3=this.m_nextVertex,t.m_hasVertex3=this.m_hasNextVertex)},St.prototype.getVertex=function(t){return t<this.m_count?this.m_vertices[t]:this.m_vertices[0]},St.prototype.testPoint=function(t,i){return!1},St.prototype.rayCast=function(t,i,e,s){return new Mt(this.getVertex(s),this.getVertex(s+1)).rayCast(t,i,e,0)},St.prototype.computeAABB=function(t,i,e){var s=v.mulVec2(i,this.getVertex(e)),o=v.mulVec2(i,this.getVertex(e+1));t.combinePoints(s,o)},St.prototype.computeMass=function(t,i){t.mass=0,t.center=r.neo(),t.I=0},St.prototype.computeDistanceProxy=function(t,i){t.m_buffer[0]=this.getVertex(i),t.m_buffer[1]=this.getVertex(i+1),t.m_vertices=t.m_buffer,t.m_count=2,t.m_radius=this.m_radius},Pt._super=It,Pt.prototype=Object.create(Pt._super.prototype),Pt.TYPE="polygon",U.addType(Ct.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){zt(t,e.getShape(),i,n.getShape(),o)})),U.addType(Mt.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){var h=e.getShape(),a=n.getShape();Tt(t,h,i,a,o)})),U.addType(St.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){var h=e.getShape(),a=new Mt;h.getChildEdge(a,s);var m=a,_=n.getShape();Tt(t,m,i,_,o)})),U.addType(It.TYPE,It.TYPE,(function(t,i,e,s,o,n,r){kt(t,e.getShape(),i,n.getShape(),o)})),U.addType(It.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){Lt(t,e.getShape(),i,n.getShape(),o)})),U.addType(Mt.TYPE,It.TYPE,(function(t,i,e,s,o,n,r){Dt(t,e.getShape(),i,n.getShape(),o)})),U.addType(St.TYPE,It.TYPE,(function(t,i,e,s,o,n,r){var h=e.getShape(),a=new Mt;h.getChildEdge(a,s),Dt(t,a,i,n.getShape(),o)}));function qt(){this.type,this.index,this.separation}var Ft=new qt,jt=new qt,Et=new function(){this.vertices=[],this.normals=[],this.count=0},Yt=new function(){this.i1,this.i2,this.v1,this.v2,this.normal=r.zero(),this.sideNormal1=r.zero(),this.sideOffset1,this.sideNormal2=r.zero(),this.sideOffset2};function Dt(t,i,e,s,o){var a=v.mulTXf(e,o),m=v.mulVec2(a,s.m_centroid),_=i.m_vertex0,c=i.m_vertex1,l=i.m_vertex2,u=i.m_vertex3,p=i.m_hasVertex0,y=i.m_hasVertex3,d=r.sub(l,c);d.normalize();var x,g=r.neo(d.y,-d.x),b=r.dot(g,r.sub(m,c)),A=0,B=0,w=!1,C=!1;if(p){var M=r.sub(c,_);M.normalize();var I=r.neo(M.y,-M.x);w=r.cross(M,d)>=0,A=r.dot(I,m)-r.dot(I,_)}if(y){var S=r.sub(u,l);S.normalize();var P=r.neo(S.y,-S.x);C=r.cross(d,S)>0,B=r.dot(P,m)-r.dot(P,l)}var z=r.zero(),T=r.zero(),V=r.zero();p&&y?w&&C?(x=A>=0||b>=0||B>=0)?(z.set(g),T.set(I),V.set(P)):(z.setMul(-1,g),T.setMul(-1,g),V.setMul(-1,g)):w?(x=A>=0||b>=0&&B>=0)?(z.set(g),T.set(I),V.set(g)):(z.setMul(-1,g),T.setMul(-1,P),V.setMul(-1,g)):C?(x=B>=0||A>=0&&b>=0)?(z.set(g),T.set(g),V.set(P)):(z.setMul(-1,g),T.setMul(-1,g),V.setMul(-1,I)):(x=A>=0&&b>=0&&B>=0)?(z.set(g),T.set(g),V.set(g)):(z.setMul(-1,g),T.setMul(-1,P),V.setMul(-1,I)):p?w?(x=A>=0||b>=0)?(z.set(g),T.set(I),V.setMul(-1,g)):(z.setMul(-1,g),T.set(g),V.setMul(-1,g)):(x=A>=0&&b>=0)?(z.set(g),T.set(g),V.setMul(-1,g)):(z.setMul(-1,g),T.set(g),V.setMul(-1,I)):y?C?(x=b>=0||B>=0)?(z.set(g),T.setMul(-1,g),V.set(P)):(z.setMul(-1,g),T.setMul(-1,g),V.set(g)):(x=b>=0&&B>=0)?(z.set(g),T.setMul(-1,g),V.set(g)):(z.setMul(-1,g),T.setMul(-1,P),V.set(g)):(x=b>=0)?(z.set(g),T.setMul(-1,g),V.setMul(-1,g)):(z.setMul(-1,g),T.set(g),V.set(g)),Et.count=s.m_count;for(var L=0;L<s.m_count;++L)Et.vertices[L]=v.mulVec2(a,s.m_vertices[L]),Et.normals[L]=f.mulVec2(a.q,s.m_normals[L]);var q=2*h.polygonRadius;t.pointCount=0,Ft.type=1,Ft.index=x?0:1,Ft.separation=1/0;for(L=0;L<Et.count;++L){(j=r.dot(z,r.sub(Et.vertices[L],c)))<Ft.separation&&(Ft.separation=j)}if(-1!=Ft.type&&!(Ft.separation>q)){jt.type=-1,jt.index=-1,jt.separation=-1/0;var F=r.neo(-z.y,z.x);for(L=0;L<Et.count;++L){var j,E=r.neg(Et.normals[L]),Y=r.dot(E,r.sub(Et.vertices[L],c)),D=r.dot(E,r.sub(Et.vertices[L],l));if((j=n.min(Y,D))>q){jt.type=2,jt.index=L,jt.separation=j;break}if(r.dot(E,F)>=0){if(r.dot(r.sub(E,V),z)<-h.angularSlop)continue}else if(r.dot(r.sub(E,T),z)<-h.angularSlop)continue;j>jt.separation&&(jt.type=2,jt.index=L,jt.separation=j)}if(!(-1!=jt.type&&jt.separation>q)){var R;R=-1==jt.type?Ft:jt.separation>.98*Ft.separation+.001?jt:Ft;var O=[new k.ClipVertex,new k.ClipVertex];if(1==R.type){t.type=k.e_faceA;var J=0,X=r.dot(z,Et.normals[0]);for(L=1;L<Et.count;++L){var N=r.dot(z,Et.normals[L]);N<X&&(X=N,J=L)}var W=J,H=W+1<Et.count?W+1:0;O[0].v=Et.vertices[W],O[0].id.cf.indexA=0,O[0].id.cf.indexB=W,O[0].id.cf.typeA=k.e_face,O[0].id.cf.typeB=k.e_vertex,O[1].v=Et.vertices[H],O[1].id.cf.indexA=0,O[1].id.cf.indexB=H,O[1].id.cf.typeA=k.e_face,O[1].id.cf.typeB=k.e_vertex,x?(Yt.i1=0,Yt.i2=1,Yt.v1=c,Yt.v2=l,Yt.normal.set(g)):(Yt.i1=1,Yt.i2=0,Yt.v1=l,Yt.v2=c,Yt.normal.setMul(-1,g))}else t.type=k.e_faceB,O[0].v=c,O[0].id.cf.indexA=0,O[0].id.cf.indexB=R.index,O[0].id.cf.typeA=k.e_vertex,O[0].id.cf.typeB=k.e_face,O[1].v=l,O[1].id.cf.indexA=0,O[1].id.cf.indexB=R.index,O[1].id.cf.typeA=k.e_vertex,O[1].id.cf.typeB=k.e_face,Yt.i1=R.index,Yt.i2=Yt.i1+1<Et.count?Yt.i1+1:0,Yt.v1=Et.vertices[Yt.i1],Yt.v2=Et.vertices[Yt.i2],Yt.normal.set(Et.normals[Yt.i1]);Yt.sideNormal1.set(Yt.normal.y,-Yt.normal.x),Yt.sideNormal2.setMul(-1,Yt.sideNormal1),Yt.sideOffset1=r.dot(Yt.sideNormal1,Yt.v1),Yt.sideOffset2=r.dot(Yt.sideNormal2,Yt.v2);var Z=[new k.ClipVertex,new k.ClipVertex],K=[new k.ClipVertex,new k.ClipVertex];if(!(k.clipSegmentToLine(Z,O,Yt.sideNormal1,Yt.sideOffset1,Yt.i1)<h.maxManifoldPoints||k.clipSegmentToLine(K,Z,Yt.sideNormal2,Yt.sideOffset2,Yt.i2)<h.maxManifoldPoints)){1==R.type?(t.localNormal=r.clone(Yt.normal),t.localPoint=r.clone(Yt.v1)):(t.localNormal=r.clone(s.m_normals[Yt.i1]),t.localPoint=r.clone(s.m_vertices[Yt.i1]));var G=0;for(L=0;L<h.maxManifoldPoints;++L){if(r.dot(Yt.normal,r.sub(K[L].v,Yt.v1))<=q){var U=t.points[G];1==R.type?(U.localPoint=v.mulT(a,K[L].v),U.id=K[L].id):(U.localPoint=K[L].v,U.id.cf.typeA=K[L].id.cf.typeB,U.id.cf.typeB=K[L].id.cf.typeA,U.id.cf.indexA=K[L].id.cf.indexB,U.id.cf.indexB=K[L].id.cf.indexA),++G}}t.pointCount=G}}}}Ot.TYPE="distance-joint",st.TYPES[Ot.TYPE]=Ot,Ot._super=st,Ot.prototype=Object.create(Ot._super.prototype);var Rt={frequencyHz:0,dampingRatio:0};function Ot(t,i,s,o,h){if(!(this instanceof Ot))return new Ot(t,i,s,o,h);if(s&&o&&"m_type"in o&&"x"in s&&"y"in s){var a=s;s=o,o=a}t=e(t,Rt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Ot.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(h?s.getLocalPoint(h):t.localAnchorB||r.zero()),this.m_length=n.isFinite(t.length)?t.length:r.distance(i.getWorldPoint(this.m_localAnchorA),s.getWorldPoint(this.m_localAnchorB)),this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_impulse=0,this.m_gamma=0,this.m_bias=0,this.m_u,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass}Ot.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,length:this.m_length,impulse:this.m_impulse,gamma:this.m_gamma,bias:this.m_bias}},Ot._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new Ot(t)},Ot.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB),t.length>0?this.m_length=+t.length:t.length<0||(t.anchorA||t.anchorA||t.anchorA||t.anchorA)&&(this.m_length=r.distance(this.m_bodyA.getWorldPoint(this.m_localAnchorA),this.m_bodyB.getWorldPoint(this.m_localAnchorB)))},Ot.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Ot.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Ot.prototype.setLength=function(t){this.m_length=t},Ot.prototype.getLength=function(){return this.m_length},Ot.prototype.setFrequency=function(t){this.m_frequencyHz=t},Ot.prototype.getFrequency=function(){return this.m_frequencyHz},Ot.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},Ot.prototype.getDampingRatio=function(){return this.m_dampingRatio},Ot.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Ot.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Ot.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_u).mul(t)},Ot.prototype.getReactionTorque=function(t){return 0},Ot.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,a=this.m_bodyB.c_position.c,m=this.m_bodyB.c_position.a,_=this.m_bodyB.c_velocity.v,c=this.m_bodyB.c_velocity.w,l=f.neo(e),u=f.neo(m);this.m_rA=f.mulVec2(l,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=f.mulVec2(u,r.sub(this.m_localAnchorB,this.m_localCenterB)),this.m_u=r.sub(r.add(a,this.m_rB),r.add(i,this.m_rA));var p=this.m_u.length();p>h.linearSlop?this.m_u.mul(1/p):this.m_u.set(0,0);var y=r.cross(this.m_rA,this.m_u),d=r.cross(this.m_rB,this.m_u),v=this.m_invMassA+this.m_invIA*y*y+this.m_invMassB+this.m_invIB*d*d;if(this.m_mass=0!=v?1/v:0,this.m_frequencyHz>0){var x=p-this.m_length,g=2*n.PI*this.m_frequencyHz,b=2*this.m_mass*this.m_dampingRatio*g,A=this.m_mass*g*g,B=t.dt;this.m_gamma=B*(b+B*A),this.m_gamma=0!=this.m_gamma?1/this.m_gamma:0,this.m_bias=x*B*A*this.m_gamma,v+=this.m_gamma,this.m_mass=0!=v?1/v:0}else this.m_gamma=0,this.m_bias=0;if(t.warmStarting){this.m_impulse*=t.dtRatio;var w=r.mul(this.m_impulse,this.m_u);s.subMul(this.m_invMassA,w),o-=this.m_invIA*r.cross(this.m_rA,w),_.addMul(this.m_invMassB,w),c+=this.m_invIB*r.cross(this.m_rB,w)}else this.m_impulse=0;this.m_bodyA.c_velocity.v.set(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.set(_),this.m_bodyB.c_velocity.w=c},Ot.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=r.add(i,r.cross(e,this.m_rA)),h=r.add(s,r.cross(o,this.m_rB)),a=r.dot(this.m_u,h)-r.dot(this.m_u,n),m=-this.m_mass*(a+this.m_bias+this.m_gamma*this.m_impulse);this.m_impulse+=m;var _=r.mul(m,this.m_u);i.subMul(this.m_invMassA,_),e-=this.m_invIA*r.cross(this.m_rA,_),s.addMul(this.m_invMassB,_),o+=this.m_invIB*r.cross(this.m_rB,_),this.m_bodyA.c_velocity.v.set(i),this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v.set(s),this.m_bodyB.c_velocity.w=o},Ot.prototype.solvePositionConstraints=function(t){if(this.m_frequencyHz>0)return!0;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=f.neo(e),m=f.neo(o),_=f.mulSub(a,this.m_localAnchorA,this.m_localCenterA),c=f.mulSub(m,this.m_localAnchorB,this.m_localCenterB),l=r.sub(r.add(s,c),r.add(i,_)),u=l.normalize()-this.m_length;u=n.clamp(u,-h.maxLinearCorrection,h.maxLinearCorrection);var p=-this.m_mass*u,y=r.mul(p,l);return i.subMul(this.m_invMassA,y),e-=this.m_invIA*r.cross(_,y),s.addMul(this.m_invMassB,y),o+=this.m_invIB*r.cross(c,y),this.m_bodyA.c_position.c.set(i),this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c.set(s),this.m_bodyB.c_position.a=o,n.abs(u)<h.linearSlop},Xt.TYPE="friction-joint",st.TYPES[Xt.TYPE]=Xt,Xt._super=st,Xt.prototype=Object.create(Xt._super.prototype);var Jt={maxForce:0,maxTorque:0};function Xt(t,i,s,o){if(!(this instanceof Xt))return new Xt(t,i,s,o);t=e(t,Jt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Xt.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_linearImpulse=r.zero(),this.m_angularImpulse=0,this.m_maxForce=t.maxForce,this.m_maxTorque=t.maxTorque,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_linearMass,this.m_angularMass}Xt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,maxForce:this.m_maxForce,maxTorque:this.m_maxTorque,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB}},Xt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new Xt(t)},Xt.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},Xt.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Xt.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Xt.prototype.setMaxForce=function(t){this.m_maxForce=t},Xt.prototype.getMaxForce=function(){return this.m_maxForce},Xt.prototype.setMaxTorque=function(t){this.m_maxTorque=t},Xt.prototype.getMaxTorque=function(){return this.m_maxTorque},Xt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Xt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Xt.prototype.getReactionForce=function(t){return r.mul(t,this.m_linearImpulse)},Xt.prototype.getReactionTorque=function(t){return t*this.m_angularImpulse},Xt.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,a=f.neo(i),m=f.neo(o);this.m_rA=f.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=f.mulVec2(m,r.sub(this.m_localAnchorB,this.m_localCenterB));var _=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,u=this.m_invIB,p=new V;if(p.ex.x=_+c+l*this.m_rA.y*this.m_rA.y+u*this.m_rB.y*this.m_rB.y,p.ex.y=-l*this.m_rA.x*this.m_rA.y-u*this.m_rB.x*this.m_rB.y,p.ey.x=p.ex.y,p.ey.y=_+c+l*this.m_rA.x*this.m_rA.x+u*this.m_rB.x*this.m_rB.x,this.m_linearMass=p.getInverse(),this.m_angularMass=l+u,this.m_angularMass>0&&(this.m_angularMass=1/this.m_angularMass),t.warmStarting){this.m_linearImpulse.mul(t.dtRatio),this.m_angularImpulse*=t.dtRatio;var y=r.neo(this.m_linearImpulse.x,this.m_linearImpulse.y);e.subMul(_,y),s-=l*(r.cross(this.m_rA,y)+this.m_angularImpulse),n.addMul(c,y),h+=u*(r.cross(this.m_rB,y)+this.m_angularImpulse)}else this.m_linearImpulse.setZero(),this.m_angularImpulse=0;this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=n,this.m_bodyB.c_velocity.w=h},Xt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,h=this.m_invMassA,a=this.m_invMassB,m=this.m_invIA,_=this.m_invIB,c=t.dt,l=o-e,u=-this.m_angularMass*l,p=this.m_angularImpulse,y=c*this.m_maxTorque;this.m_angularImpulse=n.clamp(this.m_angularImpulse+u,-y,y),e-=m*(u=this.m_angularImpulse-p),o+=_*u;l=r.sub(r.add(s,r.cross(o,this.m_rB)),r.add(i,r.cross(e,this.m_rA))),u=r.neg(V.mulVec2(this.m_linearMass,l)),p=this.m_linearImpulse;this.m_linearImpulse.add(u);y=c*this.m_maxForce;this.m_linearImpulse.lengthSquared()>y*y&&(this.m_linearImpulse.normalize(),this.m_linearImpulse.mul(y)),u=r.sub(this.m_linearImpulse,p),i.subMul(h,u),e-=m*r.cross(this.m_rA,u),s.addMul(a,u),o+=_*r.cross(this.m_rB,u),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},Xt.prototype.solvePositionConstraints=function(t){return!0};Wt.TYPE="revolute-joint",st.TYPES[Wt.TYPE]=Wt,Wt._super=st,Wt.prototype=Object.create(Wt._super.prototype);var Nt={lowerAngle:0,upperAngle:0,maxMotorTorque:0,motorSpeed:0,enableLimit:!1,enableMotor:!1};function Wt(t,i,s,o){if(!(this instanceof Wt))return new Wt(t,i,s,o);t=e(t,Nt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Wt.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_referenceAngle=n.isFinite(t.referenceAngle)?t.referenceAngle:s.getAngle()-i.getAngle(),this.m_impulse=R(),this.m_motorImpulse=0,this.m_lowerAngle=t.lowerAngle,this.m_upperAngle=t.upperAngle,this.m_maxMotorTorque=t.maxMotorTorque,this.m_motorSpeed=t.motorSpeed,this.m_enableLimit=t.enableLimit,this.m_enableMotor=t.enableMotor,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass=new O,this.m_motorMass,this.m_limitState=0}Wt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,lowerAngle:this.m_lowerAngle,upperAngle:this.m_upperAngle,maxMotorTorque:this.m_maxMotorTorque,motorSpeed:this.m_motorSpeed,enableLimit:this.m_enableLimit,enableMotor:this.m_enableMotor,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,referenceAngle:this.m_referenceAngle}},Wt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new Wt(t)},Wt.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},Wt.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Wt.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Wt.prototype.getReferenceAngle=function(){return this.m_referenceAngle},Wt.prototype.getJointAngle=function(){var t=this.m_bodyA;return this.m_bodyB.m_sweep.a-t.m_sweep.a-this.m_referenceAngle},Wt.prototype.getJointSpeed=function(){var t=this.m_bodyA;return this.m_bodyB.m_angularVelocity-t.m_angularVelocity},Wt.prototype.isMotorEnabled=function(){return this.m_enableMotor},Wt.prototype.enableMotor=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t},Wt.prototype.getMotorTorque=function(t){return t*this.m_motorImpulse},Wt.prototype.setMotorSpeed=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t},Wt.prototype.getMotorSpeed=function(){return this.m_motorSpeed},Wt.prototype.setMaxMotorTorque=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorTorque=t},Wt.prototype.getMaxMotorTorque=function(){return this.m_maxMotorTorque},Wt.prototype.isLimitEnabled=function(){return this.m_enableLimit},Wt.prototype.enableLimit=function(t){t!=this.m_enableLimit&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableLimit=t,this.m_impulse.z=0)},Wt.prototype.getLowerLimit=function(){return this.m_lowerAngle},Wt.prototype.getUpperLimit=function(){return this.m_upperAngle},Wt.prototype.setLimits=function(t,i){t==this.m_lowerAngle&&i==this.m_upperAngle||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_impulse.z=0,this.m_lowerAngle=t,this.m_upperAngle=i)},Wt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Wt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Wt.prototype.getReactionForce=function(t){return r.neo(this.m_impulse.x,this.m_impulse.y).mul(t)},Wt.prototype.getReactionTorque=function(t){return t*this.m_impulse.z},Wt.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,m=this.m_bodyB.c_velocity.w,_=f.neo(i),c=f.neo(o);this.m_rA=f.mulVec2(_,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=f.mulVec2(c,r.sub(this.m_localAnchorB,this.m_localCenterB));var l=this.m_invMassA,u=this.m_invMassB,p=this.m_invIA,y=this.m_invIB,d=p+y===0;if(this.m_mass.ex.x=l+u+this.m_rA.y*this.m_rA.y*p+this.m_rB.y*this.m_rB.y*y,this.m_mass.ey.x=-this.m_rA.y*this.m_rA.x*p-this.m_rB.y*this.m_rB.x*y,this.m_mass.ez.x=-this.m_rA.y*p-this.m_rB.y*y,this.m_mass.ex.y=this.m_mass.ey.x,this.m_mass.ey.y=l+u+this.m_rA.x*this.m_rA.x*p+this.m_rB.x*this.m_rB.x*y,this.m_mass.ez.y=this.m_rA.x*p+this.m_rB.x*y,this.m_mass.ex.z=this.m_mass.ez.x,this.m_mass.ey.z=this.m_mass.ez.y,this.m_mass.ez.z=p+y,this.m_motorMass=p+y,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass),(0==this.m_enableMotor||d)&&(this.m_motorImpulse=0),this.m_enableLimit&&0==d){var v=o-i-this.m_referenceAngle;n.abs(this.m_upperAngle-this.m_lowerAngle)<2*h.angularSlop?this.m_limitState=3:v<=this.m_lowerAngle?(1!=this.m_limitState&&(this.m_impulse.z=0),this.m_limitState=1):v>=this.m_upperAngle?(2!=this.m_limitState&&(this.m_impulse.z=0),this.m_limitState=2):(this.m_limitState=0,this.m_impulse.z=0)}else this.m_limitState=0;if(t.warmStarting){this.m_impulse.mul(t.dtRatio),this.m_motorImpulse*=t.dtRatio;var x=r.neo(this.m_impulse.x,this.m_impulse.y);e.subMul(l,x),s-=p*(r.cross(this.m_rA,x)+this.m_motorImpulse+this.m_impulse.z),a.addMul(u,x),m+=y*(r.cross(this.m_rB,x)+this.m_motorImpulse+this.m_impulse.z)}else this.m_impulse.setZero(),this.m_motorImpulse=0;this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=a,this.m_bodyB.c_velocity.w=m},Wt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,h=this.m_invMassA,a=this.m_invMassB,m=this.m_invIA,_=this.m_invIB,c=m+_===0;if(this.m_enableMotor&&3!=this.m_limitState&&0==c){var l=o-e-this.m_motorSpeed,u=-this.m_motorMass*l,p=this.m_motorImpulse,y=t.dt*this.m_maxMotorTorque;this.m_motorImpulse=n.clamp(this.m_motorImpulse+u,-y,y),e-=m*(u=this.m_motorImpulse-p),o+=_*u}if(this.m_enableLimit&&0!=this.m_limitState&&0==c){var d=r.zero();d.addCombine(1,s,1,r.cross(o,this.m_rB)),d.subCombine(1,i,1,r.cross(e,this.m_rA));var f=o-e;l=R(d.x,d.y,f),u=R.neg(this.m_mass.solve33(l));if(3==this.m_limitState)this.m_impulse.add(u);else if(1==this.m_limitState){if(this.m_impulse.z+u.z<0){var v=r.combine(-1,d,this.m_impulse.z,r.neo(this.m_mass.ez.x,this.m_mass.ez.y)),x=this.m_mass.solve22(v);u.x=x.x,u.y=x.y,u.z=-this.m_impulse.z,this.m_impulse.x+=x.x,this.m_impulse.y+=x.y,this.m_impulse.z=0}else this.m_impulse.add(u)}else if(2==this.m_limitState){if(this.m_impulse.z+u.z>0){v=r.combine(-1,d,this.m_impulse.z,r.neo(this.m_mass.ez.x,this.m_mass.ez.y)),x=this.m_mass.solve22(v);u.x=x.x,u.y=x.y,u.z=-this.m_impulse.z,this.m_impulse.x+=x.x,this.m_impulse.y+=x.y,this.m_impulse.z=0}else this.m_impulse.add(u)}var g=r.neo(u.x,u.y);i.subMul(h,g),e-=m*(r.cross(this.m_rA,g)+u.z),s.addMul(a,g),o+=_*(r.cross(this.m_rB,g)+u.z)}else{(l=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),l.subCombine(1,i,1,r.cross(e,this.m_rA));u=this.m_mass.solve22(r.neg(l));this.m_impulse.x+=u.x,this.m_impulse.y+=u.y,i.subMul(h,u),e-=m*r.cross(this.m_rA,u),s.addMul(a,u),o+=_*r.cross(this.m_rB,u)}this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},Wt.prototype.solvePositionConstraints=function(t){var i,e=this.m_bodyA.c_position.c,s=this.m_bodyA.c_position.a,o=this.m_bodyB.c_position.c,a=this.m_bodyB.c_position.a,m=f.neo(s),_=f.neo(a),c=0,l=this.m_invIA+this.m_invIB==0;if(this.m_enableLimit&&0!=this.m_limitState&&0==l){var u=a-s-this.m_referenceAngle,p=0;if(3==this.m_limitState){var y=n.clamp(u-this.m_lowerAngle,-h.maxAngularCorrection,h.maxAngularCorrection);p=-this.m_motorMass*y,c=n.abs(y)}else if(1==this.m_limitState){c=-(y=u-this.m_lowerAngle),y=n.clamp(y+h.angularSlop,-h.maxAngularCorrection,0),p=-this.m_motorMass*y}else if(2==this.m_limitState){c=y=u-this.m_upperAngle,y=n.clamp(y-h.angularSlop,0,h.maxAngularCorrection),p=-this.m_motorMass*y}s-=this.m_invIA*p,a+=this.m_invIB*p}m.set(s),_.set(a);var d=f.mulVec2(m,r.sub(this.m_localAnchorA,this.m_localCenterA)),v=f.mulVec2(_,r.sub(this.m_localAnchorB,this.m_localCenterB));(y=r.zero()).addCombine(1,o,1,v),y.subCombine(1,e,1,d),i=y.length();var x=this.m_invMassA,g=this.m_invMassB,b=this.m_invIA,A=this.m_invIB,B=new V;B.ex.x=x+g+b*d.y*d.y+A*v.y*v.y,B.ex.y=-b*d.x*d.y-A*v.x*v.y,B.ey.x=B.ex.y,B.ey.y=x+g+b*d.x*d.x+A*v.x*v.x;var w=r.neg(B.solve(y));return e.subMul(x,w),s-=b*r.cross(d,w),o.addMul(g,w),a+=A*r.cross(v,w),this.m_bodyA.c_position.c.set(e),this.m_bodyA.c_position.a=s,this.m_bodyB.c_position.c.set(o),this.m_bodyB.c_position.a=a,i<=h.linearSlop&&c<=h.angularSlop};Zt.TYPE="prismatic-joint",st.TYPES[Zt.TYPE]=Zt,Zt._super=st,Zt.prototype=Object.create(Zt._super.prototype);var Ht={enableLimit:!1,lowerTranslation:0,upperTranslation:0,enableMotor:!1,maxMotorForce:0,motorSpeed:0};function Zt(t,i,s,o,h){if(!(this instanceof Zt))return new Zt(t,i,s,o,h);t=e(t,Ht),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Zt.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_localXAxisA=r.clone(h?i.getLocalVector(h):t.localAxisA||r.neo(1,0)),this.m_localXAxisA.normalize(),this.m_localYAxisA=r.cross(1,this.m_localXAxisA),this.m_referenceAngle=n.isFinite(t.referenceAngle)?t.referenceAngle:s.getAngle()-i.getAngle(),this.m_impulse=R(),this.m_motorMass=0,this.m_motorImpulse=0,this.m_lowerTranslation=t.lowerTranslation,this.m_upperTranslation=t.upperTranslation,this.m_maxMotorForce=t.maxMotorForce,this.m_motorSpeed=t.motorSpeed,this.m_enableLimit=t.enableLimit,this.m_enableMotor=t.enableMotor,this.m_limitState=0,this.m_axis=r.zero(),this.m_perp=r.zero(),this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_axis,this.m_perp,this.m_s1,this.m_s2,this.m_a1,this.m_a2,this.m_K=new O,this.m_motorMass}Zt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,lowerTranslation:this.m_lowerTranslation,upperTranslation:this.m_upperTranslation,maxMotorForce:this.m_maxMotorForce,motorSpeed:this.m_motorSpeed,enableLimit:this.m_enableLimit,enableMotor:this.m_enableMotor,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,localAxisA:this.m_localXAxisA,referenceAngle:this.m_referenceAngle}},Zt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),t.localAxisA=r(t.localAxisA),new Zt(t)},Zt.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB),t.localAxisA&&(this.m_localXAxisA.set(t.localAxisA),this.m_localYAxisA.set(r.cross(1,t.localAxisA)))},Zt.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Zt.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Zt.prototype.getLocalAxisA=function(){return this.m_localXAxisA},Zt.prototype.getReferenceAngle=function(){return this.m_referenceAngle},Zt.prototype.getJointTranslation=function(){var t=this.m_bodyA.getWorldPoint(this.m_localAnchorA),i=this.m_bodyB.getWorldPoint(this.m_localAnchorB),e=r.sub(i,t),s=this.m_bodyA.getWorldVector(this.m_localXAxisA);return r.dot(e,s)},Zt.prototype.getJointSpeed=function(){var t=this.m_bodyA,i=this.m_bodyB,e=f.mulVec2(t.m_xf.q,r.sub(this.m_localAnchorA,t.m_sweep.localCenter)),s=f.mulVec2(i.m_xf.q,r.sub(this.m_localAnchorB,i.m_sweep.localCenter)),o=r.add(t.m_sweep.c,e),n=r.add(i.m_sweep.c,s),h=r.sub(n,o),a=f.mulVec2(t.m_xf.q,this.m_localXAxisA),m=t.m_linearVelocity,_=i.m_linearVelocity,c=t.m_angularVelocity,l=i.m_angularVelocity;return r.dot(h,r.cross(c,a))+r.dot(a,r.sub(r.addCross(_,l,s),r.addCross(m,c,e)))},Zt.prototype.isLimitEnabled=function(){return this.m_enableLimit},Zt.prototype.enableLimit=function(t){t!=this.m_enableLimit&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableLimit=t,this.m_impulse.z=0)},Zt.prototype.getLowerLimit=function(){return this.m_lowerTranslation},Zt.prototype.getUpperLimit=function(){return this.m_upperTranslation},Zt.prototype.setLimits=function(t,i){t==this.m_lowerTranslation&&i==this.m_upperTranslation||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_lowerTranslation=t,this.m_upperTranslation=i,this.m_impulse.z=0)},Zt.prototype.isMotorEnabled=function(){return this.m_enableMotor},Zt.prototype.enableMotor=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t},Zt.prototype.setMotorSpeed=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t},Zt.prototype.setMaxMotorForce=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorForce=t},Zt.prototype.getMaxMotorForce=function(){return this.m_maxMotorForce},Zt.prototype.getMotorSpeed=function(){return this.m_motorSpeed},Zt.prototype.getMotorForce=function(t){return t*this.m_motorImpulse},Zt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Zt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Zt.prototype.getReactionForce=function(t){return r.combine(this.m_impulse.x,this.m_perp,this.m_motorImpulse+this.m_impulse.z,this.m_axis).mul(t)},Zt.prototype.getReactionTorque=function(t){return t*this.m_impulse.y},Zt.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,a=this.m_bodyB.c_position.c,m=this.m_bodyB.c_position.a,_=this.m_bodyB.c_velocity.v,c=this.m_bodyB.c_velocity.w,l=f.neo(e),u=f.neo(m),p=f.mulVec2(l,r.sub(this.m_localAnchorA,this.m_localCenterA)),y=f.mulVec2(u,r.sub(this.m_localAnchorB,this.m_localCenterB)),d=r.zero();d.addCombine(1,a,1,y),d.subCombine(1,i,1,p);var v=this.m_invMassA,x=this.m_invMassB,g=this.m_invIA,b=this.m_invIB;this.m_axis=f.mulVec2(l,this.m_localXAxisA),this.m_a1=r.cross(r.add(d,p),this.m_axis),this.m_a2=r.cross(y,this.m_axis),this.m_motorMass=v+x+g*this.m_a1*this.m_a1+b*this.m_a2*this.m_a2,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass),this.m_perp=f.mulVec2(l,this.m_localYAxisA),this.m_s1=r.cross(r.add(d,p),this.m_perp),this.m_s2=r.cross(y,this.m_perp),r.cross(p,this.m_perp);var A=v+x+g*this.m_s1*this.m_s1+b*this.m_s2*this.m_s2,B=g*this.m_s1+b*this.m_s2,w=g*this.m_s1*this.m_a1+b*this.m_s2*this.m_a2,C=g+b;0==C&&(C=1);var M=g*this.m_a1+b*this.m_a2,I=v+x+g*this.m_a1*this.m_a1+b*this.m_a2*this.m_a2;if(this.m_K.ex.set(A,B,w),this.m_K.ey.set(B,C,M),this.m_K.ez.set(w,M,I),this.m_enableLimit){var S=r.dot(this.m_axis,d);n.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*h.linearSlop?this.m_limitState=3:S<=this.m_lowerTranslation?1!=this.m_limitState&&(this.m_limitState=1,this.m_impulse.z=0):S>=this.m_upperTranslation?2!=this.m_limitState&&(this.m_limitState=2,this.m_impulse.z=0):(this.m_limitState=0,this.m_impulse.z=0)}else this.m_limitState=0,this.m_impulse.z=0;if(0==this.m_enableMotor&&(this.m_motorImpulse=0),t.warmStarting){this.m_impulse.mul(t.dtRatio),this.m_motorImpulse*=t.dtRatio;var P=r.combine(this.m_impulse.x,this.m_perp,this.m_motorImpulse+this.m_impulse.z,this.m_axis),z=this.m_impulse.x*this.m_s1+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a1,T=this.m_impulse.x*this.m_s2+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a2;s.subMul(v,P),o-=g*z,_.addMul(x,P),c+=b*T}else this.m_impulse.setZero(),this.m_motorImpulse=0;this.m_bodyA.c_velocity.v.set(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.set(_),this.m_bodyB.c_velocity.w=c},Zt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,h=this.m_invMassA,a=this.m_invMassB,m=this.m_invIA,_=this.m_invIB;if(this.m_enableMotor&&3!=this.m_limitState){var c=r.dot(this.m_axis,r.sub(s,i))+this.m_a2*o-this.m_a1*e,l=this.m_motorMass*(this.m_motorSpeed-c),u=this.m_motorImpulse,p=t.dt*this.m_maxMotorForce;this.m_motorImpulse=n.clamp(this.m_motorImpulse+l,-p,p),l=this.m_motorImpulse-u;var y=r.mul(l,this.m_axis),d=l*this.m_a1,f=l*this.m_a2;i.subMul(h,y),e-=m*d,s.addMul(a,y),o+=_*f}var v=r.zero();if(v.x+=r.dot(this.m_perp,s)+this.m_s2*o,v.x-=r.dot(this.m_perp,i)+this.m_s1*e,v.y=o-e,this.m_enableLimit&&0!=this.m_limitState){var x=0;x+=r.dot(this.m_axis,s)+this.m_a2*o,x-=r.dot(this.m_axis,i)+this.m_a1*e;c=R(v.x,v.y,x);var g=R(this.m_impulse),b=this.m_K.solve33(R.neg(c));this.m_impulse.add(b),1==this.m_limitState?this.m_impulse.z=n.max(this.m_impulse.z,0):2==this.m_limitState&&(this.m_impulse.z=n.min(this.m_impulse.z,0));var A=r.combine(-1,v,-(this.m_impulse.z-g.z),r.neo(this.m_K.ez.x,this.m_K.ez.y)),B=r.add(this.m_K.solve22(A),r.neo(g.x,g.y));this.m_impulse.x=B.x,this.m_impulse.y=B.y,b=R.sub(this.m_impulse,g);y=r.combine(b.x,this.m_perp,b.z,this.m_axis),d=b.x*this.m_s1+b.y+b.z*this.m_a1,f=b.x*this.m_s2+b.y+b.z*this.m_a2;i.subMul(h,y),e-=m*d,s.addMul(a,y),o+=_*f}else{b=this.m_K.solve22(r.neg(v));this.m_impulse.x+=b.x,this.m_impulse.y+=b.y;y=r.mul(b.x,this.m_perp),d=b.x*this.m_s1+b.y,f=b.x*this.m_s2+b.y;i.subMul(h,y),e-=m*d,s.addMul(a,y),o+=_*f}this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},Zt.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=f.neo(e),m=f.neo(o),_=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,u=this.m_invIB,p=f.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),y=f.mulVec2(m,r.sub(this.m_localAnchorB,this.m_localCenterB)),d=r.sub(r.add(s,y),r.add(i,p)),v=f.mulVec2(a,this.m_localXAxisA),x=r.cross(r.add(d,p),v),g=r.cross(y,v),b=f.mulVec2(a,this.m_localYAxisA),A=r.cross(r.add(d,p),b),B=r.cross(y,b),w=R(),C=r.zero();C.x=r.dot(b,d),C.y=o-e-this.m_referenceAngle;var M=n.abs(C.x),I=n.abs(C.y),S=h.linearSlop,P=h.maxLinearCorrection,z=!1,T=0;if(this.m_enableLimit){var k=r.dot(v,d);n.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*S?(T=n.clamp(k,-P,P),M=n.max(M,n.abs(k)),z=!0):k<=this.m_lowerTranslation?(T=n.clamp(k-this.m_lowerTranslation+S,-P,0),M=n.max(M,this.m_lowerTranslation-k),z=!0):k>=this.m_upperTranslation&&(T=n.clamp(k-this.m_upperTranslation-S,0,P),M=n.max(M,k-this.m_upperTranslation),z=!0)}if(z){var L=_+c+l*A*A+u*B*B,q=l*A+u*B,F=l*A*x+u*B*g;0==(D=l+u)&&(D=1);var j=l*x+u*g,E=_+c+l*x*x+u*g*g;(J=new O).ex.set(L,q,F),J.ey.set(q,D,j),J.ez.set(F,j,E);var Y=R();Y.x=C.x,Y.y=C.y,Y.z=T,w=J.solve33(R.neg(Y))}else{var D,J;L=_+c+l*A*A+u*B*B,q=l*A+u*B;0==(D=l+u)&&(D=1),(J=new V).ex.set(L,q),J.ey.set(q,D);var X=J.solve(r.neg(C));w.x=X.x,w.y=X.y,w.z=0}var N=r.combine(w.x,b,w.z,v),W=w.x*A+w.y+w.z*x,H=w.x*B+w.y+w.z*g;return i.subMul(_,N),e-=l*W,s.addMul(c,N),o+=u*H,this.m_bodyA.c_position.c=i,this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c=s,this.m_bodyB.c_position.a=o,M<=h.linearSlop&&I<=h.angularSlop},Gt.TYPE="gear-joint",st.TYPES[Gt.TYPE]=Gt,Gt._super=st,Gt.prototype=Object.create(Gt._super.prototype);var Kt={ratio:1};function Gt(t,i,s,o,h,a){if(!(this instanceof Gt))return new Gt(t,i,s,o,h,a);var m,_;t=e(t,Kt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Gt.TYPE,this.m_joint1=o||t.joint1,this.m_joint2=h||t.joint2,this.m_ratio=n.isFinite(a)?a:t.ratio,this.m_type1=this.m_joint1.getType(),this.m_type2=this.m_joint2.getType(),this.m_bodyC=this.m_joint1.getBodyA(),this.m_bodyA=this.m_joint1.getBodyB();var c=this.m_bodyA.m_xf,l=this.m_bodyA.m_sweep.a,u=this.m_bodyC.m_xf,p=this.m_bodyC.m_sweep.a;if(this.m_type1===Wt.TYPE){var y=this.m_joint1;this.m_localAnchorC=y.m_localAnchorA,this.m_localAnchorA=y.m_localAnchorB,this.m_referenceAngleA=y.m_referenceAngle,this.m_localAxisC=r.zero(),m=l-p-this.m_referenceAngleA}else{var d=this.m_joint1;this.m_localAnchorC=d.m_localAnchorA,this.m_localAnchorA=d.m_localAnchorB,this.m_referenceAngleA=d.m_referenceAngle,this.m_localAxisC=d.m_localXAxisA;var v=this.m_localAnchorC,x=f.mulTVec2(u.q,r.add(f.mul(c.q,this.m_localAnchorA),r.sub(c.p,u.p)));m=r.dot(x,this.m_localAxisC)-r.dot(v,this.m_localAxisC)}this.m_bodyD=this.m_joint2.getBodyA(),this.m_bodyB=this.m_joint2.getBodyB();var g=this.m_bodyB.m_xf,b=this.m_bodyB.m_sweep.a,A=this.m_bodyD.m_xf,B=this.m_bodyD.m_sweep.a;if(this.m_type2===Wt.TYPE){y=this.m_joint2;this.m_localAnchorD=y.m_localAnchorA,this.m_localAnchorB=y.m_localAnchorB,this.m_referenceAngleB=y.m_referenceAngle,this.m_localAxisD=r.zero(),_=b-B-this.m_referenceAngleB}else{d=this.m_joint2;this.m_localAnchorD=d.m_localAnchorA,this.m_localAnchorB=d.m_localAnchorB,this.m_referenceAngleB=d.m_referenceAngle,this.m_localAxisD=d.m_localXAxisA;var w=this.m_localAnchorD,C=f.mulTVec2(A.q,r.add(f.mul(g.q,this.m_localAnchorB),r.sub(g.p,A.p)));_=r.dot(C,this.m_localAxisD)-r.dot(w,this.m_localAxisD)}this.m_constant=m+this.m_ratio*_,this.m_impulse=0,this.m_lcA,this.m_lcB,this.m_lcC,this.m_lcD,this.m_mA,this.m_mB,this.m_mC,this.m_mD,this.m_iA,this.m_iB,this.m_iC,this.m_iD,this.m_JvAC,this.m_JvBD,this.m_JwA,this.m_JwB,this.m_JwC,this.m_JwD,this.m_mass}Gt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,joint1:this.m_joint1,joint2:this.m_joint2,ratio:this.m_ratio}},Gt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),t.joint1=e(st,t.joint1,i),t.joint2=e(st,t.joint2,i),new Gt(t)},Gt.prototype.getJoint1=function(){return this.m_joint1},Gt.prototype.getJoint2=function(){return this.m_joint2},Gt.prototype.setRatio=function(t){this.m_ratio=t},Gt.prototype.getRatio=function(){return this.m_ratio},Gt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Gt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Gt.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_JvAC).mul(t)},Gt.prototype.getReactionTorque=function(t){return t*(this.m_impulse*this.m_JwA)},Gt.prototype.initVelocityConstraints=function(t){this.m_lcA=this.m_bodyA.m_sweep.localCenter,this.m_lcB=this.m_bodyB.m_sweep.localCenter,this.m_lcC=this.m_bodyC.m_sweep.localCenter,this.m_lcD=this.m_bodyD.m_sweep.localCenter,this.m_mA=this.m_bodyA.m_invMass,this.m_mB=this.m_bodyB.m_invMass,this.m_mC=this.m_bodyC.m_invMass,this.m_mD=this.m_bodyD.m_invMass,this.m_iA=this.m_bodyA.m_invI,this.m_iB=this.m_bodyB.m_invI,this.m_iC=this.m_bodyC.m_invI,this.m_iD=this.m_bodyD.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,a=this.m_bodyC.c_position.a,m=this.m_bodyC.c_velocity.v,_=this.m_bodyC.c_velocity.w,c=this.m_bodyD.c_position.a,l=this.m_bodyD.c_velocity.v,u=this.m_bodyD.c_velocity.w,p=f.neo(i),y=f.neo(o),d=f.neo(a),v=f.neo(c);if(this.m_mass=0,this.m_type1==Wt.TYPE)this.m_JvAC=r.zero(),this.m_JwA=1,this.m_JwC=1,this.m_mass+=this.m_iA+this.m_iC;else{var x=f.mulVec2(d,this.m_localAxisC),g=f.mulSub(d,this.m_localAnchorC,this.m_lcC),b=f.mulSub(p,this.m_localAnchorA,this.m_lcA);this.m_JvAC=x,this.m_JwC=r.cross(g,x),this.m_JwA=r.cross(b,x),this.m_mass+=this.m_mC+this.m_mA+this.m_iC*this.m_JwC*this.m_JwC+this.m_iA*this.m_JwA*this.m_JwA}if(this.m_type2==Wt.TYPE)this.m_JvBD=r.zero(),this.m_JwB=this.m_ratio,this.m_JwD=this.m_ratio,this.m_mass+=this.m_ratio*this.m_ratio*(this.m_iB+this.m_iD);else{x=f.mulVec2(v,this.m_localAxisD);var A=f.mulSub(v,this.m_localAnchorD,this.m_lcD),B=f.mulSub(y,this.m_localAnchorB,this.m_lcB);this.m_JvBD=r.mul(this.m_ratio,x),this.m_JwD=this.m_ratio*r.cross(A,x),this.m_JwB=this.m_ratio*r.cross(B,x),this.m_mass+=this.m_ratio*this.m_ratio*(this.m_mD+this.m_mB)+this.m_iD*this.m_JwD*this.m_JwD+this.m_iB*this.m_JwB*this.m_JwB}this.m_mass=this.m_mass>0?1/this.m_mass:0,t.warmStarting?(e.addMul(this.m_mA*this.m_impulse,this.m_JvAC),s+=this.m_iA*this.m_impulse*this.m_JwA,n.addMul(this.m_mB*this.m_impulse,this.m_JvBD),h+=this.m_iB*this.m_impulse*this.m_JwB,m.subMul(this.m_mC*this.m_impulse,this.m_JvAC),_-=this.m_iC*this.m_impulse*this.m_JwC,l.subMul(this.m_mD*this.m_impulse,this.m_JvBD),u-=this.m_iD*this.m_impulse*this.m_JwD):this.m_impulse=0,this.m_bodyA.c_velocity.v.set(e),this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v.set(n),this.m_bodyB.c_velocity.w=h,this.m_bodyC.c_velocity.v.set(m),this.m_bodyC.c_velocity.w=_,this.m_bodyD.c_velocity.v.set(l),this.m_bodyD.c_velocity.w=u},Gt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_bodyC.c_velocity.v,h=this.m_bodyC.c_velocity.w,a=this.m_bodyD.c_velocity.v,m=this.m_bodyD.c_velocity.w,_=r.dot(this.m_JvAC,i)-r.dot(this.m_JvAC,n)+r.dot(this.m_JvBD,s)-r.dot(this.m_JvBD,a);_+=this.m_JwA*e-this.m_JwC*h+(this.m_JwB*o-this.m_JwD*m);var c=-this.m_mass*_;this.m_impulse+=c,i.addMul(this.m_mA*c,this.m_JvAC),e+=this.m_iA*c*this.m_JwA,s.addMul(this.m_mB*c,this.m_JvBD),o+=this.m_iB*c*this.m_JwB,n.subMul(this.m_mC*c,this.m_JvAC),h-=this.m_iC*c*this.m_JwC,a.subMul(this.m_mD*c,this.m_JvBD),m-=this.m_iD*c*this.m_JwD,this.m_bodyA.c_velocity.v.set(i),this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v.set(s),this.m_bodyB.c_velocity.w=o,this.m_bodyC.c_velocity.v.set(n),this.m_bodyC.c_velocity.w=h,this.m_bodyD.c_velocity.v.set(a),this.m_bodyD.c_velocity.w=m},Gt.prototype.solvePositionConstraints=function(t){var i,e,s,o,n,a,m,_,c=this.m_bodyA.c_position.c,l=this.m_bodyA.c_position.a,u=this.m_bodyB.c_position.c,p=this.m_bodyB.c_position.a,y=this.m_bodyC.c_position.c,d=this.m_bodyC.c_position.a,v=this.m_bodyD.c_position.c,x=this.m_bodyD.c_position.a,g=f.neo(l),b=f.neo(p),A=f.neo(d),B=f.neo(x),w=0;if(this.m_type1==Wt.TYPE)s=r.zero(),n=1,m=1,w+=this.m_iA+this.m_iC,i=l-d-this.m_referenceAngleA;else{var C=f.mulVec2(A,this.m_localAxisC),M=f.mulSub(A,this.m_localAnchorC,this.m_lcC),I=f.mulSub(g,this.m_localAnchorA,this.m_lcA);s=C,m=r.cross(M,C),n=r.cross(I,C),w+=this.m_mC+this.m_mA+this.m_iC*m*m+this.m_iA*n*n;var S=r.sub(this.m_localAnchorC,this.m_lcC),P=f.mulTVec2(A,r.add(I,r.sub(c,y)));i=r.dot(r.sub(P,S),this.m_localAxisC)}if(this.m_type2==Wt.TYPE)o=r.zero(),a=this.m_ratio,_=this.m_ratio,w+=this.m_ratio*this.m_ratio*(this.m_iB+this.m_iD),e=p-x-this.m_referenceAngleB;else{C=f.mulVec2(B,this.m_localAxisD);var z=f.mulSub(B,this.m_localAnchorD,this.m_lcD),T=f.mulSub(b,this.m_localAnchorB,this.m_lcB);o=r.mul(this.m_ratio,C),_=this.m_ratio*r.cross(z,C),a=this.m_ratio*r.cross(T,C),w+=this.m_ratio*this.m_ratio*(this.m_mD+this.m_mB)+this.m_iD*_*_+this.m_iB*a*a;var V=r.sub(this.m_localAnchorD,this.m_lcD),k=f.mulTVec2(B,r.add(T,r.sub(u,v)));e=r.dot(k,this.m_localAxisD)-r.dot(V,this.m_localAxisD)}var L=i+this.m_ratio*e-this.m_constant,q=0;return w>0&&(q=-L/w),c.addMul(this.m_mA*q,s),l+=this.m_iA*q*n,u.addMul(this.m_mB*q,o),p+=this.m_iB*q*a,y.subMul(this.m_mC*q,s),d-=this.m_iC*q*m,v.subMul(this.m_mD*q,o),x-=this.m_iD*q*_,this.m_bodyA.c_position.c.set(c),this.m_bodyA.c_position.a=l,this.m_bodyB.c_position.c.set(u),this.m_bodyB.c_position.a=p,this.m_bodyC.c_position.c.set(y),this.m_bodyC.c_position.a=d,this.m_bodyD.c_position.c.set(v),this.m_bodyD.c_position.a=x,0<h.linearSlop},$t.TYPE="motor-joint",st.TYPES[$t.TYPE]=$t,$t._super=st,$t.prototype=Object.create($t._super.prototype);var Ut={maxForce:1,maxTorque:1,correctionFactor:.3};function $t(t,i,s){if(!(this instanceof $t))return new $t(t,i,s);t=e(t,Ut),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=$t.TYPE,this.m_linearOffset=n.isFinite(t.linearOffset)?t.linearOffset:i.getLocalPoint(s.getPosition()),this.m_angularOffset=n.isFinite(t.angularOffset)?t.angularOffset:s.getAngle()-i.getAngle(),this.m_linearImpulse=r.zero(),this.m_angularImpulse=0,this.m_maxForce=t.maxForce,this.m_maxTorque=t.maxTorque,this.m_correctionFactor=t.correctionFactor,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_linearError,this.m_angularError,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_linearMass,this.m_angularMass}$t.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,maxForce:this.m_maxForce,maxTorque:this.m_maxTorque,correctionFactor:this.m_correctionFactor,linearOffset:this.m_linearOffset,angularOffset:this.m_angularOffset}},$t._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new $t(t)},$t.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},$t.prototype.setMaxForce=function(t){this.m_maxForce=t},$t.prototype.getMaxForce=function(){return this.m_maxForce},$t.prototype.setMaxTorque=function(t){this.m_maxTorque=t},$t.prototype.getMaxTorque=function(){return this.m_maxTorque},$t.prototype.setCorrectionFactor=function(t){this.m_correctionFactor=t},$t.prototype.getCorrectionFactor=function(){return this.m_correctionFactor},$t.prototype.setLinearOffset=function(t){t.x==this.m_linearOffset.x&&t.y==this.m_linearOffset.y||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_linearOffset=t)},$t.prototype.getLinearOffset=function(){return this.m_linearOffset},$t.prototype.setAngularOffset=function(t){t!=this.m_angularOffset&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_angularOffset=t)},$t.prototype.getAngularOffset=function(){return this.m_angularOffset},$t.prototype.getAnchorA=function(){return this.m_bodyA.getPosition()},$t.prototype.getAnchorB=function(){return this.m_bodyB.getPosition()},$t.prototype.getReactionForce=function(t){return r.mul(t,this.m_linearImpulse)},$t.prototype.getReactionTorque=function(t){return t*this.m_angularImpulse},$t.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,h=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,m=this.m_bodyB.c_velocity.w,_=f.neo(e),c=f.neo(h);this.m_rA=f.mulVec2(_,r.neg(this.m_localCenterA)),this.m_rB=f.mulVec2(c,r.neg(this.m_localCenterB));var l=this.m_invMassA,u=this.m_invMassB,p=this.m_invIA,y=this.m_invIB,d=new V;if(d.ex.x=l+u+p*this.m_rA.y*this.m_rA.y+y*this.m_rB.y*this.m_rB.y,d.ex.y=-p*this.m_rA.x*this.m_rA.y-y*this.m_rB.x*this.m_rB.y,d.ey.x=d.ex.y,d.ey.y=l+u+p*this.m_rA.x*this.m_rA.x+y*this.m_rB.x*this.m_rB.x,this.m_linearMass=d.getInverse(),this.m_angularMass=p+y,this.m_angularMass>0&&(this.m_angularMass=1/this.m_angularMass),this.m_linearError=r.zero(),this.m_linearError.addCombine(1,n,1,this.m_rB),this.m_linearError.subCombine(1,i,1,this.m_rA),this.m_linearError.sub(f.mulVec2(_,this.m_linearOffset)),this.m_angularError=h-e-this.m_angularOffset,t.warmStarting){this.m_linearImpulse.mul(t.dtRatio),this.m_angularImpulse*=t.dtRatio;var v=r.neo(this.m_linearImpulse.x,this.m_linearImpulse.y);s.subMul(l,v),o-=p*(r.cross(this.m_rA,v)+this.m_angularImpulse),a.addMul(u,v),m+=y*(r.cross(this.m_rB,v)+this.m_angularImpulse)}else this.m_linearImpulse.setZero(),this.m_angularImpulse=0;this.m_bodyA.c_velocity.v=s,this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v=a,this.m_bodyB.c_velocity.w=m},$t.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,h=this.m_invMassA,a=this.m_invMassB,m=this.m_invIA,_=this.m_invIB,c=t.dt,l=t.inv_dt,u=o-e+l*this.m_correctionFactor*this.m_angularError,p=-this.m_angularMass*u,y=this.m_angularImpulse,d=c*this.m_maxTorque;this.m_angularImpulse=n.clamp(this.m_angularImpulse+p,-d,d),e-=m*(p=this.m_angularImpulse-y),o+=_*p,(u=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),u.subCombine(1,i,1,r.cross(e,this.m_rA)),u.addMul(l*this.m_correctionFactor,this.m_linearError);p=r.neg(V.mulVec2(this.m_linearMass,u)),y=r.clone(this.m_linearImpulse);this.m_linearImpulse.add(p);d=c*this.m_maxForce;this.m_linearImpulse.clamp(d),p=r.sub(this.m_linearImpulse,y),i.subMul(h,p),e-=m*r.cross(this.m_rA,p),s.addMul(a,p),o+=_*r.cross(this.m_rB,p),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},$t.prototype.solvePositionConstraints=function(t){return!0},ti.TYPE="mouse-joint",st.TYPES[ti.TYPE]=ti,ti._super=st,ti.prototype=Object.create(ti._super.prototype);var Qt={maxForce:0,frequencyHz:5,dampingRatio:.7};function ti(t,i,s,o){if(!(this instanceof ti))return new ti(t,i,s,o);t=e(t,Qt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ti.TYPE,this.m_targetA=o?r.clone(o):t.target||r.zero(),this.m_localAnchorB=v.mulTVec2(s.getTransform(),this.m_targetA),this.m_maxForce=t.maxForce,this.m_impulse=r.zero(),this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_beta=0,this.m_gamma=0,this.m_rB=r.zero(),this.m_localCenterB=r.zero(),this.m_invMassB=0,this.m_invIB=0,this.mass=new V,this.m_C=r.zero()}ti.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,target:this.m_targetA,maxForce:this.m_maxForce,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,_localAnchorB:this.m_localAnchorB}},ti._deserialize=function(t,i,e){(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),t.target=r(t.target);var s=new ti(t);return t._localAnchorB&&(s.m_localAnchorB=t._localAnchorB),s},ti.prototype.setTarget=function(t){0==this.m_bodyB.isAwake()&&this.m_bodyB.setAwake(!0),this.m_targetA=r.clone(t)},ti.prototype.getTarget=function(){return this.m_targetA},ti.prototype.setMaxForce=function(t){this.m_maxForce=t},ti.getMaxForce=function(){return this.m_maxForce},ti.prototype.setFrequency=function(t){this.m_frequencyHz=t},ti.prototype.getFrequency=function(){return this.m_frequencyHz},ti.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},ti.prototype.getDampingRatio=function(){return this.m_dampingRatio},ti.prototype.getAnchorA=function(){return r.clone(this.m_targetA)},ti.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ti.prototype.getReactionForce=function(t){return r.mul(t,this.m_impulse)},ti.prototype.getReactionTorque=function(t){return 0*t},ti.prototype.shiftOrigin=function(t){this.m_targetA.sub(t)},ti.prototype.initVelocityConstraints=function(t){this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyB.c_position,e=this.m_bodyB.c_velocity,s=i.c,o=i.a,h=e.v,a=e.w,m=f.neo(o),_=this.m_bodyB.getMass(),c=2*n.PI*this.m_frequencyHz,l=2*_*this.m_dampingRatio*c,u=_*(c*c),p=t.dt;this.m_gamma=p*(l+p*u),0!=this.m_gamma&&(this.m_gamma=1/this.m_gamma),this.m_beta=p*u*this.m_gamma,this.m_rB=f.mulVec2(m,r.sub(this.m_localAnchorB,this.m_localCenterB));var y=new V;y.ex.x=this.m_invMassB+this.m_invIB*this.m_rB.y*this.m_rB.y+this.m_gamma,y.ex.y=-this.m_invIB*this.m_rB.x*this.m_rB.y,y.ey.x=y.ex.y,y.ey.y=this.m_invMassB+this.m_invIB*this.m_rB.x*this.m_rB.x+this.m_gamma,this.m_mass=y.getInverse(),this.m_C.set(s),this.m_C.addCombine(1,this.m_rB,-1,this.m_targetA),this.m_C.mul(this.m_beta),a*=.98,t.warmStarting?(this.m_impulse.mul(t.dtRatio),h.addMul(this.m_invMassB,this.m_impulse),a+=this.m_invIB*r.cross(this.m_rB,this.m_impulse)):this.m_impulse.setZero(),e.v.set(h),e.w=a},ti.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyB.c_velocity,e=r.clone(i.v),s=i.w,o=r.cross(s,this.m_rB);o.add(e),o.addCombine(1,this.m_C,this.m_gamma,this.m_impulse),o.neg();var n=V.mulVec2(this.m_mass,o),h=r.clone(this.m_impulse);this.m_impulse.add(n);var a=t.dt*this.m_maxForce;this.m_impulse.clamp(a),n=r.sub(this.m_impulse,h),e.addMul(this.m_invMassB,n),s+=this.m_invIB*r.cross(this.m_rB,n),i.v.set(e),i.w=s},ti.prototype.solvePositionConstraints=function(t){return!0},ei.TYPE="pulley-joint",ei.MIN_PULLEY_LENGTH=2,st.TYPES[ei.TYPE]=ei,ei._super=st,ei.prototype=Object.create(ei._super.prototype);var ii={collideConnected:!0};function ei(t,i,s,o,h,a,m,_){if(!(this instanceof ei))return new ei(t,i,s,o,h,a,m,_);t=e(t,ii),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ei.TYPE,this.m_groundAnchorA=o||(t.groundAnchorA||r.neo(-1,1)),this.m_groundAnchorB=h||(t.groundAnchorB||r.neo(1,1)),this.m_localAnchorA=a?i.getLocalPoint(a):t.localAnchorA||r.neo(-1,0),this.m_localAnchorB=m?s.getLocalPoint(m):t.localAnchorB||r.neo(1,0),this.m_lengthA=n.isFinite(t.lengthA)?t.lengthA:r.distance(a,o),this.m_lengthB=n.isFinite(t.lengthB)?t.lengthB:r.distance(m,h),this.m_ratio=n.isFinite(_)?_:t.ratio,this.m_constant=this.m_lengthA+this.m_ratio*this.m_lengthB,this.m_impulse=0,this.m_uA,this.m_uB,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass}ei.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,groundAnchorA:this.m_groundAnchorA,groundAnchorB:this.m_groundAnchorB,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,lengthA:this.m_lengthA,lengthB:this.m_lengthB,ratio:this.m_ratio}},ei._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new ei(t)},ei.prototype.getGroundAnchorA=function(){return this.m_groundAnchorA},ei.prototype.getGroundAnchorB=function(){return this.m_groundAnchorB},ei.prototype.getLengthA=function(){return this.m_lengthA},ei.prototype.getLengthB=function(){return this.m_lengthB},ei.prototype.getRatio=function(){return this.m_ratio},ei.prototype.getCurrentLengthA=function(){var t=this.m_bodyA.getWorldPoint(this.m_localAnchorA),i=this.m_groundAnchorA;return r.distance(t,i)},ei.prototype.getCurrentLengthB=function(){var t=this.m_bodyB.getWorldPoint(this.m_localAnchorB),i=this.m_groundAnchorB;return r.distance(t,i)},ei.prototype.shiftOrigin=function(t){this.m_groundAnchorA.sub(t),this.m_groundAnchorB.sub(t)},ei.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},ei.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ei.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_uB).mul(t)},ei.prototype.getReactionTorque=function(t){return 0},ei.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,a=this.m_bodyB.c_position.a,m=this.m_bodyB.c_velocity.v,_=this.m_bodyB.c_velocity.w,c=f.neo(e),l=f.neo(a);this.m_rA=f.mulVec2(c,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=f.mulVec2(l,r.sub(this.m_localAnchorB,this.m_localCenterB)),this.m_uA=r.sub(r.add(i,this.m_rA),this.m_groundAnchorA),this.m_uB=r.sub(r.add(n,this.m_rB),this.m_groundAnchorB);var u=this.m_uA.length(),p=this.m_uB.length();u>10*h.linearSlop?this.m_uA.mul(1/u):this.m_uA.setZero(),p>10*h.linearSlop?this.m_uB.mul(1/p):this.m_uB.setZero();var y=r.cross(this.m_rA,this.m_uA),d=r.cross(this.m_rB,this.m_uB),v=this.m_invMassA+this.m_invIA*y*y,x=this.m_invMassB+this.m_invIB*d*d;if(this.m_mass=v+this.m_ratio*this.m_ratio*x,this.m_mass>0&&(this.m_mass=1/this.m_mass),t.warmStarting){this.m_impulse*=t.dtRatio;var g=r.mul(-this.m_impulse,this.m_uA),b=r.mul(-this.m_ratio*this.m_impulse,this.m_uB);s.addMul(this.m_invMassA,g),o+=this.m_invIA*r.cross(this.m_rA,g),m.addMul(this.m_invMassB,b),_+=this.m_invIB*r.cross(this.m_rB,b)}else this.m_impulse=0;this.m_bodyA.c_velocity.v=s,this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v=m,this.m_bodyB.c_velocity.w=_},ei.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=r.add(i,r.cross(e,this.m_rA)),h=r.add(s,r.cross(o,this.m_rB)),a=-r.dot(this.m_uA,n)-this.m_ratio*r.dot(this.m_uB,h),m=-this.m_mass*a;this.m_impulse+=m;var _=r.mul(-m,this.m_uA),c=r.mul(-this.m_ratio*m,this.m_uB);i.addMul(this.m_invMassA,_),e+=this.m_invIA*r.cross(this.m_rA,_),s.addMul(this.m_invMassB,c),o+=this.m_invIB*r.cross(this.m_rB,c),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},ei.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=f.neo(e),m=f.neo(o),_=f.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),c=f.mulVec2(m,r.sub(this.m_localAnchorB,this.m_localCenterB)),l=r.sub(r.add(i,this.m_rA),this.m_groundAnchorA),u=r.sub(r.add(s,this.m_rB),this.m_groundAnchorB),p=l.length(),y=u.length();p>10*h.linearSlop?l.mul(1/p):l.setZero(),y>10*h.linearSlop?u.mul(1/y):u.setZero();var d=r.cross(_,l),v=r.cross(c,u),x=this.m_invMassA+this.m_invIA*d*d,g=this.m_invMassB+this.m_invIB*v*v,b=x+this.m_ratio*this.m_ratio*g;b>0&&(b=1/b);var A=this.m_constant-p-this.m_ratio*y,B=n.abs(A),w=-b*A,C=r.mul(-w,l),M=r.mul(-this.m_ratio*w,u);return i.addMul(this.m_invMassA,C),e+=this.m_invIA*r.cross(_,C),s.addMul(this.m_invMassB,M),o+=this.m_invIB*r.cross(c,M),this.m_bodyA.c_position.c=i,this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c=s,this.m_bodyB.c_position.a=o,B<h.linearSlop};oi.TYPE="rope-joint",st.TYPES[oi.TYPE]=oi,oi._super=st,oi.prototype=Object.create(oi._super.prototype);var si={maxLength:0};function oi(t,i,s,o){if(!(this instanceof oi))return new oi(t,i,s,o);t=e(t,si),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=oi.TYPE,this.m_localAnchorA=o?i.getLocalPoint(o):t.localAnchorA||r.neo(-1,0),this.m_localAnchorB=o?s.getLocalPoint(o):t.localAnchorB||r.neo(1,0),this.m_maxLength=t.maxLength,this.m_mass=0,this.m_impulse=0,this.m_length=0,this.m_state=0,this.m_u,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass}oi.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,maxLength:this.m_maxLength}},oi._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new oi(t)},oi.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},oi.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},oi.prototype.setMaxLength=function(t){this.m_maxLength=t},oi.prototype.getMaxLength=function(){return this.m_maxLength},oi.prototype.getLimitState=function(){return this.m_state},oi.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},oi.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},oi.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_u).mul(t)},oi.prototype.getReactionTorque=function(t){return 0},oi.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,a=this.m_bodyB.c_position.a,m=this.m_bodyB.c_velocity.v,_=this.m_bodyB.c_velocity.w,c=f.neo(e),l=f.neo(a);this.m_rA=f.mulSub(c,this.m_localAnchorA,this.m_localCenterA),this.m_rB=f.mulSub(l,this.m_localAnchorB,this.m_localCenterB),this.m_u=r.zero(),this.m_u.addCombine(1,n,1,this.m_rB),this.m_u.subCombine(1,i,1,this.m_rA),this.m_length=this.m_u.length();var u=this.m_length-this.m_maxLength;if(this.m_state=u>0?2:0,!(this.m_length>h.linearSlop))return this.m_u.setZero(),this.m_mass=0,void(this.m_impulse=0);this.m_u.mul(1/this.m_length);var p=r.cross(this.m_rA,this.m_u),y=r.cross(this.m_rB,this.m_u),d=this.m_invMassA+this.m_invIA*p*p+this.m_invMassB+this.m_invIB*y*y;if(this.m_mass=0!=d?1/d:0,t.warmStarting){this.m_impulse*=t.dtRatio;var v=r.mul(this.m_impulse,this.m_u);s.subMul(this.m_invMassA,v),o-=this.m_invIA*r.cross(this.m_rA,v),m.addMul(this.m_invMassB,v),_+=this.m_invIB*r.cross(this.m_rB,v)}else this.m_impulse=0;this.m_bodyA.c_velocity.v.set(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.set(m),this.m_bodyB.c_velocity.w=_},oi.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,h=r.addCross(i,e,this.m_rA),a=r.addCross(s,o,this.m_rB),m=this.m_length-this.m_maxLength,_=r.dot(this.m_u,r.sub(a,h));m<0&&(_+=t.inv_dt*m);var c=-this.m_mass*_,l=this.m_impulse;this.m_impulse=n.min(0,this.m_impulse+c),c=this.m_impulse-l;var u=r.mul(c,this.m_u);i.subMul(this.m_invMassA,u),e-=this.m_invIA*r.cross(this.m_rA,u),s.addMul(this.m_invMassB,u),o+=this.m_invIB*r.cross(this.m_rB,u),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},oi.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=f.neo(e),m=f.neo(o),_=f.mulSub(a,this.m_localAnchorA,this.m_localCenterA),c=f.mulSub(m,this.m_localAnchorB,this.m_localCenterB),l=r.zero();l.addCombine(1,s,1,c),l.subCombine(1,i,1,_);var u=l.normalize(),p=u-this.m_maxLength;p=n.clamp(p,0,h.maxLinearCorrection);var y=-this.m_mass*p,d=r.mul(y,l);return i.subMul(this.m_invMassA,d),e-=this.m_invIA*r.cross(_,d),s.addMul(this.m_invMassB,d),o+=this.m_invIB*r.cross(c,d),this.m_bodyA.c_position.c.set(i),this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c.set(s),this.m_bodyB.c_position.a=o,u-this.m_maxLength<h.linearSlop},ri.TYPE="weld-joint",st.TYPES[ri.TYPE]=ri,ri._super=st,ri.prototype=Object.create(ri._super.prototype);var ni={frequencyHz:0,dampingRatio:0};function ri(t,i,s,o){if(!(this instanceof ri))return new ri(t,i,s,o);t=e(t,ni),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ri.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_referenceAngle=n.isFinite(t.referenceAngle)?t.referenceAngle:s.getAngle()-i.getAngle(),this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_impulse=R(),this.m_bias=0,this.m_gamma=0,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass=new O}ri.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,referenceAngle:this.m_referenceAngle}},ri._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new ri(t)},ri.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},ri.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},ri.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},ri.prototype.getReferenceAngle=function(){return this.m_referenceAngle},ri.prototype.setFrequency=function(t){this.m_frequencyHz=t},ri.prototype.getFrequency=function(){return this.m_frequencyHz},ri.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},ri.prototype.getDampingRatio=function(){return this.m_dampingRatio},ri.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},ri.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ri.prototype.getReactionForce=function(t){return r.neo(this.m_impulse.x,this.m_impulse.y).mul(t)},ri.prototype.getReactionTorque=function(t){return t*this.m_impulse.z},ri.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,h=this.m_bodyB.c_velocity.v,a=this.m_bodyB.c_velocity.w,m=f.neo(i),_=f.neo(o);this.m_rA=f.mulVec2(m,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=f.mulVec2(_,r.sub(this.m_localAnchorB,this.m_localCenterB));var c=this.m_invMassA,l=this.m_invMassB,u=this.m_invIA,p=this.m_invIB,y=new O;if(y.ex.x=c+l+this.m_rA.y*this.m_rA.y*u+this.m_rB.y*this.m_rB.y*p,y.ey.x=-this.m_rA.y*this.m_rA.x*u-this.m_rB.y*this.m_rB.x*p,y.ez.x=-this.m_rA.y*u-this.m_rB.y*p,y.ex.y=y.ey.x,y.ey.y=c+l+this.m_rA.x*this.m_rA.x*u+this.m_rB.x*this.m_rB.x*p,y.ez.y=this.m_rA.x*u+this.m_rB.x*p,y.ex.z=y.ez.x,y.ey.z=y.ez.y,y.ez.z=u+p,this.m_frequencyHz>0){y.getInverse22(this.m_mass);var d=u+p,v=d>0?1/d:0,x=o-i-this.m_referenceAngle,g=2*n.PI*this.m_frequencyHz,b=2*v*this.m_dampingRatio*g,A=v*g*g,B=t.dt;this.m_gamma=B*(b+B*A),this.m_gamma=0!=this.m_gamma?1/this.m_gamma:0,this.m_bias=x*B*A*this.m_gamma,d+=this.m_gamma,this.m_mass.ez.z=0!=d?1/d:0}else 0==y.ez.z?(y.getInverse22(this.m_mass),this.m_gamma=0,this.m_bias=0):(y.getSymInverse33(this.m_mass),this.m_gamma=0,this.m_bias=0);if(t.warmStarting){this.m_impulse.mul(t.dtRatio);var w=r.neo(this.m_impulse.x,this.m_impulse.y);e.subMul(c,w),s-=u*(r.cross(this.m_rA,w)+this.m_impulse.z),h.addMul(l,w),a+=p*(r.cross(this.m_rB,w)+this.m_impulse.z)}else this.m_impulse.setZero();this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=h,this.m_bodyB.c_velocity.w=a},ri.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_invMassA,h=this.m_invMassB,a=this.m_invIA,m=this.m_invIB;if(this.m_frequencyHz>0){var _=o-e,c=-this.m_mass.ez.z*(_+this.m_bias+this.m_gamma*this.m_impulse.z);this.m_impulse.z+=c,e-=a*c,o+=m*c,(p=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),p.subCombine(1,i,1,r.cross(e,this.m_rA));var l=r.neg(O.mulVec2(this.m_mass,p));this.m_impulse.x+=l.x,this.m_impulse.y+=l.y;var u=r.clone(l);i.subMul(n,u),e-=a*r.cross(this.m_rA,u),s.addMul(h,u),o+=m*r.cross(this.m_rB,u)}else{var p;(p=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),p.subCombine(1,i,1,r.cross(e,this.m_rA));_=o-e;var y=R(p.x,p.y,_),d=R.neg(O.mulVec3(this.m_mass,y));this.m_impulse.add(d);u=r.neo(d.x,d.y);i.subMul(n,u),e-=a*(r.cross(this.m_rA,u)+d.z),s.addMul(h,u),o+=m*(r.cross(this.m_rB,u)+d.z)}this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},ri.prototype.solvePositionConstraints=function(t){var i,e,s=this.m_bodyA.c_position.c,o=this.m_bodyA.c_position.a,a=this.m_bodyB.c_position.c,m=this.m_bodyB.c_position.a,_=f.neo(o),c=f.neo(m),l=this.m_invMassA,u=this.m_invMassB,p=this.m_invIA,y=this.m_invIB,d=f.mulVec2(_,r.sub(this.m_localAnchorA,this.m_localCenterA)),v=f.mulVec2(c,r.sub(this.m_localAnchorB,this.m_localCenterB)),x=new O;if(x.ex.x=l+u+d.y*d.y*p+v.y*v.y*y,x.ey.x=-d.y*d.x*p-v.y*v.x*y,x.ez.x=-d.y*p-v.y*y,x.ex.y=x.ey.x,x.ey.y=l+u+d.x*d.x*p+v.x*v.x*y,x.ez.y=d.x*p+v.x*y,x.ex.z=x.ez.x,x.ey.z=x.ez.y,x.ez.z=p+y,this.m_frequencyHz>0){(b=r.zero()).addCombine(1,a,1,v),b.subCombine(1,s,1,d),i=b.length(),e=0;var g=r.neg(x.solve22(b));s.subMul(l,g),o-=p*r.cross(d,g),a.addMul(u,g),m+=y*r.cross(v,g)}else{var b;(b=r.zero()).addCombine(1,a,1,v),b.subCombine(1,s,1,d);var A=m-o-this.m_referenceAngle;i=b.length(),e=n.abs(A);var B=R(b.x,b.y,A),w=R();if(x.ez.z>0)w=R.neg(x.solve33(B));else{var C=r.neg(x.solve22(b));w.set(C.x,C.y,0)}g=r.neo(w.x,w.y);s.subMul(l,g),o-=p*(r.cross(d,g)+w.z),a.addMul(u,g),m+=y*(r.cross(v,g)+w.z)}return this.m_bodyA.c_position.c=s,this.m_bodyA.c_position.a=o,this.m_bodyB.c_position.c=a,this.m_bodyB.c_position.a=m,i<=h.linearSlop&&e<=h.angularSlop},ai.TYPE="wheel-joint",st.TYPES[ai.TYPE]=ai,ai._super=st,ai.prototype=Object.create(ai._super.prototype);var hi={enableMotor:!1,maxMotorTorque:0,motorSpeed:0,frequencyHz:2,dampingRatio:.7};function ai(t,i,s,o,n){if(!(this instanceof ai))return new ai(t,i,s,o,n);t=e(t,hi),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ai.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_localXAxisA=r.clone(n?i.getLocalVector(n):t.localAxisA||t.localAxis||r.neo(1,0)),this.m_localYAxisA=r.cross(1,this.m_localXAxisA),this.m_mass=0,this.m_impulse=0,this.m_motorMass=0,this.m_motorImpulse=0,this.m_springMass=0,this.m_springImpulse=0,this.m_maxMotorTorque=t.maxMotorTorque,this.m_motorSpeed=t.motorSpeed,this.m_enableMotor=t.enableMotor,this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_bias=0,this.m_gamma=0,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_ax=r.zero(),this.m_ay=r.zero(),this.m_sAx,this.m_sBx,this.m_sAy,this.m_sBy}ai.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,enableMotor:this.m_enableMotor,maxMotorTorque:this.m_maxMotorTorque,motorSpeed:this.m_motorSpeed,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,localAxisA:this.m_localXAxisA}},ai._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(z,t.bodyA,i),t.bodyB=e(z,t.bodyB,i),new ai(t)},ai.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB),t.localAxisA&&(this.m_localXAxisA.set(t.localAxisA),this.m_localYAxisA.set(r.cross(1,t.localAxisA)))},ai.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},ai.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},ai.prototype.getLocalAxisA=function(){return this.m_localXAxisA},ai.prototype.getJointTranslation=function(){var t=this.m_bodyA,i=this.m_bodyB,e=t.getWorldPoint(this.m_localAnchorA),s=i.getWorldPoint(this.m_localAnchorB),o=r.sub(s,e),n=t.getWorldVector(this.m_localXAxisA);return r.dot(o,n)},ai.prototype.getJointSpeed=function(){var t=this.m_bodyA.m_angularVelocity;return this.m_bodyB.m_angularVelocity-t},ai.prototype.isMotorEnabled=function(){return this.m_enableMotor},ai.prototype.enableMotor=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t},ai.prototype.setMotorSpeed=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t},ai.prototype.getMotorSpeed=function(){return this.m_motorSpeed},ai.prototype.setMaxMotorTorque=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorTorque=t},ai.prototype.getMaxMotorTorque=function(){return this.m_maxMotorTorque},ai.prototype.getMotorTorque=function(t){return t*this.m_motorImpulse},ai.prototype.setSpringFrequencyHz=function(t){this.m_frequencyHz=t},ai.prototype.getSpringFrequencyHz=function(){return this.m_frequencyHz},ai.prototype.setSpringDampingRatio=function(t){this.m_dampingRatio=t},ai.prototype.getSpringDampingRatio=function(){return this.m_dampingRatio},ai.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},ai.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ai.prototype.getReactionForce=function(t){return r.combine(this.m_impulse,this.m_ay,this.m_springImpulse,this.m_ax).mul(t)},ai.prototype.getReactionTorque=function(t){return t*this.m_motorImpulse},ai.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_invMassA,e=this.m_invMassB,s=this.m_invIA,o=this.m_invIB,h=this.m_bodyA.c_position.c,a=this.m_bodyA.c_position.a,m=this.m_bodyA.c_velocity.v,_=this.m_bodyA.c_velocity.w,c=this.m_bodyB.c_position.c,l=this.m_bodyB.c_position.a,u=this.m_bodyB.c_velocity.v,p=this.m_bodyB.c_velocity.w,y=f.neo(a),d=f.neo(l),v=f.mulVec2(y,r.sub(this.m_localAnchorA,this.m_localCenterA)),x=f.mulVec2(d,r.sub(this.m_localAnchorB,this.m_localCenterB));if((B=r.zero()).addCombine(1,c,1,x),B.subCombine(1,h,1,v),this.m_ay=f.mulVec2(y,this.m_localYAxisA),this.m_sAy=r.cross(r.add(B,v),this.m_ay),this.m_sBy=r.cross(x,this.m_ay),this.m_mass=i+e+s*this.m_sAy*this.m_sAy+o*this.m_sBy*this.m_sBy,this.m_mass>0&&(this.m_mass=1/this.m_mass),this.m_springMass=0,this.m_bias=0,this.m_gamma=0,this.m_frequencyHz>0){this.m_ax=f.mulVec2(y,this.m_localXAxisA),this.m_sAx=r.cross(r.add(B,v),this.m_ax),this.m_sBx=r.cross(x,this.m_ax);var g=i+e+s*this.m_sAx*this.m_sAx+o*this.m_sBx*this.m_sBx;if(g>0){this.m_springMass=1/g;var b=r.dot(B,this.m_ax),A=2*n.PI*this.m_frequencyHz,B=2*this.m_springMass*this.m_dampingRatio*A,w=this.m_springMass*A*A,C=t.dt;this.m_gamma=C*(B+C*w),this.m_gamma>0&&(this.m_gamma=1/this.m_gamma),this.m_bias=b*C*w*this.m_gamma,this.m_springMass=g+this.m_gamma,this.m_springMass>0&&(this.m_springMass=1/this.m_springMass)}}else this.m_springImpulse=0;if(this.m_enableMotor?(this.m_motorMass=s+o,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass)):(this.m_motorMass=0,this.m_motorImpulse=0),t.warmStarting){this.m_impulse*=t.dtRatio,this.m_springImpulse*=t.dtRatio,this.m_motorImpulse*=t.dtRatio;var M=r.combine(this.m_impulse,this.m_ay,this.m_springImpulse,this.m_ax),I=this.m_impulse*this.m_sAy+this.m_springImpulse*this.m_sAx+this.m_motorImpulse,S=this.m_impulse*this.m_sBy+this.m_springImpulse*this.m_sBx+this.m_motorImpulse;m.subMul(this.m_invMassA,M),_-=this.m_invIA*I,u.addMul(this.m_invMassB,M),p+=this.m_invIB*S}else this.m_impulse=0,this.m_springImpulse=0,this.m_motorImpulse=0;this.m_bodyA.c_velocity.v.set(m),this.m_bodyA.c_velocity.w=_,this.m_bodyB.c_velocity.v.set(u),this.m_bodyB.c_velocity.w=p},ai.prototype.solveVelocityConstraints=function(t){var i=this.m_invMassA,e=this.m_invMassB,s=this.m_invIA,o=this.m_invIB,h=this.m_bodyA.c_velocity.v,a=this.m_bodyA.c_velocity.w,m=this.m_bodyB.c_velocity.v,_=this.m_bodyB.c_velocity.w,c=r.dot(this.m_ax,m)-r.dot(this.m_ax,h)+this.m_sBx*_-this.m_sAx*a,l=-this.m_springMass*(c+this.m_bias+this.m_gamma*this.m_springImpulse);this.m_springImpulse+=l;var u=r.mul(l,this.m_ax),p=l*this.m_sAx,y=l*this.m_sBx;h.subMul(i,u),a-=s*p,m.addMul(e,u);c=(_+=o*y)-a-this.m_motorSpeed,l=-this.m_motorMass*c;var d=this.m_motorImpulse,f=t.dt*this.m_maxMotorTorque;this.m_motorImpulse=n.clamp(this.m_motorImpulse+l,-f,f),a-=s*(l=this.m_motorImpulse-d),_+=o*l;c=r.dot(this.m_ay,m)-r.dot(this.m_ay,h)+this.m_sBy*_-this.m_sAy*a,l=-this.m_mass*c;this.m_impulse+=l;u=r.mul(l,this.m_ay),p=l*this.m_sAy,y=l*this.m_sBy;h.subMul(i,u),a-=s*p,m.addMul(e,u),_+=o*y,this.m_bodyA.c_velocity.v.set(h),this.m_bodyA.c_velocity.w=a,this.m_bodyB.c_velocity.v.set(m),this.m_bodyB.c_velocity.w=_},ai.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=f.neo(e),m=f.neo(o),_=f.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),c=f.mulVec2(m,r.sub(this.m_localAnchorB,this.m_localCenterB)),l=r.zero();l.addCombine(1,s,1,c),l.subCombine(1,i,1,_);var u,p=f.mulVec2(a,this.m_localYAxisA),y=r.cross(r.add(l,_),p),d=r.cross(c,p),v=r.dot(l,p),x=this.m_invMassA+this.m_invMassB+this.m_invIA*this.m_sAy*this.m_sAy+this.m_invIB*this.m_sBy*this.m_sBy;u=0!=x?-v/x:0;var g=r.mul(u,p),b=u*y,A=u*d;return i.subMul(this.m_invMassA,g),e-=this.m_invIA*b,s.addMul(this.m_invMassB,g),o+=this.m_invIB*A,this.m_bodyA.c_position.c.set(i),this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c.set(s),this.m_bodyB.c_position.a=o,n.abs(v)<=h.linearSlop};var mi={CollidePolygons:kt,Settings:h,Sweep:x,Manifold:k,Distance:W,TimeOfImpact:ct,DynamicTree:c,stats:D};function _i(t){var i={exports:{}};return t(i,i.exports),i.exports}var ci={},li=function(t){for(var i=1;i<arguments.length;i++){var e=arguments[i];for(var s in e)e.hasOwnProperty(s)&&(t[s]=e[s])}return t},ui=_i((function(t){var i=Object.prototype,e=i.hasOwnProperty,s=i.toString,o=/^[A-Fa-f0-9]+$/,n=t.exports={};n.a=n.an=n.type=function(t,i){return typeof t===i},n.defined=function(t){return void 0!==t},n.empty=function(t){var i,o=s.call(t);if("[object Array]"===o||"[object Arguments]"===o||"[object String]"===o)return 0===t.length;if("[object Object]"===o){for(i in t)if(e.call(t,i))return!1;return!0}return!t},n.equal=function(t,i){if(t===i)return!0;var e,o=s.call(t);if(o!==s.call(i))return!1;if("[object Object]"===o){for(e in t)if(!n.equal(t[e],i[e])||!(e in i))return!1;for(e in i)if(!n.equal(t[e],i[e])||!(e in t))return!1;return!0}if("[object Array]"===o){if((e=t.length)!==i.length)return!1;for(;--e;)if(!n.equal(t[e],i[e]))return!1;return!0}return"[object Function]"===o?t.prototype===i.prototype:"[object Date]"===o&&t.getTime()===i.getTime()},n.instance=function(t,i){return t instanceof i},n.nil=function(t){return null===t},n.undef=function(t){return void 0===t},n.array=function(t){return"[object Array]"===s.call(t)},n.emptyarray=function(t){return n.array(t)&&0===t.length},n.arraylike=function(t){return!!t&&!n.boolean(t)&&e.call(t,"length")&&isFinite(t.length)&&n.number(t.length)&&t.length>=0},n.boolean=function(t){return"[object Boolean]"===s.call(t)},n.element=function(t){return void 0!==t&&"undefined"!=typeof HTMLElement&&t instanceof HTMLElement&&1===t.nodeType},n.fn=function(t){return"[object Function]"===s.call(t)},n.number=function(t){return"[object Number]"===s.call(t)},n.nan=function(t){return!n.number(t)||t!=t},n.object=function(t){return"[object Object]"===s.call(t)},n.hash=function(t){return n.object(t)&&t.constructor===Object&&!t.nodeType&&!t.setInterval},n.regexp=function(t){return"[object RegExp]"===s.call(t)},n.string=function(t){return"[object String]"===s.call(t)},n.hex=function(t){return n.string(t)&&(!t.length||o.test(t))}}));function pi(t){if(!(this instanceof pi))return ui.fn(t)?pi.app.apply(pi,arguments):ui.object(t)?pi.atlas.apply(pi,arguments):t;ci.create++;for(var i=0;i<yi.length;i++)yi[i].call(this)}ci.create=0;var yi=[];pi._init=function(t){yi.push(t)};var di=[];pi._load=function(t){di.push(t)};var fi={};pi.config=function(){if(1===arguments.length&&ui.string(arguments[0]))return fi[arguments[0]];1===arguments.length&&ui.object(arguments[0])&&li(fi,arguments[0]),2===arguments.length&&ui.string(arguments[0])};var vi=[],xi=[],gi=!1,bi=!1;pi.app=function(t,i){if(gi){var e=pi.config("app-loader");e((function(i,e){for(var s=0;s<di.length;s++)di[s].call(this,i,e);t(i,e),xi.push(i),i.start()}),i)}else vi.push(arguments)};var Ai=function(){var t=0;function i(i,e){return t+=e="number"==typeof e&&e>=1?e:1,function(){i&&i.apply(this,arguments),e>0&&(e--,t--,s())}}var e=[];function s(){if(0===t)for(;e.length;)setTimeout(e.shift(),0)}return i.then=function(i){0===t?setTimeout(i,0):e.push(i)},i}();pi.preload=function(t){if("string"==typeof t){var i=pi.resolve(t);/\.js($|\?|\#)/.test(i)&&(t=function(t){!function(t,i){var e=document.createElement("script");e.addEventListener("load",(function(){i()})),e.addEventListener("error",(function(e){i(e||"Error loading script: "+t)})),e.src=t,e.id="preload-"+Date.now(),document.body.appendChild(e)}(i,t)})}"function"==typeof t&&t(Ai())},pi.start=function(t){pi.config(t),Ai.then((function(){for(gi=!0;vi.length;){var t=vi.shift();pi.app.apply(pi,t)}}))},pi.pause=function(){if(!bi){bi=!0;for(var t=xi.length-1;t>=0;t--)xi[t].pause()}},pi.resume=function(){if(bi){bi=!1;for(var t=xi.length-1;t>=0;t--)xi[t].resume()}},pi.create=function(){return new pi},pi.resolve=function(){if("undefined"==typeof window||"undefined"==typeof document)return function(t){return t};var t=document.getElementsByTagName("script");return function(i){if(/^\.\//.test(i)){var e=function(){if(document.currentScript)return document.currentScript.src;var i;try{var e=new Error;if(!e.stack)throw e;i=e.stack}catch(e){i=e.stack}if("string"==typeof i)for(var s=(i=i.split("\n")).length;s--;){var o=i[s].match(/(\w+\:\/\/[^/]*?\/.+?)(:\d+)(:\d+)?/);if(o)return o[1]}if(t.length&&"readyState"in t[0])for(s=t.length;s--;)if("interactive"===t[s].readyState)return t[s].src;return location.href}();i=e.substring(0,e.lastIndexOf("/")+1)+i.substring(2)}return i}}();var Bi=pi;function wi(t,i,e,s,o,n){this.reset(t,i,e,s,o,n)}wi.prototype.toString=function(){return"["+this.a+", "+this.b+", "+this.c+", "+this.d+", "+this.e+", "+this.f+"]"},wi.prototype.clone=function(){return new wi(this.a,this.b,this.c,this.d,this.e,this.f)},wi.prototype.reset=function(t,i,e,s,o,n){return this._dirty=!0,"object"==typeof t?(this.a=t.a,this.d=t.d,this.b=t.b,this.c=t.c,this.e=t.e,this.f=t.f):(this.a=t||1,this.d=s||1,this.b=i||0,this.c=e||0,this.e=o||0,this.f=n||0),this},wi.prototype.identity=function(){return this._dirty=!0,this.a=1,this.b=0,this.c=0,this.d=1,this.e=0,this.f=0,this},wi.prototype.rotate=function(t){if(!t)return this;this._dirty=!0;var i=t?Math.cos(t):1,e=t?Math.sin(t):0,s=i*this.a-e*this.b,o=i*this.b+e*this.a,n=i*this.c-e*this.d,r=i*this.d+e*this.c,h=i*this.e-e*this.f,a=i*this.f+e*this.e;return this.a=s,this.b=o,this.c=n,this.d=r,this.e=h,this.f=a,this},wi.prototype.translate=function(t,i){return t||i?(this._dirty=!0,this.e+=t,this.f+=i,this):this},wi.prototype.scale=function(t,i){return t-1||i-1?(this._dirty=!0,this.a*=t,this.b*=i,this.c*=t,this.d*=i,this.e*=t,this.f*=i,this):this},wi.prototype.skew=function(t,i){if(!t&&!i)return this;this._dirty=!0;var e=this.a+this.b*t,s=this.b+this.a*i,o=this.c+this.d*t,n=this.d+this.c*i,r=this.e+this.f*t,h=this.f+this.e*i;return this.a=e,this.b=s,this.c=o,this.d=n,this.e=r,this.f=h,this},wi.prototype.concat=function(t){this._dirty=!0;var i=this,e=i.a*t.a+i.b*t.c,s=i.b*t.d+i.a*t.b,o=i.c*t.a+i.d*t.c,n=i.d*t.d+i.c*t.b,r=i.e*t.a+t.e+i.f*t.c,h=i.f*t.d+t.f+i.e*t.b;return this.a=e,this.b=s,this.c=o,this.d=n,this.e=r,this.f=h,this},wi.prototype.inverse=wi.prototype.reverse=function(){if(this._dirty){this._dirty=!1,this.inversed=this.inversed||new wi;var t=this.a*this.d-this.b*this.c;this.inversed.a=this.d/t,this.inversed.b=-this.b/t,this.inversed.c=-this.c/t,this.inversed.d=this.a/t,this.inversed.e=(this.c*this.f-this.e*this.d)/t,this.inversed.f=(this.e*this.b-this.a*this.f)/t}return this.inversed},wi.prototype.map=function(t,i){return(i=i||{}).x=this.a*t.x+this.c*t.y+this.e,i.y=this.b*t.x+this.d*t.y+this.f,i},wi.prototype.mapX=function(t,i){return"object"==typeof t&&(i=t.y,t=t.x),this.a*t+this.c*i+this.e},wi.prototype.mapY=function(t,i){return"object"==typeof t&&(i=t.y,t=t.x),this.b*t+this.d*i+this.f};var Ci=wi,Mi=_i((function(t){if("function"==typeof Object.create)t.exports=function(t,i){return Object.create.call(Object,t,i)};else{function i(){}t.exports=function(t,e){if(e)throw Error("Second argument is not supported!");if("object"!=typeof t||null===t)throw Error("Invalid prototype!");return i.prototype=t,new i}}})),Ii=Math,Si=Mi(Math);function Pi(t,i){"object"==typeof t&&this.src(t,i)}Si.random=function(t,i){return void 0===t?(i=1,t=0):void 0===i&&(i=t,t=0),t==i?t:Ii.random()*(i-t)+t},Si.rotate=function(t,i,e){return void 0===i?(e=1,i=0):void 0===e&&(e=i,i=0),e>i?(t=(t-i)%(e-i))+(t<0?e:i):(t=(t-e)%(i-e))+(t<=0?i:e)},Si.limit=function(t,i,e){return t<i?i:t>e?e:t},Si.length=function(t,i){return Ii.sqrt(t*t+i*i)},Pi.prototype.pipe=function(){return new Pi(this)},Pi.prototype.src=function(t,i,e,s){if("object"==typeof t){var o=t,n=i||1;this._image=o,this._sx=this._dx=0,this._sy=this._dy=0,this._sw=this._dw=o.width/n,this._sh=this._dh=o.height/n,this.width=o.width/n,this.height=o.height/n,this.ratio=n}else void 0===e?(e=t,s=i):(this._sx=t,this._sy=i),this._sw=this._dw=e,this._sh=this._dh=s,this.width=e,this.height=s;return this},Pi.prototype.dest=function(t,i,e,s){return this._dx=t,this._dy=i,this._dx=t,this._dy=i,void 0!==e&&(this._dw=e,this._dh=s,this.width=e,this.height=s),this},Pi.prototype.draw=function(t,i,e,s,o,n,r,h,a){var m=this._image;if(null!==m&&"object"==typeof m){var _=this._sx,c=this._sy,l=this._sw,u=this._sh,p=this._dx,y=this._dy,d=this._dw,f=this._dh;void 0!==n?(i=Si.limit(i,0,this._sw),s=Si.limit(s,0,this._sw-i),_+=i,c+=e=Si.limit(e,0,this._sh),l=s,u=o=Si.limit(o,0,this._sh-e),p=n,y=r,d=h,f=a):void 0!==s?(p=i,y=e,d=s,f=o):void 0!==i&&(d=i,f=e);var v=this.ratio||1;_*=v,c*=v,l*=v,u*=v;try{"function"==typeof m.draw?m.draw(t,_,c,l,u,p,y,d,f):(ci.draw++,t.drawImage(m,_,c,l,u,p,y,d,f))}catch(t){m._draw_failed||(console.log("Unable to draw: ",m),console.log(t),m._draw_failed=!0)}}};var zi=Pi,Ti=function(t,i){return"string"==typeof t&&"string"==typeof i&&t.substring(0,i.length)==i},Vi={},ki=[];function Li(t){Li._super.call(this);var i=this;Ei(t,"filter"),Ei(t,"cutouts"),Ei(t,"sprites"),Ei(t,"factory");var e=t.map||t.filter,s=t.ppu||t.ratio||1,o=t.trim||0,n=t.textures,r=t.factory,h=t.cutouts||t.sprites;function a(t){if(!t||ui.fn(t.draw))return t;t=li({},t),ui.fn(e)&&(t=e(t)),1!=s&&(t.x*=s,t.y*=s,t.width*=s,t.height*=s,t.top*=s,t.bottom*=s,t.left*=s,t.right*=s),0!=o&&(t.x+=o,t.y+=o,t.width-=2*o,t.height-=2*o,t.top-=o,t.bottom-=o,t.left-=o,t.right-=o);var n=i.pipe();return n.top=t.top,n.bottom=t.bottom,n.left=t.left,n.right=t.right,n.src(t.x,t.y,t.width,t.height),n}function m(t){if(n){if(ui.fn(n))return n(t);if(ui.hash(n))return n[t]}if(h){for(var i=null,e=0,s=0;s<h.length;s++)Ti(h[s].name,t)&&(0===e?i=h[s]:1===e?i=[i,h[s]]:i.push(h[s]),e++);return 0===e&&ui.fn(r)&&(i=function(i){return r(t+(i||""))}),i}}this.select=function(t){if(!t)return new ji(this.pipe());var i=m(t);return i?new ji(i,m,a):void 0}}Bi.atlas=function(t){var i=ui.fn(t.draw)?t:new Li(t);t.name&&(Vi[t.name]=i),ki.push(i),Ei(t,"imagePath"),Ei(t,"imageRatio");var e=t.imagePath,s=t.imageRatio||1;return ui.string(t.image)?e=t.image:ui.hash(t.image)&&(e=t.image.src||t.image.url,s=t.image.ratio||s),e&&Bi.preload((function(t){e=Bi.resolve(e),Bi.config("image-loader")(e,(function(e){i.src(e,s),t()}),(function(i){t()}))})),i},Li._super=zi,Li.prototype=Mi(Li._super.prototype);var qi=new zi;qi.x=qi.y=qi.width=qi.height=0,qi.pipe=qi.src=qi.dest=function(){return this},qi.draw=function(){};var Fi=new ji(qi);function ji(t,i,e){function s(t,o){return t?ui.fn(t.draw)?t:ui.hash(t)&&ui.number(t.width)&&ui.number(t.height)&&ui.fn(e)?e(t):ui.hash(t)&&ui.defined(o)?s(t[o]):ui.fn(t)?s(t(o)):ui.array(t)?s(t[0]):ui.string(t)&&ui.fn(i)?s(i(t)):void 0:qi}this.one=function(i){return s(t,i)},this.array=function(i){var e=ui.array(i)?i:[];if(ui.array(t))for(var o=0;o<t.length;o++)e[o]=s(t[o]);else e[0]=s(t);return e}}function Ei(t,i,e){i in t&&console.log(e?e.replace("%name",i):"'"+i+"' field of texture atlas is deprecated.")}Bi.texture=function(t){if(!ui.string(t))return new ji(t);var i,e,s=null;for((e=t.indexOf(":"))>0&&t.length>e+1&&(s=(i=Vi[t.slice(0,e)])&&i.select(t.slice(e+1))),!s&&(i=Vi[t])&&(s=i.select()),e=0;!s&&e<ki.length;e++)s=ki[e].select(t);return s||(console.error("Texture not found: "+t),s=Fi),s};var Yi=0;function Di(t,i){Xi(i),Xi(t),i.remove(),t._last&&(t._last._next=i,i._prev=t._last),i._parent=t,t._last=i,t._first||(t._first=i),i._parent._flag(i,!0),i._ts_parent=++Yi,t._ts_children=++Yi,t.touch()}function Ri(t,i){Xi(i),Xi(t),i.remove(),t._first&&(t._first._prev=i,i._next=t._first),i._parent=t,t._first=i,t._last||(t._last=i),i._parent._flag(i,!0),i._ts_parent=++Yi,t._ts_children=++Yi,t.touch()}function Oi(t,i){Xi(t),Xi(i),t.remove();var e=i._parent,s=i._prev;i._prev=t,s&&(s._next=t)||e&&(e._first=t),t._parent=e,t._prev=s,t._next=i,t._parent._flag(t,!0),t._ts_parent=++Yi,t.touch()}function Ji(t,i){Xi(t),Xi(i),t.remove();var e=i._parent,s=i._next;i._next=t,s&&(s._prev=t)||e&&(e._last=t),t._parent=e,t._prev=i,t._next=s,t._parent._flag(t,!0),t._ts_parent=++Yi,t.touch()}function Xi(t){if(t&&t instanceof Bi)return t;throw"Invalid node: "+t}Bi.prototype._label="",Bi.prototype._visible=!0,Bi.prototype._parent=null,Bi.prototype._next=null,Bi.prototype._prev=null,Bi.prototype._first=null,Bi.prototype._last=null,Bi.prototype._attrs=null,Bi.prototype._flags=null,Bi.prototype.toString=function(){return"["+this._label+"]"},Bi.prototype.id=function(t){return this.label(t)},Bi.prototype.label=function(t){return void 0===t?this._label:(this._label=t,this)},Bi.prototype.attr=function(t,i){return void 0===i?null!==this._attrs?this._attrs[t]:void 0:((null!==this._attrs?this._attrs:this._attrs={})[t]=i,this)},Bi.prototype.visible=function(t){return void 0===t?this._visible:(this._visible=t,this._parent&&(this._parent._ts_children=++Yi),this._ts_pin=++Yi,this.touch(),this)},Bi.prototype.hide=function(){return this.visible(!1)},Bi.prototype.show=function(){return this.visible(!0)},Bi.prototype.parent=function(){return this._parent},Bi.prototype.next=function(t){for(var i=this._next;i&&t&&!i._visible;)i=i._next;return i},Bi.prototype.prev=function(t){for(var i=this._prev;i&&t&&!i._visible;)i=i._prev;return i},Bi.prototype.first=function(t){for(var i=this._first;i&&t&&!i._visible;)i=i._next;return i},Bi.prototype.last=function(t){for(var i=this._last;i&&t&&!i._visible;)i=i._prev;return i},Bi.prototype.visit=function(t,i){var e=t.reverse,s=t.visible;if(!t.start||!t.start(this,i)){for(var o,n=e?this.last(s):this.first(s);o=n;)if(n=e?o.prev(s):o.next(s),o.visit(t,i))return!0;return t.end&&t.end(this,i)}},Bi.prototype.append=function(t,i){if(ui.array(t))for(var e=0;e<t.length;e++)Di(this,t[e]);else if(void 0!==i)for(e=0;e<arguments.length;e++)Di(this,arguments[e]);else void 0!==t&&Di(this,t);return this},Bi.prototype.prepend=function(t,i){if(ui.array(t))for(var e=t.length-1;e>=0;e--)Ri(this,t[e]);else if(void 0!==i)for(e=arguments.length-1;e>=0;e--)Ri(this,arguments[e]);else void 0!==t&&Ri(this,t);return this},Bi.prototype.appendTo=function(t){return Di(t,this),this},Bi.prototype.prependTo=function(t){return Ri(t,this),this},Bi.prototype.insertNext=function(t,i){if(ui.array(t))for(var e=0;e<t.length;e++)Ji(t[e],this);else if(void 0!==i)for(e=0;e<arguments.length;e++)Ji(arguments[e],this);else void 0!==t&&Ji(t,this);return this},Bi.prototype.insertPrev=function(t,i){if(ui.array(t))for(var e=t.length-1;e>=0;e--)Oi(t[e],this);else if(void 0!==i)for(e=arguments.length-1;e>=0;e--)Oi(arguments[e],this);else void 0!==t&&Oi(t,this);return this},Bi.prototype.insertAfter=function(t){return Ji(this,t),this},Bi.prototype.insertBefore=function(t){return Oi(this,t),this},Bi.prototype.remove=function(t,i){if(void 0!==t){if(ui.array(t))for(var e=0;e<t.length;e++)Xi(t[e]).remove();else if(void 0!==i)for(e=0;e<arguments.length;e++)Xi(arguments[e]).remove();else Xi(t).remove();return this}return this._prev&&(this._prev._next=this._next),this._next&&(this._next._prev=this._prev),this._parent&&(this._parent._first===this&&(this._parent._first=this._next),this._parent._last===this&&(this._parent._last=this._prev),this._parent._flag(this,!1),this._parent._ts_children=++Yi,this._parent.touch()),this._prev=this._next=this._parent=null,this._ts_parent=++Yi,this},Bi.prototype.empty=function(){for(var t,i=this._first;t=i;)i=t._next,t._prev=t._next=t._parent=null,this._flag(t,!1);return this._first=this._last=null,this._ts_children=++Yi,this.touch(),this},Bi.prototype.touch=function(){return this._ts_touch=++Yi,this._parent&&this._parent.touch(),this},Bi.prototype._flag=function(t,i){if(void 0===i)return null!==this._flags&&this._flags[t]||0;if("string"==typeof t&&(i?(this._flags=this._flags||{},!this._flags[t]&&this._parent&&this._parent._flag(t,!0),this._flags[t]=(this._flags[t]||0)+1):this._flags&&this._flags[t]>0&&(1==this._flags[t]&&this._parent&&this._parent._flag(t,!1),this._flags[t]=this._flags[t]-1)),"object"==typeof t&&t._flags)for(var e in t._flags)t._flags[e]>0&&this._flag(e,i);return this},Bi.prototype.hitTest=function(t){return!!this.attr("spy")||t.x>=0&&t.x<=this._pin._width&&t.y>=0&&t.y<=this._pin._height};var Ni,Wi;Ni=Bi.prototype,Wi=function(t,i,e){t._flag(i,e)},Ni._listeners=null,Ni.on=Ni.listen=function(t,i){if(!t||!t.length||"function"!=typeof i)return this;if(null===this._listeners&&(this._listeners={}),t=("string"!=typeof t&&"function"==typeof t.join?t.join(" "):t).match(/\S+/g))for(var e=0;e<t.length;e++){var s=t[e];this._listeners[s]=this._listeners[s]||[],this._listeners[s].push(i),"function"==typeof Wi&&Wi(this,s,!0)}return this},Ni.off=function(t,i){if(!t||!t.length||"function"!=typeof i)return this;if(null===this._listeners)return this;if(t=("string"!=typeof t&&"function"==typeof t.join?t.join(" "):t).match(/\S+/g))for(var e=0;e<t.length;e++){var s,o=t[e],n=this._listeners[o];n&&(s=n.indexOf(i))>=0&&(n.splice(s,1),n.length||delete this._listeners[o],"function"==typeof Wi&&Wi(this,o,!1))}return this},Ni.listeners=function(t){return this._listeners&&this._listeners[t]},Ni.publish=function(t,i){var e=this.listeners(t);if(!e||!e.length)return 0;for(var s=0;s<e.length;s++)e[s].apply(this,i);return e.length},Ni.trigger=function(t,i){return this.publish(t,i),this};var Hi=0;function Zi(t){this._owner=t,this._parent=null,this._relativeMatrix=new Ci,this._absoluteMatrix=new Ci,this.reset()}Bi._init((function(){this._pin=new Zi(this)})),Bi.prototype.matrix=function(t){return!0===t?this._pin.relativeMatrix():this._pin.absoluteMatrix()},Bi.prototype.pin=function(t,i){return"object"==typeof t?(this._pin.set(t),this):"string"==typeof t?void 0===i?this._pin.get(t):(this._pin.set(t,i),this):void 0===t?this._pin:void 0},Zi.prototype.reset=function(){this._textureAlpha=1,this._alpha=1,this._width=0,this._height=0,this._scaleX=1,this._scaleY=1,this._skewX=0,this._skewY=0,this._rotation=0,this._pivoted=!1,this._pivotX=null,this._pivotY=null,this._handled=!1,this._handleX=0,this._handleY=0,this._aligned=!1,this._alignX=0,this._alignY=0,this._offsetX=0,this._offsetY=0,this._boxX=0,this._boxY=0,this._boxWidth=this._width,this._boxHeight=this._height,this._ts_translate=++Hi,this._ts_transform=++Hi,this._ts_matrix=++Hi},Zi.prototype._update=function(){return this._parent=this._owner._parent&&this._owner._parent._pin,this._handled&&this._mo_handle!=this._ts_transform&&(this._mo_handle=this._ts_transform,this._ts_translate=++Hi),this._aligned&&this._parent&&this._mo_align!=this._parent._ts_transform&&(this._mo_align=this._parent._ts_transform,this._ts_translate=++Hi),this},Zi.prototype.toString=function(){return this._owner+" ("+(this._parent?this._parent._owner:null)+")"},Zi.prototype.absoluteMatrix=function(){this._update();var t=Math.max(this._ts_transform,this._ts_translate,this._parent?this._parent._ts_matrix:0);if(this._mo_abs==t)return this._absoluteMatrix;this._mo_abs=t;var i=this._absoluteMatrix;return i.reset(this.relativeMatrix()),this._parent&&i.concat(this._parent._absoluteMatrix),this._ts_matrix=++Hi,i},Zi.prototype.relativeMatrix=function(){this._update();var t=Math.max(this._ts_transform,this._ts_translate,this._parent?this._parent._ts_transform:0);if(this._mo_rel==t)return this._relativeMatrix;this._mo_rel=t;var i,e,s=this._relativeMatrix;(s.identity(),this._pivoted&&s.translate(-this._pivotX*this._width,-this._pivotY*this._height),s.scale(this._scaleX,this._scaleY),s.skew(this._skewX,this._skewY),s.rotate(this._rotation),this._pivoted&&s.translate(this._pivotX*this._width,this._pivotY*this._height),this._pivoted)?(this._boxX=0,this._boxY=0,this._boxWidth=this._width,this._boxHeight=this._height):(s.a>0&&s.c>0||s.a<0&&s.c<0?(i=0,e=s.a*this._width+s.c*this._height):(i=s.a*this._width,e=s.c*this._height),i>e?(this._boxX=e,this._boxWidth=i-e):(this._boxX=i,this._boxWidth=e-i),s.b>0&&s.d>0||s.b<0&&s.d<0?(i=0,e=s.b*this._width+s.d*this._height):(i=s.b*this._width,e=s.d*this._height),i>e?(this._boxY=e,this._boxHeight=i-e):(this._boxY=i,this._boxHeight=e-i));return this._x=this._offsetX,this._y=this._offsetY,this._x-=this._boxX+this._handleX*this._boxWidth,this._y-=this._boxY+this._handleY*this._boxHeight,this._aligned&&this._parent&&(this._parent.relativeMatrix(),this._x+=this._alignX*this._parent._width,this._y+=this._alignY*this._parent._height),s.translate(this._x,this._y),this._relativeMatrix},Zi.prototype.get=function(t){if("function"==typeof Ki[t])return Ki[t](this)},Zi.prototype.set=function(t,i){if("string"==typeof t)"function"==typeof Gi[t]&&void 0!==i&&Gi[t](this,i);else if("object"==typeof t)for(i in t)"function"==typeof Gi[i]&&void 0!==t[i]&&Gi[i](this,t[i],t);return this._owner&&(this._owner._ts_pin=++Hi,this._owner.touch()),this};var Ki={alpha:function(t){return t._alpha},textureAlpha:function(t){return t._textureAlpha},width:function(t){return t._width},height:function(t){return t._height},boxWidth:function(t){return t._boxWidth},boxHeight:function(t){return t._boxHeight},scaleX:function(t){return t._scaleX},scaleY:function(t){return t._scaleY},skewX:function(t){return t._skewX},skewY:function(t){return t._skewY},rotation:function(t){return t._rotation},pivotX:function(t){return t._pivotX},pivotY:function(t){return t._pivotY},offsetX:function(t){return t._offsetX},offsetY:function(t){return t._offsetY},alignX:function(t){return t._alignX},alignY:function(t){return t._alignY},handleX:function(t){return t._handleX},handleY:function(t){return t._handleY}},Gi={alpha:function(t,i){t._alpha=i},textureAlpha:function(t,i){t._textureAlpha=i},width:function(t,i){t._width_=i,t._width=i,t._ts_transform=++Hi},height:function(t,i){t._height_=i,t._height=i,t._ts_transform=++Hi},scale:function(t,i){t._scaleX=i,t._scaleY=i,t._ts_transform=++Hi},scaleX:function(t,i){t._scaleX=i,t._ts_transform=++Hi},scaleY:function(t,i){t._scaleY=i,t._ts_transform=++Hi},skew:function(t,i){t._skewX=i,t._skewY=i,t._ts_transform=++Hi},skewX:function(t,i){t._skewX=i,t._ts_transform=++Hi},skewY:function(t,i){t._skewY=i,t._ts_transform=++Hi},rotation:function(t,i){t._rotation=i,t._ts_transform=++Hi},pivot:function(t,i){t._pivotX=i,t._pivotY=i,t._pivoted=!0,t._ts_transform=++Hi},pivotX:function(t,i){t._pivotX=i,t._pivoted=!0,t._ts_transform=++Hi},pivotY:function(t,i){t._pivotY=i,t._pivoted=!0,t._ts_transform=++Hi},offset:function(t,i){t._offsetX=i,t._offsetY=i,t._ts_translate=++Hi},offsetX:function(t,i){t._offsetX=i,t._ts_translate=++Hi},offsetY:function(t,i){t._offsetY=i,t._ts_translate=++Hi},align:function(t,i){this.alignX(t,i),this.alignY(t,i)},alignX:function(t,i){t._alignX=i,t._aligned=!0,t._ts_translate=++Hi,this.handleX(t,i)},alignY:function(t,i){t._alignY=i,t._aligned=!0,t._ts_translate=++Hi,this.handleY(t,i)},handle:function(t,i){this.handleX(t,i),this.handleY(t,i)},handleX:function(t,i){t._handleX=i,t._handled=!0,t._ts_translate=++Hi},handleY:function(t,i){t._handleY=i,t._handled=!0,t._ts_translate=++Hi},resizeMode:function(t,i,e){e&&("in"==i?i="in-pad":"out"==i&&(i="out-crop"),Ui(t,e.resizeWidth,e.resizeHeight,i))},resizeWidth:function(t,i,e){e&&e.resizeMode||Ui(t,i,null)},resizeHeight:function(t,i,e){e&&e.resizeMode||Ui(t,null,i)},scaleMode:function(t,i,e){e&&Ui(t,e.scaleWidth,e.scaleHeight,i)},scaleWidth:function(t,i,e){e&&e.scaleMode||Ui(t,i,null)},scaleHeight:function(t,i,e){e&&e.scaleMode||Ui(t,null,i)},matrix:function(t,i){this.scaleX(t,i.a),this.skewX(t,i.c/i.d),this.skewY(t,i.b/i.a),this.scaleY(t,i.d),this.offsetX(t,i.e),this.offsetY(t,i.f),this.rotation(t,0)}};function Ui(t,i,e,s){var o="number"==typeof i,n="number"==typeof e,r="string"==typeof s;t._ts_transform=++Hi,o&&(t._scaleX=i/t._width_,t._width=t._width_),n&&(t._scaleY=e/t._height_,t._height=t._height_),o&&n&&r&&("out"==s||"out-crop"==s?t._scaleX=t._scaleY=Math.max(t._scaleX,t._scaleY):"in"!=s&&"in-pad"!=s||(t._scaleX=t._scaleY=Math.min(t._scaleX,t._scaleY)),"out-crop"!=s&&"in-pad"!=s||(t._width=i/t._scaleX,t._height=e/t._scaleY))}Bi.prototype.scaleTo=function(t,i,e){return"object"==typeof t&&(e=i,i=t.y,t=t.x),Ui(this._pin,t,i,e),this},Zi._add_shortcuts=function(t){t.prototype.size=function(t,i){return this.pin("width",t),this.pin("height",i),this},t.prototype.width=function(t){return void 0===t?this.pin("width"):(this.pin("width",t),this)},t.prototype.height=function(t){return void 0===t?this.pin("height"):(this.pin("height",t),this)},t.prototype.offset=function(t,i){return"object"==typeof t&&(i=t.y,t=t.x),this.pin("offsetX",t),this.pin("offsetY",i),this},t.prototype.rotate=function(t){return this.pin("rotation",t),this},t.prototype.skew=function(t,i){return"object"==typeof t?(i=t.y,t=t.x):void 0===i&&(i=t),this.pin("skewX",t),this.pin("skewY",i),this},t.prototype.scale=function(t,i){return"object"==typeof t?(i=t.y,t=t.x):void 0===i&&(i=t),this.pin("scaleX",t),this.pin("scaleY",i),this},t.prototype.alpha=function(t,i){return this.pin("alpha",t),void 0!==i&&this.pin("textureAlpha",i),this}},Zi._add_shortcuts(Bi);var $i=Zi;function Qi(t,i){Qi._super.call(this),this.label("Root");var e=!0,s=this,o=0,n=function(r){if(!0!==e){ci.tick=ci.node=ci.draw=0;var h=o||r,a=r-h;o=r;var m=s._tick(a,r,h);s._mo_touch!=s._ts_touch?(s._mo_touch=s._ts_touch,i(s),t(n)):m?t(n):e=!0,ci.fps=a?1e3/a:0}};this.start=function(){return this.resume()},this.resume=function(){return e&&(this.publish("resume"),e=!1,t(n)),this},this.pause=function(){return e||this.publish("pause"),e=!0,this},this.touch_root=this.touch,this.touch=function(){return this.resume(),this.touch_root()}}Bi.prototype._textures=null,Bi.prototype._alpha=1,Bi.prototype.render=function(t){if(this._visible){ci.node++;var i=this.matrix();t.setTransform(i.a,i.b,i.c,i.d,i.e,i.f),this._alpha=this._pin._alpha*(this._parent?this._parent._alpha:1);var e=this._pin._textureAlpha*this._alpha;if(t.globalAlpha!=e&&(t.globalAlpha=e),null!==this._textures)for(var s=0,o=this._textures.length;s<o;s++)this._textures[s].draw(t);t.globalAlpha!=this._alpha&&(t.globalAlpha=this._alpha);for(var n,r=this._first;n=r;)r=n._next,n.render(t)}},Bi.prototype._tickBefore=null,Bi.prototype._tickAfter=null,Bi.prototype.MAX_ELAPSE=1/0,Bi.prototype._tick=function(t,i,e){if(this._visible){t>this.MAX_ELAPSE&&(t=this.MAX_ELAPSE);var s=!1;if(null!==this._tickBefore)for(var o=0;o<this._tickBefore.length;o++){ci.tick++,s=!0===this._tickBefore[o].call(this,t,i,e)||s}for(var n,r=this._first;n=r;)r=n._next,n._flag("_tick")&&(s=!0===n._tick(t,i,e)||s);if(null!==this._tickAfter)for(o=0;o<this._tickAfter.length;o++){ci.tick++,s=!0===this._tickAfter[o].call(this,t,i,e)||s}return s}},Bi.prototype.tick=function(t,i){"function"==typeof t&&(i?(null===this._tickBefore&&(this._tickBefore=[]),this._tickBefore.push(t)):(null===this._tickAfter&&(this._tickAfter=[]),this._tickAfter.push(t)),this._flag("_tick",null!==this._tickAfter&&this._tickAfter.length>0||null!==this._tickBefore&&this._tickBefore.length>0))},Bi.prototype.untick=function(t){var i;"function"==typeof t&&(null!==this._tickBefore&&(i=this._tickBefore.indexOf(t))>=0&&this._tickBefore.splice(i,1),null!==this._tickAfter&&(i=this._tickAfter.indexOf(t))>=0&&this._tickAfter.splice(i,1))},Bi.prototype.timeout=function(t,i){this.setTimeout(t,i)},Bi.prototype.setTimeout=function(t,i){function e(s){if(!((i-=s)<0))return!0;this.untick(e),t.call(this)}return this.tick(e),e},Bi.prototype.clearTimeout=function(t){this.untick(t)},Qi._super=Bi,Qi.prototype=Mi(Qi._super.prototype),Bi.root=function(t,i){return new Qi(t,i)},Qi.prototype.background=function(t){return this},Qi.prototype.viewport=function(t,i,e){if(void 0===t)return li({},this._viewport);this._viewport={width:t,height:i,ratio:e||1},this.viewbox();var s=li({},this._viewport);return this.visit({start:function(t){if(!t._flag("viewport"))return!0;t.publish("viewport",[s])}}),this},Qi.prototype.viewbox=function(t,i,e){"number"==typeof t&&"number"==typeof i&&(this._viewbox={width:t,height:i,mode:/^(in|out|in-pad|out-crop)$/.test(e)?e:"in-pad"});var s=this._viewbox,o=this._viewport;return o&&s?(this.pin({width:s.width,height:s.height}),this.scaleTo(o.width,o.height,s.mode)):o&&this.pin({width:o.width,height:o.height}),this};var te=Bi,ie=Ci,ee=zi;te.Matrix=ie,te.Texture=ee,Bi.canvas=function(t,i,e){"string"==typeof t?"object"==typeof i||("function"==typeof i&&(e=i),i={}):("function"==typeof t&&(e=t),i={},t="2d");var s=document.createElement("canvas"),o=s.getContext(t,i),n=new zi(s);return n.context=function(){return o},n.size=function(t,i,e){return e=e||1,s.width=t*e,s.height=i*e,this.src(s,e),this},n.canvas=function(t){return"function"==typeof t?t.call(this,o):void 0===t&&"function"==typeof e&&e.call(this,o),this},"function"==typeof e&&e.call(n,o),n};var se=oe;function oe(){oe._super.call(this),this.label("Image"),this._textures=[],this._image=null}function ne(){ne._super.call(this),this.label("Anim"),this._textures=[],this._fps=Bi.Anim.FPS,this._ft=1e3/this._fps,this._time=-1,this._repeat=0,this._index=0,this._frames=[];var t=0;this.tick((function(i,e,s){if(!(this._time<0||this._frames.length<=1)){var o=t!=s;if(t=e,o)return!0;if(this._time+=i,this._time<this._ft)return!0;var n=this._time/this._ft|0;return this._time-=n*this._ft,this.moveFrame(n),!(this._repeat>0&&(this._repeat-=n)<=0)||(this.stop(),this._callback&&this._callback(),!1)}}),!1)}function re(){re._super.call(this),this.label("String"),this._textures=[]}function he(t){return t}Bi.image=function(t){var i=new oe;return t&&i.image(t),i},oe._super=Bi,oe.prototype=Mi(oe._super.prototype),oe.prototype.setImage=function(t,i,e){return this.image(t,i,e)},oe.prototype.image=function(t){return this._image=Bi.texture(t).one(),this.pin("width",this._image?this._image.width:0),this.pin("height",this._image?this._image.height:0),this._textures[0]=this._image.pipe(),this._textures.length=1,this},oe.prototype.tile=function(t){return this._repeat(!1,t),this},oe.prototype.stretch=function(t){return this._repeat(!0,t),this},oe.prototype._repeat=function(t,i){var e=this;function s(t,i,s,o,n,r,h,a,m){var _=e._textures.length>t?e._textures[t]:e._textures[t]=e._image.pipe();_.src(i,s,o,n),_.dest(r,h,a,m)}this.untick(this._repeatTicker),this.tick(this._repeatTicker=function(){if(this._mo_stretch!=this._pin._ts_transform){this._mo_stretch=this._pin._ts_transform;var e=this.pin("width"),o=this.pin("height");this._textures.length=function(t,i,e,s,o,n){var r=t.width,h=t.height,a=t.left,m=t.right,_=t.top,c=t.bottom;r=r-(a="number"==typeof a&&a==a?a:0)-(m="number"==typeof m&&m==m?m:0),h=h-(_="number"==typeof _&&_==_?_:0)-(c="number"==typeof c&&c==c?c:0),o||(i=Math.max(i-a-m,0),e=Math.max(e-_-c,0));var l=0;if(_>0&&a>0&&n(l++,0,0,a,_,0,0,a,_),c>0&&a>0&&n(l++,0,h+_,a,c,0,e+_,a,c),_>0&&m>0&&n(l++,r+a,0,m,_,i+a,0,m,_),c>0&&m>0&&n(l++,r+a,h+_,m,c,i+a,e+_,m,c),s)_>0&&n(l++,a,0,r,_,a,0,i,_),c>0&&n(l++,a,h+_,r,c,a,e+_,i,c),a>0&&n(l++,0,_,a,h,0,_,a,e),m>0&&n(l++,r+a,_,m,h,i+a,_,m,e),n(l++,a,_,r,h,a,_,i,e);else for(var u,p=a,y=i;y>0;){u=Math.min(r,y),y-=r;for(var d,f=_,v=e;v>0;)d=Math.min(h,v),v-=h,n(l++,a,_,u,d,p,f,u,d),y<=0&&(a&&n(l++,0,_,a,d,0,f,a,d),m&&n(l++,r+a,_,m,d,p+u,f,m,d)),f+=d;_&&n(l++,a,0,u,_,p,0,u,_),c&&n(l++,a,h+_,u,c,p,f,u,c),p+=u}return l}(this._image,e,o,t,i,s)}})},Bi.anim=function(t,i){var e=new ne;return e.frames(t).gotoFrame(0),i&&e.fps(i),e},ne._super=Bi,ne.prototype=Mi(ne._super.prototype),Bi.Anim={FPS:15},ne.prototype.fps=function(t){return void 0===t?this._fps:(this._fps=t>0?t:Bi.Anim.FPS,this._ft=1e3/this._fps,this)},ne.prototype.setFrames=function(t,i,e){return this.frames(t,i,e)},ne.prototype.frames=function(t){return this._index=0,this._frames=Bi.texture(t).array(),this.touch(),this},ne.prototype.length=function(){return this._frames?this._frames.length:0},ne.prototype.gotoFrame=function(t,i){return this._index=0|Si.rotate(t,this._frames.length),i=i||!this._textures[0],this._textures[0]=this._frames[this._index],i&&(this.pin("width",this._textures[0].width),this.pin("height",this._textures[0].height)),this.touch(),this},ne.prototype.moveFrame=function(t){return this.gotoFrame(this._index+t)},ne.prototype.repeat=function(t,i){return this._repeat=t*this._frames.length-1,this._callback=i,this.play(),this},ne.prototype.play=function(t){return void 0!==t?(this.gotoFrame(t),this._time=0):this._time<0&&(this._time=0),this.touch(),this},ne.prototype.stop=function(t){return this._time=-1,void 0!==t&&this.gotoFrame(t),this},Bi.string=function(t){return(new re).frames(t)},re._super=Bi,re.prototype=Mi(re._super.prototype),re.prototype.setFont=function(t,i,e){return this.frames(t,i,e)},re.prototype.frames=function(t){return this._textures=[],"string"==typeof t?(t=Bi.texture(t),this._item=function(i){return t.one(i)}):"object"==typeof t?this._item=function(i){return t[i]}:"function"==typeof t&&(this._item=t),this},re.prototype.setValue=function(t,i,e){return this.value(t,i,e)},re.prototype.value=function(t){if(void 0===t)return this._value;if(this._value===t)return this;this._value=t,null===t?t="":"string"==typeof t||ui.array(t)||(t=t.toString()),this._spacing=this._spacing||0;for(var i=0,e=0,s=0;s<t.length;s++){var o=this._textures[s]=this._item(t[s]);i+=s>0?this._spacing:0,o.dest(i,0),i+=o.width,e=Math.max(e,o.height)}return this.pin("width",i),this.pin("height",e),this._textures.length=t.length,this},Bi.row=function(t){return Bi.create().row(t).label("Row")},Bi.prototype.row=function(t){return this.sequence("row",t),this},Bi.column=function(t){return Bi.create().column(t).label("Row")},Bi.prototype.column=function(t){return this.sequence("column",t),this},Bi.sequence=function(t,i){return Bi.create().sequence(t,i).label("Sequence")},Bi.prototype.sequence=function(t,i){return this._padding=this._padding||0,this._spacing=this._spacing||0,this.untick(this._layoutTiker),this.tick(this._layoutTiker=function(){if(this._mo_seq!=this._ts_touch){this._mo_seq=this._ts_touch;var e=this._mo_seqAlign!=this._ts_children;this._mo_seqAlign=this._ts_children;for(var s,o=0,n=0,r=this.first(!0),h=!0;s=r;){r=s.next(!0),s.matrix(!0);var a=s.pin("boxWidth"),m=s.pin("boxHeight");"column"==t?(!h&&(n+=this._spacing),s.pin("offsetY")!=n&&s.pin("offsetY",n),o=Math.max(o,a),n+=m,e&&s.pin("alignX",i)):"row"==t&&(!h&&(o+=this._spacing),s.pin("offsetX")!=o&&s.pin("offsetX",o),o+=a,n=Math.max(n,m),e&&s.pin("alignY",i)),h=!1}o+=2*this._padding,n+=2*this._padding,this.pin("width")!=o&&this.pin("width",o),this.pin("height")!=n&&this.pin("height",n)}}),this},Bi.box=function(){return Bi.create().box().label("Box")},Bi.prototype.box=function(){return this._padding=this._padding||0,this.untick(this._layoutTiker),this.tick(this._layoutTiker=function(){if(this._mo_box!=this._ts_touch){this._mo_box=this._ts_touch;for(var t,i=0,e=0,s=this.first(!0);t=s;){s=t.next(!0),t.matrix(!0);var o=t.pin("boxWidth"),n=t.pin("boxHeight");i=Math.max(i,o),e=Math.max(e,n)}i+=2*this._padding,e+=2*this._padding,this.pin("width")!=i&&this.pin("width",i),this.pin("height")!=e&&this.pin("height",e)}}),this},Bi.layer=function(){return Bi.create().layer().label("Layer")},Bi.prototype.layer=function(){return this.untick(this._layoutTiker),this.tick(this._layoutTiker=function(){var t=this.parent();if(t){var i=t.pin("width");this.pin("width")!=i&&this.pin("width",i);var e=t.pin("height");this.pin("height")!=e&&this.pin("height",e)}},!0),this},Bi.prototype.padding=function(t){return this._padding=t,this},Bi.prototype.spacing=function(t){return this._spacing=t,this};var ae={},me={},_e={};function ce(t){if("function"==typeof t)return t;if("string"!=typeof t)return he;var i=ae[t];if(i)return i;var e=/^(\w+)(-(in|out|in-out|out-in))?(\((.*)\))?$/i.exec(t);if(!e||!e.length)return he;var s=_e[e[1]],o=me[e[3]],n=e[5];return i=s&&s.fn?s.fn:s&&s.fc?s.fc.apply(s.fc,n&&n.replace(/\s+/,"").split(",")):he,o&&(i=o.fn(i)),ae[t]=i,i}ce.add=function(t){for(var i=(t.name||t.mode).split(/\s+/),e=0;e<i.length;e++){var s=i[e];s&&((t.name?_e:me)[s]=t)}},ce.add({mode:"in",fn:function(t){return t}}),ce.add({mode:"out",fn:function(t){return function(i){return 1-t(1-i)}}}),ce.add({mode:"in-out",fn:function(t){return function(i){return i<.5?t(2*i)/2:1-t(2*(1-i))/2}}}),ce.add({mode:"out-in",fn:function(t){return function(i){return i<.5?1-t(2*(1-i))/2:t(2*i)/2}}}),ce.add({name:"linear",fn:function(t){return t}}),ce.add({name:"quad",fn:function(t){return t*t}}),ce.add({name:"cubic",fn:function(t){return t*t*t}}),ce.add({name:"quart",fn:function(t){return t*t*t*t}}),ce.add({name:"quint",fn:function(t){return t*t*t*t*t}}),ce.add({name:"sin sine",fn:function(t){return 1-Math.cos(t*Math.PI/2)}}),ce.add({name:"exp expo",fn:function(t){return 0==t?0:Math.pow(2,10*(t-1))}}),ce.add({name:"circle circ",fn:function(t){return 1-Math.sqrt(1-t*t)}}),ce.add({name:"bounce",fn:function(t){return t<1/2.75?7.5625*t*t:t<2/2.75?7.5625*(t-=1.5/2.75)*t+.75:t<2.5/2.75?7.5625*(t-=2.25/2.75)*t+.9375:7.5625*(t-=2.625/2.75)*t+.984375}}),ce.add({name:"poly",fc:function(t){return function(i){return Math.pow(i,t)}}}),ce.add({name:"elastic",fc:function(t,i){t=t||1;var e=(i=i||.45)/(2*Math.PI)*Math.asin(1/t);return function(s){return 1+t*Math.pow(2,-10*s)*Math.sin((s-e)*(2*Math.PI)/i)}}}),ce.add({name:"back",fc:function(t){return t=void 0!==t?t:1.70158,function(i){return i*i*((t+1)*i-t)}}});var le=ce;function ue(t,i,e){this._end={},this._duration=i||400,this._delay=e||0,this._owner=t,this._time=0}function pe(t,i,e,s){"number"==typeof t.pin(e)?i[e]=s:"number"==typeof t.pin(e+"X")&&"number"==typeof t.pin(e+"Y")&&(i[e+"X"]=s,i[e+"Y"]=s)}function ye(t,i){if(this instanceof ye){var e=t.viewport().ratio||1;t.on("viewport",(function(t){e=t.ratio||e})),this.x=0,this.y=0,this.toString=function(){return(0|this.x)+"x"+(0|this.y)},this.locate=function(t){!function(t,i,e){i.touches&&i.touches.length?(e.x=i.touches[0].clientX,e.y=i.touches[0].clientY):(e.x=i.clientX,e.y=i.clientY);var s=t.getBoundingClientRect();e.x-=s.left,e.y-=s.top,e.x-=0|t.clientLeft,e.y-=0|t.clientTop}(i,t,this),this.x*=e,this.y*=e},this.lookup=function(i,e){this.type=i,this.root=t,this.event=null,e.length=0,this.collect=e,this.root.visit(this.visitor,this)},this.publish=function(i,e,s){if(this.type=i,this.root=t,this.event=e,this.collect=!1,this.timeStamp=Date.now(),s){for(;s.length&&!this.visitor.end(s.shift(),this););s.length=0}else this.root.visit(this.visitor,this)},this.visitor={reverse:!0,visible:!0,start:function(t,i){return!t._flag(i.type)},end:function(t,i){de.raw=i.event,de.type=i.type,de.timeStamp=i.timeStamp,de.abs.x=i.x,de.abs.y=i.y;var e=t.listeners(i.type);if(e&&(t.matrix().inverse().map(i,de),(t===i.root||t.hitTest(de))&&(i.collect&&i.collect.push(t),i.event))){for(var s=!1,o=0;o<e.length;o++)s=!!e[o].call(t,de)||s;return s}}}}}Bi.prototype.tween=function(t,i,e){if("number"!=typeof t?(e=t,i=0,t=0):"number"!=typeof i&&(e=i,i=0),!this._tweens){this._tweens=[];var s=0;this.tick((function(t,i,e){if(this._tweens.length){var o=s!=e;if(s=i,o)return!0;var n=this._tweens[0],r=n.tick(this,t,i,e);if(r&&n===this._tweens[0]&&this._tweens.shift(),"function"==typeof r)try{r.call(this)}catch(t){console.log(t)}return"object"==typeof r&&this._tweens.unshift(r),!0}}),!0)}this.touch(),e||(this._tweens.length=0);var o=new ue(this,t,i);return this._tweens.push(o),o},ue.prototype.tick=function(t,i,e,s){if(this._time+=i,!(this._time<this._delay)){var o,n,r=this._time-this._delay;if(!this._start)for(var h in this._start={},this._end)this._start[h]=this._owner.pin(h);r<this._duration?(o=r/this._duration,n=!1):(o=1,n=!0),"function"==typeof this._easing&&(o=this._easing(o));var a=1-o;for(var h in this._end)this._owner.pin(h,this._start[h]*a+this._end[h]*o);return n?this._next||this._done||!0:void 0}},ue.prototype.tween=function(t,i){return this._next=new ue(this._owner,t,i)},ue.prototype.duration=function(t){return this._duration=t,this},ue.prototype.delay=function(t){return this._delay=t,this},ue.prototype.ease=function(t){return this._easing=le(t),this},ue.prototype.done=function(t){return this._done=t,this},ue.prototype.hide=function(){return this.done((function(){this.hide()})),this},ue.prototype.remove=function(){return this.done((function(){this.remove()})),this},ue.prototype.pin=function(t,i){if("object"==typeof t)for(var e in t)pe(this._owner,this._end,e,t[e]);else void 0!==i&&pe(this._owner,this._end,t,i);return this},$i._add_shortcuts(ue),ue.prototype.then=function(t){return this.done(t),this},ue.prototype.clear=function(t){return this},Bi._load((function(t,i){ye.subscribe(t,i)})),ye.CLICK="click",ye.START="touchstart mousedown",ye.MOVE="touchmove mousemove",ye.END="touchend mouseup",ye.CANCEL="touchcancel mousecancel",ye.subscribe=function(t,i){if(!t.mouse){t.mouse=new ye(t,i),i.addEventListener("touchstart",o),i.addEventListener("touchend",r),i.addEventListener("touchmove",n),i.addEventListener("touchcancel",h),i.addEventListener("mousedown",o),i.addEventListener("mouseup",r),i.addEventListener("mousemove",n),document.addEventListener("mouseup",h),window.addEventListener("blur",h);var e=[],s=[]}function o(i){i.preventDefault(),t.mouse.locate(i),t.mouse.publish(i.type,i),t.mouse.lookup("click",e),t.mouse.lookup("mousecancel",s)}function n(i){i.preventDefault(),t.mouse.locate(i),t.mouse.publish(i.type,i)}function r(i){i.preventDefault(),t.mouse.publish(i.type,i),e.length&&t.mouse.publish("click",i,e),s.length=0}function h(i){s.length&&t.mouse.publish("mousecancel",i,s),e.length=0}};var de={},fe={};function ve(t,i,e){Object.defineProperty(t,i,{value:e})}ve(de,"clone",(function(t){return(t=t||{}).x=this.x,t.y=this.y,t})),ve(de,"toString",(function(){return(0|this.x)+"x"+(0|this.y)+" ("+this.abs+")"})),ve(de,"abs",fe),ve(fe,"clone",(function(t){return(t=t||{}).x=this.x,t.y=this.y,t})),ve(fe,"toString",(function(){return(0|this.x)+"x"+(0|this.y)}));var xe,ge=ye;Bi._supported=!(!(xe=document.createElement("canvas")).getContext||!xe.getContext("2d")),window.addEventListener("load",(function(){Bi._supported&&Bi.start()}),!1),Bi.config({"app-loader":function(t,i){var e,s=(i=i||{}).canvas,o=null,n=!1,r=0,h=0;"string"==typeof s&&(s=document.getElementById(s));s||(s=document.getElementById("cutjs")||document.getElementById("stage"));if(!s){n=!0,(s=document.createElement("canvas")).style.position="absolute",s.style.top="0",s.style.left="0";var a=document.body;a.insertBefore(s,a.firstChild)}o=s.getContext("2d");var m=window.devicePixelRatio||1,_=o.webkitBackingStorePixelRatio||o.mozBackingStorePixelRatio||o.msBackingStorePixelRatio||o.oBackingStorePixelRatio||o.backingStorePixelRatio||1;e=m/_;var c=window.requestAnimationFrame||window.msRequestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.oRequestAnimationFrame||function(t){return window.setTimeout(t,1e3/60)},l=Bi.root(c,u);function u(){o.setTransform(1,0,0,1,0,0),o.clearRect(0,0,r,h),l.render(o)}function p(){n?(r=window.innerWidth>0?window.innerWidth:screen.width,h=window.innerHeight>0?window.innerHeight:screen.height,s.style.width=r+"px",s.style.height=h+"px"):(r=s.clientWidth,h=s.clientHeight),r*=e,h*=e,s.width===r&&s.height===h||(s.width=r,s.height=h,l.viewport(r,h,e),u())}l.background=function(t){return s.style.backgroundColor=t,this},t(l,s),p(),window.addEventListener("resize",p,!1),window.addEventListener("orientationchange",p,!1)},"image-loader":function(t,i,e){var s=new Image;s.onload=function(){i(s)},s.onerror=e,s.src=t}});var be=_i((function(t){t.exports=te,t.exports.internal={},t.exports.internal.Image=se,t.exports.Mouse=ge,t.exports.Math=Si,t.exports._extend=li,t.exports._create=Mi}));function Ae(t,i){Ae._super.call(this),this.label("Planck"),i=i||{};var e=this._options={};this._options.speed=i.speed||1,this._options.hz=i.hz||60,Math.abs(this._options.hz)<1&&(this._options.hz=1/this._options.hz),this._options.scaleY=i.scaleY||-1,this._options.ratio=i.ratio||16,this._options.lineWidth=2/this._options.ratio,this._world=t;var s=1/this._options.hz,o=0;this.tick((function(i){for(o+=i=.001*i*e.speed;o>s;)t.step(s),o-=s;return this.renderWorld(),!0}),!0),t.on("remove-fixture",(function(t){t.ui&&t.ui.remove()})),t.on("remove-joint",(function(t){t.ui&&t.ui.remove()}))}Ae._super=be,Ae.prototype=be._create(Ae._super.prototype),Ae.prototype.renderWorld=function(t){t=this._world;for(var i=this._options,e=this,s=t.getBodyList();s;s=s.getNext())for(var o=s.getFixtureList();o;o=o.getNext()){if(!o.ui){o.render&&o.render.stroke?i.strokeStyle=o.render.stroke:s.render&&s.render.stroke?i.strokeStyle=s.render.stroke:s.isDynamic()?i.strokeStyle="rgba(255,255,255,0.9)":s.isKinematic()?i.strokeStyle="rgba(255,255,255,0.7)":s.isStatic()&&(i.strokeStyle="rgba(255,255,255,0.5)"),o.render&&o.render.fill?i.fillStyle=o.render.fill:s.render&&s.render.fill?i.fillStyle=s.render.fill:i.fillStyle="";var n=o.getType(),r=o.getShape();"circle"==n&&(o.ui=e.drawCircle(r,i)),"edge"==n&&(o.ui=e.drawEdge(r,i)),"polygon"==n&&(o.ui=e.drawPolygon(r,i)),"chain"==n&&(o.ui=e.drawChain(r,i)),o.ui&&o.ui.appendTo(e)}if(o.ui){var h=s.getPosition(),a=s.getAngle();o.ui.__lastX===h.x&&o.ui.__lastY===h.y&&o.ui.__lastR===a||(o.ui.__lastX=h.x,o.ui.__lastY=h.y,o.ui.__lastR=a,o.ui.offset(h.x,i.scaleY*h.y),o.ui.rotate(i.scaleY*a))}}for(var m=t.getJointList();m;m=m.getNext()){n=m.getType();var _=m.getAnchorA();s=m.getAnchorB();if(m.ui||(i.strokeStyle="rgba(255,255,255,0.2)",m.ui=e.drawJoint(m,i),m.ui.pin("handle",.5),m.ui&&m.ui.appendTo(e)),m.ui){var c=.5*(_.x+s.x),l=i.scaleY*(_.y+s.y)*.5,u=_.x-s.x,p=i.scaleY*(_.y-s.y),y=Math.sqrt(u*u+p*p);m.ui.width(y),m.ui.rotate(Math.atan2(p,u)),m.ui.offset(c,l)}}},Ae.prototype.drawJoint=function(t,i){var e=i.lineWidth,s=i.ratio,o=be.canvas((function(t){this.size(10+2*e,2*e,s),t.scale(s,s),t.beginPath(),t.moveTo(e,e),t.lineTo(e+10,e),t.lineCap="round",t.lineWidth=i.lineWidth,t.strokeStyle=i.strokeStyle,t.stroke()}));return be.image(o).stretch()},Ae.prototype.drawCircle=function(t,i){var e=i.lineWidth,s=i.ratio,o=t.m_radius,n=o+e,r=o+e,h=2*o+2*e,a=2*o+2*e,m=be.canvas((function(t){this.size(h,a,s),t.scale(s,s),t.arc(n,r,o,0,2*Math.PI),i.fillStyle&&(t.fillStyle=i.fillStyle,t.fill()),t.lineTo(n,r),t.lineWidth=i.lineWidth,t.strokeStyle=i.strokeStyle,t.stroke()})),_=be.image(m).offset(t.m_p.x-n,i.scaleY*t.m_p.y-r);return be.create().append(_)},Ae.prototype.drawEdge=function(t,i){var e=i.lineWidth,s=i.ratio,o=t.m_vertex1,n=t.m_vertex2,r=n.x-o.x,h=n.y-o.y,a=Math.sqrt(r*r+h*h),m=be.canvas((function(t){this.size(a+2*e,2*e,s),t.scale(s,s),t.beginPath(),t.moveTo(e,e),t.lineTo(e+a,e),t.lineCap="round",t.lineWidth=i.lineWidth,t.strokeStyle=i.strokeStyle,t.stroke()})),_=Math.min(o.x,n.x),c=Math.min(i.scaleY*o.y,i.scaleY*n.y),l=be.image(m);return l.rotate(i.scaleY*Math.atan2(h,r)),l.offset(_-e,c-e),be.create().append(l)},Ae.prototype.drawPolygon=function(t,i){var e=i.lineWidth,s=i.ratio,o=t.m_vertices;if(o.length){for(var n=1/0,r=1/0,h=-1/0,a=-1/0,m=0;m<o.length;++m){var _=o[m];n=Math.min(n,_.x),h=Math.max(h,_.x),r=Math.min(r,i.scaleY*_.y),a=Math.max(a,i.scaleY*_.y)}var c=h-n,l=a-r,u=be.canvas((function(t){this.size(c+2*e,l+2*e,s),t.scale(s,s),t.beginPath();for(var h=0;h<o.length;++h){var a=o[h],m=a.x-n+e,_=i.scaleY*a.y-r+e;0==h?t.moveTo(m,_):t.lineTo(m,_)}o.length>2&&t.closePath(),i.fillStyle&&(t.fillStyle=i.fillStyle,t.fill(),t.closePath()),t.lineCap="round",t.lineWidth=i.lineWidth,t.strokeStyle=i.strokeStyle,t.stroke()})),p=be.image(u);return p.offset(n-e,r-e),be.create().append(p)}},Ae.prototype.drawChain=function(t,i){var e=i.lineWidth,s=i.ratio,o=t.m_vertices;if(o.length){for(var n=1/0,r=1/0,h=-1/0,a=-1/0,m=0;m<o.length;++m){var _=o[m];n=Math.min(n,_.x),h=Math.max(h,_.x),r=Math.min(r,i.scaleY*_.y),a=Math.max(a,i.scaleY*_.y)}var c=h-n,l=a-r,u=be.canvas((function(t){this.size(c+2*e,l+2*e,s),t.scale(s,s),t.beginPath();for(var h=0;h<o.length;++h){var a=o[h],m=a.x-n+e,_=i.scaleY*a.y-r+e;0==h?t.moveTo(m,_):t.lineTo(m,_)}o.length,i.fillStyle&&(t.fillStyle=i.fillStyle,t.fill(),t.closePath()),t.lineCap="round",t.lineWidth=i.lineWidth,t.strokeStyle=i.strokeStyle,t.stroke()})),p=be.image(u);return p.offset(n-e,r-e),be.create().append(p)}},t.AABB=a,t.Body=z,t.Box=Pt,t.Chain=St,t.Circle=Ct,t.CollideCircles=zt,t.CollideEdgeCircle=Tt,t.CollideEdgePolygon=Dt,t.CollidePolygonCircle=Lt,t.CollidePolygons=kt,t.Contact=U,t.Distance=W,t.DistanceJoint=Ot,t.DynamicTree=c,t.Edge=Mt,t.Fixture=C,t.FrictionJoint=Xt,t.GearJoint=Gt,t.Joint=st,t.Manifold=k,t.Mat22=V,t.Mat33=O,t.Math=n,t.MotorJoint=$t,t.MouseJoint=ti,t.Polygon=It,t.PrismaticJoint=Zt,t.PulleyJoint=ei,t.RevoluteJoint=Wt,t.RopeJoint=oi,t.Rot=f,t.Serializer=Bt,t.Settings=h,t.Shape=A,t.Sweep=x,t.TimeOfImpact=ct,t.Transform=v,t.Vec2=r,t.Vec3=R,t.WeldJoint=ri,t.WheelJoint=ai,t.World=gt,t.internal=mi,t.testbed=function(t,e){"function"==typeof t&&(e=t,t=null),be((function(t,s){t.on(be.Mouse.START,(function(){window.focus(),document.activeElement&&document.activeElement.blur(),s.focus()})),t.MAX_ELAPSE=1e3/30;var o={};o.canvas=s;var n=!1;t.on("resume",(function(){n=!1,o._resume&&o._resume()})),t.on("pause",(function(){n=!0,o._pause&&o._pause()})),o.isPaused=function(){return n},o.togglePause=function(){n?o.resume():o.pause()},o.pause=function(){t.pause()},o.resume=function(){t.resume(),o.focus()},o.focus=function(){document.activeElement&&document.activeElement.blur(),s.focus()},o.debug=!1,o.width=80,o.height=60,o.x=0,o.y=-10,o.scaleY=-1,o.ratio=16,o.hz=60,o.speed=1,o.activeKeys={},o.background="#222222",o.findOne=function(){return null},o.findAll=function(){return[]};var h="",m={};function _(t,e){"function"!=typeof e&&"object"!==i(e)&&(m[t]=e)}o.status=function(t,e){void 0!==e?_(t,e):t&&"object"===i(t)?function(t){for(var i in t)_(i,t[i])}(t):"string"==typeof t&&(h=t),o._status&&o._status(h,m)},o.info=function(t){o._info&&o._info(t)};var c="",l="";!function(){var i=new be.Texture;t.append(be.image(i));var e=[];t.tick((function(){e.length=0}),!0),i.draw=function(t){t.save(),t.transform(1,0,0,o.scaleY,-o.x,-o.y),t.lineWidth=2/o.ratio,t.lineCap="round";for(var i=e.shift();i;i=e.shift())i(t,o.ratio);t.restore()},o.drawPoint=function(t,i,s){e.push((function(i,e){i.beginPath(),i.arc(t.x,t.y,5/e,0,2*Math.PI),i.strokeStyle=s,i.stroke()})),l+="point"+t.x+","+t.y+","+i+","+s},o.drawCircle=function(t,i,s){e.push((function(e){e.beginPath(),e.arc(t.x,t.y,i,0,2*Math.PI),e.strokeStyle=s,e.stroke()})),l+="circle"+t.x+","+t.y+","+i+","+s},o.drawSegment=function(t,i,s){e.push((function(e){e.beginPath(),e.moveTo(t.x,t.y),e.lineTo(i.x,i.y),e.strokeStyle=s,e.stroke()})),l+="segment"+t.x+","+t.y+","+i.x+","+i.y+","+s},o.drawPolygon=function(t,i){if(t&&t.length){e.push((function(e){e.beginPath(),e.moveTo(t[0].x,t[0].y);for(var s=1;s<t.length;s++)e.lineTo(t[s].x,t[s].y);e.strokeStyle=i,e.closePath(),e.stroke()})),l+="segment";for(var s=1;s<t.length;s++)l+=t[s].x+","+t[s].y+",";l+=i}},o.drawAABB=function(t,i){e.push((function(e){e.beginPath(),e.moveTo(t.lowerBound.x,t.lowerBound.y),e.lineTo(t.upperBound.x,t.lowerBound.y),e.lineTo(t.upperBound.x,t.upperBound.y),e.lineTo(t.lowerBound.x,t.upperBound.y),e.strokeStyle=i,e.closePath(),e.stroke()})),l+="aabb",l+=t.lowerBound.x+","+t.lowerBound.y+",",l+=t.upperBound.x+","+t.upperBound.y+",",l+=i},o.color=function(t,i,e){return"rgb("+(t=256*t|0)+", "+(i=256*i|0)+", "+(e=256*e|0)+")"}}();var u=e(o),p=new Ae(u,o),y=0,d=0;t.tick((function(t,i){y===o.x&&d===o.y||(p.offset(-o.x,-o.y),y=o.x,d=o.y)})),p.tick((function(i,e){return"function"==typeof o.step&&o.step(i,e),v&&o.drawSegment(v.getPosition(),g,"rgba(255,255,255,0.2)"),c!==l&&(c=l,t.touch()),l="",!0})),t.background(o.background),t.viewbox(o.width,o.height),t.pin("alignX",-.5),t.pin("alignY",-.5),t.prepend(p);var f,v,x=u.createBody(),g={x:0,y:0};p.attr("spy",!0).on(be.Mouse.START,(function(t){if(t={x:t.x,y:o.scaleY*t.y},!v){var i=function(t){var i,e=a(t,t);return u.queryAABB(e,(function(e){if(!i&&e.getBody().isDynamic()&&e.testPoint(t))return i=e.getBody(),!0})),i}(t);i&&(o.mouseForce?v=i:(f=ti({maxForce:1e3},x,i,r(t)),u.createJoint(f)))}})).on(be.Mouse.MOVE,(function(t){t={x:t.x,y:o.scaleY*t.y},f&&f.setTarget(t),g.x=t.x,g.y=t.y})).on(be.Mouse.END,(function(t){if(t={x:t.x,y:o.scaleY*t.y},f&&(u.destroyJoint(f),f=null),v){var i=r.sub(t,v.getPosition());v.applyForceToCenter(i.mul(o.mouseForce),!0),v=null}})).on(be.Mouse.CANCEL,(function(t){t={x:t.x,y:o.scaleY*t.y},f&&(u.destroyJoint(f),f=null),v&&(v=null)})),window.addEventListener("keydown",(function(t){switch(t.keyCode){case"P".charCodeAt(0):o.togglePause()}}),!1);var b={};window.addEventListener("keydown",(function(t){var i=t.keyCode;b[i]=!0,B(i,!0),o.keydown&&o.keydown(i,String.fromCharCode(i))})),window.addEventListener("keyup",(function(t){var i=t.keyCode;b[i]=!1,B(i,!1),o.keyup&&o.keyup(i,String.fromCharCode(i))}));var A=o.activeKeys;function B(t,i){var e=String.fromCharCode(t);/\w/.test(e)&&(A[e]=i),A.right=b[39]||A.D,A.left=b[37]||A.A,A.up=b[38]||A.W,A.down=b[40]||A.S,A.fire=b[32]||b[13]}}))},Object.defineProperty(t,"__esModule",{value:!0})}));
//# sourceMappingURL=planck-with-testbed.min.js.map
