/**
 * Planck.js v0.4.0-alpha.1
 * @license The MIT license
 * @copyright Copyright (c) 2021 Erin Catto, Ali Shakiba
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
!function(t,i){"object"==typeof exports&&"undefined"!=typeof module?i(exports):"function"==typeof define&&define.amd?define(["exports"],i):i((t="undefined"!=typeof globalThis?globalThis:t||self).planck={})}(this,(function(t){"use strict";function i(t){return(i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function e(t,i){null==t&&(t={});var e=Object.assign({},t);for(var s in i)i.hasOwnProperty(s)&&void 0===t[s]&&(e[s]=i[s]);if("function"==typeof Object.getOwnPropertySymbols)for(var o=Object.getOwnPropertySymbols(i),n=0;n<o.length;n++){var r=o[n];i.propertyIsEnumerable(r)&&void 0===t[s]&&(e[r]=i[r])}return e}var s=function(){},o=Math,n=Object.create(o);function r(t,e){if(!(this instanceof r))return new r(t,e);void 0===t?(this.x=0,this.y=0):"object"===i(t)?(this.x=t.x,this.y=t.y):(this.x=t,this.y=e)}n.EPSILON=1e-9,n.isFinite=function(t){return"number"==typeof t&&isFinite(t)&&!isNaN(t)},n.assert=function(t){},n.invSqrt=function(t){return 1/o.sqrt(t)},n.nextPowerOfTwo=function(t){return t|=t>>1,t|=t>>2,t|=t>>4,t|=t>>8,(t|=t>>16)+1},n.isPowerOfTwo=function(t){return t>0&&0==(t&t-1)},n.mod=function(t,i,e){return void 0===i?(e=1,i=0):void 0===e&&(e=i,i=0),e>i?(t=(t-i)%(e-i))+(t<0?e:i):(t=(t-e)%(i-e))+(t<=0?i:e)},n.clamp=function(t,i,e){return t<i?i:t>e?e:t},n.random=function(t,i){return void 0===t?(i=1,t=0):void 0===i&&(i=t,t=0),t==i?t:o.random()*(i-t)+t},r.prototype._serialize=function(){return{x:this.x,y:this.y}},r._deserialize=function(t){var i=Object.create(r.prototype);return i.x=t.x,i.y=t.y,i},r.zero=function(){var t=Object.create(r.prototype);return t.x=0,t.y=0,t},r.neo=function(t,i){var e=Object.create(r.prototype);return e.x=t,e.y=i,e},r.clone=function(t){return r.neo(t.x,t.y)},r.prototype.toString=function(){return JSON.stringify(this)},r.isValid=function(t){return t&&n.isFinite(t.x)&&n.isFinite(t.y)},r.assert=function(t){},r.prototype.clone=function(){return r.clone(this)},r.prototype.setZero=function(){return this.x=0,this.y=0,this},r.prototype.set=function(t,e){return"object"===i(t)?(this.x=t.x,this.y=t.y):(this.x=t,this.y=e),this},r.prototype.wSet=function(t,i,e,s){return void 0!==e||void 0!==s?this.setCombine(t,i,e,s):this.setMul(t,i)},r.prototype.setCombine=function(t,i,e,s){var o=t*i.x+e*s.x,n=t*i.y+e*s.y;return this.x=o,this.y=n,this},r.prototype.setMul=function(t,i){var e=t*i.x,s=t*i.y;return this.x=e,this.y=s,this},r.prototype.add=function(t){return this.x+=t.x,this.y+=t.y,this},r.prototype.wAdd=function(t,i,e,s){return void 0!==e||void 0!==s?this.addCombine(t,i,e,s):this.addMul(t,i)},r.prototype.addCombine=function(t,i,e,s){var o=t*i.x+e*s.x,n=t*i.y+e*s.y;return this.x+=o,this.y+=n,this},r.prototype.addMul=function(t,i){var e=t*i.x,s=t*i.y;return this.x+=e,this.y+=s,this},r.prototype.wSub=function(t,i,e,s){return void 0!==e||void 0!==s?this.subCombine(t,i,e,s):this.subMul(t,i)},r.prototype.subCombine=function(t,i,e,s){var o=t*i.x+e*s.x,n=t*i.y+e*s.y;return this.x-=o,this.y-=n,this},r.prototype.subMul=function(t,i){var e=t*i.x,s=t*i.y;return this.x-=e,this.y-=s,this},r.prototype.sub=function(t){return this.x-=t.x,this.y-=t.y,this},r.prototype.mul=function(t){return this.x*=t,this.y*=t,this},r.prototype.length=function(){return r.lengthOf(this)},r.prototype.lengthSquared=function(){return r.lengthSquared(this)},r.prototype.normalize=function(){var t=this.length();if(t<n.EPSILON)return 0;var i=1/t;return this.x*=i,this.y*=i,t},r.lengthOf=function(t){return n.sqrt(t.x*t.x+t.y*t.y)},r.lengthSquared=function(t){return t.x*t.x+t.y*t.y},r.distance=function(t,i){var e=t.x-i.x,s=t.y-i.y;return n.sqrt(e*e+s*s)},r.distanceSquared=function(t,i){var e=t.x-i.x,s=t.y-i.y;return e*e+s*s},r.areEqual=function(t,e){return t==e||"object"===i(e)&&null!==e&&t.x===e.x&&t.y===e.y},r.skew=function(t){return r.neo(-t.y,t.x)},r.dot=function(t,i){return t.x*i.x+t.y*i.y},r.cross=function(t,i){return"number"==typeof i?r.neo(i*t.y,-i*t.x):"number"==typeof t?r.neo(-t*i.y,t*i.x):t.x*i.y-t.y*i.x},r.addCross=function(t,i,e){return"number"==typeof e?r.neo(e*i.y+t.x,-e*i.x+t.y):"number"==typeof i?r.neo(-i*e.y+t.x,i*e.x+t.y):void 0},r.add=function(t,i){return r.neo(t.x+i.x,t.y+i.y)},r.wAdd=function(t,i,e,s){return void 0!==e||void 0!==s?r.combine(t,i,e,s):r.mul(t,i)},r.combine=function(t,i,e,s){return r.zero().setCombine(t,i,e,s)},r.sub=function(t,i){return r.neo(t.x-i.x,t.y-i.y)},r.mul=function(t,e){return"object"===i(t)?r.neo(t.x*e,t.y*e):"object"===i(e)?r.neo(t*e.x,t*e.y):void 0},r.prototype.neg=function(){return this.x=-this.x,this.y=-this.y,this},r.neg=function(t){return r.neo(-t.x,-t.y)},r.abs=function(t){return r.neo(n.abs(t.x),n.abs(t.y))},r.mid=function(t,i){return r.neo(.5*(t.x+i.x),.5*(t.y+i.y))},r.upper=function(t,i){return r.neo(n.max(t.x,i.x),n.max(t.y,i.y))},r.lower=function(t,i){return r.neo(n.min(t.x,i.x),n.min(t.y,i.y))},r.prototype.clamp=function(t){var i=this.x*this.x+this.y*this.y;if(i>t*t){var e=n.invSqrt(i);this.x*=e*t,this.y*=e*t}return this},r.clamp=function(t,i){return(t=r.neo(t.x,t.y)).clamp(i),t},r.scaleFn=function(t,i){return function(e){return r.neo(e.x*t,e.y*i)}},r.translateFn=function(t,i){return function(e){return r.neo(e.x+t,e.y+i)}};var m={};function a(t,e){if(!(this instanceof a))return new a(t,e);this.lowerBound=r.zero(),this.upperBound=r.zero(),"object"===i(t)&&this.lowerBound.set(t),"object"===i(e)?this.upperBound.set(e):"object"===i(t)&&this.upperBound.set(t)}function h(t){var i=[],e=t.max||1/0,s=t.create,o=t.allocate,n=t.release,r=t.discard,m=0,a=0,h=0,_=0;this.max=function(t){return"number"==typeof t?(e=t,this):e},this.size=function(){return i.length},this.allocate=function(){var t;return i.length>0?t=i.shift():(m++,t="function"==typeof s?s():{}),a++,"function"==typeof o&&o(t),t},this.release=function(t){i.length<e?(h++,"function"==typeof n&&n(t),i.push(t)):(_++,"function"==typeof r&&(t=r(t)))},this.toString=function(){return" +"+m+" >"+a+" <"+h+" -"+_+" ="+i.length+"/"+e}}function _(t){this.id=t,this.aabb=new a,this.userData=null,this.parent=null,this.child1=null,this.child2=null,this.height=-1,this.toString=function(){return this.id+": "+this.userData}}function c(){this.m_root=null,this.m_nodes={},this.m_lastProxyId=0,this.m_pool=new h({create:function(){return new _}})}m.maxManifoldPoints=2,m.maxPolygonVertices=12,m.aabbExtension=.1,m.aabbMultiplier=2,m.linearSlop=.005,m.linearSlopSquared=m.linearSlop*m.linearSlop,m.angularSlop=2/180*Math.PI,m.polygonRadius=2*m.linearSlop,m.maxSubSteps=8,m.maxTOIContacts=32,m.maxTOIIterations=20,m.maxDistnceIterations=20,m.velocityThreshold=1,m.maxLinearCorrection=.2,m.maxAngularCorrection=8/180*Math.PI,m.maxTranslation=2,m.maxTranslationSquared=m.maxTranslation*m.maxTranslation,m.maxRotation=.5*Math.PI,m.maxRotationSquared=m.maxRotation*m.maxRotation,m.baumgarte=.2,m.toiBaugarte=.75,m.timeToSleep=.5,m.linearSleepTolerance=.01,m.linearSleepToleranceSqr=Math.pow(m.linearSleepTolerance,2),m.angularSleepTolerance=2/180*Math.PI,m.angularSleepToleranceSqr=Math.pow(m.angularSleepTolerance,2),a.prototype.isValid=function(){return a.isValid(this)},a.isValid=function(t){var i=r.sub(t.upperBound,t.lowerBound);return i.x>=0&&i.y>=0&&r.isValid(t.lowerBound)&&r.isValid(t.upperBound)},a.assert=function(t){},a.prototype.getCenter=function(){return r.neo(.5*(this.lowerBound.x+this.upperBound.x),.5*(this.lowerBound.y+this.upperBound.y))},a.prototype.getExtents=function(){return r.neo(.5*(this.upperBound.x-this.lowerBound.x),.5*(this.upperBound.y-this.lowerBound.y))},a.prototype.getPerimeter=function(){return 2*(this.upperBound.x-this.lowerBound.x+this.upperBound.y-this.lowerBound.y)},a.prototype.combine=function(t,i){i=i||this;var e=t.lowerBound,s=t.upperBound,o=i.lowerBound,r=i.upperBound,m=n.min(e.x,o.x),a=n.min(e.y,o.y),h=n.max(r.x,s.x),_=n.max(r.y,s.y);this.lowerBound.set(m,a),this.upperBound.set(h,_)},a.prototype.combinePoints=function(t,i){this.lowerBound.set(n.min(t.x,i.x),n.min(t.y,i.y)),this.upperBound.set(n.max(t.x,i.x),n.max(t.y,i.y))},a.prototype.set=function(t){this.lowerBound.set(t.lowerBound.x,t.lowerBound.y),this.upperBound.set(t.upperBound.x,t.upperBound.y)},a.prototype.contains=function(t){var i=!0;return i=(i=(i=(i=i&&this.lowerBound.x<=t.lowerBound.x)&&this.lowerBound.y<=t.lowerBound.y)&&t.upperBound.x<=this.upperBound.x)&&t.upperBound.y<=this.upperBound.y},a.prototype.extend=function(t){return a.extend(this,t),this},a.extend=function(t,i){t.lowerBound.x-=i,t.lowerBound.y-=i,t.upperBound.x+=i,t.upperBound.y+=i},a.testOverlap=function(t,i){var e=i.lowerBound.x-t.upperBound.x,s=t.lowerBound.x-i.upperBound.x,o=i.lowerBound.y-t.upperBound.y,n=t.lowerBound.y-i.upperBound.y;return!(e>0||o>0||s>0||n>0)},a.areEqual=function(t,i){return r.areEqual(t.lowerBound,i.lowerBound)&&r.areEqual(t.upperBound,i.upperBound)},a.diff=function(t,i){var e=n.max(0,n.min(t.upperBound.x,i.upperBound.x)-n.max(i.lowerBound.x,t.lowerBound.x)),s=n.max(0,n.min(t.upperBound.y,i.upperBound.y)-n.max(i.lowerBound.y,t.lowerBound.y));return(t.upperBound.x-t.lowerBound.x)*(t.upperBound.y-t.lowerBound.y)+(i.upperBound.x-i.lowerBound.x)*(i.upperBound.y-i.lowerBound.y)-e*s},a.prototype.rayCast=function(t,i){for(var e=-1/0,s=1/0,o=i.p1,m=r.sub(i.p2,i.p1),a=r.abs(m),h=r.zero(),_="x";null!==_;_="x"===_?"y":null)if(a.x<n.EPSILON){if(o[_]<this.lowerBound[_]||this.upperBound[_]<o[_])return!1}else{var c=1/m[_],l=(this.lowerBound[_]-o[_])*c,u=(this.upperBound[_]-o[_])*c,p=-1;if(l>u){var y=l;l=u,u=y,p=1}if(l>e&&(h.setZero(),h[_]=p,e=l),e>(s=n.min(s,u)))return!1}return!(e<0||i.maxFraction<e)&&(t.fraction=e,t.normal=h,!0)},a.prototype.toString=function(){return JSON.stringify(this)},_.prototype.isLeaf=function(){return null==this.child1},c.prototype.getUserData=function(t){return this.m_nodes[t].userData},c.prototype.getFatAABB=function(t){return this.m_nodes[t].aabb},c.prototype.allocateNode=function(){var t=this.m_pool.allocate();return t.id=++this.m_lastProxyId,t.userData=null,t.parent=null,t.child1=null,t.child2=null,t.height=-1,this.m_nodes[t.id]=t,t},c.prototype.freeNode=function(t){this.m_pool.release(t),t.height=-1,delete this.m_nodes[t.id]},c.prototype.createProxy=function(t,i){var e=this.allocateNode();return e.aabb.set(t),a.extend(e.aabb,m.aabbExtension),e.userData=i,e.height=0,this.insertLeaf(e),e.id},c.prototype.destroyProxy=function(t){var i=this.m_nodes[t];this.removeLeaf(i),this.freeNode(i)},c.prototype.moveProxy=function(t,i,e){var s=this.m_nodes[t];return!s.aabb.contains(i)&&(this.removeLeaf(s),s.aabb.set(i),i=s.aabb,a.extend(i,m.aabbExtension),e.x<0?i.lowerBound.x+=e.x*m.aabbMultiplier:i.upperBound.x+=e.x*m.aabbMultiplier,e.y<0?i.lowerBound.y+=e.y*m.aabbMultiplier:i.upperBound.y+=e.y*m.aabbMultiplier,this.insertLeaf(s),!0)},c.prototype.insertLeaf=function(t){if(null==this.m_root)return this.m_root=t,void(this.m_root.parent=null);for(var i=t.aabb,e=this.m_root;0==e.isLeaf();){var s=e.child1,o=e.child2,r=e.aabb.getPerimeter(),m=new a;m.combine(e.aabb,i);var h,_,c=m.getPerimeter(),l=2*c,u=2*(c-r);if(s.isLeaf()){(y=new a).combine(i,s.aabb),h=y.getPerimeter()+u}else{(y=new a).combine(i,s.aabb);var p=s.aabb.getPerimeter();h=y.getPerimeter()-p+u}if(o.isLeaf()){(y=new a).combine(i,o.aabb),_=y.getPerimeter()+u}else{var y;(y=new a).combine(i,o.aabb);p=o.aabb.getPerimeter();_=y.getPerimeter()-p+u}if(l<h&&l<_)break;e=h<_?s:o}var d=e,v=d.parent,f=this.allocateNode();for(f.parent=v,f.userData=null,f.aabb.combine(i,d.aabb),f.height=d.height+1,null!=v?(v.child1==d?v.child1=f:v.child2=f,f.child1=d,f.child2=t,d.parent=f,t.parent=f):(f.child1=d,f.child2=t,d.parent=f,t.parent=f,this.m_root=f),e=t.parent;null!=e;){s=(e=this.balance(e)).child1,o=e.child2;e.height=1+n.max(s.height,o.height),e.aabb.combine(s.aabb,o.aabb),e=e.parent}},c.prototype.removeLeaf=function(t){if(t!=this.m_root){var i,e=t.parent,s=e.parent;if(i=e.child1==t?e.child2:e.child1,null!=s){s.child1==e?s.child1=i:s.child2=i,i.parent=s,this.freeNode(e);for(var o=s;null!=o;){var r=(o=this.balance(o)).child1,m=o.child2;o.aabb.combine(r.aabb,m.aabb),o.height=1+n.max(r.height,m.height),o=o.parent}}else this.m_root=i,i.parent=null,this.freeNode(e)}else this.m_root=null},c.prototype.balance=function(t){var i=t;if(i.isLeaf()||i.height<2)return t;var e=i.child1,s=i.child2,o=s.height-e.height;if(o>1){var r=s.child1,m=s.child2;return s.child1=i,s.parent=i.parent,i.parent=s,null!=s.parent?s.parent.child1==t?s.parent.child1=s:s.parent.child2=s:this.m_root=s,r.height>m.height?(s.child2=r,i.child2=m,m.parent=i,i.aabb.combine(e.aabb,m.aabb),s.aabb.combine(i.aabb,r.aabb),i.height=1+n.max(e.height,m.height),s.height=1+n.max(i.height,r.height)):(s.child2=m,i.child2=r,r.parent=i,i.aabb.combine(e.aabb,r.aabb),s.aabb.combine(i.aabb,m.aabb),i.height=1+n.max(e.height,r.height),s.height=1+n.max(i.height,m.height)),s}if(o<-1){var a=e.child1,h=e.child2;return e.child1=i,e.parent=i.parent,i.parent=e,null!=e.parent?e.parent.child1==i?e.parent.child1=e:e.parent.child2=e:this.m_root=e,a.height>h.height?(e.child2=a,i.child1=h,h.parent=i,i.aabb.combine(s.aabb,h.aabb),e.aabb.combine(i.aabb,a.aabb),i.height=1+n.max(s.height,h.height),e.height=1+n.max(i.height,a.height)):(e.child2=h,i.child1=a,a.parent=i,i.aabb.combine(s.aabb,a.aabb),e.aabb.combine(i.aabb,h.aabb),i.height=1+n.max(s.height,a.height),e.height=1+n.max(i.height,h.height)),e}return i},c.prototype.getHeight=function(){return null==this.m_root?0:this.m_root.height},c.prototype.getAreaRatio=function(){if(null==this.m_root)return 0;for(var t,i=this.m_root.aabb.getPerimeter(),e=0,s=p.allocate().preorder(this.m_root);t=s.next();)t.height<0||(e+=t.aabb.getPerimeter());return p.release(s),e/i},c.prototype.computeHeight=function(t){var i;if((i=void 0!==t?this.m_nodes[t]:this.m_root).isLeaf())return 0;var e=this.computeHeight(i.child1.id),s=this.computeHeight(i.child2.id);return 1+n.max(e,s)},c.prototype.validateStructure=function(t){if(null!=t){this.m_root;var i=t.child1,e=t.child2;t.isLeaf()||(this.validateStructure(i),this.validateStructure(e))}},c.prototype.validateMetrics=function(t){if(null!=t){var i=t.child1,e=t.child2;if(!t.isLeaf()){var s=i.height,o=e.height;n.max(s,o),(new a).combine(i.aabb,e.aabb),this.validateMetrics(i),this.validateMetrics(e)}}},c.prototype.validate=function(){this.validateStructure(this.m_root),this.validateMetrics(this.m_root)},c.prototype.getMaxBalance=function(){for(var t,i=0,e=p.allocate().preorder(this.m_root);t=e.next();)if(!(t.height<=1)){var s=n.abs(t.child2.height-t.child1.height);i=n.max(i,s)}return p.release(e),i},c.prototype.rebuildBottomUp=function(){for(var t,i=[],e=0,s=p.allocate().preorder(this.m_root);t=s.next();)t.height<0||(t.isLeaf()?(t.parent=null,i[e]=t,++e):this.freeNode(t));for(p.release(s);e>1;){for(var o=1/0,r=-1,m=-1,h=0;h<e;++h)for(var _=i[h].aabb,c=h+1;c<e;++c){var l=i[c].aabb,u=new a;u.combine(_,l);var y=u.getPerimeter();y<o&&(r=h,m=c,o=y)}var d=i[r],v=i[m],f=this.allocateNode();f.child1=d,f.child2=v,f.height=1+n.max(d.height,v.height),f.aabb.combine(d.aabb,v.aabb),f.parent=null,d.parent=f,v.parent=f,i[m]=i[e-1],i[r]=f,--e}this.m_root=i[0],this.validate()},c.prototype.shiftOrigin=function(t){for(var i,e=p.allocate().preorder(this.m_root);i=e.next();){var s=i.aabb;s.lowerBound.x-=t.x,s.lowerBound.y-=t.y,s.upperBound.x-=t.x,s.upperBound.y-=t.y}p.release(e)},c.prototype.query=function(t,i){var e=u.allocate();for(e.push(this.m_root);e.length>0;){var s=e.pop();if(null!=s)if(a.testOverlap(s.aabb,t))if(s.isLeaf()){if(0==i(s.id))return}else e.push(s.child1),e.push(s.child2)}u.release(e)},c.prototype.rayCast=function(t,i){var e=t.p1,s=t.p2,o=r.sub(s,e);o.normalize();var m=r.cross(1,o),h=r.abs(m),_=t.maxFraction,c=new a,p=r.combine(1-_,e,_,s);c.combinePoints(e,p);var y=u.allocate(),d=l.allocate();for(y.push(this.m_root);y.length>0;){var v=y.pop();if(null!=v&&0!=a.testOverlap(v.aabb,c)){var f=v.aabb.getCenter(),x=v.aabb.getExtents();if(!(n.abs(r.dot(m,r.sub(e,f)))-r.dot(h,x)>0))if(v.isLeaf()){d.p1=r.clone(t.p1),d.p2=r.clone(t.p2),d.maxFraction=_;var A=i(d,v.id);if(0==A)return;A>0&&(_=A,p=r.combine(1-_,e,_,s),c.combinePoints(e,p))}else y.push(v.child1),y.push(v.child2)}}u.release(y),l.release(d)};var l=new h({create:function(){return{}},release:function(t){}}),u=new h({create:function(){return[]},release:function(t){t.length=0}}),p=new h({create:function(){return new y},release:function(t){t.close()}});function y(){var t=[],i=[];return{preorder:function(e){return t.length=0,t.push(e),i.length=0,i.push(0),this},next:function(){for(;t.length>0;){var e=t.length-1,s=t[e];if(0===i[e])return i[e]=1,s;if(1===i[e]&&(i[e]=2,s.child1))return t.push(s.child1),i.push(1),s.child1;if(2===i[e]&&(i[e]=3,s.child2))return t.push(s.child2),i.push(1),s.child2;t.pop(),i.pop()}},close:function(){t.length=0}}}function d(){this.m_tree=new c,this.m_proxyCount=0,this.m_moveBuffer=[],this.queryCallback=this.queryCallback.bind(this)}function v(t){if(!(this instanceof v))return new v(t);"number"==typeof t?this.setAngle(t):"object"===i(t)?this.set(t):this.setIdentity()}function f(t,i){if(!(this instanceof f))return new f(t,i);this.p=r.zero(),this.q=v.identity(),void 0!==t&&this.p.set(t),void 0!==i&&this.q.set(i)}function x(t,i){this.localCenter=r.zero(),this.c=r.zero(),this.a=0,this.alpha0=0,this.c0=r.zero(),this.a0=0}function A(){this.v=r.zero(),this.w=0}function b(){this.c=r.zero(),this.a=0}function g(){this.m_type,this.m_radius}d.prototype.getUserData=function(t){return this.m_tree.getUserData(t)},d.prototype.testOverlap=function(t,i){var e=this.m_tree.getFatAABB(t),s=this.m_tree.getFatAABB(i);return a.testOverlap(e,s)},d.prototype.getFatAABB=function(t){return this.m_tree.getFatAABB(t)},d.prototype.getProxyCount=function(){return this.m_proxyCount},d.prototype.getTreeHeight=function(){return this.m_tree.getHeight()},d.prototype.getTreeBalance=function(){return this.m_tree.getMaxBalance()},d.prototype.getTreeQuality=function(){return this.m_tree.getAreaRatio()},d.prototype.query=function(t,i){this.m_tree.query(t,i)},d.prototype.rayCast=function(t,i){this.m_tree.rayCast(t,i)},d.prototype.shiftOrigin=function(t){this.m_tree.shiftOrigin(t)},d.prototype.createProxy=function(t,i){var e=this.m_tree.createProxy(t,i);return this.m_proxyCount++,this.bufferMove(e),e},d.prototype.destroyProxy=function(t){this.unbufferMove(t),this.m_proxyCount--,this.m_tree.destroyProxy(t)},d.prototype.moveProxy=function(t,i,e){this.m_tree.moveProxy(t,i,e)&&this.bufferMove(t)},d.prototype.touchProxy=function(t){this.bufferMove(t)},d.prototype.bufferMove=function(t){this.m_moveBuffer.push(t)},d.prototype.unbufferMove=function(t){for(var i=0;i<this.m_moveBuffer.length;++i)this.m_moveBuffer[i]==t&&(this.m_moveBuffer[i]=null)},d.prototype.updatePairs=function(t){for(this.m_callback=t;this.m_moveBuffer.length>0;)if(this.m_queryProxyId=this.m_moveBuffer.pop(),null!==this.m_queryProxyId){var i=this.m_tree.getFatAABB(this.m_queryProxyId);this.m_tree.query(i,this.queryCallback)}},d.prototype.queryCallback=function(t){if(t==this.m_queryProxyId)return!0;var i=n.min(t,this.m_queryProxyId),e=n.max(t,this.m_queryProxyId),s=this.m_tree.getUserData(i),o=this.m_tree.getUserData(e);return this.m_callback(s,o),!0},v.neo=function(t){var i=Object.create(v.prototype);return i.setAngle(t),i},v.clone=function(t){var i=Object.create(v.prototype);return i.s=t.s,i.c=t.c,i},v.identity=function(){var t=Object.create(v.prototype);return t.s=0,t.c=1,t},v.isValid=function(t){return t&&n.isFinite(t.s)&&n.isFinite(t.c)},v.assert=function(t){},v.prototype.setIdentity=function(){this.s=0,this.c=1},v.prototype.set=function(t){"object"===i(t)?(this.s=t.s,this.c=t.c):(this.s=n.sin(t),this.c=n.cos(t))},v.prototype.setAngle=function(t){this.s=n.sin(t),this.c=n.cos(t)},v.prototype.getAngle=function(){return n.atan2(this.s,this.c)},v.prototype.getXAxis=function(){return r.neo(this.c,this.s)},v.prototype.getYAxis=function(){return r.neo(-this.s,this.c)},v.mul=function(t,i){if("c"in i&&"s"in i){var e=v.identity();return e.s=t.s*i.c+t.c*i.s,e.c=t.c*i.c-t.s*i.s,e}if("x"in i&&"y"in i)return r.neo(t.c*i.x-t.s*i.y,t.s*i.x+t.c*i.y)},v.mulRot=function(t,i){var e=v.identity();return e.s=t.s*i.c+t.c*i.s,e.c=t.c*i.c-t.s*i.s,e},v.mulVec2=function(t,i){return r.neo(t.c*i.x-t.s*i.y,t.s*i.x+t.c*i.y)},v.mulSub=function(t,i,e){var s=t.c*(i.x-e.x)-t.s*(i.y-e.y),o=t.s*(i.x-e.x)+t.c*(i.y-e.y);return r.neo(s,o)},v.mulT=function(t,i){if("c"in i&&"s"in i){var e=v.identity();return e.s=t.c*i.s-t.s*i.c,e.c=t.c*i.c+t.s*i.s,e}if("x"in i&&"y"in i)return r.neo(t.c*i.x+t.s*i.y,-t.s*i.x+t.c*i.y)},v.mulTRot=function(t,i){var e=v.identity();return e.s=t.c*i.s-t.s*i.c,e.c=t.c*i.c+t.s*i.s,e},v.mulTVec2=function(t,i){return r.neo(t.c*i.x+t.s*i.y,-t.s*i.x+t.c*i.y)},f.clone=function(t){var i=Object.create(f.prototype);return i.p=r.clone(t.p),i.q=v.clone(t.q),i},f.neo=function(t,i){var e=Object.create(f.prototype);return e.p=r.clone(t),e.q=v.clone(i),e},f.identity=function(){var t=Object.create(f.prototype);return t.p=r.zero(),t.q=v.identity(),t},f.prototype.setIdentity=function(){this.p.setZero(),this.q.setIdentity()},f.prototype.set=function(t,i){void 0===i?(this.p.set(t.p),this.q.set(t.q)):(this.p.set(t),this.q.set(i))},f.isValid=function(t){return t&&r.isValid(t.p)&&v.isValid(t.q)},f.assert=function(t){},f.mul=function(t,i){if(Array.isArray(i)){for(var e=[],s=0;s<i.length;s++)e[s]=f.mul(t,i[s]);return e}if("x"in i&&"y"in i){var o=t.q.c*i.x-t.q.s*i.y+t.p.x,n=t.q.s*i.x+t.q.c*i.y+t.p.y;return r.neo(o,n)}if("p"in i&&"q"in i){var m=f.identity();return m.q=v.mulRot(t.q,i.q),m.p=r.add(v.mulVec2(t.q,i.p),t.p),m}},f.mulAll=function(t,i){for(var e=[],s=0;s<i.length;s++)e[s]=f.mul(t,i[s]);return e},f.mulFn=function(t){return function(i){return f.mul(t,i)}},f.mulVec2=function(t,i){var e=t.q.c*i.x-t.q.s*i.y+t.p.x,s=t.q.s*i.x+t.q.c*i.y+t.p.y;return r.neo(e,s)},f.mulXf=function(t,i){var e=f.identity();return e.q=v.mulRot(t.q,i.q),e.p=r.add(v.mulVec2(t.q,i.p),t.p),e},f.mulT=function(t,i){if("x"in i&&"y"in i){var e=i.x-t.p.x,s=i.y-t.p.y,o=t.q.c*e+t.q.s*s,n=-t.q.s*e+t.q.c*s;return r.neo(o,n)}if("p"in i&&"q"in i){var m=f.identity();return m.q.set(v.mulTRot(t.q,i.q)),m.p.set(v.mulTVec2(t.q,r.sub(i.p,t.p))),m}},f.mulTVec2=function(t,i){var e=i.x-t.p.x,s=i.y-t.p.y,o=t.q.c*e+t.q.s*s,n=-t.q.s*e+t.q.c*s;return r.neo(o,n)},f.mulTXf=function(t,i){var e=f.identity();return e.q.set(v.mulTRot(t.q,i.q)),e.p.set(v.mulTVec2(t.q,r.sub(i.p,t.p))),e},x.prototype.setTransform=function(t){var i=f.mulVec2(t,this.localCenter);this.c.set(i),this.c0.set(i),this.a=t.q.getAngle(),this.a0=t.q.getAngle()},x.prototype.setLocalCenter=function(t,i){this.localCenter.set(t);var e=f.mulVec2(i,this.localCenter);this.c.set(e),this.c0.set(e)},x.prototype.getTransform=function(t,i){i=void 0===i?0:i,t.q.setAngle((1-i)*this.a0+i*this.a),t.p.setCombine(1-i,this.c0,i,this.c),t.p.sub(v.mulVec2(t.q,this.localCenter))},x.prototype.advance=function(t){var i=(t-this.alpha0)/(1-this.alpha0);this.c0.setCombine(i,this.c,1-i,this.c0),this.a0=i*this.a+(1-i)*this.a0,this.alpha0=t},x.prototype.forward=function(){this.a0=this.a,this.c0.set(this.c)},x.prototype.normalize=function(){var t=n.mod(this.a0,-n.PI,+n.PI);this.a-=this.a0-t,this.a0=t},x.prototype.clone=function(){var t=new x;return t.localCenter.set(this.localCenter),t.alpha0=this.alpha0,t.a0=this.a0,t.a=this.a,t.c0.set(this.c0),t.c.set(this.c),t},x.prototype.set=function(t){this.localCenter.set(t.localCenter),this.alpha0=t.alpha0,this.a0=t.a0,this.a=t.a,this.c0.set(t.c0),this.c.set(t.c)},b.prototype.getTransform=function(t,i){return t.q.set(this.a),t.p.set(r.sub(this.c,v.mulVec2(t.q,i))),t},g.prototype._reset=function(){},g.prototype._serialize=function(){return{}},g.TYPES={},g._deserialize=function(t,i,e){var s=g.TYPES[t.type];return s&&e(s,t)},g.isValid=function(t){return!!t},g.prototype.getRadius=function(){return this.m_radius},g.prototype.getType=function(){return this.m_type},g.prototype._clone=function(){},g.prototype.getChildCount=function(){},g.prototype.testPoint=function(t,i){},g.prototype.rayCast=function(t,i,e,s){},g.prototype.computeAABB=function(t,i,e){},g.prototype.computeMass=function(t,i){},g.prototype.computeDistanceProxy=function(t){};var B={userData:null,friction:.2,restitution:0,density:0,isSensor:!1,filterGroupIndex:0,filterCategoryBits:1,filterMaskBits:65535};function w(t,i){this.aabb=new a,this.fixture=t,this.childIndex=i,this.proxyId}function C(t,i,s){i.shape?(s=i,i=i.shape):"number"==typeof s&&(s={density:s}),s=e(s,B),this.m_body=t,this.m_friction=s.friction,this.m_restitution=s.restitution,this.m_density=s.density,this.m_isSensor=s.isSensor,this.m_filterGroupIndex=s.filterGroupIndex,this.m_filterCategoryBits=s.filterCategoryBits,this.m_filterMaskBits=s.filterMaskBits,this.m_shape=i,this.m_next=null,this.m_proxies=[],this.m_proxyCount=0;for(var o=this.m_shape.getChildCount(),n=0;n<o;++n)this.m_proxies[n]=new w(this,n);this.m_userData=s.userData}C.prototype._reset=function(){var t=this.getBody(),i=t.m_world.m_broadPhase;this.destroyProxies(i),this.m_shape._reset&&this.m_shape._reset();for(var e=this.m_shape.getChildCount(),s=0;s<e;++s)this.m_proxies[s]=new w(this,s);this.createProxies(i,t.m_xf),t.resetMassData()},C.prototype._serialize=function(){return{friction:this.m_friction,restitution:this.m_restitution,density:this.m_density,isSensor:this.m_isSensor,filterGroupIndex:this.m_filterGroupIndex,filterCategoryBits:this.m_filterCategoryBits,filterMaskBits:this.m_filterMaskBits,shape:this.m_shape}},C._deserialize=function(t,i,e){var s=e(g,t.shape);return s&&new C(i,s,t)},C.prototype.getType=function(){return this.m_shape.getType()},C.prototype.getShape=function(){return this.m_shape},C.prototype.isSensor=function(){return this.m_isSensor},C.prototype.setSensor=function(t){t!=this.m_isSensor&&(this.m_body.setAwake(!0),this.m_isSensor=t)},C.prototype.getUserData=function(){return this.m_userData},C.prototype.setUserData=function(t){this.m_userData=t},C.prototype.getBody=function(){return this.m_body},C.prototype.getNext=function(){return this.m_next},C.prototype.getDensity=function(){return this.m_density},C.prototype.setDensity=function(t){this.m_density=t},C.prototype.getFriction=function(){return this.m_friction},C.prototype.setFriction=function(t){this.m_friction=t},C.prototype.getRestitution=function(){return this.m_restitution},C.prototype.setRestitution=function(t){this.m_restitution=t},C.prototype.testPoint=function(t){return this.m_shape.testPoint(this.m_body.getTransform(),t)},C.prototype.rayCast=function(t,i,e){return this.m_shape.rayCast(t,i,this.m_body.getTransform(),e)},C.prototype.getMassData=function(t){this.m_shape.computeMass(t,this.m_density)},C.prototype.getAABB=function(t){return this.m_proxies[t].aabb},C.prototype.createProxies=function(t,i){this.m_proxyCount=this.m_shape.getChildCount();for(var e=0;e<this.m_proxyCount;++e){var s=this.m_proxies[e];this.m_shape.computeAABB(s.aabb,i,e),s.proxyId=t.createProxy(s.aabb,s)}},C.prototype.destroyProxies=function(t){for(var i=0;i<this.m_proxyCount;++i){var e=this.m_proxies[i];t.destroyProxy(e.proxyId),e.proxyId=null}this.m_proxyCount=0},C.prototype.synchronize=function(t,i,e){for(var s=0;s<this.m_proxyCount;++s){var o=this.m_proxies[s],n=new a,m=new a;this.m_shape.computeAABB(n,i,o.childIndex),this.m_shape.computeAABB(m,e,o.childIndex),o.aabb.combine(n,m);var h=r.sub(e.p,i.p);t.moveProxy(o.proxyId,o.aabb,h)}},C.prototype.setFilterData=function(t){this.m_filterGroupIndex=t.groupIndex,this.m_filterCategoryBits=t.categoryBits,this.m_filterMaskBits=t.maskBits,this.refilter()},C.prototype.getFilterGroupIndex=function(){return this.m_filterGroupIndex},C.prototype.setFilterGroupIndex=function(t){return this.m_filterGroupIndex=t},C.prototype.getFilterCategoryBits=function(){return this.m_filterCategoryBits},C.prototype.setFilterCategoryBits=function(t){this.m_filterCategoryBits=t},C.prototype.getFilterMaskBits=function(){return this.m_filterMaskBits},C.prototype.setFilterMaskBits=function(t){this.m_filterMaskBits=t},C.prototype.refilter=function(){if(null!=this.m_body){for(var t=this.m_body.getContactList();t;){var i=t.contact,e=i.getFixtureA(),s=i.getFixtureB();e!=this&&s!=this||i.flagForFiltering(),t=t.next}var o=this.m_body.getWorld();if(null!=o)for(var n=o.m_broadPhase,r=0;r<this.m_proxyCount;++r)n.touchProxy(this.m_proxies[r].proxyId)}},C.prototype.shouldCollide=function(t){if(t.m_filterGroupIndex===this.m_filterGroupIndex&&0!==t.m_filterGroupIndex)return t.m_filterGroupIndex>0;var i=0!=(t.m_filterMaskBits&this.m_filterCategoryBits),e=0!=(t.m_filterCategoryBits&this.m_filterMaskBits);return i&&e};var M=V.STATIC="static",I=V.KINEMATIC="kinematic",z=V.DYNAMIC="dynamic",S={type:M,position:r.zero(),angle:0,linearVelocity:r.zero(),angularVelocity:0,linearDamping:0,angularDamping:0,fixedRotation:!1,bullet:!1,gravityScale:1,allowSleep:!0,awake:!0,active:!0,userData:null};function V(t,i){i=e(i,S),this.m_world=t,this.m_awakeFlag=i.awake,this.m_autoSleepFlag=i.allowSleep,this.m_bulletFlag=i.bullet,this.m_fixedRotationFlag=i.fixedRotation,this.m_activeFlag=i.active,this.m_islandFlag=!1,this.m_toiFlag=!1,this.m_userData=i.userData,this.m_type=i.type,this.m_type==z?(this.m_mass=1,this.m_invMass=1):(this.m_mass=0,this.m_invMass=0),this.m_I=0,this.m_invI=0,this.m_xf=f.identity(),this.m_xf.p=r.clone(i.position),this.m_xf.q.setAngle(i.angle),this.m_sweep=new x,this.m_sweep.setTransform(this.m_xf),this.c_velocity=new A,this.c_position=new b,this.m_force=r.zero(),this.m_torque=0,this.m_linearVelocity=r.clone(i.linearVelocity),this.m_angularVelocity=i.angularVelocity,this.m_linearDamping=i.linearDamping,this.m_angularDamping=i.angularDamping,this.m_gravityScale=i.gravityScale,this.m_sleepTime=0,this.m_jointList=null,this.m_contactList=null,this.m_fixtureList=null,this.m_prev=null,this.m_next=null,this.m_destroyed=!1}function P(){this.mass=0,this.center=r.zero(),this.I=0}function T(t,e,s,o){"object"===i(t)&&null!==t?(this.ex=r.clone(t),this.ey=r.clone(e)):"number"==typeof t?(this.ex=r.neo(t,s),this.ey=r.neo(e,o)):(this.ex=r.zero(),this.ey=r.zero())}function L(){this.type,this.localNormal=r.zero(),this.localPoint=r.zero(),this.points=[new q,new q],this.pointCount=0}function q(){this.localPoint=r.zero(),this.normalImpulse=0,this.tangentImpulse=0,this.id=new F}function F(){this.cf=new k}function k(){this.indexA,this.indexB,this.typeA,this.typeB}function D(){this.normal,this.points=[],this.separations=[]}V.prototype._serialize=function(){for(var t=[],i=this.m_fixtureList;i;i=i.m_next)t.push(i);return{type:this.m_type,bullet:this.m_bulletFlag,position:this.m_xf.p,angle:this.m_xf.q.getAngle(),linearVelocity:this.m_linearVelocity,angularVelocity:this.m_angularVelocity,fixtures:t}},V._deserialize=function(t,i,e){var s=new V(i,t);if(t.fixtures)for(var o=t.fixtures.length-1;o>=0;o--){var n=e(C,t.fixtures[o],s);s._addFixture(n)}return s},V.prototype.isWorldLocked=function(){return!(!this.m_world||!this.m_world.isLocked())},V.prototype.getWorld=function(){return this.m_world},V.prototype.getNext=function(){return this.m_next},V.prototype.setUserData=function(t){this.m_userData=t},V.prototype.getUserData=function(){return this.m_userData},V.prototype.getFixtureList=function(){return this.m_fixtureList},V.prototype.getJointList=function(){return this.m_jointList},V.prototype.getContactList=function(){return this.m_contactList},V.prototype.isStatic=function(){return this.m_type==M},V.prototype.isDynamic=function(){return this.m_type==z},V.prototype.isKinematic=function(){return this.m_type==I},V.prototype.setStatic=function(){return this.setType(M),this},V.prototype.setDynamic=function(){return this.setType(z),this},V.prototype.setKinematic=function(){return this.setType(I),this},V.prototype.getType=function(){return this.m_type},V.prototype.setType=function(t){if(1!=this.isWorldLocked()&&this.m_type!=t){this.m_type=t,this.resetMassData(),this.m_type==M&&(this.m_linearVelocity.setZero(),this.m_angularVelocity=0,this.m_sweep.forward(),this.synchronizeFixtures()),this.setAwake(!0),this.m_force.setZero(),this.m_torque=0;for(var i=this.m_contactList;i;){var e=i;i=i.next,this.m_world.destroyContact(e.contact)}this.m_contactList=null;for(var s=this.m_world.m_broadPhase,o=this.m_fixtureList;o;o=o.m_next)for(var n=o.m_proxyCount,r=0;r<n;++r)s.touchProxy(o.m_proxies[r].proxyId)}},V.prototype.isBullet=function(){return this.m_bulletFlag},V.prototype.setBullet=function(t){this.m_bulletFlag=!!t},V.prototype.isSleepingAllowed=function(){return this.m_autoSleepFlag},V.prototype.setSleepingAllowed=function(t){this.m_autoSleepFlag=!!t,0==this.m_autoSleepFlag&&this.setAwake(!0)},V.prototype.isAwake=function(){return this.m_awakeFlag},V.prototype.setAwake=function(t){t?0==this.m_awakeFlag&&(this.m_awakeFlag=!0,this.m_sleepTime=0):(this.m_awakeFlag=!1,this.m_sleepTime=0,this.m_linearVelocity.setZero(),this.m_angularVelocity=0,this.m_force.setZero(),this.m_torque=0)},V.prototype.isActive=function(){return this.m_activeFlag},V.prototype.setActive=function(t){if(t!=this.m_activeFlag)if(this.m_activeFlag=!!t,this.m_activeFlag)for(var i=this.m_world.m_broadPhase,e=this.m_fixtureList;e;e=e.m_next)e.createProxies(i,this.m_xf);else{for(i=this.m_world.m_broadPhase,e=this.m_fixtureList;e;e=e.m_next)e.destroyProxies(i);for(var s=this.m_contactList;s;){var o=s;s=s.next,this.m_world.destroyContact(o.contact)}this.m_contactList=null}},V.prototype.isFixedRotation=function(){return this.m_fixedRotationFlag},V.prototype.setFixedRotation=function(t){this.m_fixedRotationFlag!=t&&(this.m_fixedRotationFlag=!!t,this.m_angularVelocity=0,this.resetMassData())},V.prototype.getTransform=function(){return this.m_xf},V.prototype.setTransform=function(t,i){if(1!=this.isWorldLocked()){this.m_xf.set(t,i),this.m_sweep.setTransform(this.m_xf);for(var e=this.m_world.m_broadPhase,s=this.m_fixtureList;s;s=s.m_next)s.synchronize(e,this.m_xf,this.m_xf)}},V.prototype.synchronizeTransform=function(){this.m_sweep.getTransform(this.m_xf,1)},V.prototype.synchronizeFixtures=function(){var t=f.identity();this.m_sweep.getTransform(t,0);for(var i=this.m_world.m_broadPhase,e=this.m_fixtureList;e;e=e.m_next)e.synchronize(i,t,this.m_xf)},V.prototype.advance=function(t){this.m_sweep.advance(t),this.m_sweep.c.set(this.m_sweep.c0),this.m_sweep.a=this.m_sweep.a0,this.m_sweep.getTransform(this.m_xf,1)},V.prototype.getPosition=function(){return this.m_xf.p},V.prototype.setPosition=function(t){this.setTransform(t,this.m_sweep.a)},V.prototype.getAngle=function(){return this.m_sweep.a},V.prototype.setAngle=function(t){this.setTransform(this.m_xf.p,t)},V.prototype.getWorldCenter=function(){return this.m_sweep.c},V.prototype.getLocalCenter=function(){return this.m_sweep.localCenter},V.prototype.getLinearVelocity=function(){return this.m_linearVelocity},V.prototype.getLinearVelocityFromWorldPoint=function(t){var i=r.sub(t,this.m_sweep.c);return r.add(this.m_linearVelocity,r.cross(this.m_angularVelocity,i))},V.prototype.getLinearVelocityFromLocalPoint=function(t){return this.getLinearVelocityFromWorldPoint(this.getWorldPoint(t))},V.prototype.setLinearVelocity=function(t){this.m_type!=M&&(r.dot(t,t)>0&&this.setAwake(!0),this.m_linearVelocity.set(t))},V.prototype.getAngularVelocity=function(){return this.m_angularVelocity},V.prototype.setAngularVelocity=function(t){this.m_type!=M&&(t*t>0&&this.setAwake(!0),this.m_angularVelocity=t)},V.prototype.getLinearDamping=function(){return this.m_linearDamping},V.prototype.setLinearDamping=function(t){this.m_linearDamping=t},V.prototype.getAngularDamping=function(){return this.m_angularDamping},V.prototype.setAngularDamping=function(t){this.m_angularDamping=t},V.prototype.getGravityScale=function(){return this.m_gravityScale},V.prototype.setGravityScale=function(t){this.m_gravityScale=t},V.prototype.getMass=function(){return this.m_mass},V.prototype.getInertia=function(){return this.m_I+this.m_mass*r.dot(this.m_sweep.localCenter,this.m_sweep.localCenter)},V.prototype.getMassData=function(t){t.mass=this.m_mass,t.I=this.getInertia(),t.center.set(this.m_sweep.localCenter)},V.prototype.resetMassData=function(){if(this.m_mass=0,this.m_invMass=0,this.m_I=0,this.m_invI=0,this.m_sweep.localCenter.setZero(),this.isStatic()||this.isKinematic())return this.m_sweep.c0.set(this.m_xf.p),this.m_sweep.c.set(this.m_xf.p),void(this.m_sweep.a0=this.m_sweep.a);for(var t=r.zero(),i=this.m_fixtureList;i;i=i.m_next)if(0!=i.m_density){var e=new P;i.getMassData(e),this.m_mass+=e.mass,t.addMul(e.mass,e.center),this.m_I+=e.I}this.m_mass>0?(this.m_invMass=1/this.m_mass,t.mul(this.m_invMass)):(this.m_mass=1,this.m_invMass=1),this.m_I>0&&0==this.m_fixedRotationFlag?(this.m_I-=this.m_mass*r.dot(t,t),this.m_invI=1/this.m_I):(this.m_I=0,this.m_invI=0);var s=r.clone(this.m_sweep.c);this.m_sweep.setLocalCenter(t,this.m_xf),this.m_linearVelocity.add(r.cross(this.m_angularVelocity,r.sub(this.m_sweep.c,s)))},V.prototype.setMassData=function(t){if(1!=this.isWorldLocked()&&this.m_type==z){this.m_invMass=0,this.m_I=0,this.m_invI=0,this.m_mass=t.mass,this.m_mass<=0&&(this.m_mass=1),this.m_invMass=1/this.m_mass,t.I>0&&0==this.m_fixedRotationFlag&&(this.m_I=t.I-this.m_mass*r.dot(t.center,t.center),this.m_invI=1/this.m_I);var i=r.clone(this.m_sweep.c);this.m_sweep.setLocalCenter(t.center,this.m_xf),this.m_linearVelocity.add(r.cross(this.m_angularVelocity,r.sub(this.m_sweep.c,i)))}},V.prototype.applyForce=function(t,i,e){this.m_type==z&&(e&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_force.add(t),this.m_torque+=r.cross(r.sub(i,this.m_sweep.c),t)))},V.prototype.applyForceToCenter=function(t,i){this.m_type==z&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&this.m_force.add(t))},V.prototype.applyTorque=function(t,i){this.m_type==z&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_torque+=t))},V.prototype.applyLinearImpulse=function(t,i,e){this.m_type==z&&(e&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_linearVelocity.addMul(this.m_invMass,t),this.m_angularVelocity+=this.m_invI*r.cross(r.sub(i,this.m_sweep.c),t)))},V.prototype.applyAngularImpulse=function(t,i){this.m_type==z&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_angularVelocity+=this.m_invI*t))},V.prototype.shouldCollide=function(t){if(this.m_type!=z&&t.m_type!=z)return!1;for(var i=this.m_jointList;i;i=i.next)if(i.other==t&&0==i.joint.m_collideConnected)return!1;return!0},V.prototype._addFixture=function(t){if(1==this.isWorldLocked())return null;if(this.m_activeFlag){var i=this.m_world.m_broadPhase;t.createProxies(i,this.m_xf)}return t.m_next=this.m_fixtureList,this.m_fixtureList=t,t.m_density>0&&this.resetMassData(),this.m_world.m_newFixture=!0,t},V.prototype.createFixture=function(t,i){if(1==this.isWorldLocked())return null;var e=new C(this,t,i);return this._addFixture(e),e},V.prototype.destroyFixture=function(t){if(1!=this.isWorldLocked()){if(this.m_fixtureList===t)this.m_fixtureList=t.m_next;else for(var i=this.m_fixtureList;null!=i;){if(i.m_next===t){i.m_next=t.m_next;break}i=i.m_next}for(var e=this.m_contactList;e;){var s=e.contact;e=e.next;var o=s.getFixtureA(),n=s.getFixtureB();t!=o&&t!=n||this.m_world.destroyContact(s)}if(this.m_activeFlag){var r=this.m_world.m_broadPhase;t.destroyProxies(r)}t.m_body=null,t.m_next=null,this.m_world.publish("remove-fixture",t),this.resetMassData()}},V.prototype.getWorldPoint=function(t){return f.mulVec2(this.m_xf,t)},V.prototype.getWorldVector=function(t){return v.mulVec2(this.m_xf.q,t)},V.prototype.getLocalPoint=function(t){return f.mulTVec2(this.m_xf,t)},V.prototype.getLocalVector=function(t){return v.mulTVec2(this.m_xf.q,t)},T.prototype.toString=function(){return JSON.stringify(this)},T.isValid=function(t){return t&&r.isValid(t.ex)&&r.isValid(t.ey)},T.assert=function(t){},T.prototype.set=function(t,e,s,o){"number"==typeof t&&"number"==typeof e&&"number"==typeof s&&"number"==typeof o?(this.ex.set(t,s),this.ey.set(e,o)):"object"===i(t)&&"object"===i(e)?(this.ex.set(t),this.ey.set(e)):"object"===i(t)&&(this.ex.set(t.ex),this.ey.set(t.ey))},T.prototype.setIdentity=function(){this.ex.x=1,this.ey.x=0,this.ex.y=0,this.ey.y=1},T.prototype.setZero=function(){this.ex.x=0,this.ey.x=0,this.ex.y=0,this.ey.y=0},T.prototype.getInverse=function(){var t=this.ex.x,i=this.ey.x,e=this.ex.y,s=this.ey.y,o=t*s-i*e;0!=o&&(o=1/o);var n=new T;return n.ex.x=o*s,n.ey.x=-o*i,n.ex.y=-o*e,n.ey.y=o*t,n},T.prototype.solve=function(t){var i=this.ex.x,e=this.ey.x,s=this.ex.y,o=this.ey.y,n=i*o-e*s;0!=n&&(n=1/n);var m=r.zero();return m.x=n*(o*t.x-e*t.y),m.y=n*(i*t.y-s*t.x),m},T.mul=function(t,i){if(i&&"x"in i&&"y"in i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)}if(i&&"ex"in i&&"ey"in i)return new T(t.ex.x*i.ex.x+t.ey.x*i.ex.y,t.ex.x*i.ey.x+t.ey.x*i.ey.y,t.ex.y*i.ex.x+t.ey.y*i.ex.y,t.ex.y*i.ey.x+t.ey.y*i.ey.y)},T.mulVec2=function(t,i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)},T.mulMat22=function(t,i){return new T(t.ex.x*i.ex.x+t.ey.x*i.ex.y,t.ex.x*i.ey.x+t.ey.x*i.ey.y,t.ex.y*i.ex.x+t.ey.y*i.ex.y,t.ex.y*i.ey.x+t.ey.y*i.ey.y)},T.mulT=function(t,i){return i&&"x"in i&&"y"in i?r.neo(r.dot(i,t.ex),r.dot(i,t.ey)):i&&"ex"in i&&"ey"in i?new T(r.neo(r.dot(t.ex,i.ex),r.dot(t.ey,i.ex)),r.neo(r.dot(t.ex,i.ey),r.dot(t.ey,i.ey))):void 0},T.mulTVec2=function(t,i){return r.neo(r.dot(i,t.ex),r.dot(i,t.ey))},T.mulTMat22=function(t,i){return new T(r.neo(r.dot(t.ex,i.ex),r.dot(t.ey,i.ex)),r.neo(r.dot(t.ex,i.ey),r.dot(t.ey,i.ey)))},T.abs=function(t){return new T(r.abs(t.ex),r.abs(t.ey))},T.add=function(t,i){return new T(r.add(t.ex,i.ex),r.add(t.ey,i.ey))},L.clipSegmentToLine=function(t,i,e,s,o){var n=0,m=r.dot(e,i[0].v)-s,a=r.dot(e,i[1].v)-s;m<=0&&t[n++].set(i[0]);a<=0&&t[n++].set(i[1]);if(m*a<0){var h=m/(m-a);t[n].v.setCombine(1-h,i[0].v,h,i[1].v),t[n].id.cf.indexA=o,t[n].id.cf.indexB=i[0].id.cf.indexB,t[n].id.cf.typeA=L.e_vertex,t[n].id.cf.typeB=L.e_face,++n}return n},L.ClipVertex=R,L.getPointStates=function(t,i,e,s){for(var o=0;o<e.pointCount;++o){var n=e.points[o].id;t[o]=j.removeState;for(var r=0;r<s.pointCount;++r)if(s.points[r].id.key==n.key){t[o]=j.persistState;break}}for(o=0;o<s.pointCount;++o){n=s.points[o].id;i[o]=j.addState;for(r=0;r<e.pointCount;++r)if(e.points[r].id.key==n.key){i[o]=j.persistState;break}}},L.PointState=j,L.e_circles=0,L.e_faceA=1,L.e_faceB=2,L.e_vertex=0,L.e_face=1,Object.defineProperty(F.prototype,"key",{get:function(){return this.cf.indexA+4*this.cf.indexB+16*this.cf.typeA+64*this.cf.typeB},enumerable:!0,configurable:!0}),F.prototype.set=function(t){this.cf.set(t.cf)},k.prototype.set=function(t){this.indexA=t.indexA,this.indexB=t.indexB,this.typeA=t.typeA,this.typeB=t.typeB},L.prototype.getWorldManifold=function(t,i,e,s,o){if(0!=this.pointCount){var m=(t=t||new D).normal,a=t.points,h=t.separations;switch(this.type){case L.e_circles:m=r.neo(1,0);var _=f.mulVec2(i,this.localPoint),c=f.mulVec2(s,this.points[0].localPoint),l=r.sub(c,_);r.lengthSquared(l)>n.EPSILON*n.EPSILON&&(m.set(l),m.normalize());var u=_.clone().addMul(e,m),p=c.clone().addMul(-o,m);a[0]=r.mid(u,p),h[0]=r.dot(r.sub(p,u),m),a.length=1,h.length=1;break;case L.e_faceA:m=v.mulVec2(i.q,this.localNormal);for(var y=f.mulVec2(i,this.localPoint),d=0;d<this.pointCount;++d){var x=f.mulVec2(s,this.points[d].localPoint);u=r.clone(x).addMul(e-r.dot(r.sub(x,y),m),m),p=r.clone(x).subMul(o,m);a[d]=r.mid(u,p),h[d]=r.dot(r.sub(p,u),m)}a.length=this.pointCount,h.length=this.pointCount;break;case L.e_faceB:m=v.mulVec2(s.q,this.localNormal);for(y=f.mulVec2(s,this.localPoint),d=0;d<this.pointCount;++d){x=f.mulVec2(i,this.points[d].localPoint),p=r.combine(1,x,o-r.dot(r.sub(x,y),m),m),u=r.combine(1,x,-e,m);a[d]=r.mid(u,p),h[d]=r.dot(r.sub(u,p),m)}a.length=this.pointCount,h.length=this.pointCount,m.mul(-1)}return t.normal=m,t.points=a,t.separations=h,t}};var j={nullState:0,addState:1,persistState:2,removeState:3};function R(){this.v=r.zero(),this.id=new F}R.prototype.set=function(t){this.v.set(t.v),this.id.set(t.id)};var E={toString:function(t){t="string"==typeof t?t:"\n";var e="";for(var s in this)"function"!=typeof this[s]&&"object"!==i(this[s])&&(e+=s+": "+this[s]+t);return e}};function O(t,e,s){if(!(this instanceof O))return new O(t,e,s);void 0===t?(this.x=0,this.y=0,this.z=0):"object"===i(t)?(this.x=t.x,this.y=t.y,this.z=t.z):(this.x=t,this.y=e,this.z=s)}function Y(t,e,s){"object"===i(t)&&null!==t?(this.ex=O.clone(t),this.ey=O.clone(e),this.ez=O.clone(s)):(this.ex=O(),this.ey=O(),this.ez=O())}function J(){this.proxyA=new Z,this.proxyB=new Z,this.transformA=null,this.transformB=null,this.useRadii=!1}function N(){this.pointA=r.zero(),this.pointB=r.zero(),this.distance,this.iterations}function W(){this.metric=0,this.indexA=[],this.indexB=[],this.count=0}function H(t,i,e){++E.gjkCalls;var s=e.proxyA,o=e.proxyB,a=e.transformA,h=e.transformB,_=new G;_.readCache(i,s,a,o,h);for(var c=_.m_v,l=m.maxDistnceIterations,u=[],p=[],y=0,d=0;d<l;){y=_.m_count;for(var x=0;x<y;++x)u[x]=c[x].indexA,p[x]=c[x].indexB;if(_.solve(),3==_.m_count)break;(M=_.getClosestPoint()).lengthSquared();var A=_.getSearchDirection();if(A.lengthSquared()<n.EPSILON*n.EPSILON)break;var b=c[_.m_count];b.indexA=s.getSupport(v.mulTVec2(a.q,r.neg(A))),b.wA=f.mulVec2(a,s.getVertex(b.indexA)),b.indexB=o.getSupport(v.mulTVec2(h.q,A)),b.wB=f.mulVec2(h,o.getVertex(b.indexB)),b.w=r.sub(b.wB,b.wA),++d,++E.gjkIters;var g=!1;for(x=0;x<y;++x)if(b.indexA==u[x]&&b.indexB==p[x]){g=!0;break}if(g)break;++_.m_count}if(E.gjkMaxIters=n.max(E.gjkMaxIters,d),_.getWitnessPoints(t.pointA,t.pointB),t.distance=r.distance(t.pointA,t.pointB),t.iterations=d,_.writeCache(i),e.useRadii){var B=s.m_radius,w=o.m_radius;if(t.distance>B+w&&t.distance>n.EPSILON){t.distance-=B+w;var C=r.sub(t.pointB,t.pointA);C.normalize(),t.pointA.addMul(B,C),t.pointB.subMul(w,C)}else{var M=r.mid(t.pointA,t.pointB);t.pointA.set(M),t.pointB.set(M),t.distance=0}}}function Z(){this.m_buffer=[],this.m_vertices=[],this.m_count=0,this.m_radius=0}function X(){this.indexA,this.indexB,this.wA=r.zero(),this.wB=r.zero(),this.w=r.zero(),this.a}function G(){this.m_v1=new X,this.m_v2=new X,this.m_v3=new X,this.m_v=[this.m_v1,this.m_v2,this.m_v3],this.m_count}function K(t){this.contact=t,this.prev,this.next,this.other}function U(t,i,e,s,o){this.m_nodeA=new K(this),this.m_nodeB=new K(this),this.m_fixtureA=t,this.m_fixtureB=e,this.m_indexA=i,this.m_indexB=s,this.m_evaluateFcn=o,this.m_manifold=new L,this.m_prev=null,this.m_next=null,this.m_toi=1,this.m_toiCount=0,this.m_toiFlag=!1,this.m_friction=$(this.m_fixtureA.m_friction,this.m_fixtureB.m_friction),this.m_restitution=tt(this.m_fixtureA.m_restitution,this.m_fixtureB.m_restitution),this.m_tangentSpeed=0,this.m_enabledFlag=!0,this.m_islandFlag=!1,this.m_touchingFlag=!1,this.m_filterFlag=!1,this.m_bulletHitFlag=!1,this.v_points=[],this.v_normal=r.zero(),this.v_normalMass=new T,this.v_K=new T,this.v_pointCount,this.v_tangentSpeed,this.v_friction,this.v_restitution,this.v_invMassA,this.v_invMassB,this.v_invIA,this.v_invIB,this.p_localPoints=[],this.p_localNormal=r.zero(),this.p_localPoint=r.zero(),this.p_localCenterA=r.zero(),this.p_localCenterB=r.zero(),this.p_type,this.p_radiusA,this.p_radiusB,this.p_pointCount,this.p_invMassA,this.p_invMassB,this.p_invIA,this.p_invIB}function Q(){this.rA=r.zero(),this.rB=r.zero(),this.normalImpulse=0,this.tangentImpulse=0,this.normalMass=0,this.tangentMass=0,this.velocityBias=0}function $(t,i){return n.sqrt(t*i)}function tt(t,i){return t>i?t:i}O.prototype._serialize=function(){return{x:this.x,y:this.y,z:this.z}},O._deserialize=function(t){var i=Object.create(O.prototype);return i.x=t.x,i.y=t.y,i.z=t.z,i},O.neo=function(t,i,e){var s=Object.create(O.prototype);return s.x=t,s.y=i,s.z=e,s},O.clone=function(t){return O.neo(t.x,t.y,t.z)},O.prototype.toString=function(){return JSON.stringify(this)},O.isValid=function(t){return t&&n.isFinite(t.x)&&n.isFinite(t.y)&&n.isFinite(t.z)},O.assert=function(t){},O.prototype.setZero=function(){return this.x=0,this.y=0,this.z=0,this},O.prototype.set=function(t,i,e){return this.x=t,this.y=i,this.z=e,this},O.prototype.add=function(t){return this.x+=t.x,this.y+=t.y,this.z+=t.z,this},O.prototype.sub=function(t){return this.x-=t.x,this.y-=t.y,this.z-=t.z,this},O.prototype.mul=function(t){return this.x*=t,this.y*=t,this.z*=t,this},O.areEqual=function(t,e){return t==e||"object"===i(t)&&null!==t&&"object"===i(e)&&null!==e&&t.x===e.x&&t.y===e.y&&t.z===e.z},O.dot=function(t,i){return t.x*i.x+t.y*i.y+t.z*i.z},O.cross=function(t,i){return new O(t.y*i.z-t.z*i.y,t.z*i.x-t.x*i.z,t.x*i.y-t.y*i.x)},O.add=function(t,i){return new O(t.x+i.x,t.y+i.y,t.z+i.z)},O.sub=function(t,i){return new O(t.x-i.x,t.y-i.y,t.z-i.z)},O.mul=function(t,i){return new O(i*t.x,i*t.y,i*t.z)},O.prototype.neg=function(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this},O.neg=function(t){return new O(-t.x,-t.y,-t.z)},Y.prototype.toString=function(){return JSON.stringify(this)},Y.isValid=function(t){return t&&O.isValid(t.ex)&&O.isValid(t.ey)&&O.isValid(t.ez)},Y.assert=function(t){},Y.prototype.setZero=function(){return this.ex.setZero(),this.ey.setZero(),this.ez.setZero(),this},Y.prototype.solve33=function(t){var i=O.dot(this.ex,O.cross(this.ey,this.ez));0!=i&&(i=1/i);var e=new O;return e.x=i*O.dot(t,O.cross(this.ey,this.ez)),e.y=i*O.dot(this.ex,O.cross(t,this.ez)),e.z=i*O.dot(this.ex,O.cross(this.ey,t)),e},Y.prototype.solve22=function(t){var i=this.ex.x,e=this.ey.x,s=this.ex.y,o=this.ey.y,n=i*o-e*s;0!=n&&(n=1/n);var m=r.zero();return m.x=n*(o*t.x-e*t.y),m.y=n*(i*t.y-s*t.x),m},Y.prototype.getInverse22=function(t){var i=this.ex.x,e=this.ey.x,s=this.ex.y,o=this.ey.y,n=i*o-e*s;0!=n&&(n=1/n),t.ex.x=n*o,t.ey.x=-n*e,t.ex.z=0,t.ex.y=-n*s,t.ey.y=n*i,t.ey.z=0,t.ez.x=0,t.ez.y=0,t.ez.z=0},Y.prototype.getSymInverse33=function(t){var i=O.dot(this.ex,O.cross(this.ey,this.ez));0!=i&&(i=1/i);var e=this.ex.x,s=this.ey.x,o=this.ez.x,n=this.ey.y,r=this.ez.y,m=this.ez.z;t.ex.x=i*(n*m-r*r),t.ex.y=i*(o*r-s*m),t.ex.z=i*(s*r-o*n),t.ey.x=t.ex.y,t.ey.y=i*(e*m-o*o),t.ey.z=i*(o*s-e*r),t.ez.x=t.ex.z,t.ez.y=t.ey.z,t.ez.z=i*(e*n-s*s)},Y.mul=function(t,i){if(i&&"z"in i&&"y"in i&&"x"in i)return new O(e=t.ex.x*i.x+t.ey.x*i.y+t.ez.x*i.z,s=t.ex.y*i.x+t.ey.y*i.y+t.ez.y*i.z,t.ex.z*i.x+t.ey.z*i.y+t.ez.z*i.z);if(i&&"y"in i&&"x"in i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)}},Y.mulVec3=function(t,i){return new O(t.ex.x*i.x+t.ey.x*i.y+t.ez.x*i.z,t.ex.y*i.x+t.ey.y*i.y+t.ez.y*i.z,t.ex.z*i.x+t.ey.z*i.y+t.ez.z*i.z)},Y.mulVec2=function(t,i){var e=t.ex.x*i.x+t.ey.x*i.y,s=t.ex.y*i.x+t.ey.y*i.y;return r.neo(e,s)},Y.add=function(t,i){return new Y(O.add(t.ex,i.ex),O.add(t.ey,i.ey),O.add(t.ez,i.ez))},H.Input=J,H.Output=N,H.Proxy=Z,H.Cache=W,E.gjkCalls=0,E.gjkIters=0,E.gjkMaxIters=0,Z.prototype.getVertexCount=function(){return this.m_count},Z.prototype.getVertex=function(t){return this.m_vertices[t]},Z.prototype.getSupport=function(t){for(var i=0,e=r.dot(this.m_vertices[0],t),s=0;s<this.m_count;++s){var o=r.dot(this.m_vertices[s],t);o>e&&(i=s,e=o)}return i},Z.prototype.getSupportVertex=function(t){return this.m_vertices[this.getSupport(t)]},Z.prototype.set=function(t,i){t.computeDistanceProxy(this,i)},X.prototype.set=function(t){this.indexA=t.indexA,this.indexB=t.indexB,this.wA=r.clone(t.wA),this.wB=r.clone(t.wB),this.w=r.clone(t.w),this.a=t.a},G.prototype.print=function(){return 3==this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y,this.m_v2.a,this.m_v2.wA.x,this.m_v2.wA.y,this.m_v2.wB.x,this.m_v2.wB.y,this.m_v3.a,this.m_v3.wA.x,this.m_v3.wA.y,this.m_v3.wB.x,this.m_v3.wB.y].toString():2==this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y,this.m_v2.a,this.m_v2.wA.x,this.m_v2.wA.y,this.m_v2.wB.x,this.m_v2.wB.y].toString():1==this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y].toString():"+"+this.m_count},G.prototype.readCache=function(t,i,e,s,o){this.m_count=t.count;for(var m=0;m<this.m_count;++m){(l=this.m_v[m]).indexA=t.indexA[m],l.indexB=t.indexB[m];var a=i.getVertex(l.indexA),h=s.getVertex(l.indexB);l.wA=f.mulVec2(e,a),l.wB=f.mulVec2(o,h),l.w=r.sub(l.wB,l.wA),l.a=0}if(this.m_count>1){var _=t.metric,c=this.getMetric();(c<.5*_||2*_<c||c<n.EPSILON)&&(this.m_count=0)}if(0==this.m_count){var l;(l=this.m_v[0]).indexA=0,l.indexB=0;a=i.getVertex(0),h=s.getVertex(0);l.wA=f.mulVec2(e,a),l.wB=f.mulVec2(o,h),l.w=r.sub(l.wB,l.wA),l.a=1,this.m_count=1}},G.prototype.writeCache=function(t){t.metric=this.getMetric(),t.count=this.m_count;for(var i=0;i<this.m_count;++i)t.indexA[i]=this.m_v[i].indexA,t.indexB[i]=this.m_v[i].indexB},G.prototype.getSearchDirection=function(){switch(this.m_count){case 1:return r.neg(this.m_v1.w);case 2:var t=r.sub(this.m_v2.w,this.m_v1.w);return r.cross(t,r.neg(this.m_v1.w))>0?r.cross(1,t):r.cross(t,1);default:return r.zero()}},G.prototype.getClosestPoint=function(){switch(this.m_count){case 0:return r.zero();case 1:return r.clone(this.m_v1.w);case 2:return r.combine(this.m_v1.a,this.m_v1.w,this.m_v2.a,this.m_v2.w);case 3:default:return r.zero()}},G.prototype.getWitnessPoints=function(t,i){switch(this.m_count){case 0:break;case 1:t.set(this.m_v1.wA),i.set(this.m_v1.wB);break;case 2:t.setCombine(this.m_v1.a,this.m_v1.wA,this.m_v2.a,this.m_v2.wA),i.setCombine(this.m_v1.a,this.m_v1.wB,this.m_v2.a,this.m_v2.wB);break;case 3:t.setCombine(this.m_v1.a,this.m_v1.wA,this.m_v2.a,this.m_v2.wA),t.addMul(this.m_v3.a,this.m_v3.wA),i.set(t)}},G.prototype.getMetric=function(){switch(this.m_count){case 0:case 1:return 0;case 2:return r.distance(this.m_v1.w,this.m_v2.w);case 3:return r.cross(r.sub(this.m_v2.w,this.m_v1.w),r.sub(this.m_v3.w,this.m_v1.w));default:return 0}},G.prototype.solve=function(){switch(this.m_count){case 1:break;case 2:this.solve2();break;case 3:this.solve3()}},G.prototype.solve2=function(){var t=this.m_v1.w,i=this.m_v2.w,e=r.sub(i,t),s=-r.dot(t,e);if(s<=0)return this.m_v1.a=1,void(this.m_count=1);var o=r.dot(i,e);if(o<=0)return this.m_v2.a=1,this.m_count=1,void this.m_v1.set(this.m_v2);var n=1/(o+s);this.m_v1.a=o*n,this.m_v2.a=s*n,this.m_count=2},G.prototype.solve3=function(){var t=this.m_v1.w,i=this.m_v2.w,e=this.m_v3.w,s=r.sub(i,t),o=r.dot(t,s),n=r.dot(i,s),m=-o,a=r.sub(e,t),h=r.dot(t,a),_=r.dot(e,a),c=-h,l=r.sub(e,i),u=r.dot(i,l),p=r.dot(e,l),y=-u,d=r.cross(s,a),v=d*r.cross(i,e),f=d*r.cross(e,t),x=d*r.cross(t,i);if(m<=0&&c<=0)return this.m_v1.a=1,void(this.m_count=1);if(n>0&&m>0&&x<=0){var A=1/(n+m);return this.m_v1.a=n*A,this.m_v2.a=m*A,void(this.m_count=2)}if(_>0&&c>0&&f<=0){var b=1/(_+c);return this.m_v1.a=_*b,this.m_v3.a=c*b,this.m_count=2,void this.m_v2.set(this.m_v3)}if(n<=0&&y<=0)return this.m_v2.a=1,this.m_count=1,void this.m_v1.set(this.m_v2);if(_<=0&&p<=0)return this.m_v3.a=1,this.m_count=1,void this.m_v1.set(this.m_v3);if(p>0&&y>0&&v<=0){var g=1/(p+y);return this.m_v2.a=p*g,this.m_v3.a=y*g,this.m_count=2,void this.m_v1.set(this.m_v3)}var B=1/(v+f+x);this.m_v1.a=v*B,this.m_v2.a=f*B,this.m_v3.a=x*B,this.m_count=3},H.testOverlap=function(t,i,e,s,o,r){var m=new J;m.proxyA.set(t,i),m.proxyB.set(e,s),m.transformA=o,m.transformB=r,m.useRadii=!0;var a=new W,h=new N;return H(h,a,m),h.distance<10*n.EPSILON},U.prototype.initConstraint=function(t){var i=this.m_fixtureA,e=this.m_fixtureB,s=i.getShape(),o=e.getShape(),n=i.getBody(),m=e.getBody(),a=this.getManifold(),h=a.pointCount;this.v_invMassA=n.m_invMass,this.v_invMassB=m.m_invMass,this.v_invIA=n.m_invI,this.v_invIB=m.m_invI,this.v_friction=this.m_friction,this.v_restitution=this.m_restitution,this.v_tangentSpeed=this.m_tangentSpeed,this.v_pointCount=h,this.v_K.setZero(),this.v_normalMass.setZero(),this.p_invMassA=n.m_invMass,this.p_invMassB=m.m_invMass,this.p_invIA=n.m_invI,this.p_invIB=m.m_invI,this.p_localCenterA=r.clone(n.m_sweep.localCenter),this.p_localCenterB=r.clone(m.m_sweep.localCenter),this.p_radiusA=s.m_radius,this.p_radiusB=o.m_radius,this.p_type=a.type,this.p_localNormal=r.clone(a.localNormal),this.p_localPoint=r.clone(a.localPoint),this.p_pointCount=h;for(var _=0;_<h;++_){var c=a.points[_],l=this.v_points[_]=new Q;t.warmStarting?(l.normalImpulse=t.dtRatio*c.normalImpulse,l.tangentImpulse=t.dtRatio*c.tangentImpulse):(l.normalImpulse=0,l.tangentImpulse=0),l.rA.setZero(),l.rB.setZero(),l.normalMass=0,l.tangentMass=0,l.velocityBias=0,this.p_localPoints[_]=r.clone(c.localPoint)}},U.prototype.getManifold=function(){return this.m_manifold},U.prototype.getWorldManifold=function(t){var i=this.m_fixtureA.getBody(),e=this.m_fixtureB.getBody(),s=this.m_fixtureA.getShape(),o=this.m_fixtureB.getShape();return this.m_manifold.getWorldManifold(t,i.getTransform(),s.m_radius,e.getTransform(),o.m_radius)},U.prototype.setEnabled=function(t){this.m_enabledFlag=!!t},U.prototype.isEnabled=function(){return this.m_enabledFlag},U.prototype.isTouching=function(){return this.m_touchingFlag},U.prototype.getNext=function(){return this.m_next},U.prototype.getFixtureA=function(){return this.m_fixtureA},U.prototype.getFixtureB=function(){return this.m_fixtureB},U.prototype.getChildIndexA=function(){return this.m_indexA},U.prototype.getChildIndexB=function(){return this.m_indexB},U.prototype.flagForFiltering=function(){this.m_filterFlag=!0},U.prototype.setFriction=function(t){this.m_friction=t},U.prototype.getFriction=function(){return this.m_friction},U.prototype.resetFriction=function(){this.m_friction=$(this.m_fixtureA.m_friction,this.m_fixtureB.m_friction)},U.prototype.setRestitution=function(t){this.m_restitution=t},U.prototype.getRestitution=function(){return this.m_restitution},U.prototype.resetRestitution=function(){this.m_restitution=tt(this.m_fixtureA.m_restitution,this.m_fixtureB.m_restitution)},U.prototype.setTangentSpeed=function(t){this.m_tangentSpeed=t},U.prototype.getTangentSpeed=function(){return this.m_tangentSpeed},U.prototype.evaluate=function(t,i,e){this.m_evaluateFcn(t,i,this.m_fixtureA,this.m_indexA,e,this.m_fixtureB,this.m_indexB)},U.prototype.update=function(t){this.m_enabledFlag=!0;var i=!1,e=this.m_touchingFlag,s=this.m_fixtureA.isSensor(),o=this.m_fixtureB.isSensor(),n=s||o,r=this.m_fixtureA.getBody(),m=this.m_fixtureB.getBody(),a=r.getTransform(),h=m.getTransform();if(n){var _=this.m_fixtureA.getShape(),c=this.m_fixtureB.getShape();i=H.testOverlap(_,this.m_indexA,c,this.m_indexB,a,h),this.m_manifold.pointCount=0}else{var l=this.m_manifold;this.m_manifold=new L,this.evaluate(this.m_manifold,a,h),i=this.m_manifold.pointCount>0;for(var u=0;u<this.m_manifold.pointCount;++u){var p=this.m_manifold.points[u];p.normalImpulse=0,p.tangentImpulse=0;for(var y=0;y<l.pointCount;++y){var d=l.points[y];if(d.id.key==p.id.key){p.normalImpulse=d.normalImpulse,p.tangentImpulse=d.tangentImpulse;break}}}i!=e&&(r.setAwake(!0),m.setAwake(!0))}this.m_touchingFlag=i,0==e&&1==i&&t&&t.beginContact(this),1==e&&0==i&&t&&t.endContact(this),0==n&&i&&t&&t.preSolve(this,l)},U.prototype.solvePositionConstraint=function(t){return this._solvePositionConstraint(t,!1)},U.prototype.solvePositionConstraintTOI=function(t,i,e){return this._solvePositionConstraint(t,!0,i,e)},U.prototype._solvePositionConstraint=function(t,i,e,s){var o=this.m_fixtureA,a=this.m_fixtureB,h=o.getBody(),_=a.getBody();h.c_velocity,_.c_velocity;var c=h.c_position,l=_.c_position,u=r.clone(this.p_localCenterA),p=r.clone(this.p_localCenterB),y=0,d=0;i&&h!=e&&h!=s||(y=this.p_invMassA,d=this.p_invIA);var x=0,A=0;i&&_!=e&&_!=s||(x=this.p_invMassB,A=this.p_invIB);for(var b=r.clone(c.c),g=c.a,B=r.clone(l.c),w=l.a,C=0,M=0;M<this.p_pointCount;++M){var I,z,S,V=f.identity(),P=f.identity();switch(V.q.set(g),P.q.set(w),V.p=r.sub(b,v.mulVec2(V.q,u)),P.p=r.sub(B,v.mulVec2(P.q,p)),this.p_type){case L.e_circles:var T=f.mulVec2(V,this.p_localPoint),q=f.mulVec2(P,this.p_localPoints[0]);(I=r.sub(q,T)).normalize(),z=r.combine(.5,T,.5,q),S=r.dot(r.sub(q,T),I)-this.p_radiusA-this.p_radiusB;break;case L.e_faceA:I=v.mulVec2(V.q,this.p_localNormal);var F=f.mulVec2(V,this.p_localPoint),k=f.mulVec2(P,this.p_localPoints[M]);S=r.dot(r.sub(k,F),I)-this.p_radiusA-this.p_radiusB,z=k;break;case L.e_faceB:I=v.mulVec2(P.q,this.p_localNormal);F=f.mulVec2(P,this.p_localPoint),k=f.mulVec2(V,this.p_localPoints[M]);S=r.dot(r.sub(k,F),I)-this.p_radiusA-this.p_radiusB,z=k,I.mul(-1)}var D=r.sub(z,b),j=r.sub(z,B);C=n.min(C,S);var R=i?m.toiBaugarte:m.baumgarte,E=m.linearSlop,O=m.maxLinearCorrection,Y=n.clamp(R*(S+E),-O,0),J=r.cross(D,I),N=r.cross(j,I),W=y+x+d*J*J+A*N*N,H=W>0?-Y/W:0,Z=r.mul(H,I);b.subMul(y,Z),g-=d*r.cross(D,Z),B.addMul(x,Z),w+=A*r.cross(j,Z)}return c.c.set(b),c.a=g,l.c.set(B),l.a=w,C},U.prototype.initVelocityConstraint=function(t){var i=this.m_fixtureA,e=this.m_fixtureB,s=i.getBody(),o=e.getBody(),n=s.c_velocity,a=o.c_velocity,h=s.c_position,_=o.c_position,c=this.p_radiusA,l=this.p_radiusB,u=this.getManifold(),p=this.v_invMassA,y=this.v_invMassB,d=this.v_invIA,x=this.v_invIB,A=r.clone(this.p_localCenterA),b=r.clone(this.p_localCenterB),g=r.clone(h.c),B=h.a,w=r.clone(n.v),C=n.w,M=r.clone(_.c),I=_.a,z=r.clone(a.v),S=a.w,V=f.identity(),P=f.identity();V.q.set(B),P.q.set(I),V.p.setCombine(1,g,-1,v.mulVec2(V.q,A)),P.p.setCombine(1,M,-1,v.mulVec2(P.q,b));var T=u.getWorldManifold(null,V,c,P,l);this.v_normal.set(T.normal);for(var L=0;L<this.v_pointCount;++L){var q=this.v_points[L];q.rA.set(r.sub(T.points[L],g)),q.rB.set(r.sub(T.points[L],M));var F=r.cross(q.rA,this.v_normal),k=r.cross(q.rB,this.v_normal),D=p+y+d*F*F+x*k*k;q.normalMass=D>0?1/D:0;var j=r.cross(this.v_normal,1),R=r.cross(q.rA,j),E=r.cross(q.rB,j),O=p+y+d*R*R+x*E*E;q.tangentMass=O>0?1/O:0,q.velocityBias=0;var Y=r.dot(this.v_normal,z)+r.dot(this.v_normal,r.cross(S,q.rB))-r.dot(this.v_normal,w)-r.dot(this.v_normal,r.cross(C,q.rA));Y<-m.velocityThreshold&&(q.velocityBias=-this.v_restitution*Y)}if(2==this.v_pointCount&&t.blockSolve){var J=this.v_points[0],N=this.v_points[1],W=r.cross(J.rA,this.v_normal),H=r.cross(J.rB,this.v_normal),Z=r.cross(N.rA,this.v_normal),X=r.cross(N.rB,this.v_normal),G=p+y+d*W*W+x*H*H,K=p+y+d*Z*Z+x*X*X,U=p+y+d*W*Z+x*H*X;G*G<1e3*(G*K-U*U)?(this.v_K.ex.set(G,U),this.v_K.ey.set(U,K),this.v_normalMass.set(this.v_K.getInverse())):this.v_pointCount=1}h.c.set(g),h.a=B,n.v.set(w),n.w=C,_.c.set(M),_.a=I,a.v.set(z),a.w=S},U.prototype.warmStartConstraint=function(t){var i=this.m_fixtureA,e=this.m_fixtureB,s=i.getBody(),o=e.getBody(),n=s.c_velocity,m=o.c_velocity;s.c_position,o.c_position;for(var a=this.v_invMassA,h=this.v_invIA,_=this.v_invMassB,c=this.v_invIB,l=r.clone(n.v),u=n.w,p=r.clone(m.v),y=m.w,d=this.v_normal,v=r.cross(d,1),f=0;f<this.v_pointCount;++f){var x=this.v_points[f],A=r.combine(x.normalImpulse,d,x.tangentImpulse,v);u-=h*r.cross(x.rA,A),l.subMul(a,A),y+=c*r.cross(x.rB,A),p.addMul(_,A)}n.v.set(l),n.w=u,m.v.set(p),m.w=y},U.prototype.storeConstraintImpulses=function(t){for(var i=this.m_manifold,e=0;e<this.v_pointCount;++e)i.points[e].normalImpulse=this.v_points[e].normalImpulse,i.points[e].tangentImpulse=this.v_points[e].tangentImpulse},U.prototype.solveVelocityConstraint=function(t){var i=this.m_fixtureA.m_body,e=this.m_fixtureB.m_body,s=i.c_velocity;i.c_position;var o=e.c_velocity;e.c_position;for(var m=this.v_invMassA,a=this.v_invIA,h=this.v_invMassB,_=this.v_invIB,c=r.clone(s.v),l=s.w,u=r.clone(o.v),p=o.w,y=this.v_normal,d=r.cross(y,1),v=this.v_friction,f=0;f<this.v_pointCount;++f){var x=this.v_points[f];(C=r.zero()).addCombine(1,u,1,r.cross(p,x.rB)),C.subCombine(1,c,1,r.cross(l,x.rA));var A=r.dot(C,d)-this.v_tangentSpeed,b=x.tangentMass*-A,g=v*x.normalImpulse;b=(M=n.clamp(x.tangentImpulse+b,-g,g))-x.tangentImpulse,x.tangentImpulse=M;var B=r.mul(b,d);c.subMul(m,B),l-=a*r.cross(x.rA,B),u.addMul(h,B),p+=_*r.cross(x.rB,B)}if(1==this.v_pointCount||0==t.blockSolve)for(var w=0;w<this.v_pointCount;++w){var C;x=this.v_points[w];(C=r.zero()).addCombine(1,u,1,r.cross(p,x.rB)),C.subCombine(1,c,1,r.cross(l,x.rA));var M,I=r.dot(C,y);b=-x.normalMass*(I-x.velocityBias);b=(M=n.max(x.normalImpulse+b,0))-x.normalImpulse,x.normalImpulse=M;B=r.mul(b,y);c.subMul(m,B),l-=a*r.cross(x.rA,B),u.addMul(h,B),p+=_*r.cross(x.rB,B)}else{var z=this.v_points[0],S=this.v_points[1],V=r.neo(z.normalImpulse,S.normalImpulse),P=r.zero().add(u).add(r.cross(p,z.rB)).sub(c).sub(r.cross(l,z.rA)),L=r.zero().add(u).add(r.cross(p,S.rB)).sub(c).sub(r.cross(l,S.rA)),q=r.dot(P,y),F=r.dot(L,y),k=r.neo(q-z.velocityBias,F-S.velocityBias);for(k.sub(T.mulVec2(this.v_K,V));;){var D=T.mulVec2(this.v_normalMass,k).neg();if(D.x>=0&&D.y>=0){var j=r.sub(D,V),R=r.mul(j.x,y),E=r.mul(j.y,y);c.subCombine(m,R,m,E),l-=a*(r.cross(z.rA,R)+r.cross(S.rA,E)),u.addCombine(h,R,h,E),p+=_*(r.cross(z.rB,R)+r.cross(S.rB,E)),z.normalImpulse=D.x,S.normalImpulse=D.y;break}if(D.x=-z.normalMass*k.x,D.y=0,q=0,F=this.v_K.ex.y*D.x+k.y,D.x>=0&&F>=0){j=r.sub(D,V),R=r.mul(j.x,y),E=r.mul(j.y,y);c.subCombine(m,R,m,E),l-=a*(r.cross(z.rA,R)+r.cross(S.rA,E)),u.addCombine(h,R,h,E),p+=_*(r.cross(z.rB,R)+r.cross(S.rB,E)),z.normalImpulse=D.x,S.normalImpulse=D.y;break}if(D.x=0,D.y=-S.normalMass*k.y,q=this.v_K.ey.x*D.y+k.x,F=0,D.y>=0&&q>=0){j=r.sub(D,V),R=r.mul(j.x,y),E=r.mul(j.y,y);c.subCombine(m,R,m,E),l-=a*(r.cross(z.rA,R)+r.cross(S.rA,E)),u.addCombine(h,R,h,E),p+=_*(r.cross(z.rB,R)+r.cross(S.rB,E)),z.normalImpulse=D.x,S.normalImpulse=D.y;break}if(D.x=0,D.y=0,q=k.x,F=k.y,q>=0&&F>=0){j=r.sub(D,V),R=r.mul(j.x,y),E=r.mul(j.y,y);c.subCombine(m,R,m,E),l-=a*(r.cross(z.rA,R)+r.cross(S.rA,E)),u.addCombine(h,R,h,E),p+=_*(r.cross(z.rB,R)+r.cross(S.rB,E)),z.normalImpulse=D.x,S.normalImpulse=D.y;break}break}}s.v.set(c),s.w=l,o.v.set(u),o.w=p};var it=[];function et(){this.other=null,this.joint=null,this.prev=null,this.next=null}function st(t,i,e){i=t.bodyA||i,e=t.bodyB||e,this.m_type="unknown-joint",this.m_bodyA=i,this.m_bodyB=e,this.m_index=0,this.m_collideConnected=!!t.collideConnected,this.m_prev=null,this.m_next=null,this.m_edgeA=new et,this.m_edgeB=new et,this.m_islandFlag=!1,this.m_userData=t.userData}U.addType=function(t,i,e){it[t]=it[t]||{},it[t][i]=e},U.create=function(t,i,e,s){var o,n,r=t.getType(),m=e.getType();if(n=it[r]&&it[r][m])o=new U(t,i,e,s,n);else{if(!(n=it[m]&&it[m][r]))return null;o=new U(e,s,t,i,n)}t=o.getFixtureA(),e=o.getFixtureB(),i=o.getChildIndexA(),s=o.getChildIndexB();var a=t.getBody(),h=e.getBody();return o.m_nodeA.contact=o,o.m_nodeA.other=h,o.m_nodeA.prev=null,o.m_nodeA.next=a.m_contactList,null!=a.m_contactList&&(a.m_contactList.prev=o.m_nodeA),a.m_contactList=o.m_nodeA,o.m_nodeB.contact=o,o.m_nodeB.other=a,o.m_nodeB.prev=null,o.m_nodeB.next=h.m_contactList,null!=h.m_contactList&&(h.m_contactList.prev=o.m_nodeB),h.m_contactList=o.m_nodeB,0==t.isSensor()&&0==e.isSensor()&&(a.setAwake(!0),h.setAwake(!0)),o},U.destroy=function(t,i){var e=t.m_fixtureA,s=t.m_fixtureB,o=e.getBody(),n=s.getBody();t.isTouching()&&i.endContact(t),t.m_nodeA.prev&&(t.m_nodeA.prev.next=t.m_nodeA.next),t.m_nodeA.next&&(t.m_nodeA.next.prev=t.m_nodeA.prev),t.m_nodeA==o.m_contactList&&(o.m_contactList=t.m_nodeA.next),t.m_nodeB.prev&&(t.m_nodeB.prev.next=t.m_nodeB.next),t.m_nodeB.next&&(t.m_nodeB.next.prev=t.m_nodeB.prev),t.m_nodeB==n.m_contactList&&(n.m_contactList=t.m_nodeB.next),t.m_manifold.pointCount>0&&0==e.isSensor()&&0==s.isSensor()&&(o.setAwake(!0),n.setAwake(!0));var r=e.getType(),m=s.getType(),a=it[r][m].destroyFcn;"function"==typeof a&&a(t)},st.TYPES={},st._deserialize=function(t,i,e){var s=st.TYPES[t.type];return s&&e(s,t)},st.prototype.isActive=function(){return this.m_bodyA.isActive()&&this.m_bodyB.isActive()},st.prototype.getType=function(){return this.m_type},st.prototype.getBodyA=function(){return this.m_bodyA},st.prototype.getBodyB=function(){return this.m_bodyB},st.prototype.getNext=function(){return this.m_next},st.prototype.getUserData=function(){return this.m_userData},st.prototype.setUserData=function(t){this.m_userData=t},st.prototype.getCollideConnected=function(){return this.m_collideConnected},st.prototype.getAnchorA=function(){},st.prototype.getAnchorB=function(){},st.prototype.getReactionForce=function(t){},st.prototype.getReactionTorque=function(t){},st.prototype.shiftOrigin=function(t){},st.prototype.initVelocityConstraints=function(t){},st.prototype.solveVelocityConstraints=function(t){},st.prototype.solvePositionConstraints=function(t){};var ot=function(){return Date.now()},nt=function(t){return Date.now()-t};ct.Input=function(){this.proxyA=new at,this.proxyB=new at,this.sweepA=new x,this.sweepB=new x,this.tMax},ct.Output=_t;var rt=H.Input,mt=H.Output,at=H.Proxy,ht=H.Cache;function _t(){this.state,this.t}function ct(t,i){var e=ot();++E.toiCalls,t.state=_t.e_unknown,t.t=i.tMax;var s=i.proxyA,o=i.proxyB,r=i.sweepA,a=i.sweepB;r.normalize(),a.normalize();var h=i.tMax,_=s.m_radius+o.m_radius,c=n.max(m.linearSlop,_-3*m.linearSlop),l=.25*m.linearSlop,u=0,p=m.maxTOIIterations,y=0,d=new ht,v=new rt;for(v.proxyA=i.proxyA,v.proxyB=i.proxyB,v.useRadii=!1;;){var x=f.identity(),A=f.identity();r.getTransform(x,u),a.getTransform(A,u),v.transformA=x,v.transformB=A;var b=new mt;if(H(b,d,v),b.distance<=0){t.state=_t.e_overlapped,t.t=0;break}if(b.distance<c+l){t.state=_t.e_touching,t.t=u;break}var g=new lt;g.initialize(d,s,r,o,a,u);for(var B=!1,w=h,C=0;;){var M=g.findMinSeparation(w);if(g.indexA,g.indexB,M>c+l){t.state=_t.e_separated,t.t=h,B=!0;break}if(M>c-l){u=w;break}var I=g.evaluate(u);if(g.indexA,g.indexB,I<c-l){t.state=_t.e_failed,t.t=u,B=!0;break}if(I<=c+l){t.state=_t.e_touching,t.t=u,B=!0;break}for(var z=0,S=u,V=w;;){var P;P=1&z?S+(c-I)*(V-S)/(M-I):.5*(S+V),++z,++E.toiRootIters;var T=g.evaluate(P);if(g.indexA,g.indexB,n.abs(T-c)<l){w=P;break}if(T>c?(S=P,I=T):(V=P,M=T),50==z)break}if(E.toiMaxRootIters=n.max(E.toiMaxRootIters,z),++C==m.maxPolygonVertices)break}if(++y,++E.toiIters,B)break;if(y==p){t.state=_t.e_failed,t.t=u;break}}E.toiMaxIters=n.max(E.toiMaxIters,y);var L=nt(e);E.toiMaxTime=n.max(E.toiMaxTime,L),E.toiTime+=L}_t.e_unknown=0,_t.e_failed=1,_t.e_overlapped=2,_t.e_touching=3,_t.e_separated=4,E.toiTime=0,E.toiMaxTime=0,E.toiCalls=0,E.toiIters=0,E.toiMaxIters=0,E.toiRootIters=0,E.toiMaxRootIters=0;function lt(){this.m_proxyA=new at,this.m_proxyB=new at,this.m_sweepA,this.m_sweepB,this.indexA,this.indexB,this.m_type,this.m_localPoint=r.zero(),this.m_axis=r.zero()}lt.prototype.initialize=function(t,i,e,s,o,n){this.m_proxyA=i,this.m_proxyB=s;var m=t.count;this.m_sweepA=e,this.m_sweepB=o;var a=f.identity(),h=f.identity();if(this.m_sweepA.getTransform(a,n),this.m_sweepB.getTransform(h,n),1==m){this.m_type=1;var _=this.m_proxyA.getVertex(t.indexA[0]),c=this.m_proxyB.getVertex(t.indexB[0]),l=f.mulVec2(a,_),u=f.mulVec2(h,c);return this.m_axis.setCombine(1,u,-1,l),b=this.m_axis.normalize()}if(t.indexA[0]==t.indexA[1]){this.m_type=3;var p=s.getVertex(t.indexB[0]),y=s.getVertex(t.indexB[1]);this.m_axis=r.cross(r.sub(y,p),1),this.m_axis.normalize();var d=v.mulVec2(h.q,this.m_axis);this.m_localPoint=r.mid(p,y);u=f.mulVec2(h,this.m_localPoint),_=i.getVertex(t.indexA[0]),l=f.mulVec2(a,_);return(b=r.dot(l,d)-r.dot(u,d))<0&&(this.m_axis=r.neg(this.m_axis),b=-b),b}this.m_type=2;var x=this.m_proxyA.getVertex(t.indexA[0]),A=this.m_proxyA.getVertex(t.indexA[1]);this.m_axis=r.cross(r.sub(A,x),1),this.m_axis.normalize();d=v.mulVec2(a.q,this.m_axis);this.m_localPoint=r.mid(x,A);var b;l=f.mulVec2(a,this.m_localPoint),c=this.m_proxyB.getVertex(t.indexB[0]),u=f.mulVec2(h,c);return(b=r.dot(u,d)-r.dot(l,d))<0&&(this.m_axis=r.neg(this.m_axis),b=-b),b},lt.prototype.compute=function(t,i){var e=f.identity(),s=f.identity();switch(this.m_sweepA.getTransform(e,i),this.m_sweepB.getTransform(s,i),this.m_type){case 1:if(t){var o=v.mulTVec2(e.q,this.m_axis),n=v.mulTVec2(s.q,r.neg(this.m_axis));this.indexA=this.m_proxyA.getSupport(o),this.indexB=this.m_proxyB.getSupport(n)}var m=this.m_proxyA.getVertex(this.indexA),a=this.m_proxyB.getVertex(this.indexB),h=f.mulVec2(e,m),_=f.mulVec2(s,a);return r.dot(_,this.m_axis)-r.dot(h,this.m_axis);case 2:var c=v.mulVec2(e.q,this.m_axis);h=f.mulVec2(e,this.m_localPoint);if(t){n=v.mulTVec2(s.q,r.neg(c));this.indexA=-1,this.indexB=this.m_proxyB.getSupport(n)}a=this.m_proxyB.getVertex(this.indexB),_=f.mulVec2(s,a);return r.dot(_,c)-r.dot(h,c);case 3:c=v.mulVec2(s.q,this.m_axis),_=f.mulVec2(s,this.m_localPoint);if(t){o=v.mulTVec2(e.q,r.neg(c));this.indexB=-1,this.indexA=this.m_proxyA.getSupport(o)}m=this.m_proxyA.getVertex(this.indexA),h=f.mulVec2(e,m);return r.dot(h,c)-r.dot(_,c);default:return t&&(this.indexA=-1,this.indexB=-1),0}},lt.prototype.findMinSeparation=function(t){return this.compute(!0,t)},lt.prototype.evaluate=function(t){return this.compute(!1,t)},dt.TimeStep=yt;var ut=ct.Input,pt=ct.Output;function yt(t){this.dt=0,this.inv_dt=0,this.velocityIterations=0,this.positionIterations=0,this.warmStarting=!1,this.blockSolve=!0,this.inv_dt0=0,this.dtRatio=1}function dt(t){this.m_world=t,this.m_stack=[],this.m_bodies=[],this.m_contacts=[],this.m_joints=[]}yt.prototype.reset=function(t){this.dt>0&&(this.inv_dt0=this.inv_dt),this.dt=t,this.inv_dt=0==t?0:1/t,this.dtRatio=t*this.inv_dt0},dt.prototype.clear=function(){this.m_stack.length=0,this.m_bodies.length=0,this.m_contacts.length=0,this.m_joints.length=0},dt.prototype.addBody=function(t){this.m_bodies.push(t)},dt.prototype.addContact=function(t){this.m_contacts.push(t)},dt.prototype.addJoint=function(t){this.m_joints.push(t)},dt.prototype.solveWorld=function(t){for(var i=this.m_world,e=i.m_bodyList;e;e=e.m_next)e.m_islandFlag=!1;for(var s=i.m_contactList;s;s=s.m_next)s.m_islandFlag=!1;for(var o=i.m_jointList;o;o=o.m_next)o.m_islandFlag=!1;for(var n=this.m_stack,r=i.m_bodyList;r;r=r.m_next)if(!r.m_islandFlag&&0!=r.isAwake()&&0!=r.isActive()&&!r.isStatic()){for(this.clear(),n.push(r),r.m_islandFlag=!0;n.length>0;){e=n.pop();if(this.addBody(e),e.setAwake(!0),!e.isStatic()){for(var m=e.m_contactList;m;m=m.next){var a=m.contact;if(!a.m_islandFlag&&(0!=a.isEnabled()&&0!=a.isTouching())){var h=a.m_fixtureA.m_isSensor,_=a.m_fixtureB.m_isSensor;if(!h&&!_)this.addContact(a),a.m_islandFlag=!0,(l=m.other).m_islandFlag||(n.push(l),l.m_islandFlag=!0)}}for(var c=e.m_jointList;c;c=c.next){var l;if(1!=c.joint.m_islandFlag)0!=(l=c.other).isActive()&&(this.addJoint(c.joint),c.joint.m_islandFlag=!0,l.m_islandFlag||(n.push(l),l.m_islandFlag=!0))}}}this.solveIsland(t);for(var u=0;u<this.m_bodies.length;++u){(e=this.m_bodies[u]).isStatic()&&(e.m_islandFlag=!1)}}},dt.prototype.solveIsland=function(t){for(var i=this.m_world,e=i.m_gravity,s=i.m_allowSleep,o=t.dt,a=0;a<this.m_bodies.length;++a){var h=this.m_bodies[a],_=r.clone(h.m_sweep.c),c=h.m_sweep.a,l=r.clone(h.m_linearVelocity),u=h.m_angularVelocity;h.m_sweep.c0.set(h.m_sweep.c),h.m_sweep.a0=h.m_sweep.a,h.isDynamic()&&(l.addMul(o*h.m_gravityScale,e),l.addMul(o*h.m_invMass,h.m_force),u+=o*h.m_invI*h.m_torque,l.mul(1/(1+o*h.m_linearDamping)),u*=1/(1+o*h.m_angularDamping)),h.c_position.c=_,h.c_position.a=c,h.c_velocity.v=l,h.c_velocity.w=u}for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].initConstraint(t)}for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].initVelocityConstraint(t)}if(t.warmStarting)for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].warmStartConstraint(t)}for(a=0;a<this.m_joints.length;++a){this.m_joints[a].initVelocityConstraints(t)}for(a=0;a<t.velocityIterations;++a){for(var p=0;p<this.m_joints.length;++p){this.m_joints[p].solveVelocityConstraints(t)}for(p=0;p<this.m_contacts.length;++p){this.m_contacts[p].solveVelocityConstraint(t)}}for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].storeConstraintImpulses(t)}for(a=0;a<this.m_bodies.length;++a){h=this.m_bodies[a],_=r.clone(h.c_position.c),c=h.c_position.a,l=r.clone(h.c_velocity.v),u=h.c_velocity.w;var y=r.mul(o,l);if(r.lengthSquared(y)>m.maxTranslationSquared){var d=m.maxTranslation/y.length();l.mul(d)}var v=o*u;if(v*v>m.maxRotationSquared)u*=d=m.maxRotation/n.abs(v);_.addMul(o,l),c+=o*u,h.c_position.c.set(_),h.c_position.a=c,h.c_velocity.v.set(l),h.c_velocity.w=u}var f=!1;for(a=0;a<t.positionIterations;++a){var x=0;for(p=0;p<this.m_contacts.length;++p){var A=this.m_contacts[p].solvePositionConstraint(t);x=n.min(x,A)}var b=x>=-3*m.linearSlop,g=!0;for(p=0;p<this.m_joints.length;++p){var B=this.m_joints[p].solvePositionConstraints(t);g=g&&B}if(b&&g){f=!0;break}}for(a=0;a<this.m_bodies.length;++a){(h=this.m_bodies[a]).m_sweep.c.set(h.c_position.c),h.m_sweep.a=h.c_position.a,h.m_linearVelocity.set(h.c_velocity.v),h.m_angularVelocity=h.c_velocity.w,h.synchronizeTransform()}if(this.postSolveIsland(),s){var w=1/0,C=m.linearSleepToleranceSqr,M=m.angularSleepToleranceSqr;for(a=0;a<this.m_bodies.length;++a){(h=this.m_bodies[a]).isStatic()||(0==h.m_autoSleepFlag||h.m_angularVelocity*h.m_angularVelocity>M||r.lengthSquared(h.m_linearVelocity)>C?(h.m_sleepTime=0,w=0):(h.m_sleepTime+=o,w=n.min(w,h.m_sleepTime)))}if(w>=m.timeToSleep&&f)for(a=0;a<this.m_bodies.length;++a){(h=this.m_bodies[a]).setAwake(!1)}}},dt.prototype.printBodies=function(t){for(var i=0;i<this.m_bodies.length;++i){var e=this.m_bodies[i];s(t,e.c_position.a,e.c_position.c.x,e.c_position.c.y,e.c_velocity.w,e.c_velocity.v.x,e.c_velocity.v.y)}};var vt=new yt;function ft(){this.normalImpulses=[],this.tangentImpulses=[]}dt.prototype.solveWorldTOI=function(t){var i=this.m_world;if(i.m_stepComplete){for(var e=i.m_bodyList;e;e=e.m_next)e.m_islandFlag=!1,e.m_sweep.alpha0=0;for(var s=i.m_contactList;s;s=s.m_next)s.m_toiFlag=!1,s.m_islandFlag=!1,s.m_toiCount=0,s.m_toi=1}for(;;){for(var o=null,r=1,s=i.m_contactList;s;s=s.m_next)if(0!=s.isEnabled()&&!(s.m_toiCount>m.maxSubSteps)){var a=1;if(s.m_toiFlag)a=s.m_toi;else{var h=s.getFixtureA(),_=s.getFixtureB();if(h.isSensor()||_.isSensor())continue;var c=h.getBody(),l=_.getBody(),u=c.isAwake()&&!c.isStatic(),p=l.isAwake()&&!l.isStatic();if(0==u&&0==p)continue;var y=c.isBullet()||!c.isDynamic(),d=l.isBullet()||!l.isDynamic();if(0==y&&0==d)continue;var v=c.m_sweep.alpha0;c.m_sweep.alpha0<l.m_sweep.alpha0?(v=l.m_sweep.alpha0,c.m_sweep.advance(v)):l.m_sweep.alpha0<c.m_sweep.alpha0&&(v=c.m_sweep.alpha0,l.m_sweep.advance(v));var f=s.getChildIndexA(),x=s.getChildIndexB();c.m_sweep,l.m_sweep;var A=new ut;A.proxyA.set(h.getShape(),f),A.proxyB.set(_.getShape(),x),A.sweepA.set(c.m_sweep),A.sweepB.set(l.m_sweep),A.tMax=1;var b=new pt;ct(b,A);var g=b.t;a=b.state==pt.e_touching?n.min(v+(1-v)*g,1):1,s.m_toi=a,s.m_toiFlag=!0}a<r&&(o=s,r=a)}if(null==o||1-10*n.EPSILON<r){i.m_stepComplete=!0;break}h=o.getFixtureA(),_=o.getFixtureB(),c=h.getBody(),l=_.getBody();var B=c.m_sweep.clone(),w=l.m_sweep.clone();if(c.advance(r),l.advance(r),o.update(i),o.m_toiFlag=!1,++o.m_toiCount,0!=o.isEnabled()&&0!=o.isTouching()){c.setAwake(!0),l.setAwake(!0),this.clear(),this.addBody(c),this.addBody(l),this.addContact(o),c.m_islandFlag=!0,l.m_islandFlag=!0,o.m_islandFlag=!0;for(var C=[c,l],M=0;M<C.length;++M){if((L=C[M]).isDynamic())for(var I=L.m_contactList;I;I=I.next){var z=I.contact;if(!z.m_islandFlag){var S=I.other;if(!S.isDynamic()||L.isBullet()||S.isBullet()){var V=z.m_fixtureA.m_isSensor,P=z.m_fixtureB.m_isSensor;if(!V&&!P){var T=S.m_sweep.clone();0==S.m_islandFlag&&S.advance(r),z.update(i),0!=z.isEnabled()&&0!=z.isTouching()?(z.m_islandFlag=!0,this.addContact(z),S.m_islandFlag||(S.m_islandFlag=!0,S.isStatic()||S.setAwake(!0),this.addBody(S))):(S.m_sweep.set(T),S.synchronizeTransform())}}}}}vt.reset((1-r)*t.dt),vt.dtRatio=1,vt.positionIterations=20,vt.velocityIterations=t.velocityIterations,vt.warmStarting=!1,this.solveIslandTOI(vt,c,l);for(M=0;M<this.m_bodies.length;++M){var L;if((L=this.m_bodies[M]).m_islandFlag=!1,L.isDynamic()){L.synchronizeFixtures();for(I=L.m_contactList;I;I=I.next)I.contact.m_toiFlag=!1,I.contact.m_islandFlag=!1}}if(i.findNewContacts(),i.m_subStepping){i.m_stepComplete=!1;break}}else o.setEnabled(!1),c.m_sweep.set(B),l.m_sweep.set(w),c.synchronizeTransform(),l.synchronizeTransform()}},dt.prototype.solveIslandTOI=function(t,i,e){this.m_world;for(var s=0;s<this.m_bodies.length;++s){(c=this.m_bodies[s]).c_position.c.set(c.m_sweep.c),c.c_position.a=c.m_sweep.a,c.c_velocity.v.set(c.m_linearVelocity),c.c_velocity.w=c.m_angularVelocity}for(s=0;s<this.m_contacts.length;++s){this.m_contacts[s].initConstraint(t)}for(s=0;s<t.positionIterations;++s){for(var o=0,a=0;a<this.m_contacts.length;++a){var h=this.m_contacts[a].solvePositionConstraintTOI(t,i,e);o=n.min(o,h)}if(o>=-1.5*m.linearSlop)break}i.m_sweep.c0.set(i.c_position.c),i.m_sweep.a0=i.c_position.a,e.m_sweep.c0.set(e.c_position.c),e.m_sweep.a0=e.c_position.a;for(s=0;s<this.m_contacts.length;++s){this.m_contacts[s].initVelocityConstraint(t)}for(s=0;s<t.velocityIterations;++s)for(a=0;a<this.m_contacts.length;++a){this.m_contacts[a].solveVelocityConstraint(t)}var _=t.dt;for(s=0;s<this.m_bodies.length;++s){var c=this.m_bodies[s],l=r.clone(c.c_position.c),u=c.c_position.a,p=r.clone(c.c_velocity.v),y=c.c_velocity.w,d=r.mul(_,p);if(r.dot(d,d)>m.maxTranslationSquared){var v=m.maxTranslation/d.length();p.mul(v)}var f=_*y;if(f*f>m.maxRotationSquared)y*=v=m.maxRotation/n.abs(f);l.addMul(_,p),u+=_*y,c.c_position.c=l,c.c_position.a=u,c.c_velocity.v=p,c.c_velocity.w=y,c.m_sweep.c=l,c.m_sweep.a=u,c.m_linearVelocity=p,c.m_angularVelocity=y,c.synchronizeTransform()}this.postSolveIsland()},dt.prototype.postSolveIsland=function(){for(var t=new ft,i=0;i<this.m_contacts.length;++i){for(var e=this.m_contacts[i],s=0;s<e.v_points.length;++s)t.normalImpulses.push(e.v_points[s].normalImpulse),t.tangentImpulses.push(e.v_points[s].tangentImpulse);this.m_world.postSolve(e,t)}};var xt={gravity:r.zero(),allowSleep:!0,warmStarting:!0,continuousPhysics:!0,subStepping:!1,blockSolve:!0,velocityIterations:8,positionIterations:3};function At(t){if(!(this instanceof At))return new At(t);t&&r.isValid(t)&&(t={gravity:t}),t=e(t,xt),this.m_solver=new dt(this),this.m_broadPhase=new d,this.m_contactList=null,this.m_contactCount=0,this.m_bodyList=null,this.m_bodyCount=0,this.m_jointList=null,this.m_jointCount=0,this.m_stepComplete=!0,this.m_allowSleep=t.allowSleep,this.m_gravity=r.clone(t.gravity),this.m_clearForces=!0,this.m_newFixture=!1,this.m_locked=!1,this.m_warmStarting=t.warmStarting,this.m_continuousPhysics=t.continuousPhysics,this.m_subStepping=t.subStepping,this.m_blockSolve=t.blockSolve,this.m_velocityIterations=t.velocityIterations,this.m_positionIterations=t.positionIterations,this.m_t=0,this.addPair=this.createContact.bind(this)}At.prototype._serialize=function(){for(var t=[],i=[],e=this.getBodyList();e;e=e.getNext())t.push(e);for(var s=this.getJointList();s;s=s.getNext())"function"==typeof s._serialize&&i.push(s);return{gravity:this.m_gravity,bodies:t,joints:i}},At._deserialize=function(t,i,e){if(!t)return new At;var s=new At(t.gravity);if(t.bodies)for(var o=t.bodies.length-1;o>=0;o-=1)s._addBody(e(V,t.bodies[o],s));if(t.joints)for(o=t.joints.length-1;o>=0;o--)s.createJoint(e(st,t.joints[o],s));return s},At.prototype.getBodyList=function(){return this.m_bodyList},At.prototype.getJointList=function(){return this.m_jointList},At.prototype.getContactList=function(){return this.m_contactList},At.prototype.getBodyCount=function(){return this.m_bodyCount},At.prototype.getJointCount=function(){return this.m_jointCount},At.prototype.getContactCount=function(){return this.m_contactCount},At.prototype.setGravity=function(t){this.m_gravity=t},At.prototype.getGravity=function(){return this.m_gravity},At.prototype.isLocked=function(){return this.m_locked},At.prototype.setAllowSleeping=function(t){if(t!=this.m_allowSleep&&(this.m_allowSleep=t,0==this.m_allowSleep))for(var i=this.m_bodyList;i;i=i.m_next)i.setAwake(!0)},At.prototype.getAllowSleeping=function(){return this.m_allowSleep},At.prototype.setWarmStarting=function(t){this.m_warmStarting=t},At.prototype.getWarmStarting=function(){return this.m_warmStarting},At.prototype.setContinuousPhysics=function(t){this.m_continuousPhysics=t},At.prototype.getContinuousPhysics=function(){return this.m_continuousPhysics},At.prototype.setSubStepping=function(t){this.m_subStepping=t},At.prototype.getSubStepping=function(){return this.m_subStepping},At.prototype.setAutoClearForces=function(t){this.m_clearForces=t},At.prototype.getAutoClearForces=function(){return this.m_clearForces},At.prototype.clearForces=function(){for(var t=this.m_bodyList;t;t=t.getNext())t.m_force.setZero(),t.m_torque=0},At.prototype.queryAABB=function(t,i){var e=this.m_broadPhase;this.m_broadPhase.query(t,(function(t){var s=e.getUserData(t);return i(s.fixture)}))},At.prototype.rayCast=function(t,i,e){var s=this.m_broadPhase;this.m_broadPhase.rayCast({maxFraction:1,p1:t,p2:i},(function(t,i){var o=s.getUserData(i),n=o.fixture,m=o.childIndex,a={};if(n.rayCast(a,t,m)){var h=a.fraction,_=r.add(r.mul(1-h,t.p1),r.mul(h,t.p2));return e(n,_,a.normal,h)}return t.maxFraction}))},At.prototype.getProxyCount=function(){return this.m_broadPhase.getProxyCount()},At.prototype.getTreeHeight=function(){return this.m_broadPhase.getTreeHeight()},At.prototype.getTreeBalance=function(){return this.m_broadPhase.getTreeBalance()},At.prototype.getTreeQuality=function(){return this.m_broadPhase.getTreeQuality()},At.prototype.shiftOrigin=function(t){if(!this.m_locked){for(var i=this.m_bodyList;i;i=i.m_next)i.m_xf.p.sub(t),i.m_sweep.c0.sub(t),i.m_sweep.c.sub(t);for(var e=this.m_jointList;e;e=e.m_next)e.shiftOrigin(t);this.m_broadPhase.shiftOrigin(t)}},At.prototype._addBody=function(t){this.isLocked()||(t.m_prev=null,t.m_next=this.m_bodyList,this.m_bodyList&&(this.m_bodyList.m_prev=t),this.m_bodyList=t,++this.m_bodyCount)},At.prototype.createBody=function(t,i){if(this.isLocked())return null;t&&r.isValid(t)&&(t={position:t,angle:i});var e=new V(this,t);return this._addBody(e),e},At.prototype.createDynamicBody=function(t,i){return t?r.isValid(t)&&(t={position:t,angle:i}):t={},t.type="dynamic",this.createBody(t)},At.prototype.createKinematicBody=function(t,i){return t?r.isValid(t)&&(t={position:t,angle:i}):t={},t.type="kinematic",this.createBody(t)},At.prototype.destroyBody=function(t){if(!this.isLocked()){if(t.m_destroyed)return!1;for(var i=t.m_jointList;i;){var e=i;i=i.next,this.publish("remove-joint",e.joint),this.destroyJoint(e.joint),t.m_jointList=i}t.m_jointList=null;for(var s=t.m_contactList;s;){var o=s;s=s.next,this.destroyContact(o.contact),t.m_contactList=s}t.m_contactList=null;for(var n=t.m_fixtureList;n;){var r=n;n=n.m_next,this.publish("remove-fixture",r),r.destroyProxies(this.m_broadPhase),t.m_fixtureList=n}return t.m_fixtureList=null,t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_bodyList&&(this.m_bodyList=t.m_next),t.m_destroyed=!0,--this.m_bodyCount,this.publish("remove-body",t),!0}},At.prototype.createJoint=function(t){if(this.isLocked())return null;if(t.m_prev=null,t.m_next=this.m_jointList,this.m_jointList&&(this.m_jointList.m_prev=t),this.m_jointList=t,++this.m_jointCount,t.m_edgeA.joint=t,t.m_edgeA.other=t.m_bodyB,t.m_edgeA.prev=null,t.m_edgeA.next=t.m_bodyA.m_jointList,t.m_bodyA.m_jointList&&(t.m_bodyA.m_jointList.prev=t.m_edgeA),t.m_bodyA.m_jointList=t.m_edgeA,t.m_edgeB.joint=t,t.m_edgeB.other=t.m_bodyA,t.m_edgeB.prev=null,t.m_edgeB.next=t.m_bodyB.m_jointList,t.m_bodyB.m_jointList&&(t.m_bodyB.m_jointList.prev=t.m_edgeB),t.m_bodyB.m_jointList=t.m_edgeB,0==t.m_collideConnected)for(var i=t.m_bodyB.getContactList();i;i=i.next)i.other==t.m_bodyA&&i.contact.flagForFiltering();return t},At.prototype.destroyJoint=function(t){if(!this.isLocked()){t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_jointList&&(this.m_jointList=t.m_next);var i=t.m_bodyA,e=t.m_bodyB;if(i.setAwake(!0),e.setAwake(!0),t.m_edgeA.prev&&(t.m_edgeA.prev.next=t.m_edgeA.next),t.m_edgeA.next&&(t.m_edgeA.next.prev=t.m_edgeA.prev),t.m_edgeA==i.m_jointList&&(i.m_jointList=t.m_edgeA.next),t.m_edgeA.prev=null,t.m_edgeA.next=null,t.m_edgeB.prev&&(t.m_edgeB.prev.next=t.m_edgeB.next),t.m_edgeB.next&&(t.m_edgeB.next.prev=t.m_edgeB.prev),t.m_edgeB==e.m_jointList&&(e.m_jointList=t.m_edgeB.next),t.m_edgeB.prev=null,t.m_edgeB.next=null,--this.m_jointCount,0==t.m_collideConnected)for(var s=e.getContactList();s;)s.other==i&&s.contact.flagForFiltering(),s=s.next;this.publish("remove-joint",t)}};var bt=new dt.TimeStep;At.prototype.step=function(t,i,e){if(this.publish("pre-step",t),(0|i)!==i&&(i=0),i=i||this.m_velocityIterations,e=e||this.m_positionIterations,this.m_newFixture&&(this.findNewContacts(),this.m_newFixture=!1),this.m_locked=!0,bt.reset(t),bt.velocityIterations=i,bt.positionIterations=e,bt.warmStarting=this.m_warmStarting,bt.blockSolve=this.m_blockSolve,this.updateContacts(),this.m_stepComplete&&t>0){this.m_solver.solveWorld(bt);for(var s=this.m_bodyList;s;s=s.getNext())0!=s.m_islandFlag&&(s.isStatic()||s.synchronizeFixtures());this.findNewContacts()}this.m_continuousPhysics&&t>0&&this.m_solver.solveWorldTOI(bt),this.m_clearForces&&this.clearForces(),this.m_locked=!1,this.publish("post-step",t)},At.prototype.findNewContacts=function(){this.m_broadPhase.updatePairs(this.addPair)},At.prototype.createContact=function(t,i){var e=t.fixture,s=i.fixture,o=t.childIndex,n=i.childIndex,r=e.getBody(),m=s.getBody();if(r!=m){for(var a=m.getContactList();a;){if(a.other==r){var h=a.contact.getFixtureA(),_=a.contact.getFixtureB(),c=a.contact.getChildIndexA(),l=a.contact.getChildIndexB();if(h==e&&_==s&&c==o&&l==n)return;if(h==s&&_==e&&c==n&&l==o)return}a=a.next}if(0!=m.shouldCollide(r)&&0!=s.shouldCollide(e)){var u=U.create(e,o,s,n);null!=u&&(u.m_prev=null,null!=this.m_contactList&&(u.m_next=this.m_contactList,this.m_contactList.m_prev=u),this.m_contactList=u,++this.m_contactCount)}}},At.prototype.updateContacts=function(){for(var t,i=this.m_contactList;t=i;){i=t.getNext();var e=t.getFixtureA(),s=t.getFixtureB(),o=t.getChildIndexA(),n=t.getChildIndexB(),r=e.getBody(),m=s.getBody();if(t.m_filterFlag){if(0==m.shouldCollide(r)){this.destroyContact(t);continue}if(0==s.shouldCollide(e)){this.destroyContact(t);continue}t.m_filterFlag=!1}var a=r.isAwake()&&!r.isStatic(),h=m.isAwake()&&!m.isStatic();if(0!=a||0!=h){var _=e.m_proxies[o].proxyId,c=s.m_proxies[n].proxyId;0!=this.m_broadPhase.testOverlap(_,c)?t.update(this):this.destroyContact(t)}}},At.prototype.destroyContact=function(t){U.destroy(t,this),t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_contactList&&(this.m_contactList=t.m_next),--this.m_contactCount},At.prototype._listeners=null,At.prototype.on=function(t,i){return"string"!=typeof t||"function"!=typeof i||(this._listeners||(this._listeners={}),this._listeners[t]||(this._listeners[t]=[]),this._listeners[t].push(i)),this},At.prototype.off=function(t,i){if("string"!=typeof t||"function"!=typeof i)return this;var e=this._listeners&&this._listeners[t];if(!e||!e.length)return this;var s=e.indexOf(i);return s>=0&&e.splice(s,1),this},At.prototype.publish=function(t,i,e,s){var o=this._listeners&&this._listeners[t];if(!o||!o.length)return 0;for(var n=0;n<o.length;n++)o[n].call(this,i,e,s);return o.length},At.prototype.beginContact=function(t){this.publish("begin-contact",t)},At.prototype.endContact=function(t){this.publish("end-contact",t)},At.prototype.preSolve=function(t,i){this.publish("pre-solve",t,i)},At.prototype.postSolve=function(t,i){this.publish("post-solve",t,i)};var gt=0;function Bt(t){var e=(t=t||{}).rootClass||At,s=t.preSerialize||function(t){return t},o=t.postSerialize||function(t,i){return t},n=t.preDeserialize||function(t){return t},m=t.postDeserialize||function(t,i){return t},a={World:At,Body:V,Joint:st,Fixture:C,Shape:g},h=Object.assign({Vec2:r,Vec3:O},a);this.toJson=function(t){var e=[],n=[t],r={};function m(t,i){if(t.__sid=t.__sid||++gt,!r[t.__sid]){n.push(t);var s={refIndex:e.length+n.length,refType:i};r[t.__sid]=s}return r[t.__sid]}function h(t,e){if("object"!==i(t)||null===t)return t;if("function"==typeof t._serialize){if(t!==e)for(var n in a)if(t instanceof a[n])return m(t,n);t=function(t){var i=(t=s(t))._serialize();return o(i,t)}(t)}if(Array.isArray(t)){for(var r=[],_=0;_<t.length;_++)r[_]=h(t[_]);t=r}else{r={};for(var _ in t)t.hasOwnProperty(_)&&(r[_]=h(t[_]));t=r}return t}for(;n.length;){var _=n.shift(),c=h(_,_);e.push(c)}return e},this.fromJson=function(t){var i={};function s(t,i,e){i=n(i);var s=t._deserialize(i,e,o);return s=m(s,i)}function o(e,o,n){if(!o.refIndex)return e&&e._deserialize&&s(e,o,n);e=h[o.refType]||e;var r=o.refIndex;if(!i[r]){var m=s(e,t[r],n);i[r]=m}return i[r]}return e._deserialize(t[0],null,o)}}var wt=new Bt;function Ct(t,e){if(!(this instanceof Ct))return new Ct(t,e);Ct._super.call(this),this.m_type=Ct.TYPE,this.m_p=r.zero(),this.m_radius=1,"object"===i(t)&&r.isValid(t)?(this.m_p.set(t),"number"==typeof e&&(this.m_radius=e)):"number"==typeof t&&(this.m_radius=t)}function Mt(t,i){if(!(this instanceof Mt))return new Mt(t,i);Mt._super.call(this),this.m_type=Mt.TYPE,this.m_radius=m.polygonRadius,this.m_vertex1=t?r.clone(t):r.zero(),this.m_vertex2=i?r.clone(i):r.zero(),this.m_vertex0=r.zero(),this.m_vertex3=r.zero(),this.m_hasVertex0=!1,this.m_hasVertex3=!1}function It(t){if(!(this instanceof It))return new It(t);It._super.call(this),this.m_type=It.TYPE,this.m_radius=m.polygonRadius,this.m_centroid=r.zero(),this.m_vertices=[],this.m_normals=[],this.m_count=0,t&&t.length&&this._set(t)}function zt(t,i){if(!(this instanceof zt))return new zt(t,i);zt._super.call(this),this.m_type=zt.TYPE,this.m_radius=m.polygonRadius,this.m_vertices=[],this.m_count=0,this.m_prevVertex=null,this.m_nextVertex=null,this.m_hasPrevVertex=!1,this.m_hasNextVertex=!1,this.m_isLoop=i,t&&t.length&&(i?this._createLoop(t):this._createChain(t))}function St(t,i,e,s){if(!(this instanceof St))return new St(t,i,e,s);St._super.call(this),this._setAsBox(t,i,e,s)}function Vt(t,i,e,s,o){t.pointCount=0;var n=f.mulVec2(e,i.m_p),m=f.mulVec2(o,s.m_p),a=r.distanceSquared(m,n),h=i.m_radius+s.m_radius;a>h*h||(t.type=L.e_circles,t.localPoint.set(i.m_p),t.localNormal.setZero(),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=L.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=L.e_vertex)}function Pt(t,i,e,s,o){t.pointCount=0;var n=f.mulTVec2(e,f.mulVec2(o,s.m_p)),m=i.m_vertex1,a=i.m_vertex2,h=r.sub(a,m),_=r.dot(h,r.sub(a,n)),c=r.dot(h,r.sub(n,m)),l=i.m_radius+s.m_radius;if(c<=0){var u=r.clone(m),p=r.sub(n,u);if(r.dot(p,p)>l*l)return;if(i.m_hasVertex0){var y=i.m_vertex0,d=m,v=r.sub(d,y);if(r.dot(v,r.sub(d,n))>0)return}return t.type=L.e_circles,t.localNormal.setZero(),t.localPoint.set(u),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=L.e_vertex,t.points[0].id.cf.indexB=0,void(t.points[0].id.cf.typeB=L.e_vertex)}if(_<=0){u=r.clone(a),p=r.sub(n,u);if(r.dot(p,p)>l*l)return;if(i.m_hasVertex3){var x=i.m_vertex3,A=a,b=r.sub(x,A);if(r.dot(b,r.sub(n,A))>0)return}return t.type=L.e_circles,t.localNormal.setZero(),t.localPoint.set(u),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=1,t.points[0].id.cf.typeA=L.e_vertex,t.points[0].id.cf.indexB=0,void(t.points[0].id.cf.typeB=L.e_vertex)}var g=r.dot(h,h);u=r.combine(_/g,m,c/g,a),p=r.sub(n,u);if(!(r.dot(p,p)>l*l)){var B=r.neo(-h.y,h.x);r.dot(B,r.sub(n,m))<0&&B.set(-B.x,-B.y),B.normalize(),t.type=L.e_faceA,t.localNormal=B,t.localPoint.set(m),t.pointCount=1,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=L.e_face,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=L.e_vertex}}function Tt(t,i,e,s){for(var o=t.m_count,n=e.m_count,m=t.m_normals,a=t.m_vertices,h=e.m_vertices,_=f.mulTXf(s,i),c=0,l=-1/0,u=0;u<o;++u){for(var p=v.mulVec2(_.q,m[u]),y=f.mulVec2(_,a[u]),d=1/0,x=0;x<n;++x){var A=r.dot(p,h[x])-r.dot(p,y);A<d&&(d=A)}d>l&&(l=d,c=u)}Tt._maxSeparation=l,Tt._bestIndex=c}function Lt(t,i,e,s,o){t.pointCount=0;var n=i.m_radius+s.m_radius;Tt(i,e,s,o);var a=Tt._bestIndex,h=Tt._maxSeparation;if(!(h>n)){Tt(s,o,i,e);var _=Tt._bestIndex,c=Tt._maxSeparation;if(!(c>n)){var l,u,p,y,d,x;c>h+.1*m.linearSlop?(l=s,u=i,p=o,y=e,d=_,t.type=L.e_faceB,x=1):(l=i,u=s,p=e,y=o,d=a,t.type=L.e_faceA,x=0);var A=[new L.ClipVertex,new L.ClipVertex];!function(t,i,e,s,o,n){for(var m=i.m_normals,a=o.m_count,h=o.m_vertices,_=o.m_normals,c=v.mulT(n.q,v.mulVec2(e.q,m[s])),l=0,u=1/0,p=0;p<a;++p){var y=r.dot(c,_[p]);y<u&&(u=y,l=p)}var d=l,x=d+1<a?d+1:0;t[0].v=f.mulVec2(n,h[d]),t[0].id.cf.indexA=s,t[0].id.cf.indexB=d,t[0].id.cf.typeA=L.e_face,t[0].id.cf.typeB=L.e_vertex,t[1].v=f.mulVec2(n,h[x]),t[1].id.cf.indexA=s,t[1].id.cf.indexB=x,t[1].id.cf.typeA=L.e_face,t[1].id.cf.typeB=L.e_vertex}(A,l,p,d,u,y);var b=l.m_count,g=l.m_vertices,B=d,w=d+1<b?d+1:0,C=g[B],M=g[w],I=r.sub(M,C);I.normalize();var z=r.cross(I,1),S=r.combine(.5,C,.5,M),V=v.mulVec2(p.q,I),P=r.cross(V,1);C=f.mulVec2(p,C),M=f.mulVec2(p,M);var T=r.dot(P,C),q=-r.dot(V,C)+n,F=r.dot(V,M)+n,k=[new L.ClipVertex,new L.ClipVertex],D=[new L.ClipVertex,new L.ClipVertex];if(!(L.clipSegmentToLine(k,A,r.neg(V),q,B)<2||L.clipSegmentToLine(D,k,V,F,w)<2)){t.localNormal=z,t.localPoint=S;for(var j=0,R=0;R<D.length;++R){if(r.dot(P,D[R].v)-T<=n){var E=t.points[j];if(E.localPoint.set(f.mulTVec2(y,D[R].v)),E.id=D[R].id,x){var O=E.id.cf,Y=O.indexA,J=O.indexB,N=O.typeA,W=O.typeB;O.indexA=J,O.indexB=Y,O.typeA=W,O.typeB=N}++j}}t.pointCount=j}}}}function qt(t,i,e,s,o){t.pointCount=0;for(var m=f.mulVec2(o,s.m_p),a=f.mulTVec2(e,m),h=0,_=-1/0,c=i.m_radius+s.m_radius,l=i.m_count,u=i.m_vertices,p=i.m_normals,y=0;y<l;++y){var d=r.dot(p[y],r.sub(a,u[y]));if(d>c)return;d>_&&(_=d,h=y)}var v=h,x=v+1<l?v+1:0,A=u[v],b=u[x];if(_<n.EPSILON)return t.pointCount=1,t.type=L.e_faceA,t.localNormal.set(p[h]),t.localPoint.setCombine(.5,A,.5,b),t.points[0].localPoint=s.m_p,t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=L.e_vertex,t.points[0].id.cf.indexB=0,void(t.points[0].id.cf.typeB=L.e_vertex);var g=r.dot(r.sub(a,A),r.sub(b,A)),B=r.dot(r.sub(a,b),r.sub(A,b));if(g<=0){if(r.distanceSquared(a,A)>c*c)return;t.pointCount=1,t.type=L.e_faceA,t.localNormal.setCombine(1,a,-1,A),t.localNormal.normalize(),t.localPoint=A,t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=L.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=L.e_vertex}else if(B<=0){if(r.distanceSquared(a,b)>c*c)return;t.pointCount=1,t.type=L.e_faceA,t.localNormal.setCombine(1,a,-1,b),t.localNormal.normalize(),t.localPoint.set(b),t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=L.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=L.e_vertex}else{var w=r.mid(A,b);if((_=r.dot(a,p[v])-r.dot(w,p[v]))>c)return;t.pointCount=1,t.type=L.e_faceA,t.localNormal.set(p[v]),t.localPoint.set(w),t.points[0].localPoint.set(s.m_p),t.points[0].id.cf.indexA=0,t.points[0].id.cf.typeA=L.e_vertex,t.points[0].id.cf.indexB=0,t.points[0].id.cf.typeB=L.e_vertex}}Bt.toJson=wt.toJson,Bt.fromJson=wt.fromJson,Ct._super=g,Ct.prototype=Object.create(Ct._super.prototype),Ct.TYPE="circle",g.TYPES[Ct.TYPE]=Ct,Ct.prototype._serialize=function(){return{type:this.m_type,p:this.m_p,radius:this.m_radius}},Ct._deserialize=function(t){return new Ct(t.p,t.radius)},Ct.prototype.getRadius=function(){return this.m_radius},Ct.prototype.getCenter=function(){return this.m_p},Ct.prototype.getVertex=function(t){return this.m_p},Ct.prototype.getVertexCount=function(t){return 1},Ct.prototype._clone=function(){var t=new Ct;return t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_p=this.m_p.clone(),t},Ct.prototype.getChildCount=function(){return 1},Ct.prototype.testPoint=function(t,i){var e=r.add(t.p,v.mulVec2(t.q,this.m_p)),s=r.sub(i,e);return r.dot(s,s)<=this.m_radius*this.m_radius},Ct.prototype.rayCast=function(t,i,e,s){var o=r.add(e.p,v.mulVec2(e.q,this.m_p)),m=r.sub(i.p1,o),a=r.dot(m,m)-this.m_radius*this.m_radius,h=r.sub(i.p2,i.p1),_=r.dot(m,h),c=r.dot(h,h),l=_*_-c*a;if(l<0||c<n.EPSILON)return!1;var u=-(_+n.sqrt(l));return 0<=u&&u<=i.maxFraction*c&&(u/=c,t.fraction=u,t.normal=r.add(m,r.mul(u,h)),t.normal.normalize(),!0)},Ct.prototype.computeAABB=function(t,i,e){var s=r.add(i.p,v.mulVec2(i.q,this.m_p));t.lowerBound.set(s.x-this.m_radius,s.y-this.m_radius),t.upperBound.set(s.x+this.m_radius,s.y+this.m_radius)},Ct.prototype.computeMass=function(t,i){t.mass=i*n.PI*this.m_radius*this.m_radius,t.center=this.m_p,t.I=t.mass*(.5*this.m_radius*this.m_radius+r.dot(this.m_p,this.m_p))},Ct.prototype.computeDistanceProxy=function(t){t.m_vertices.push(this.m_p),t.m_count=1,t.m_radius=this.m_radius},Mt._super=g,Mt.prototype=Object.create(Mt._super.prototype),Mt.TYPE="edge",g.TYPES[Mt.TYPE]=Mt,Mt.prototype._serialize=function(){return{type:this.m_type,vertex1:this.m_vertex1,vertex2:this.m_vertex2,vertex0:this.m_vertex0,vertex3:this.m_vertex3,hasVertex0:this.m_hasVertex0,hasVertex3:this.m_hasVertex3}},Mt._deserialize=function(t){var i=new Mt(t.vertex1,t.vertex2);return i.hasVertex0&&i.setPrev(t.vertex0),i.hasVertex3&&i.setNext(t.vertex3),i},Mt.prototype.setNext=function(t){return t?(this.m_vertex3.set(t),this.m_hasVertex3=!0):(this.m_vertex3.setZero(),this.m_hasVertex3=!1),this},Mt.prototype.setPrev=function(t){return t?(this.m_vertex0.set(t),this.m_hasVertex0=!0):(this.m_vertex0.setZero(),this.m_hasVertex0=!1),this},Mt.prototype._set=function(t,i){return this.m_vertex1.set(t),this.m_vertex2.set(i),this.m_hasVertex0=!1,this.m_hasVertex3=!1,this},Mt.prototype._clone=function(){var t=new Mt;return t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_vertex1.set(this.m_vertex1),t.m_vertex2.set(this.m_vertex2),t.m_vertex0.set(this.m_vertex0),t.m_vertex3.set(this.m_vertex3),t.m_hasVertex0=this.m_hasVertex0,t.m_hasVertex3=this.m_hasVertex3,t},Mt.prototype.getChildCount=function(){return 1},Mt.prototype.testPoint=function(t,i){return!1},Mt.prototype.rayCast=function(t,i,e,s){var o=v.mulTVec2(e.q,r.sub(i.p1,e.p)),n=v.mulTVec2(e.q,r.sub(i.p2,e.p)),m=r.sub(n,o),a=this.m_vertex1,h=this.m_vertex2,_=r.sub(h,a),c=r.neo(_.y,-_.x);c.normalize();var l=r.dot(c,r.sub(a,o)),u=r.dot(c,m);if(0==u)return!1;var p=l/u;if(p<0||i.maxFraction<p)return!1;var y=r.add(o,r.mul(p,m)),d=r.sub(h,a),f=r.dot(d,d);if(0==f)return!1;var x=r.dot(r.sub(y,a),d)/f;return!(x<0||1<x)&&(t.fraction=p,t.normal=l>0?v.mulVec2(e.q,c).neg():v.mulVec2(e.q,c),!0)},Mt.prototype.computeAABB=function(t,i,e){var s=f.mulVec2(i,this.m_vertex1),o=f.mulVec2(i,this.m_vertex2);t.combinePoints(s,o),t.extend(this.m_radius)},Mt.prototype.computeMass=function(t,i){t.mass=0,t.center.setCombine(.5,this.m_vertex1,.5,this.m_vertex2),t.I=0},Mt.prototype.computeDistanceProxy=function(t){t.m_vertices.push(this.m_vertex1),t.m_vertices.push(this.m_vertex2),t.m_count=2,t.m_radius=this.m_radius},It._super=g,It.prototype=Object.create(It._super.prototype),It.TYPE="polygon",g.TYPES[It.TYPE]=It,It.prototype._serialize=function(){return{type:this.m_type,vertices:this.m_vertices}},It._deserialize=function(t,i,e){var s=[];if(t.vertices)for(var o=0;o<t.vertices.length;o++)s.push(e(r,t.vertices[o]));return new It(s)},It.prototype.getVertex=function(t){return this.m_vertices[t]},It.prototype._clone=function(){var t=new It;t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_count=this.m_count,t.m_centroid.set(this.m_centroid);for(var i=0;i<this.m_count;i++)t.m_vertices.push(this.m_vertices[i].clone());for(i=0;i<this.m_normals.length;i++)t.m_normals.push(this.m_normals[i].clone());return t},It.prototype.getChildCount=function(){return 1},It.prototype._reset=function(){this._set(this.m_vertices)},It.prototype._set=function(t){if(t.length<3)this._setAsBox(1,1);else{for(var i=n.min(t.length,m.maxPolygonVertices),e=[],s=0;s<i;++s){for(var o=t[s],a=!0,h=0;h<e.length;++h)if(r.distanceSquared(o,e[h])<.25*m.linearSlopSquared){a=!1;break}a&&e.push(o)}if((i=e.length)<3)this._setAsBox(1,1);else{var _=0,c=e[0].x;for(s=1;s<i;++s){var l=e[s].x;(l>c||l===c&&e[s].y<e[_].y)&&(_=s,c=l)}for(var u=[],p=0,y=_;;){u[p]=y;var d=0;for(h=1;h<i;++h)if(d!==y){var v=r.sub(e[d],e[u[p]]),f=(o=r.sub(e[h],e[u[p]]),r.cross(v,o));f<0&&(d=h),0===f&&o.lengthSquared()>v.lengthSquared()&&(d=h)}else d=h;if(++p,y=d,d===_)break}if(p<3)this._setAsBox(1,1);else{this.m_count=p,this.m_vertices=[];for(s=0;s<p;++s)this.m_vertices[s]=e[u[s]];for(s=0;s<p;++s){var x=s,A=s+1<p?s+1:0,b=r.sub(this.m_vertices[A],this.m_vertices[x]);this.m_normals[s]=r.cross(b,1),this.m_normals[s].normalize()}this.m_centroid=function(t,i){for(var e=r.zero(),s=0,o=r.zero(),n=1/3,m=0;m<i;++m){var a=o,h=t[m],_=m+1<i?t[m+1]:t[0],c=r.sub(h,a),l=r.sub(_,a),u=.5*r.cross(c,l);s+=u,e.addMul(u*n,a),e.addMul(u*n,h),e.addMul(u*n,_)}return e.mul(1/s),e}(this.m_vertices,p)}}}},It.prototype._setAsBox=function(t,i,e,s){if(this.m_vertices[0]=r.neo(t,-i),this.m_vertices[1]=r.neo(t,i),this.m_vertices[2]=r.neo(-t,i),this.m_vertices[3]=r.neo(-t,-i),this.m_normals[0]=r.neo(1,0),this.m_normals[1]=r.neo(0,1),this.m_normals[2]=r.neo(-1,0),this.m_normals[3]=r.neo(0,-1),this.m_count=4,r.isValid(e)){s=s||0,this.m_centroid.set(e);var o=f.identity();o.p.set(e),o.q.set(s);for(var n=0;n<this.m_count;++n)this.m_vertices[n]=f.mulVec2(o,this.m_vertices[n]),this.m_normals[n]=v.mulVec2(o.q,this.m_normals[n])}},It.prototype.testPoint=function(t,i){for(var e=v.mulTVec2(t.q,r.sub(i,t.p)),s=0;s<this.m_count;++s){if(r.dot(this.m_normals[s],r.sub(e,this.m_vertices[s]))>0)return!1}return!0},It.prototype.rayCast=function(t,i,e,s){for(var o=v.mulTVec2(e.q,r.sub(i.p1,e.p)),n=v.mulTVec2(e.q,r.sub(i.p2,e.p)),m=r.sub(n,o),a=0,h=i.maxFraction,_=-1,c=0;c<this.m_count;++c){var l=r.dot(this.m_normals[c],r.sub(this.m_vertices[c],o)),u=r.dot(this.m_normals[c],m);if(0==u){if(l<0)return!1}else u<0&&l<a*u?(a=l/u,_=c):u>0&&l<h*u&&(h=l/u);if(h<a)return!1}return _>=0&&(t.fraction=a,t.normal=v.mulVec2(e.q,this.m_normals[_]),!0)},It.prototype.computeAABB=function(t,i,e){for(var s=1/0,o=1/0,r=-1/0,m=-1/0,a=0;a<this.m_count;++a){var h=f.mulVec2(i,this.m_vertices[a]);s=n.min(s,h.x),r=n.max(r,h.x),o=n.min(o,h.y),m=n.max(m,h.y)}t.lowerBound.set(s,o),t.upperBound.set(r,m),t.extend(this.m_radius)},It.prototype.computeMass=function(t,i){for(var e=r.zero(),s=0,o=0,n=r.zero(),m=0;m<this.m_count;++m)n.add(this.m_vertices[m]);n.mul(1/this.m_count);var a=1/3;for(m=0;m<this.m_count;++m){var h=r.sub(this.m_vertices[m],n),_=m+1<this.m_count?r.sub(this.m_vertices[m+1],n):r.sub(this.m_vertices[0],n),c=r.cross(h,_),l=.5*c;s+=l,e.addCombine(l*a,h,l*a,_);var u=h.x,p=h.y,y=_.x,d=_.y;o+=.25*a*c*(u*u+y*u+y*y+(p*p+d*p+d*d))}t.mass=i*s,e.mul(1/s),t.center.setCombine(1,e,1,n),t.I=i*o,t.I+=t.mass*(r.dot(t.center,t.center)-r.dot(e,e))},It.prototype.validate=function(){for(var t=0;t<this.m_count;++t)for(var i=t,e=t<this.m_count-1?i+1:0,s=this.m_vertices[i],o=r.sub(this.m_vertices[e],s),n=0;n<this.m_count;++n)if(n!=i&&n!=e){var m=r.sub(this.m_vertices[n],s);if(r.cross(o,m)<0)return!1}return!0},It.prototype.computeDistanceProxy=function(t){t.m_vertices=this.m_vertices,t.m_count=this.m_count,t.m_radius=this.m_radius},zt._super=g,zt.prototype=Object.create(zt._super.prototype),zt.TYPE="chain",g.TYPES[zt.TYPE]=zt,zt.prototype._serialize=function(){var t={type:this.m_type,vertices:this.m_vertices,isLoop:this.m_isLoop,hasPrevVertex:this.m_hasPrevVertex,hasNextVertex:this.m_hasNextVertex};return this.m_prevVertex&&(t.prevVertex=this.m_prevVertex),this.m_nextVertex&&(t.nextVertex=this.m_nextVertex),t},zt._deserialize=function(t,i,e){var s=[];if(t.vertices)for(var o=0;o<t.vertices.length;o++)s.push(e(r,t.vertices[o]));var n=new zt(s,t.isLoop);return t.prevVertex&&n.setPrevVertex(t.prevVertex),t.nextVertex&&n.setNextVertex(t.nextVertex),n},zt.prototype._createLoop=function(t){for(var i=1;i<t.length;++i)t[i-1],t[i];this.m_vertices=[],this.m_count=t.length+1;for(i=0;i<t.length;++i)this.m_vertices[i]=r.clone(t[i]);return this.m_vertices[t.length]=r.clone(t[0]),this.m_prevVertex=this.m_vertices[this.m_count-2],this.m_nextVertex=this.m_vertices[1],this.m_hasPrevVertex=!0,this.m_hasNextVertex=!0,this},zt.prototype._createChain=function(t){for(var i=1;i<t.length;++i)t[i-1],t[i];this.m_count=t.length;for(i=0;i<t.length;++i)this.m_vertices[i]=r.clone(t[i]);return this.m_hasPrevVertex=!1,this.m_hasNextVertex=!1,this.m_prevVertex=null,this.m_nextVertex=null,this},zt.prototype._reset=function(){this.m_isLoop?this._createLoop(this.m_vertices):this._createChain(this.m_vertices)},zt.prototype.setPrevVertex=function(t){this.m_prevVertex=t,this.m_hasPrevVertex=!0},zt.prototype.setNextVertex=function(t){this.m_nextVertex=t,this.m_hasNextVertex=!0},zt.prototype._clone=function(){var t=new zt;return t.createChain(this.m_vertices),t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_prevVertex=this.m_prevVertex,t.m_nextVertex=this.m_nextVertex,t.m_hasPrevVertex=this.m_hasPrevVertex,t.m_hasNextVertex=this.m_hasNextVertex,t},zt.prototype.getChildCount=function(){return this.m_count-1},zt.prototype.getChildEdge=function(t,i){t.m_type=Mt.TYPE,t.m_radius=this.m_radius,t.m_vertex1=this.m_vertices[i],t.m_vertex2=this.m_vertices[i+1],i>0?(t.m_vertex0=this.m_vertices[i-1],t.m_hasVertex0=!0):(t.m_vertex0=this.m_prevVertex,t.m_hasVertex0=this.m_hasPrevVertex),i<this.m_count-2?(t.m_vertex3=this.m_vertices[i+2],t.m_hasVertex3=!0):(t.m_vertex3=this.m_nextVertex,t.m_hasVertex3=this.m_hasNextVertex)},zt.prototype.getVertex=function(t){return t<this.m_count?this.m_vertices[t]:this.m_vertices[0]},zt.prototype.testPoint=function(t,i){return!1},zt.prototype.rayCast=function(t,i,e,s){return new Mt(this.getVertex(s),this.getVertex(s+1)).rayCast(t,i,e,0)},zt.prototype.computeAABB=function(t,i,e){var s=f.mulVec2(i,this.getVertex(e)),o=f.mulVec2(i,this.getVertex(e+1));t.combinePoints(s,o)},zt.prototype.computeMass=function(t,i){t.mass=0,t.center=r.neo(),t.I=0},zt.prototype.computeDistanceProxy=function(t,i){t.m_buffer[0]=this.getVertex(i),t.m_buffer[1]=this.getVertex(i+1),t.m_vertices=t.m_buffer,t.m_count=2,t.m_radius=this.m_radius},St._super=It,St.prototype=Object.create(St._super.prototype),St.TYPE="polygon",U.addType(Ct.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){Vt(t,e.getShape(),i,n.getShape(),o)})),U.addType(Mt.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){var m=e.getShape(),a=n.getShape();Pt(t,m,i,a,o)})),U.addType(zt.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){var m=e.getShape(),a=new Mt;m.getChildEdge(a,s);var h=a,_=n.getShape();Pt(t,h,i,_,o)})),U.addType(It.TYPE,It.TYPE,(function(t,i,e,s,o,n,r){Lt(t,e.getShape(),i,n.getShape(),o)})),U.addType(It.TYPE,Ct.TYPE,(function(t,i,e,s,o,n,r){qt(t,e.getShape(),i,n.getShape(),o)})),U.addType(Mt.TYPE,It.TYPE,(function(t,i,e,s,o,n,r){Et(t,e.getShape(),i,n.getShape(),o)})),U.addType(zt.TYPE,It.TYPE,(function(t,i,e,s,o,n,r){var m=e.getShape(),a=new Mt;m.getChildEdge(a,s),Et(t,a,i,n.getShape(),o)}));function Ft(){this.type,this.index,this.separation}var kt=new Ft,Dt=new Ft,jt=new function(){this.vertices=[],this.normals=[],this.count=0},Rt=new function(){this.i1,this.i2,this.v1,this.v2,this.normal=r.zero(),this.sideNormal1=r.zero(),this.sideOffset1,this.sideNormal2=r.zero(),this.sideOffset2};function Et(t,i,e,s,o){var a=f.mulTXf(e,o),h=f.mulVec2(a,s.m_centroid),_=i.m_vertex0,c=i.m_vertex1,l=i.m_vertex2,u=i.m_vertex3,p=i.m_hasVertex0,y=i.m_hasVertex3,d=r.sub(l,c);d.normalize();var x,A=r.neo(d.y,-d.x),b=r.dot(A,r.sub(h,c)),g=0,B=0,w=!1,C=!1;if(p){var M=r.sub(c,_);M.normalize();var I=r.neo(M.y,-M.x);w=r.cross(M,d)>=0,g=r.dot(I,h)-r.dot(I,_)}if(y){var z=r.sub(u,l);z.normalize();var S=r.neo(z.y,-z.x);C=r.cross(d,z)>0,B=r.dot(S,h)-r.dot(S,l)}var V=r.zero(),P=r.zero(),T=r.zero();p&&y?w&&C?(x=g>=0||b>=0||B>=0)?(V.set(A),P.set(I),T.set(S)):(V.setMul(-1,A),P.setMul(-1,A),T.setMul(-1,A)):w?(x=g>=0||b>=0&&B>=0)?(V.set(A),P.set(I),T.set(A)):(V.setMul(-1,A),P.setMul(-1,S),T.setMul(-1,A)):C?(x=B>=0||g>=0&&b>=0)?(V.set(A),P.set(A),T.set(S)):(V.setMul(-1,A),P.setMul(-1,A),T.setMul(-1,I)):(x=g>=0&&b>=0&&B>=0)?(V.set(A),P.set(A),T.set(A)):(V.setMul(-1,A),P.setMul(-1,S),T.setMul(-1,I)):p?w?(x=g>=0||b>=0)?(V.set(A),P.set(I),T.setMul(-1,A)):(V.setMul(-1,A),P.set(A),T.setMul(-1,A)):(x=g>=0&&b>=0)?(V.set(A),P.set(A),T.setMul(-1,A)):(V.setMul(-1,A),P.set(A),T.setMul(-1,I)):y?C?(x=b>=0||B>=0)?(V.set(A),P.setMul(-1,A),T.set(S)):(V.setMul(-1,A),P.setMul(-1,A),T.set(A)):(x=b>=0&&B>=0)?(V.set(A),P.setMul(-1,A),T.set(A)):(V.setMul(-1,A),P.setMul(-1,S),T.set(A)):(x=b>=0)?(V.set(A),P.setMul(-1,A),T.setMul(-1,A)):(V.setMul(-1,A),P.set(A),T.set(A)),jt.count=s.m_count;for(var q=0;q<s.m_count;++q)jt.vertices[q]=f.mulVec2(a,s.m_vertices[q]),jt.normals[q]=v.mulVec2(a.q,s.m_normals[q]);var F=2*m.polygonRadius;t.pointCount=0,kt.type=1,kt.index=x?0:1,kt.separation=1/0;for(q=0;q<jt.count;++q){(D=r.dot(V,r.sub(jt.vertices[q],c)))<kt.separation&&(kt.separation=D)}if(-1!=kt.type&&!(kt.separation>F)){Dt.type=-1,Dt.index=-1,Dt.separation=-1/0;var k=r.neo(-V.y,V.x);for(q=0;q<jt.count;++q){var D,j=r.neg(jt.normals[q]),R=r.dot(j,r.sub(jt.vertices[q],c)),E=r.dot(j,r.sub(jt.vertices[q],l));if((D=n.min(R,E))>F){Dt.type=2,Dt.index=q,Dt.separation=D;break}if(r.dot(j,k)>=0){if(r.dot(r.sub(j,T),V)<-m.angularSlop)continue}else if(r.dot(r.sub(j,P),V)<-m.angularSlop)continue;D>Dt.separation&&(Dt.type=2,Dt.index=q,Dt.separation=D)}if(!(-1!=Dt.type&&Dt.separation>F)){var O;O=-1==Dt.type?kt:Dt.separation>.98*kt.separation+.001?Dt:kt;var Y=[new L.ClipVertex,new L.ClipVertex];if(1==O.type){t.type=L.e_faceA;var J=0,N=r.dot(V,jt.normals[0]);for(q=1;q<jt.count;++q){var W=r.dot(V,jt.normals[q]);W<N&&(N=W,J=q)}var H=J,Z=H+1<jt.count?H+1:0;Y[0].v=jt.vertices[H],Y[0].id.cf.indexA=0,Y[0].id.cf.indexB=H,Y[0].id.cf.typeA=L.e_face,Y[0].id.cf.typeB=L.e_vertex,Y[1].v=jt.vertices[Z],Y[1].id.cf.indexA=0,Y[1].id.cf.indexB=Z,Y[1].id.cf.typeA=L.e_face,Y[1].id.cf.typeB=L.e_vertex,x?(Rt.i1=0,Rt.i2=1,Rt.v1=c,Rt.v2=l,Rt.normal.set(A)):(Rt.i1=1,Rt.i2=0,Rt.v1=l,Rt.v2=c,Rt.normal.setMul(-1,A))}else t.type=L.e_faceB,Y[0].v=c,Y[0].id.cf.indexA=0,Y[0].id.cf.indexB=O.index,Y[0].id.cf.typeA=L.e_vertex,Y[0].id.cf.typeB=L.e_face,Y[1].v=l,Y[1].id.cf.indexA=0,Y[1].id.cf.indexB=O.index,Y[1].id.cf.typeA=L.e_vertex,Y[1].id.cf.typeB=L.e_face,Rt.i1=O.index,Rt.i2=Rt.i1+1<jt.count?Rt.i1+1:0,Rt.v1=jt.vertices[Rt.i1],Rt.v2=jt.vertices[Rt.i2],Rt.normal.set(jt.normals[Rt.i1]);Rt.sideNormal1.set(Rt.normal.y,-Rt.normal.x),Rt.sideNormal2.setMul(-1,Rt.sideNormal1),Rt.sideOffset1=r.dot(Rt.sideNormal1,Rt.v1),Rt.sideOffset2=r.dot(Rt.sideNormal2,Rt.v2);var X=[new L.ClipVertex,new L.ClipVertex],G=[new L.ClipVertex,new L.ClipVertex];if(!(L.clipSegmentToLine(X,Y,Rt.sideNormal1,Rt.sideOffset1,Rt.i1)<m.maxManifoldPoints||L.clipSegmentToLine(G,X,Rt.sideNormal2,Rt.sideOffset2,Rt.i2)<m.maxManifoldPoints)){1==O.type?(t.localNormal=r.clone(Rt.normal),t.localPoint=r.clone(Rt.v1)):(t.localNormal=r.clone(s.m_normals[Rt.i1]),t.localPoint=r.clone(s.m_vertices[Rt.i1]));var K=0;for(q=0;q<m.maxManifoldPoints;++q){if(r.dot(Rt.normal,r.sub(G[q].v,Rt.v1))<=F){var U=t.points[K];1==O.type?(U.localPoint=f.mulT(a,G[q].v),U.id=G[q].id):(U.localPoint=G[q].v,U.id.cf.typeA=G[q].id.cf.typeB,U.id.cf.typeB=G[q].id.cf.typeA,U.id.cf.indexA=G[q].id.cf.indexB,U.id.cf.indexB=G[q].id.cf.indexA),++K}}t.pointCount=K}}}}Yt.TYPE="distance-joint",st.TYPES[Yt.TYPE]=Yt,Yt._super=st,Yt.prototype=Object.create(Yt._super.prototype);var Ot={frequencyHz:0,dampingRatio:0};function Yt(t,i,s,o,m){if(!(this instanceof Yt))return new Yt(t,i,s,o,m);if(s&&o&&"m_type"in o&&"x"in s&&"y"in s){var a=s;s=o,o=a}t=e(t,Ot),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Yt.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(m?s.getLocalPoint(m):t.localAnchorB||r.zero()),this.m_length=n.isFinite(t.length)?t.length:r.distance(i.getWorldPoint(this.m_localAnchorA),s.getWorldPoint(this.m_localAnchorB)),this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_impulse=0,this.m_gamma=0,this.m_bias=0,this.m_u,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass}Yt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,length:this.m_length,impulse:this.m_impulse,gamma:this.m_gamma,bias:this.m_bias}},Yt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new Yt(t)},Yt.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB),t.length>0?this.m_length=+t.length:t.length<0||(t.anchorA||t.anchorA||t.anchorA||t.anchorA)&&(this.m_length=r.distance(this.m_bodyA.getWorldPoint(this.m_localAnchorA),this.m_bodyB.getWorldPoint(this.m_localAnchorB)))},Yt.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Yt.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Yt.prototype.setLength=function(t){this.m_length=t},Yt.prototype.getLength=function(){return this.m_length},Yt.prototype.setFrequency=function(t){this.m_frequencyHz=t},Yt.prototype.getFrequency=function(){return this.m_frequencyHz},Yt.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},Yt.prototype.getDampingRatio=function(){return this.m_dampingRatio},Yt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Yt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Yt.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_u).mul(t)},Yt.prototype.getReactionTorque=function(t){return 0},Yt.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,a=this.m_bodyB.c_position.c,h=this.m_bodyB.c_position.a,_=this.m_bodyB.c_velocity.v,c=this.m_bodyB.c_velocity.w,l=v.neo(e),u=v.neo(h);this.m_rA=v.mulVec2(l,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=v.mulVec2(u,r.sub(this.m_localAnchorB,this.m_localCenterB)),this.m_u=r.sub(r.add(a,this.m_rB),r.add(i,this.m_rA));var p=this.m_u.length();p>m.linearSlop?this.m_u.mul(1/p):this.m_u.set(0,0);var y=r.cross(this.m_rA,this.m_u),d=r.cross(this.m_rB,this.m_u),f=this.m_invMassA+this.m_invIA*y*y+this.m_invMassB+this.m_invIB*d*d;if(this.m_mass=0!=f?1/f:0,this.m_frequencyHz>0){var x=p-this.m_length,A=2*n.PI*this.m_frequencyHz,b=2*this.m_mass*this.m_dampingRatio*A,g=this.m_mass*A*A,B=t.dt;this.m_gamma=B*(b+B*g),this.m_gamma=0!=this.m_gamma?1/this.m_gamma:0,this.m_bias=x*B*g*this.m_gamma,f+=this.m_gamma,this.m_mass=0!=f?1/f:0}else this.m_gamma=0,this.m_bias=0;if(t.warmStarting){this.m_impulse*=t.dtRatio;var w=r.mul(this.m_impulse,this.m_u);s.subMul(this.m_invMassA,w),o-=this.m_invIA*r.cross(this.m_rA,w),_.addMul(this.m_invMassB,w),c+=this.m_invIB*r.cross(this.m_rB,w)}else this.m_impulse=0;this.m_bodyA.c_velocity.v.set(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.set(_),this.m_bodyB.c_velocity.w=c},Yt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=r.add(i,r.cross(e,this.m_rA)),m=r.add(s,r.cross(o,this.m_rB)),a=r.dot(this.m_u,m)-r.dot(this.m_u,n),h=-this.m_mass*(a+this.m_bias+this.m_gamma*this.m_impulse);this.m_impulse+=h;var _=r.mul(h,this.m_u);i.subMul(this.m_invMassA,_),e-=this.m_invIA*r.cross(this.m_rA,_),s.addMul(this.m_invMassB,_),o+=this.m_invIB*r.cross(this.m_rB,_),this.m_bodyA.c_velocity.v.set(i),this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v.set(s),this.m_bodyB.c_velocity.w=o},Yt.prototype.solvePositionConstraints=function(t){if(this.m_frequencyHz>0)return!0;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=v.neo(e),h=v.neo(o),_=v.mulSub(a,this.m_localAnchorA,this.m_localCenterA),c=v.mulSub(h,this.m_localAnchorB,this.m_localCenterB),l=r.sub(r.add(s,c),r.add(i,_)),u=l.normalize()-this.m_length;u=n.clamp(u,-m.maxLinearCorrection,m.maxLinearCorrection);var p=-this.m_mass*u,y=r.mul(p,l);return i.subMul(this.m_invMassA,y),e-=this.m_invIA*r.cross(_,y),s.addMul(this.m_invMassB,y),o+=this.m_invIB*r.cross(c,y),this.m_bodyA.c_position.c.set(i),this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c.set(s),this.m_bodyB.c_position.a=o,n.abs(u)<m.linearSlop},Nt.TYPE="friction-joint",st.TYPES[Nt.TYPE]=Nt,Nt._super=st,Nt.prototype=Object.create(Nt._super.prototype);var Jt={maxForce:0,maxTorque:0};function Nt(t,i,s,o){if(!(this instanceof Nt))return new Nt(t,i,s,o);t=e(t,Jt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Nt.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_linearImpulse=r.zero(),this.m_angularImpulse=0,this.m_maxForce=t.maxForce,this.m_maxTorque=t.maxTorque,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_linearMass,this.m_angularMass}Nt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,maxForce:this.m_maxForce,maxTorque:this.m_maxTorque,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB}},Nt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new Nt(t)},Nt.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},Nt.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Nt.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Nt.prototype.setMaxForce=function(t){this.m_maxForce=t},Nt.prototype.getMaxForce=function(){return this.m_maxForce},Nt.prototype.setMaxTorque=function(t){this.m_maxTorque=t},Nt.prototype.getMaxTorque=function(){return this.m_maxTorque},Nt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Nt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Nt.prototype.getReactionForce=function(t){return r.mul(t,this.m_linearImpulse)},Nt.prototype.getReactionTorque=function(t){return t*this.m_angularImpulse},Nt.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,m=this.m_bodyB.c_velocity.w,a=v.neo(i),h=v.neo(o);this.m_rA=v.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=v.mulVec2(h,r.sub(this.m_localAnchorB,this.m_localCenterB));var _=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,u=this.m_invIB,p=new T;if(p.ex.x=_+c+l*this.m_rA.y*this.m_rA.y+u*this.m_rB.y*this.m_rB.y,p.ex.y=-l*this.m_rA.x*this.m_rA.y-u*this.m_rB.x*this.m_rB.y,p.ey.x=p.ex.y,p.ey.y=_+c+l*this.m_rA.x*this.m_rA.x+u*this.m_rB.x*this.m_rB.x,this.m_linearMass=p.getInverse(),this.m_angularMass=l+u,this.m_angularMass>0&&(this.m_angularMass=1/this.m_angularMass),t.warmStarting){this.m_linearImpulse.mul(t.dtRatio),this.m_angularImpulse*=t.dtRatio;var y=r.neo(this.m_linearImpulse.x,this.m_linearImpulse.y);e.subMul(_,y),s-=l*(r.cross(this.m_rA,y)+this.m_angularImpulse),n.addMul(c,y),m+=u*(r.cross(this.m_rB,y)+this.m_angularImpulse)}else this.m_linearImpulse.setZero(),this.m_angularImpulse=0;this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=n,this.m_bodyB.c_velocity.w=m},Nt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,m=this.m_invMassA,a=this.m_invMassB,h=this.m_invIA,_=this.m_invIB,c=t.dt,l=o-e,u=-this.m_angularMass*l,p=this.m_angularImpulse,y=c*this.m_maxTorque;this.m_angularImpulse=n.clamp(this.m_angularImpulse+u,-y,y),e-=h*(u=this.m_angularImpulse-p),o+=_*u;l=r.sub(r.add(s,r.cross(o,this.m_rB)),r.add(i,r.cross(e,this.m_rA))),u=r.neg(T.mulVec2(this.m_linearMass,l)),p=this.m_linearImpulse;this.m_linearImpulse.add(u);y=c*this.m_maxForce;this.m_linearImpulse.lengthSquared()>y*y&&(this.m_linearImpulse.normalize(),this.m_linearImpulse.mul(y)),u=r.sub(this.m_linearImpulse,p),i.subMul(m,u),e-=h*r.cross(this.m_rA,u),s.addMul(a,u),o+=_*r.cross(this.m_rB,u),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},Nt.prototype.solvePositionConstraints=function(t){return!0};Ht.TYPE="revolute-joint",st.TYPES[Ht.TYPE]=Ht,Ht._super=st,Ht.prototype=Object.create(Ht._super.prototype);var Wt={lowerAngle:0,upperAngle:0,maxMotorTorque:0,motorSpeed:0,enableLimit:!1,enableMotor:!1};function Ht(t,i,s,o){if(!(this instanceof Ht))return new Ht(t,i,s,o);t=e(t,Wt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Ht.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_referenceAngle=n.isFinite(t.referenceAngle)?t.referenceAngle:s.getAngle()-i.getAngle(),this.m_impulse=O(),this.m_motorImpulse=0,this.m_lowerAngle=t.lowerAngle,this.m_upperAngle=t.upperAngle,this.m_maxMotorTorque=t.maxMotorTorque,this.m_motorSpeed=t.motorSpeed,this.m_enableLimit=t.enableLimit,this.m_enableMotor=t.enableMotor,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass=new Y,this.m_motorMass,this.m_limitState=0}Ht.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,lowerAngle:this.m_lowerAngle,upperAngle:this.m_upperAngle,maxMotorTorque:this.m_maxMotorTorque,motorSpeed:this.m_motorSpeed,enableLimit:this.m_enableLimit,enableMotor:this.m_enableMotor,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,referenceAngle:this.m_referenceAngle}},Ht._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new Ht(t)},Ht.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},Ht.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Ht.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Ht.prototype.getReferenceAngle=function(){return this.m_referenceAngle},Ht.prototype.getJointAngle=function(){var t=this.m_bodyA;return this.m_bodyB.m_sweep.a-t.m_sweep.a-this.m_referenceAngle},Ht.prototype.getJointSpeed=function(){var t=this.m_bodyA;return this.m_bodyB.m_angularVelocity-t.m_angularVelocity},Ht.prototype.isMotorEnabled=function(){return this.m_enableMotor},Ht.prototype.enableMotor=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t},Ht.prototype.getMotorTorque=function(t){return t*this.m_motorImpulse},Ht.prototype.setMotorSpeed=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t},Ht.prototype.getMotorSpeed=function(){return this.m_motorSpeed},Ht.prototype.setMaxMotorTorque=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorTorque=t},Ht.prototype.getMaxMotorTorque=function(){return this.m_maxMotorTorque},Ht.prototype.isLimitEnabled=function(){return this.m_enableLimit},Ht.prototype.enableLimit=function(t){t!=this.m_enableLimit&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableLimit=t,this.m_impulse.z=0)},Ht.prototype.getLowerLimit=function(){return this.m_lowerAngle},Ht.prototype.getUpperLimit=function(){return this.m_upperAngle},Ht.prototype.setLimits=function(t,i){t==this.m_lowerAngle&&i==this.m_upperAngle||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_impulse.z=0,this.m_lowerAngle=t,this.m_upperAngle=i)},Ht.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Ht.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Ht.prototype.getReactionForce=function(t){return r.neo(this.m_impulse.x,this.m_impulse.y).mul(t)},Ht.prototype.getReactionTorque=function(t){return t*this.m_impulse.z},Ht.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,_=v.neo(i),c=v.neo(o);this.m_rA=v.mulVec2(_,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=v.mulVec2(c,r.sub(this.m_localAnchorB,this.m_localCenterB));var l=this.m_invMassA,u=this.m_invMassB,p=this.m_invIA,y=this.m_invIB,d=p+y===0;if(this.m_mass.ex.x=l+u+this.m_rA.y*this.m_rA.y*p+this.m_rB.y*this.m_rB.y*y,this.m_mass.ey.x=-this.m_rA.y*this.m_rA.x*p-this.m_rB.y*this.m_rB.x*y,this.m_mass.ez.x=-this.m_rA.y*p-this.m_rB.y*y,this.m_mass.ex.y=this.m_mass.ey.x,this.m_mass.ey.y=l+u+this.m_rA.x*this.m_rA.x*p+this.m_rB.x*this.m_rB.x*y,this.m_mass.ez.y=this.m_rA.x*p+this.m_rB.x*y,this.m_mass.ex.z=this.m_mass.ez.x,this.m_mass.ey.z=this.m_mass.ez.y,this.m_mass.ez.z=p+y,this.m_motorMass=p+y,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass),(0==this.m_enableMotor||d)&&(this.m_motorImpulse=0),this.m_enableLimit&&0==d){var f=o-i-this.m_referenceAngle;n.abs(this.m_upperAngle-this.m_lowerAngle)<2*m.angularSlop?this.m_limitState=3:f<=this.m_lowerAngle?(1!=this.m_limitState&&(this.m_impulse.z=0),this.m_limitState=1):f>=this.m_upperAngle?(2!=this.m_limitState&&(this.m_impulse.z=0),this.m_limitState=2):(this.m_limitState=0,this.m_impulse.z=0)}else this.m_limitState=0;if(t.warmStarting){this.m_impulse.mul(t.dtRatio),this.m_motorImpulse*=t.dtRatio;var x=r.neo(this.m_impulse.x,this.m_impulse.y);e.subMul(l,x),s-=p*(r.cross(this.m_rA,x)+this.m_motorImpulse+this.m_impulse.z),a.addMul(u,x),h+=y*(r.cross(this.m_rB,x)+this.m_motorImpulse+this.m_impulse.z)}else this.m_impulse.setZero(),this.m_motorImpulse=0;this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=a,this.m_bodyB.c_velocity.w=h},Ht.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,m=this.m_invMassA,a=this.m_invMassB,h=this.m_invIA,_=this.m_invIB,c=h+_===0;if(this.m_enableMotor&&3!=this.m_limitState&&0==c){var l=o-e-this.m_motorSpeed,u=-this.m_motorMass*l,p=this.m_motorImpulse,y=t.dt*this.m_maxMotorTorque;this.m_motorImpulse=n.clamp(this.m_motorImpulse+u,-y,y),e-=h*(u=this.m_motorImpulse-p),o+=_*u}if(this.m_enableLimit&&0!=this.m_limitState&&0==c){var d=r.zero();d.addCombine(1,s,1,r.cross(o,this.m_rB)),d.subCombine(1,i,1,r.cross(e,this.m_rA));var v=o-e;l=O(d.x,d.y,v),u=O.neg(this.m_mass.solve33(l));if(3==this.m_limitState)this.m_impulse.add(u);else if(1==this.m_limitState){if(this.m_impulse.z+u.z<0){var f=r.combine(-1,d,this.m_impulse.z,r.neo(this.m_mass.ez.x,this.m_mass.ez.y)),x=this.m_mass.solve22(f);u.x=x.x,u.y=x.y,u.z=-this.m_impulse.z,this.m_impulse.x+=x.x,this.m_impulse.y+=x.y,this.m_impulse.z=0}else this.m_impulse.add(u)}else if(2==this.m_limitState){if(this.m_impulse.z+u.z>0){f=r.combine(-1,d,this.m_impulse.z,r.neo(this.m_mass.ez.x,this.m_mass.ez.y)),x=this.m_mass.solve22(f);u.x=x.x,u.y=x.y,u.z=-this.m_impulse.z,this.m_impulse.x+=x.x,this.m_impulse.y+=x.y,this.m_impulse.z=0}else this.m_impulse.add(u)}var A=r.neo(u.x,u.y);i.subMul(m,A),e-=h*(r.cross(this.m_rA,A)+u.z),s.addMul(a,A),o+=_*(r.cross(this.m_rB,A)+u.z)}else{(l=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),l.subCombine(1,i,1,r.cross(e,this.m_rA));u=this.m_mass.solve22(r.neg(l));this.m_impulse.x+=u.x,this.m_impulse.y+=u.y,i.subMul(m,u),e-=h*r.cross(this.m_rA,u),s.addMul(a,u),o+=_*r.cross(this.m_rB,u)}this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},Ht.prototype.solvePositionConstraints=function(t){var i,e=this.m_bodyA.c_position.c,s=this.m_bodyA.c_position.a,o=this.m_bodyB.c_position.c,a=this.m_bodyB.c_position.a,h=v.neo(s),_=v.neo(a),c=0,l=this.m_invIA+this.m_invIB==0;if(this.m_enableLimit&&0!=this.m_limitState&&0==l){var u=a-s-this.m_referenceAngle,p=0;if(3==this.m_limitState){var y=n.clamp(u-this.m_lowerAngle,-m.maxAngularCorrection,m.maxAngularCorrection);p=-this.m_motorMass*y,c=n.abs(y)}else if(1==this.m_limitState){c=-(y=u-this.m_lowerAngle),y=n.clamp(y+m.angularSlop,-m.maxAngularCorrection,0),p=-this.m_motorMass*y}else if(2==this.m_limitState){c=y=u-this.m_upperAngle,y=n.clamp(y-m.angularSlop,0,m.maxAngularCorrection),p=-this.m_motorMass*y}s-=this.m_invIA*p,a+=this.m_invIB*p}h.set(s),_.set(a);var d=v.mulVec2(h,r.sub(this.m_localAnchorA,this.m_localCenterA)),f=v.mulVec2(_,r.sub(this.m_localAnchorB,this.m_localCenterB));(y=r.zero()).addCombine(1,o,1,f),y.subCombine(1,e,1,d),i=y.length();var x=this.m_invMassA,A=this.m_invMassB,b=this.m_invIA,g=this.m_invIB,B=new T;B.ex.x=x+A+b*d.y*d.y+g*f.y*f.y,B.ex.y=-b*d.x*d.y-g*f.x*f.y,B.ey.x=B.ex.y,B.ey.y=x+A+b*d.x*d.x+g*f.x*f.x;var w=r.neg(B.solve(y));return e.subMul(x,w),s-=b*r.cross(d,w),o.addMul(A,w),a+=g*r.cross(f,w),this.m_bodyA.c_position.c.set(e),this.m_bodyA.c_position.a=s,this.m_bodyB.c_position.c.set(o),this.m_bodyB.c_position.a=a,i<=m.linearSlop&&c<=m.angularSlop};Xt.TYPE="prismatic-joint",st.TYPES[Xt.TYPE]=Xt,Xt._super=st,Xt.prototype=Object.create(Xt._super.prototype);var Zt={enableLimit:!1,lowerTranslation:0,upperTranslation:0,enableMotor:!1,maxMotorForce:0,motorSpeed:0};function Xt(t,i,s,o,m){if(!(this instanceof Xt))return new Xt(t,i,s,o,m);t=e(t,Zt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Xt.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_localXAxisA=r.clone(m?i.getLocalVector(m):t.localAxisA||r.neo(1,0)),this.m_localXAxisA.normalize(),this.m_localYAxisA=r.cross(1,this.m_localXAxisA),this.m_referenceAngle=n.isFinite(t.referenceAngle)?t.referenceAngle:s.getAngle()-i.getAngle(),this.m_impulse=O(),this.m_motorMass=0,this.m_motorImpulse=0,this.m_lowerTranslation=t.lowerTranslation,this.m_upperTranslation=t.upperTranslation,this.m_maxMotorForce=t.maxMotorForce,this.m_motorSpeed=t.motorSpeed,this.m_enableLimit=t.enableLimit,this.m_enableMotor=t.enableMotor,this.m_limitState=0,this.m_axis=r.zero(),this.m_perp=r.zero(),this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_axis,this.m_perp,this.m_s1,this.m_s2,this.m_a1,this.m_a2,this.m_K=new Y,this.m_motorMass}Xt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,lowerTranslation:this.m_lowerTranslation,upperTranslation:this.m_upperTranslation,maxMotorForce:this.m_maxMotorForce,motorSpeed:this.m_motorSpeed,enableLimit:this.m_enableLimit,enableMotor:this.m_enableMotor,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,localAxisA:this.m_localXAxisA,referenceAngle:this.m_referenceAngle}},Xt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),t.localAxisA=r(t.localAxisA),new Xt(t)},Xt.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB),t.localAxisA&&(this.m_localXAxisA.set(t.localAxisA),this.m_localYAxisA.set(r.cross(1,t.localAxisA)))},Xt.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},Xt.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},Xt.prototype.getLocalAxisA=function(){return this.m_localXAxisA},Xt.prototype.getReferenceAngle=function(){return this.m_referenceAngle},Xt.prototype.getJointTranslation=function(){var t=this.m_bodyA.getWorldPoint(this.m_localAnchorA),i=this.m_bodyB.getWorldPoint(this.m_localAnchorB),e=r.sub(i,t),s=this.m_bodyA.getWorldVector(this.m_localXAxisA);return r.dot(e,s)},Xt.prototype.getJointSpeed=function(){var t=this.m_bodyA,i=this.m_bodyB,e=v.mulVec2(t.m_xf.q,r.sub(this.m_localAnchorA,t.m_sweep.localCenter)),s=v.mulVec2(i.m_xf.q,r.sub(this.m_localAnchorB,i.m_sweep.localCenter)),o=r.add(t.m_sweep.c,e),n=r.add(i.m_sweep.c,s),m=r.sub(n,o),a=v.mulVec2(t.m_xf.q,this.m_localXAxisA),h=t.m_linearVelocity,_=i.m_linearVelocity,c=t.m_angularVelocity,l=i.m_angularVelocity;return r.dot(m,r.cross(c,a))+r.dot(a,r.sub(r.addCross(_,l,s),r.addCross(h,c,e)))},Xt.prototype.isLimitEnabled=function(){return this.m_enableLimit},Xt.prototype.enableLimit=function(t){t!=this.m_enableLimit&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableLimit=t,this.m_impulse.z=0)},Xt.prototype.getLowerLimit=function(){return this.m_lowerTranslation},Xt.prototype.getUpperLimit=function(){return this.m_upperTranslation},Xt.prototype.setLimits=function(t,i){t==this.m_lowerTranslation&&i==this.m_upperTranslation||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_lowerTranslation=t,this.m_upperTranslation=i,this.m_impulse.z=0)},Xt.prototype.isMotorEnabled=function(){return this.m_enableMotor},Xt.prototype.enableMotor=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t},Xt.prototype.setMotorSpeed=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t},Xt.prototype.setMaxMotorForce=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorForce=t},Xt.prototype.getMaxMotorForce=function(){return this.m_maxMotorForce},Xt.prototype.getMotorSpeed=function(){return this.m_motorSpeed},Xt.prototype.getMotorForce=function(t){return t*this.m_motorImpulse},Xt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Xt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Xt.prototype.getReactionForce=function(t){return r.combine(this.m_impulse.x,this.m_perp,this.m_motorImpulse+this.m_impulse.z,this.m_axis).mul(t)},Xt.prototype.getReactionTorque=function(t){return t*this.m_impulse.y},Xt.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,a=this.m_bodyB.c_position.c,h=this.m_bodyB.c_position.a,_=this.m_bodyB.c_velocity.v,c=this.m_bodyB.c_velocity.w,l=v.neo(e),u=v.neo(h),p=v.mulVec2(l,r.sub(this.m_localAnchorA,this.m_localCenterA)),y=v.mulVec2(u,r.sub(this.m_localAnchorB,this.m_localCenterB)),d=r.zero();d.addCombine(1,a,1,y),d.subCombine(1,i,1,p);var f=this.m_invMassA,x=this.m_invMassB,A=this.m_invIA,b=this.m_invIB;this.m_axis=v.mulVec2(l,this.m_localXAxisA),this.m_a1=r.cross(r.add(d,p),this.m_axis),this.m_a2=r.cross(y,this.m_axis),this.m_motorMass=f+x+A*this.m_a1*this.m_a1+b*this.m_a2*this.m_a2,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass),this.m_perp=v.mulVec2(l,this.m_localYAxisA),this.m_s1=r.cross(r.add(d,p),this.m_perp),this.m_s2=r.cross(y,this.m_perp),r.cross(p,this.m_perp);var g=f+x+A*this.m_s1*this.m_s1+b*this.m_s2*this.m_s2,B=A*this.m_s1+b*this.m_s2,w=A*this.m_s1*this.m_a1+b*this.m_s2*this.m_a2,C=A+b;0==C&&(C=1);var M=A*this.m_a1+b*this.m_a2,I=f+x+A*this.m_a1*this.m_a1+b*this.m_a2*this.m_a2;if(this.m_K.ex.set(g,B,w),this.m_K.ey.set(B,C,M),this.m_K.ez.set(w,M,I),this.m_enableLimit){var z=r.dot(this.m_axis,d);n.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*m.linearSlop?this.m_limitState=3:z<=this.m_lowerTranslation?1!=this.m_limitState&&(this.m_limitState=1,this.m_impulse.z=0):z>=this.m_upperTranslation?2!=this.m_limitState&&(this.m_limitState=2,this.m_impulse.z=0):(this.m_limitState=0,this.m_impulse.z=0)}else this.m_limitState=0,this.m_impulse.z=0;if(0==this.m_enableMotor&&(this.m_motorImpulse=0),t.warmStarting){this.m_impulse.mul(t.dtRatio),this.m_motorImpulse*=t.dtRatio;var S=r.combine(this.m_impulse.x,this.m_perp,this.m_motorImpulse+this.m_impulse.z,this.m_axis),V=this.m_impulse.x*this.m_s1+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a1,P=this.m_impulse.x*this.m_s2+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a2;s.subMul(f,S),o-=A*V,_.addMul(x,S),c+=b*P}else this.m_impulse.setZero(),this.m_motorImpulse=0;this.m_bodyA.c_velocity.v.set(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.set(_),this.m_bodyB.c_velocity.w=c},Xt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,m=this.m_invMassA,a=this.m_invMassB,h=this.m_invIA,_=this.m_invIB;if(this.m_enableMotor&&3!=this.m_limitState){var c=r.dot(this.m_axis,r.sub(s,i))+this.m_a2*o-this.m_a1*e,l=this.m_motorMass*(this.m_motorSpeed-c),u=this.m_motorImpulse,p=t.dt*this.m_maxMotorForce;this.m_motorImpulse=n.clamp(this.m_motorImpulse+l,-p,p),l=this.m_motorImpulse-u;var y=r.mul(l,this.m_axis),d=l*this.m_a1,v=l*this.m_a2;i.subMul(m,y),e-=h*d,s.addMul(a,y),o+=_*v}var f=r.zero();if(f.x+=r.dot(this.m_perp,s)+this.m_s2*o,f.x-=r.dot(this.m_perp,i)+this.m_s1*e,f.y=o-e,this.m_enableLimit&&0!=this.m_limitState){var x=0;x+=r.dot(this.m_axis,s)+this.m_a2*o,x-=r.dot(this.m_axis,i)+this.m_a1*e;c=O(f.x,f.y,x);var A=O(this.m_impulse),b=this.m_K.solve33(O.neg(c));this.m_impulse.add(b),1==this.m_limitState?this.m_impulse.z=n.max(this.m_impulse.z,0):2==this.m_limitState&&(this.m_impulse.z=n.min(this.m_impulse.z,0));var g=r.combine(-1,f,-(this.m_impulse.z-A.z),r.neo(this.m_K.ez.x,this.m_K.ez.y)),B=r.add(this.m_K.solve22(g),r.neo(A.x,A.y));this.m_impulse.x=B.x,this.m_impulse.y=B.y,b=O.sub(this.m_impulse,A);y=r.combine(b.x,this.m_perp,b.z,this.m_axis),d=b.x*this.m_s1+b.y+b.z*this.m_a1,v=b.x*this.m_s2+b.y+b.z*this.m_a2;i.subMul(m,y),e-=h*d,s.addMul(a,y),o+=_*v}else{b=this.m_K.solve22(r.neg(f));this.m_impulse.x+=b.x,this.m_impulse.y+=b.y;y=r.mul(b.x,this.m_perp),d=b.x*this.m_s1+b.y,v=b.x*this.m_s2+b.y;i.subMul(m,y),e-=h*d,s.addMul(a,y),o+=_*v}this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},Xt.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=v.neo(e),h=v.neo(o),_=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,u=this.m_invIB,p=v.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),y=v.mulVec2(h,r.sub(this.m_localAnchorB,this.m_localCenterB)),d=r.sub(r.add(s,y),r.add(i,p)),f=v.mulVec2(a,this.m_localXAxisA),x=r.cross(r.add(d,p),f),A=r.cross(y,f),b=v.mulVec2(a,this.m_localYAxisA),g=r.cross(r.add(d,p),b),B=r.cross(y,b),w=O(),C=r.zero();C.x=r.dot(b,d),C.y=o-e-this.m_referenceAngle;var M=n.abs(C.x),I=n.abs(C.y),z=m.linearSlop,S=m.maxLinearCorrection,V=!1,P=0;if(this.m_enableLimit){var L=r.dot(f,d);n.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*z?(P=n.clamp(L,-S,S),M=n.max(M,n.abs(L)),V=!0):L<=this.m_lowerTranslation?(P=n.clamp(L-this.m_lowerTranslation+z,-S,0),M=n.max(M,this.m_lowerTranslation-L),V=!0):L>=this.m_upperTranslation&&(P=n.clamp(L-this.m_upperTranslation-z,0,S),M=n.max(M,L-this.m_upperTranslation),V=!0)}if(V){var q=_+c+l*g*g+u*B*B,F=l*g+u*B,k=l*g*x+u*B*A;0==(E=l+u)&&(E=1);var D=l*x+u*A,j=_+c+l*x*x+u*A*A;(J=new Y).ex.set(q,F,k),J.ey.set(F,E,D),J.ez.set(k,D,j);var R=O();R.x=C.x,R.y=C.y,R.z=P,w=J.solve33(O.neg(R))}else{var E,J;q=_+c+l*g*g+u*B*B,F=l*g+u*B;0==(E=l+u)&&(E=1),(J=new T).ex.set(q,F),J.ey.set(F,E);var N=J.solve(r.neg(C));w.x=N.x,w.y=N.y,w.z=0}var W=r.combine(w.x,b,w.z,f),H=w.x*g+w.y+w.z*x,Z=w.x*B+w.y+w.z*A;return i.subMul(_,W),e-=l*H,s.addMul(c,W),o+=u*Z,this.m_bodyA.c_position.c=i,this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c=s,this.m_bodyB.c_position.a=o,M<=m.linearSlop&&I<=m.angularSlop},Kt.TYPE="gear-joint",st.TYPES[Kt.TYPE]=Kt,Kt._super=st,Kt.prototype=Object.create(Kt._super.prototype);var Gt={ratio:1};function Kt(t,i,s,o,m,a){if(!(this instanceof Kt))return new Kt(t,i,s,o,m,a);var h,_;t=e(t,Gt),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Kt.TYPE,this.m_joint1=o||t.joint1,this.m_joint2=m||t.joint2,this.m_ratio=n.isFinite(a)?a:t.ratio,this.m_type1=this.m_joint1.getType(),this.m_type2=this.m_joint2.getType(),this.m_bodyC=this.m_joint1.getBodyA(),this.m_bodyA=this.m_joint1.getBodyB();var c=this.m_bodyA.m_xf,l=this.m_bodyA.m_sweep.a,u=this.m_bodyC.m_xf,p=this.m_bodyC.m_sweep.a;if(this.m_type1===Ht.TYPE){var y=this.m_joint1;this.m_localAnchorC=y.m_localAnchorA,this.m_localAnchorA=y.m_localAnchorB,this.m_referenceAngleA=y.m_referenceAngle,this.m_localAxisC=r.zero(),h=l-p-this.m_referenceAngleA}else{var d=this.m_joint1;this.m_localAnchorC=d.m_localAnchorA,this.m_localAnchorA=d.m_localAnchorB,this.m_referenceAngleA=d.m_referenceAngle,this.m_localAxisC=d.m_localXAxisA;var f=this.m_localAnchorC,x=v.mulTVec2(u.q,r.add(v.mul(c.q,this.m_localAnchorA),r.sub(c.p,u.p)));h=r.dot(x,this.m_localAxisC)-r.dot(f,this.m_localAxisC)}this.m_bodyD=this.m_joint2.getBodyA(),this.m_bodyB=this.m_joint2.getBodyB();var A=this.m_bodyB.m_xf,b=this.m_bodyB.m_sweep.a,g=this.m_bodyD.m_xf,B=this.m_bodyD.m_sweep.a;if(this.m_type2===Ht.TYPE){y=this.m_joint2;this.m_localAnchorD=y.m_localAnchorA,this.m_localAnchorB=y.m_localAnchorB,this.m_referenceAngleB=y.m_referenceAngle,this.m_localAxisD=r.zero(),_=b-B-this.m_referenceAngleB}else{d=this.m_joint2;this.m_localAnchorD=d.m_localAnchorA,this.m_localAnchorB=d.m_localAnchorB,this.m_referenceAngleB=d.m_referenceAngle,this.m_localAxisD=d.m_localXAxisA;var w=this.m_localAnchorD,C=v.mulTVec2(g.q,r.add(v.mul(A.q,this.m_localAnchorB),r.sub(A.p,g.p)));_=r.dot(C,this.m_localAxisD)-r.dot(w,this.m_localAxisD)}this.m_constant=h+this.m_ratio*_,this.m_impulse=0,this.m_lcA,this.m_lcB,this.m_lcC,this.m_lcD,this.m_mA,this.m_mB,this.m_mC,this.m_mD,this.m_iA,this.m_iB,this.m_iC,this.m_iD,this.m_JvAC,this.m_JvBD,this.m_JwA,this.m_JwB,this.m_JwC,this.m_JwD,this.m_mass}Kt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,joint1:this.m_joint1,joint2:this.m_joint2,ratio:this.m_ratio}},Kt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),t.joint1=e(st,t.joint1,i),t.joint2=e(st,t.joint2,i),new Kt(t)},Kt.prototype.getJoint1=function(){return this.m_joint1},Kt.prototype.getJoint2=function(){return this.m_joint2},Kt.prototype.setRatio=function(t){this.m_ratio=t},Kt.prototype.getRatio=function(){return this.m_ratio},Kt.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},Kt.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},Kt.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_JvAC).mul(t)},Kt.prototype.getReactionTorque=function(t){return t*(this.m_impulse*this.m_JwA)},Kt.prototype.initVelocityConstraints=function(t){this.m_lcA=this.m_bodyA.m_sweep.localCenter,this.m_lcB=this.m_bodyB.m_sweep.localCenter,this.m_lcC=this.m_bodyC.m_sweep.localCenter,this.m_lcD=this.m_bodyD.m_sweep.localCenter,this.m_mA=this.m_bodyA.m_invMass,this.m_mB=this.m_bodyB.m_invMass,this.m_mC=this.m_bodyC.m_invMass,this.m_mD=this.m_bodyD.m_invMass,this.m_iA=this.m_bodyA.m_invI,this.m_iB=this.m_bodyB.m_invI,this.m_iC=this.m_bodyC.m_invI,this.m_iD=this.m_bodyD.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,m=this.m_bodyB.c_velocity.w,a=this.m_bodyC.c_position.a,h=this.m_bodyC.c_velocity.v,_=this.m_bodyC.c_velocity.w,c=this.m_bodyD.c_position.a,l=this.m_bodyD.c_velocity.v,u=this.m_bodyD.c_velocity.w,p=v.neo(i),y=v.neo(o),d=v.neo(a),f=v.neo(c);if(this.m_mass=0,this.m_type1==Ht.TYPE)this.m_JvAC=r.zero(),this.m_JwA=1,this.m_JwC=1,this.m_mass+=this.m_iA+this.m_iC;else{var x=v.mulVec2(d,this.m_localAxisC),A=v.mulSub(d,this.m_localAnchorC,this.m_lcC),b=v.mulSub(p,this.m_localAnchorA,this.m_lcA);this.m_JvAC=x,this.m_JwC=r.cross(A,x),this.m_JwA=r.cross(b,x),this.m_mass+=this.m_mC+this.m_mA+this.m_iC*this.m_JwC*this.m_JwC+this.m_iA*this.m_JwA*this.m_JwA}if(this.m_type2==Ht.TYPE)this.m_JvBD=r.zero(),this.m_JwB=this.m_ratio,this.m_JwD=this.m_ratio,this.m_mass+=this.m_ratio*this.m_ratio*(this.m_iB+this.m_iD);else{x=v.mulVec2(f,this.m_localAxisD);var g=v.mulSub(f,this.m_localAnchorD,this.m_lcD),B=v.mulSub(y,this.m_localAnchorB,this.m_lcB);this.m_JvBD=r.mul(this.m_ratio,x),this.m_JwD=this.m_ratio*r.cross(g,x),this.m_JwB=this.m_ratio*r.cross(B,x),this.m_mass+=this.m_ratio*this.m_ratio*(this.m_mD+this.m_mB)+this.m_iD*this.m_JwD*this.m_JwD+this.m_iB*this.m_JwB*this.m_JwB}this.m_mass=this.m_mass>0?1/this.m_mass:0,t.warmStarting?(e.addMul(this.m_mA*this.m_impulse,this.m_JvAC),s+=this.m_iA*this.m_impulse*this.m_JwA,n.addMul(this.m_mB*this.m_impulse,this.m_JvBD),m+=this.m_iB*this.m_impulse*this.m_JwB,h.subMul(this.m_mC*this.m_impulse,this.m_JvAC),_-=this.m_iC*this.m_impulse*this.m_JwC,l.subMul(this.m_mD*this.m_impulse,this.m_JvBD),u-=this.m_iD*this.m_impulse*this.m_JwD):this.m_impulse=0,this.m_bodyA.c_velocity.v.set(e),this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v.set(n),this.m_bodyB.c_velocity.w=m,this.m_bodyC.c_velocity.v.set(h),this.m_bodyC.c_velocity.w=_,this.m_bodyD.c_velocity.v.set(l),this.m_bodyD.c_velocity.w=u},Kt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_bodyC.c_velocity.v,m=this.m_bodyC.c_velocity.w,a=this.m_bodyD.c_velocity.v,h=this.m_bodyD.c_velocity.w,_=r.dot(this.m_JvAC,i)-r.dot(this.m_JvAC,n)+r.dot(this.m_JvBD,s)-r.dot(this.m_JvBD,a);_+=this.m_JwA*e-this.m_JwC*m+(this.m_JwB*o-this.m_JwD*h);var c=-this.m_mass*_;this.m_impulse+=c,i.addMul(this.m_mA*c,this.m_JvAC),e+=this.m_iA*c*this.m_JwA,s.addMul(this.m_mB*c,this.m_JvBD),o+=this.m_iB*c*this.m_JwB,n.subMul(this.m_mC*c,this.m_JvAC),m-=this.m_iC*c*this.m_JwC,a.subMul(this.m_mD*c,this.m_JvBD),h-=this.m_iD*c*this.m_JwD,this.m_bodyA.c_velocity.v.set(i),this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v.set(s),this.m_bodyB.c_velocity.w=o,this.m_bodyC.c_velocity.v.set(n),this.m_bodyC.c_velocity.w=m,this.m_bodyD.c_velocity.v.set(a),this.m_bodyD.c_velocity.w=h},Kt.prototype.solvePositionConstraints=function(t){var i,e,s,o,n,a,h,_,c=this.m_bodyA.c_position.c,l=this.m_bodyA.c_position.a,u=this.m_bodyB.c_position.c,p=this.m_bodyB.c_position.a,y=this.m_bodyC.c_position.c,d=this.m_bodyC.c_position.a,f=this.m_bodyD.c_position.c,x=this.m_bodyD.c_position.a,A=v.neo(l),b=v.neo(p),g=v.neo(d),B=v.neo(x),w=0;if(this.m_type1==Ht.TYPE)s=r.zero(),n=1,h=1,w+=this.m_iA+this.m_iC,i=l-d-this.m_referenceAngleA;else{var C=v.mulVec2(g,this.m_localAxisC),M=v.mulSub(g,this.m_localAnchorC,this.m_lcC),I=v.mulSub(A,this.m_localAnchorA,this.m_lcA);s=C,h=r.cross(M,C),n=r.cross(I,C),w+=this.m_mC+this.m_mA+this.m_iC*h*h+this.m_iA*n*n;var z=r.sub(this.m_localAnchorC,this.m_lcC),S=v.mulTVec2(g,r.add(I,r.sub(c,y)));i=r.dot(r.sub(S,z),this.m_localAxisC)}if(this.m_type2==Ht.TYPE)o=r.zero(),a=this.m_ratio,_=this.m_ratio,w+=this.m_ratio*this.m_ratio*(this.m_iB+this.m_iD),e=p-x-this.m_referenceAngleB;else{C=v.mulVec2(B,this.m_localAxisD);var V=v.mulSub(B,this.m_localAnchorD,this.m_lcD),P=v.mulSub(b,this.m_localAnchorB,this.m_lcB);o=r.mul(this.m_ratio,C),_=this.m_ratio*r.cross(V,C),a=this.m_ratio*r.cross(P,C),w+=this.m_ratio*this.m_ratio*(this.m_mD+this.m_mB)+this.m_iD*_*_+this.m_iB*a*a;var T=r.sub(this.m_localAnchorD,this.m_lcD),L=v.mulTVec2(B,r.add(P,r.sub(u,f)));e=r.dot(L,this.m_localAxisD)-r.dot(T,this.m_localAxisD)}var q=i+this.m_ratio*e-this.m_constant,F=0;return w>0&&(F=-q/w),c.addMul(this.m_mA*F,s),l+=this.m_iA*F*n,u.addMul(this.m_mB*F,o),p+=this.m_iB*F*a,y.subMul(this.m_mC*F,s),d-=this.m_iC*F*h,f.subMul(this.m_mD*F,o),x-=this.m_iD*F*_,this.m_bodyA.c_position.c.set(c),this.m_bodyA.c_position.a=l,this.m_bodyB.c_position.c.set(u),this.m_bodyB.c_position.a=p,this.m_bodyC.c_position.c.set(y),this.m_bodyC.c_position.a=d,this.m_bodyD.c_position.c.set(f),this.m_bodyD.c_position.a=x,0<m.linearSlop},Qt.TYPE="motor-joint",st.TYPES[Qt.TYPE]=Qt,Qt._super=st,Qt.prototype=Object.create(Qt._super.prototype);var Ut={maxForce:1,maxTorque:1,correctionFactor:.3};function Qt(t,i,s){if(!(this instanceof Qt))return new Qt(t,i,s);t=e(t,Ut),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=Qt.TYPE,this.m_linearOffset=n.isFinite(t.linearOffset)?t.linearOffset:i.getLocalPoint(s.getPosition()),this.m_angularOffset=n.isFinite(t.angularOffset)?t.angularOffset:s.getAngle()-i.getAngle(),this.m_linearImpulse=r.zero(),this.m_angularImpulse=0,this.m_maxForce=t.maxForce,this.m_maxTorque=t.maxTorque,this.m_correctionFactor=t.correctionFactor,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_linearError,this.m_angularError,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_linearMass,this.m_angularMass}Qt.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,maxForce:this.m_maxForce,maxTorque:this.m_maxTorque,correctionFactor:this.m_correctionFactor,linearOffset:this.m_linearOffset,angularOffset:this.m_angularOffset}},Qt._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new Qt(t)},Qt.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},Qt.prototype.setMaxForce=function(t){this.m_maxForce=t},Qt.prototype.getMaxForce=function(){return this.m_maxForce},Qt.prototype.setMaxTorque=function(t){this.m_maxTorque=t},Qt.prototype.getMaxTorque=function(){return this.m_maxTorque},Qt.prototype.setCorrectionFactor=function(t){this.m_correctionFactor=t},Qt.prototype.getCorrectionFactor=function(){return this.m_correctionFactor},Qt.prototype.setLinearOffset=function(t){t.x==this.m_linearOffset.x&&t.y==this.m_linearOffset.y||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_linearOffset=t)},Qt.prototype.getLinearOffset=function(){return this.m_linearOffset},Qt.prototype.setAngularOffset=function(t){t!=this.m_angularOffset&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_angularOffset=t)},Qt.prototype.getAngularOffset=function(){return this.m_angularOffset},Qt.prototype.getAnchorA=function(){return this.m_bodyA.getPosition()},Qt.prototype.getAnchorB=function(){return this.m_bodyB.getPosition()},Qt.prototype.getReactionForce=function(t){return r.mul(t,this.m_linearImpulse)},Qt.prototype.getReactionTorque=function(t){return t*this.m_angularImpulse},Qt.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,m=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,_=v.neo(e),c=v.neo(m);this.m_rA=v.mulVec2(_,r.neg(this.m_localCenterA)),this.m_rB=v.mulVec2(c,r.neg(this.m_localCenterB));var l=this.m_invMassA,u=this.m_invMassB,p=this.m_invIA,y=this.m_invIB,d=new T;if(d.ex.x=l+u+p*this.m_rA.y*this.m_rA.y+y*this.m_rB.y*this.m_rB.y,d.ex.y=-p*this.m_rA.x*this.m_rA.y-y*this.m_rB.x*this.m_rB.y,d.ey.x=d.ex.y,d.ey.y=l+u+p*this.m_rA.x*this.m_rA.x+y*this.m_rB.x*this.m_rB.x,this.m_linearMass=d.getInverse(),this.m_angularMass=p+y,this.m_angularMass>0&&(this.m_angularMass=1/this.m_angularMass),this.m_linearError=r.zero(),this.m_linearError.addCombine(1,n,1,this.m_rB),this.m_linearError.subCombine(1,i,1,this.m_rA),this.m_linearError.sub(v.mulVec2(_,this.m_linearOffset)),this.m_angularError=m-e-this.m_angularOffset,t.warmStarting){this.m_linearImpulse.mul(t.dtRatio),this.m_angularImpulse*=t.dtRatio;var f=r.neo(this.m_linearImpulse.x,this.m_linearImpulse.y);s.subMul(l,f),o-=p*(r.cross(this.m_rA,f)+this.m_angularImpulse),a.addMul(u,f),h+=y*(r.cross(this.m_rB,f)+this.m_angularImpulse)}else this.m_linearImpulse.setZero(),this.m_angularImpulse=0;this.m_bodyA.c_velocity.v=s,this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v=a,this.m_bodyB.c_velocity.w=h},Qt.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,m=this.m_invMassA,a=this.m_invMassB,h=this.m_invIA,_=this.m_invIB,c=t.dt,l=t.inv_dt,u=o-e+l*this.m_correctionFactor*this.m_angularError,p=-this.m_angularMass*u,y=this.m_angularImpulse,d=c*this.m_maxTorque;this.m_angularImpulse=n.clamp(this.m_angularImpulse+p,-d,d),e-=h*(p=this.m_angularImpulse-y),o+=_*p,(u=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),u.subCombine(1,i,1,r.cross(e,this.m_rA)),u.addMul(l*this.m_correctionFactor,this.m_linearError);p=r.neg(T.mulVec2(this.m_linearMass,u)),y=r.clone(this.m_linearImpulse);this.m_linearImpulse.add(p);d=c*this.m_maxForce;this.m_linearImpulse.clamp(d),p=r.sub(this.m_linearImpulse,y),i.subMul(m,p),e-=h*r.cross(this.m_rA,p),s.addMul(a,p),o+=_*r.cross(this.m_rB,p),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},Qt.prototype.solvePositionConstraints=function(t){return!0},ti.TYPE="mouse-joint",st.TYPES[ti.TYPE]=ti,ti._super=st,ti.prototype=Object.create(ti._super.prototype);var $t={maxForce:0,frequencyHz:5,dampingRatio:.7};function ti(t,i,s,o){if(!(this instanceof ti))return new ti(t,i,s,o);t=e(t,$t),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ti.TYPE,this.m_targetA=o?r.clone(o):t.target||r.zero(),this.m_localAnchorB=f.mulTVec2(s.getTransform(),this.m_targetA),this.m_maxForce=t.maxForce,this.m_impulse=r.zero(),this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_beta=0,this.m_gamma=0,this.m_rB=r.zero(),this.m_localCenterB=r.zero(),this.m_invMassB=0,this.m_invIB=0,this.mass=new T,this.m_C=r.zero()}ti.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,target:this.m_targetA,maxForce:this.m_maxForce,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,_localAnchorB:this.m_localAnchorB}},ti._deserialize=function(t,i,e){(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),t.target=r(t.target);var s=new ti(t);return t._localAnchorB&&(s.m_localAnchorB=t._localAnchorB),s},ti.prototype.setTarget=function(t){0==this.m_bodyB.isAwake()&&this.m_bodyB.setAwake(!0),this.m_targetA=r.clone(t)},ti.prototype.getTarget=function(){return this.m_targetA},ti.prototype.setMaxForce=function(t){this.m_maxForce=t},ti.getMaxForce=function(){return this.m_maxForce},ti.prototype.setFrequency=function(t){this.m_frequencyHz=t},ti.prototype.getFrequency=function(){return this.m_frequencyHz},ti.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},ti.prototype.getDampingRatio=function(){return this.m_dampingRatio},ti.prototype.getAnchorA=function(){return r.clone(this.m_targetA)},ti.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ti.prototype.getReactionForce=function(t){return r.mul(t,this.m_impulse)},ti.prototype.getReactionTorque=function(t){return 0*t},ti.prototype.shiftOrigin=function(t){this.m_targetA.sub(t)},ti.prototype.initVelocityConstraints=function(t){this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyB.c_position,e=this.m_bodyB.c_velocity,s=i.c,o=i.a,m=e.v,a=e.w,h=v.neo(o),_=this.m_bodyB.getMass(),c=2*n.PI*this.m_frequencyHz,l=2*_*this.m_dampingRatio*c,u=_*(c*c),p=t.dt;this.m_gamma=p*(l+p*u),0!=this.m_gamma&&(this.m_gamma=1/this.m_gamma),this.m_beta=p*u*this.m_gamma,this.m_rB=v.mulVec2(h,r.sub(this.m_localAnchorB,this.m_localCenterB));var y=new T;y.ex.x=this.m_invMassB+this.m_invIB*this.m_rB.y*this.m_rB.y+this.m_gamma,y.ex.y=-this.m_invIB*this.m_rB.x*this.m_rB.y,y.ey.x=y.ex.y,y.ey.y=this.m_invMassB+this.m_invIB*this.m_rB.x*this.m_rB.x+this.m_gamma,this.m_mass=y.getInverse(),this.m_C.set(s),this.m_C.addCombine(1,this.m_rB,-1,this.m_targetA),this.m_C.mul(this.m_beta),a*=.98,t.warmStarting?(this.m_impulse.mul(t.dtRatio),m.addMul(this.m_invMassB,this.m_impulse),a+=this.m_invIB*r.cross(this.m_rB,this.m_impulse)):this.m_impulse.setZero(),e.v.set(m),e.w=a},ti.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyB.c_velocity,e=r.clone(i.v),s=i.w,o=r.cross(s,this.m_rB);o.add(e),o.addCombine(1,this.m_C,this.m_gamma,this.m_impulse),o.neg();var n=T.mulVec2(this.m_mass,o),m=r.clone(this.m_impulse);this.m_impulse.add(n);var a=t.dt*this.m_maxForce;this.m_impulse.clamp(a),n=r.sub(this.m_impulse,m),e.addMul(this.m_invMassB,n),s+=this.m_invIB*r.cross(this.m_rB,n),i.v.set(e),i.w=s},ti.prototype.solvePositionConstraints=function(t){return!0},ei.TYPE="pulley-joint",ei.MIN_PULLEY_LENGTH=2,st.TYPES[ei.TYPE]=ei,ei._super=st,ei.prototype=Object.create(ei._super.prototype);var ii={collideConnected:!0};function ei(t,i,s,o,m,a,h,_){if(!(this instanceof ei))return new ei(t,i,s,o,m,a,h,_);t=e(t,ii),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ei.TYPE,this.m_groundAnchorA=o||(t.groundAnchorA||r.neo(-1,1)),this.m_groundAnchorB=m||(t.groundAnchorB||r.neo(1,1)),this.m_localAnchorA=a?i.getLocalPoint(a):t.localAnchorA||r.neo(-1,0),this.m_localAnchorB=h?s.getLocalPoint(h):t.localAnchorB||r.neo(1,0),this.m_lengthA=n.isFinite(t.lengthA)?t.lengthA:r.distance(a,o),this.m_lengthB=n.isFinite(t.lengthB)?t.lengthB:r.distance(h,m),this.m_ratio=n.isFinite(_)?_:t.ratio,this.m_constant=this.m_lengthA+this.m_ratio*this.m_lengthB,this.m_impulse=0,this.m_uA,this.m_uB,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass}ei.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,groundAnchorA:this.m_groundAnchorA,groundAnchorB:this.m_groundAnchorB,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,lengthA:this.m_lengthA,lengthB:this.m_lengthB,ratio:this.m_ratio}},ei._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new ei(t)},ei.prototype.getGroundAnchorA=function(){return this.m_groundAnchorA},ei.prototype.getGroundAnchorB=function(){return this.m_groundAnchorB},ei.prototype.getLengthA=function(){return this.m_lengthA},ei.prototype.getLengthB=function(){return this.m_lengthB},ei.prototype.getRatio=function(){return this.m_ratio},ei.prototype.getCurrentLengthA=function(){var t=this.m_bodyA.getWorldPoint(this.m_localAnchorA),i=this.m_groundAnchorA;return r.distance(t,i)},ei.prototype.getCurrentLengthB=function(){var t=this.m_bodyB.getWorldPoint(this.m_localAnchorB),i=this.m_groundAnchorB;return r.distance(t,i)},ei.prototype.shiftOrigin=function(t){this.m_groundAnchorA.sub(t),this.m_groundAnchorB.sub(t)},ei.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},ei.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ei.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_uB).mul(t)},ei.prototype.getReactionTorque=function(t){return 0},ei.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,a=this.m_bodyB.c_position.a,h=this.m_bodyB.c_velocity.v,_=this.m_bodyB.c_velocity.w,c=v.neo(e),l=v.neo(a);this.m_rA=v.mulVec2(c,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=v.mulVec2(l,r.sub(this.m_localAnchorB,this.m_localCenterB)),this.m_uA=r.sub(r.add(i,this.m_rA),this.m_groundAnchorA),this.m_uB=r.sub(r.add(n,this.m_rB),this.m_groundAnchorB);var u=this.m_uA.length(),p=this.m_uB.length();u>10*m.linearSlop?this.m_uA.mul(1/u):this.m_uA.setZero(),p>10*m.linearSlop?this.m_uB.mul(1/p):this.m_uB.setZero();var y=r.cross(this.m_rA,this.m_uA),d=r.cross(this.m_rB,this.m_uB),f=this.m_invMassA+this.m_invIA*y*y,x=this.m_invMassB+this.m_invIB*d*d;if(this.m_mass=f+this.m_ratio*this.m_ratio*x,this.m_mass>0&&(this.m_mass=1/this.m_mass),t.warmStarting){this.m_impulse*=t.dtRatio;var A=r.mul(-this.m_impulse,this.m_uA),b=r.mul(-this.m_ratio*this.m_impulse,this.m_uB);s.addMul(this.m_invMassA,A),o+=this.m_invIA*r.cross(this.m_rA,A),h.addMul(this.m_invMassB,b),_+=this.m_invIB*r.cross(this.m_rB,b)}else this.m_impulse=0;this.m_bodyA.c_velocity.v=s,this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v=h,this.m_bodyB.c_velocity.w=_},ei.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=r.add(i,r.cross(e,this.m_rA)),m=r.add(s,r.cross(o,this.m_rB)),a=-r.dot(this.m_uA,n)-this.m_ratio*r.dot(this.m_uB,m),h=-this.m_mass*a;this.m_impulse+=h;var _=r.mul(-h,this.m_uA),c=r.mul(-this.m_ratio*h,this.m_uB);i.addMul(this.m_invMassA,_),e+=this.m_invIA*r.cross(this.m_rA,_),s.addMul(this.m_invMassB,c),o+=this.m_invIB*r.cross(this.m_rB,c),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},ei.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=v.neo(e),h=v.neo(o),_=v.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),c=v.mulVec2(h,r.sub(this.m_localAnchorB,this.m_localCenterB)),l=r.sub(r.add(i,this.m_rA),this.m_groundAnchorA),u=r.sub(r.add(s,this.m_rB),this.m_groundAnchorB),p=l.length(),y=u.length();p>10*m.linearSlop?l.mul(1/p):l.setZero(),y>10*m.linearSlop?u.mul(1/y):u.setZero();var d=r.cross(_,l),f=r.cross(c,u),x=this.m_invMassA+this.m_invIA*d*d,A=this.m_invMassB+this.m_invIB*f*f,b=x+this.m_ratio*this.m_ratio*A;b>0&&(b=1/b);var g=this.m_constant-p-this.m_ratio*y,B=n.abs(g),w=-b*g,C=r.mul(-w,l),M=r.mul(-this.m_ratio*w,u);return i.addMul(this.m_invMassA,C),e+=this.m_invIA*r.cross(_,C),s.addMul(this.m_invMassB,M),o+=this.m_invIB*r.cross(c,M),this.m_bodyA.c_position.c=i,this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c=s,this.m_bodyB.c_position.a=o,B<m.linearSlop};oi.TYPE="rope-joint",st.TYPES[oi.TYPE]=oi,oi._super=st,oi.prototype=Object.create(oi._super.prototype);var si={maxLength:0};function oi(t,i,s,o){if(!(this instanceof oi))return new oi(t,i,s,o);t=e(t,si),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=oi.TYPE,this.m_localAnchorA=o?i.getLocalPoint(o):t.localAnchorA||r.neo(-1,0),this.m_localAnchorB=o?s.getLocalPoint(o):t.localAnchorB||r.neo(1,0),this.m_maxLength=t.maxLength,this.m_mass=0,this.m_impulse=0,this.m_length=0,this.m_state=0,this.m_u,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass}oi.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,maxLength:this.m_maxLength}},oi._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new oi(t)},oi.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},oi.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},oi.prototype.setMaxLength=function(t){this.m_maxLength=t},oi.prototype.getMaxLength=function(){return this.m_maxLength},oi.prototype.getLimitState=function(){return this.m_state},oi.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},oi.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},oi.prototype.getReactionForce=function(t){return r.mul(this.m_impulse,this.m_u).mul(t)},oi.prototype.getReactionTorque=function(t){return 0},oi.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,a=this.m_bodyB.c_position.a,h=this.m_bodyB.c_velocity.v,_=this.m_bodyB.c_velocity.w,c=v.neo(e),l=v.neo(a);this.m_rA=v.mulSub(c,this.m_localAnchorA,this.m_localCenterA),this.m_rB=v.mulSub(l,this.m_localAnchorB,this.m_localCenterB),this.m_u=r.zero(),this.m_u.addCombine(1,n,1,this.m_rB),this.m_u.subCombine(1,i,1,this.m_rA),this.m_length=this.m_u.length();var u=this.m_length-this.m_maxLength;if(this.m_state=u>0?2:0,!(this.m_length>m.linearSlop))return this.m_u.setZero(),this.m_mass=0,void(this.m_impulse=0);this.m_u.mul(1/this.m_length);var p=r.cross(this.m_rA,this.m_u),y=r.cross(this.m_rB,this.m_u),d=this.m_invMassA+this.m_invIA*p*p+this.m_invMassB+this.m_invIB*y*y;if(this.m_mass=0!=d?1/d:0,t.warmStarting){this.m_impulse*=t.dtRatio;var f=r.mul(this.m_impulse,this.m_u);s.subMul(this.m_invMassA,f),o-=this.m_invIA*r.cross(this.m_rA,f),h.addMul(this.m_invMassB,f),_+=this.m_invIB*r.cross(this.m_rB,f)}else this.m_impulse=0;this.m_bodyA.c_velocity.v.set(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.set(h),this.m_bodyB.c_velocity.w=_},oi.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,m=r.addCross(i,e,this.m_rA),a=r.addCross(s,o,this.m_rB),h=this.m_length-this.m_maxLength,_=r.dot(this.m_u,r.sub(a,m));h<0&&(_+=t.inv_dt*h);var c=-this.m_mass*_,l=this.m_impulse;this.m_impulse=n.min(0,this.m_impulse+c),c=this.m_impulse-l;var u=r.mul(c,this.m_u);i.subMul(this.m_invMassA,u),e-=this.m_invIA*r.cross(this.m_rA,u),s.addMul(this.m_invMassB,u),o+=this.m_invIB*r.cross(this.m_rB,u),this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},oi.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=v.neo(e),h=v.neo(o),_=v.mulSub(a,this.m_localAnchorA,this.m_localCenterA),c=v.mulSub(h,this.m_localAnchorB,this.m_localCenterB),l=r.zero();l.addCombine(1,s,1,c),l.subCombine(1,i,1,_);var u=l.normalize(),p=u-this.m_maxLength;p=n.clamp(p,0,m.maxLinearCorrection);var y=-this.m_mass*p,d=r.mul(y,l);return i.subMul(this.m_invMassA,d),e-=this.m_invIA*r.cross(_,d),s.addMul(this.m_invMassB,d),o+=this.m_invIB*r.cross(c,d),this.m_bodyA.c_position.c.set(i),this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c.set(s),this.m_bodyB.c_position.a=o,u-this.m_maxLength<m.linearSlop},ri.TYPE="weld-joint",st.TYPES[ri.TYPE]=ri,ri._super=st,ri.prototype=Object.create(ri._super.prototype);var ni={frequencyHz:0,dampingRatio:0};function ri(t,i,s,o){if(!(this instanceof ri))return new ri(t,i,s,o);t=e(t,ni),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ri.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_referenceAngle=n.isFinite(t.referenceAngle)?t.referenceAngle:s.getAngle()-i.getAngle(),this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_impulse=O(),this.m_bias=0,this.m_gamma=0,this.m_rA,this.m_rB,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_mass=new Y}ri.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,referenceAngle:this.m_referenceAngle}},ri._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new ri(t)},ri.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB)},ri.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},ri.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},ri.prototype.getReferenceAngle=function(){return this.m_referenceAngle},ri.prototype.setFrequency=function(t){this.m_frequencyHz=t},ri.prototype.getFrequency=function(){return this.m_frequencyHz},ri.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},ri.prototype.getDampingRatio=function(){return this.m_dampingRatio},ri.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},ri.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ri.prototype.getReactionForce=function(t){return r.neo(this.m_impulse.x,this.m_impulse.y).mul(t)},ri.prototype.getReactionTorque=function(t){return t*this.m_impulse.z},ri.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_bodyA.c_position.a,e=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,m=this.m_bodyB.c_velocity.v,a=this.m_bodyB.c_velocity.w,h=v.neo(i),_=v.neo(o);this.m_rA=v.mulVec2(h,r.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=v.mulVec2(_,r.sub(this.m_localAnchorB,this.m_localCenterB));var c=this.m_invMassA,l=this.m_invMassB,u=this.m_invIA,p=this.m_invIB,y=new Y;if(y.ex.x=c+l+this.m_rA.y*this.m_rA.y*u+this.m_rB.y*this.m_rB.y*p,y.ey.x=-this.m_rA.y*this.m_rA.x*u-this.m_rB.y*this.m_rB.x*p,y.ez.x=-this.m_rA.y*u-this.m_rB.y*p,y.ex.y=y.ey.x,y.ey.y=c+l+this.m_rA.x*this.m_rA.x*u+this.m_rB.x*this.m_rB.x*p,y.ez.y=this.m_rA.x*u+this.m_rB.x*p,y.ex.z=y.ez.x,y.ey.z=y.ez.y,y.ez.z=u+p,this.m_frequencyHz>0){y.getInverse22(this.m_mass);var d=u+p,f=d>0?1/d:0,x=o-i-this.m_referenceAngle,A=2*n.PI*this.m_frequencyHz,b=2*f*this.m_dampingRatio*A,g=f*A*A,B=t.dt;this.m_gamma=B*(b+B*g),this.m_gamma=0!=this.m_gamma?1/this.m_gamma:0,this.m_bias=x*B*g*this.m_gamma,d+=this.m_gamma,this.m_mass.ez.z=0!=d?1/d:0}else 0==y.ez.z?(y.getInverse22(this.m_mass),this.m_gamma=0,this.m_bias=0):(y.getSymInverse33(this.m_mass),this.m_gamma=0,this.m_bias=0);if(t.warmStarting){this.m_impulse.mul(t.dtRatio);var w=r.neo(this.m_impulse.x,this.m_impulse.y);e.subMul(c,w),s-=u*(r.cross(this.m_rA,w)+this.m_impulse.z),m.addMul(l,w),a+=p*(r.cross(this.m_rB,w)+this.m_impulse.z)}else this.m_impulse.setZero();this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=m,this.m_bodyB.c_velocity.w=a},ri.prototype.solveVelocityConstraints=function(t){var i=this.m_bodyA.c_velocity.v,e=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_invMassA,m=this.m_invMassB,a=this.m_invIA,h=this.m_invIB;if(this.m_frequencyHz>0){var _=o-e,c=-this.m_mass.ez.z*(_+this.m_bias+this.m_gamma*this.m_impulse.z);this.m_impulse.z+=c,e-=a*c,o+=h*c,(p=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),p.subCombine(1,i,1,r.cross(e,this.m_rA));var l=r.neg(Y.mulVec2(this.m_mass,p));this.m_impulse.x+=l.x,this.m_impulse.y+=l.y;var u=r.clone(l);i.subMul(n,u),e-=a*r.cross(this.m_rA,u),s.addMul(m,u),o+=h*r.cross(this.m_rB,u)}else{var p;(p=r.zero()).addCombine(1,s,1,r.cross(o,this.m_rB)),p.subCombine(1,i,1,r.cross(e,this.m_rA));_=o-e;var y=O(p.x,p.y,_),d=O.neg(Y.mulVec3(this.m_mass,y));this.m_impulse.add(d);u=r.neo(d.x,d.y);i.subMul(n,u),e-=a*(r.cross(this.m_rA,u)+d.z),s.addMul(m,u),o+=h*(r.cross(this.m_rB,u)+d.z)}this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=e,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},ri.prototype.solvePositionConstraints=function(t){var i,e,s=this.m_bodyA.c_position.c,o=this.m_bodyA.c_position.a,a=this.m_bodyB.c_position.c,h=this.m_bodyB.c_position.a,_=v.neo(o),c=v.neo(h),l=this.m_invMassA,u=this.m_invMassB,p=this.m_invIA,y=this.m_invIB,d=v.mulVec2(_,r.sub(this.m_localAnchorA,this.m_localCenterA)),f=v.mulVec2(c,r.sub(this.m_localAnchorB,this.m_localCenterB)),x=new Y;if(x.ex.x=l+u+d.y*d.y*p+f.y*f.y*y,x.ey.x=-d.y*d.x*p-f.y*f.x*y,x.ez.x=-d.y*p-f.y*y,x.ex.y=x.ey.x,x.ey.y=l+u+d.x*d.x*p+f.x*f.x*y,x.ez.y=d.x*p+f.x*y,x.ex.z=x.ez.x,x.ey.z=x.ez.y,x.ez.z=p+y,this.m_frequencyHz>0){(b=r.zero()).addCombine(1,a,1,f),b.subCombine(1,s,1,d),i=b.length(),e=0;var A=r.neg(x.solve22(b));s.subMul(l,A),o-=p*r.cross(d,A),a.addMul(u,A),h+=y*r.cross(f,A)}else{var b;(b=r.zero()).addCombine(1,a,1,f),b.subCombine(1,s,1,d);var g=h-o-this.m_referenceAngle;i=b.length(),e=n.abs(g);var B=O(b.x,b.y,g),w=O();if(x.ez.z>0)w=O.neg(x.solve33(B));else{var C=r.neg(x.solve22(b));w.set(C.x,C.y,0)}A=r.neo(w.x,w.y);s.subMul(l,A),o-=p*(r.cross(d,A)+w.z),a.addMul(u,A),h+=y*(r.cross(f,A)+w.z)}return this.m_bodyA.c_position.c=s,this.m_bodyA.c_position.a=o,this.m_bodyB.c_position.c=a,this.m_bodyB.c_position.a=h,i<=m.linearSlop&&e<=m.angularSlop},ai.TYPE="wheel-joint",st.TYPES[ai.TYPE]=ai,ai._super=st,ai.prototype=Object.create(ai._super.prototype);var mi={enableMotor:!1,maxMotorTorque:0,motorSpeed:0,frequencyHz:2,dampingRatio:.7};function ai(t,i,s,o,n){if(!(this instanceof ai))return new ai(t,i,s,o,n);t=e(t,mi),st.call(this,t,i,s),i=this.m_bodyA,s=this.m_bodyB,this.m_type=ai.TYPE,this.m_localAnchorA=r.clone(o?i.getLocalPoint(o):t.localAnchorA||r.zero()),this.m_localAnchorB=r.clone(o?s.getLocalPoint(o):t.localAnchorB||r.zero()),this.m_localXAxisA=r.clone(n?i.getLocalVector(n):t.localAxisA||t.localAxis||r.neo(1,0)),this.m_localYAxisA=r.cross(1,this.m_localXAxisA),this.m_mass=0,this.m_impulse=0,this.m_motorMass=0,this.m_motorImpulse=0,this.m_springMass=0,this.m_springImpulse=0,this.m_maxMotorTorque=t.maxMotorTorque,this.m_motorSpeed=t.motorSpeed,this.m_enableMotor=t.enableMotor,this.m_frequencyHz=t.frequencyHz,this.m_dampingRatio=t.dampingRatio,this.m_bias=0,this.m_gamma=0,this.m_localCenterA,this.m_localCenterB,this.m_invMassA,this.m_invMassB,this.m_invIA,this.m_invIB,this.m_ax=r.zero(),this.m_ay=r.zero(),this.m_sAx,this.m_sBx,this.m_sAy,this.m_sBy}ai.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,enableMotor:this.m_enableMotor,maxMotorTorque:this.m_maxMotorTorque,motorSpeed:this.m_motorSpeed,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,localAxisA:this.m_localXAxisA}},ai._deserialize=function(t,i,e){return(t=Object.assign({},t)).bodyA=e(V,t.bodyA,i),t.bodyB=e(V,t.bodyB,i),new ai(t)},ai.prototype._setAnchors=function(t){t.anchorA?this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.set(t.localAnchorA),t.anchorB?this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.set(t.localAnchorB),t.localAxisA&&(this.m_localXAxisA.set(t.localAxisA),this.m_localYAxisA.set(r.cross(1,t.localAxisA)))},ai.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},ai.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},ai.prototype.getLocalAxisA=function(){return this.m_localXAxisA},ai.prototype.getJointTranslation=function(){var t=this.m_bodyA,i=this.m_bodyB,e=t.getWorldPoint(this.m_localAnchorA),s=i.getWorldPoint(this.m_localAnchorB),o=r.sub(s,e),n=t.getWorldVector(this.m_localXAxisA);return r.dot(o,n)},ai.prototype.getJointSpeed=function(){var t=this.m_bodyA.m_angularVelocity;return this.m_bodyB.m_angularVelocity-t},ai.prototype.isMotorEnabled=function(){return this.m_enableMotor},ai.prototype.enableMotor=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t},ai.prototype.setMotorSpeed=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t},ai.prototype.getMotorSpeed=function(){return this.m_motorSpeed},ai.prototype.setMaxMotorTorque=function(t){this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorTorque=t},ai.prototype.getMaxMotorTorque=function(){return this.m_maxMotorTorque},ai.prototype.getMotorTorque=function(t){return t*this.m_motorImpulse},ai.prototype.setSpringFrequencyHz=function(t){this.m_frequencyHz=t},ai.prototype.getSpringFrequencyHz=function(){return this.m_frequencyHz},ai.prototype.setSpringDampingRatio=function(t){this.m_dampingRatio=t},ai.prototype.getSpringDampingRatio=function(){return this.m_dampingRatio},ai.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},ai.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},ai.prototype.getReactionForce=function(t){return r.combine(this.m_impulse,this.m_ay,this.m_springImpulse,this.m_ax).mul(t)},ai.prototype.getReactionTorque=function(t){return t*this.m_motorImpulse},ai.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var i=this.m_invMassA,e=this.m_invMassB,s=this.m_invIA,o=this.m_invIB,m=this.m_bodyA.c_position.c,a=this.m_bodyA.c_position.a,h=this.m_bodyA.c_velocity.v,_=this.m_bodyA.c_velocity.w,c=this.m_bodyB.c_position.c,l=this.m_bodyB.c_position.a,u=this.m_bodyB.c_velocity.v,p=this.m_bodyB.c_velocity.w,y=v.neo(a),d=v.neo(l),f=v.mulVec2(y,r.sub(this.m_localAnchorA,this.m_localCenterA)),x=v.mulVec2(d,r.sub(this.m_localAnchorB,this.m_localCenterB));if((B=r.zero()).addCombine(1,c,1,x),B.subCombine(1,m,1,f),this.m_ay=v.mulVec2(y,this.m_localYAxisA),this.m_sAy=r.cross(r.add(B,f),this.m_ay),this.m_sBy=r.cross(x,this.m_ay),this.m_mass=i+e+s*this.m_sAy*this.m_sAy+o*this.m_sBy*this.m_sBy,this.m_mass>0&&(this.m_mass=1/this.m_mass),this.m_springMass=0,this.m_bias=0,this.m_gamma=0,this.m_frequencyHz>0){this.m_ax=v.mulVec2(y,this.m_localXAxisA),this.m_sAx=r.cross(r.add(B,f),this.m_ax),this.m_sBx=r.cross(x,this.m_ax);var A=i+e+s*this.m_sAx*this.m_sAx+o*this.m_sBx*this.m_sBx;if(A>0){this.m_springMass=1/A;var b=r.dot(B,this.m_ax),g=2*n.PI*this.m_frequencyHz,B=2*this.m_springMass*this.m_dampingRatio*g,w=this.m_springMass*g*g,C=t.dt;this.m_gamma=C*(B+C*w),this.m_gamma>0&&(this.m_gamma=1/this.m_gamma),this.m_bias=b*C*w*this.m_gamma,this.m_springMass=A+this.m_gamma,this.m_springMass>0&&(this.m_springMass=1/this.m_springMass)}}else this.m_springImpulse=0;if(this.m_enableMotor?(this.m_motorMass=s+o,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass)):(this.m_motorMass=0,this.m_motorImpulse=0),t.warmStarting){this.m_impulse*=t.dtRatio,this.m_springImpulse*=t.dtRatio,this.m_motorImpulse*=t.dtRatio;var M=r.combine(this.m_impulse,this.m_ay,this.m_springImpulse,this.m_ax),I=this.m_impulse*this.m_sAy+this.m_springImpulse*this.m_sAx+this.m_motorImpulse,z=this.m_impulse*this.m_sBy+this.m_springImpulse*this.m_sBx+this.m_motorImpulse;h.subMul(this.m_invMassA,M),_-=this.m_invIA*I,u.addMul(this.m_invMassB,M),p+=this.m_invIB*z}else this.m_impulse=0,this.m_springImpulse=0,this.m_motorImpulse=0;this.m_bodyA.c_velocity.v.set(h),this.m_bodyA.c_velocity.w=_,this.m_bodyB.c_velocity.v.set(u),this.m_bodyB.c_velocity.w=p},ai.prototype.solveVelocityConstraints=function(t){var i=this.m_invMassA,e=this.m_invMassB,s=this.m_invIA,o=this.m_invIB,m=this.m_bodyA.c_velocity.v,a=this.m_bodyA.c_velocity.w,h=this.m_bodyB.c_velocity.v,_=this.m_bodyB.c_velocity.w,c=r.dot(this.m_ax,h)-r.dot(this.m_ax,m)+this.m_sBx*_-this.m_sAx*a,l=-this.m_springMass*(c+this.m_bias+this.m_gamma*this.m_springImpulse);this.m_springImpulse+=l;var u=r.mul(l,this.m_ax),p=l*this.m_sAx,y=l*this.m_sBx;m.subMul(i,u),a-=s*p,h.addMul(e,u);c=(_+=o*y)-a-this.m_motorSpeed,l=-this.m_motorMass*c;var d=this.m_motorImpulse,v=t.dt*this.m_maxMotorTorque;this.m_motorImpulse=n.clamp(this.m_motorImpulse+l,-v,v),a-=s*(l=this.m_motorImpulse-d),_+=o*l;c=r.dot(this.m_ay,h)-r.dot(this.m_ay,m)+this.m_sBy*_-this.m_sAy*a,l=-this.m_mass*c;this.m_impulse+=l;u=r.mul(l,this.m_ay),p=l*this.m_sAy,y=l*this.m_sBy;m.subMul(i,u),a-=s*p,h.addMul(e,u),_+=o*y,this.m_bodyA.c_velocity.v.set(m),this.m_bodyA.c_velocity.w=a,this.m_bodyB.c_velocity.v.set(h),this.m_bodyB.c_velocity.w=_},ai.prototype.solvePositionConstraints=function(t){var i=this.m_bodyA.c_position.c,e=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,a=v.neo(e),h=v.neo(o),_=v.mulVec2(a,r.sub(this.m_localAnchorA,this.m_localCenterA)),c=v.mulVec2(h,r.sub(this.m_localAnchorB,this.m_localCenterB)),l=r.zero();l.addCombine(1,s,1,c),l.subCombine(1,i,1,_);var u,p=v.mulVec2(a,this.m_localYAxisA),y=r.cross(r.add(l,_),p),d=r.cross(c,p),f=r.dot(l,p),x=this.m_invMassA+this.m_invMassB+this.m_invIA*this.m_sAy*this.m_sAy+this.m_invIB*this.m_sBy*this.m_sBy;u=0!=x?-f/x:0;var A=r.mul(u,p),b=u*y,g=u*d;return i.subMul(this.m_invMassA,A),e-=this.m_invIA*b,s.addMul(this.m_invMassB,A),o+=this.m_invIB*g,this.m_bodyA.c_position.c.set(i),this.m_bodyA.c_position.a=e,this.m_bodyB.c_position.c.set(s),this.m_bodyB.c_position.a=o,n.abs(f)<=m.linearSlop};var hi={CollidePolygons:Lt,Settings:m,Sweep:x,Manifold:L,Distance:H,TimeOfImpact:ct,DynamicTree:c,stats:E};t.AABB=a,t.Body=V,t.Box=St,t.Chain=zt,t.Circle=Ct,t.CollideCircles=Vt,t.CollideEdgeCircle=Pt,t.CollideEdgePolygon=Et,t.CollidePolygonCircle=qt,t.CollidePolygons=Lt,t.Contact=U,t.Distance=H,t.DistanceJoint=Yt,t.DynamicTree=c,t.Edge=Mt,t.Fixture=C,t.FrictionJoint=Nt,t.GearJoint=Kt,t.Joint=st,t.Manifold=L,t.Mat22=T,t.Mat33=Y,t.Math=n,t.MotorJoint=Qt,t.MouseJoint=ti,t.Polygon=It,t.PrismaticJoint=Xt,t.PulleyJoint=ei,t.RevoluteJoint=Ht,t.RopeJoint=oi,t.Rot=v,t.Serializer=Bt,t.Settings=m,t.Shape=g,t.Sweep=x,t.TimeOfImpact=ct,t.Transform=f,t.Vec2=r,t.Vec3=O,t.WeldJoint=ri,t.WheelJoint=ai,t.World=At,t.internal=hi,Object.defineProperty(t,"__esModule",{value:!0})}));
//# sourceMappingURL=planck.min.js.map
